<?php

use yii\helpers\Html;
use yii\grid\GridView;
use yii\helpers\Url;

/* @var $this yii\web\View */
/* @var $searchModel common\models\SeoCategorySearch */
/* @var $dataProvider yii\data\ActiveDataProvider */

$this->title = Yii::t('app', 'Seo Categories');
$this->params['breadcrumbs'][] = $this->title;
?>
<div class="seo-category-index">

    <h1><?= Html::encode($this->title) ?></h1>
    <?php // echo $this->render('_search', ['model' => $searchModel]); ?>

    <p>
        <?= Html::a(Yii::t('app', 'Create Seo Category'), ['create'], ['class' => 'btn btn-success']) ?>
    </p>
    <?= GridView::widget([
        'dataProvider' => $dataProvider,
        'filterModel' => $searchModel,
        'columns' => [
            ['class' => 'yii\grid\SerialColumn'],

            'seo_category_id',
            'name',
            'controller',
            'status',

            [
                'class'          => 'yii\grid\ActionColumn',
                'template'       => '{update}&nbsp;{image}&nbsp;{delete}',
                'buttons'        => [
                    'update' => function ($url, $model)
                    {
                        return Html::a (
                            '<span class="glyphicon glyphicon-pencil"></span>',
                            Url::toRoute(['seo-category/update', 'id' => $model->seo_category_id]),
                            [
                                'title' => "Редактировать",
                            ]
                        );
                    },
                    'image' => function ($url, $model)
                    {
                        return Html::a (
                            '<span class="glyphicon glyphicon-picture"></span>',
                            Url::toRoute(['seo-dynamic/index', 'seo_category_id' => $model->seo_category_id]),
                            [
                                'title' => "слайды",
                            ]
                        );
                    },
                    'delete' => function ($url, $model)
                    {
                        return Html::a (
                            '<span class="glyphicon glyphicon-trash"></span>',
                            Url::toRoute(['seo-category/delete', 'id' => $model->seo_category_id]),
                            [
                                'title' => "Удалить",
                            ]
                        );
                    },
                ],
                'contentOptions' => ['style' => 'width: 70px;'],
            ],
        ],
    ]); ?>
</div>
