<?php

use yii\helpers\Html;
use yii\grid\GridView;
use yii\helpers\Url;

/* @var $this yii\web\View */
/* @var $searchModel common\models\SeoDynamicSearch */
/* @var $dataProvider yii\data\ActiveDataProvider */

$this->title = Yii::t('app', 'Seo Dynamics');
$this->params['breadcrumbs'][] = $this->title;
?>
<div class="seo-dynamic-index">

    <h1><?= Html::encode($this->title) ?></h1>
    <?php // echo $this->render('_search', ['model' => $searchModel]); ?>

    <p>
        <?= Html::a(Yii::t('app', 'Create Seo Dynamic'), Url::toRoute(['create','seo_category_id'=>$seo_category_id]), ['class' => 'btn btn-success']) ?>
    </p>
    <?= GridView::widget([
        'dataProvider' => $dataProvider,
        'filterModel' => $searchModel,
        'columns' => [
            ['class' => 'yii\grid\SerialColumn'],

            'seo_dynamic_id',
            'seo_category_id',
            'name',
            'action',
            'fields',
            // 'title',
            // 'h1',
            // 'description',
            // 'seo_text:ntext',
            // 'status',

            [
                'class'          => 'yii\grid\ActionColumn',
                'buttons'        => [
                    'view' => function ($url, $model)
                    {
                        return Html::a (
                            '<span class="glyphicon glyphicon-eye-open"></span>',
                            Url::toRoute(['view','seo_category_id'=> $model->seo_category_id, 'id' => $model->seo_dynamic_id]),
                            [
                                'title' => "Просмотр",
                            ]
                        );
                    },
                    'update' => function ($url, $model)
                    {
                        return Html::a (
                            '<span class="glyphicon glyphicon-pencil"></span>',
                            Url::toRoute(['update','seo_category_id'=> $model->seo_category_id,  'id' => $model->seo_dynamic_id]),
                            [
                                'title' => "Редактировать",
                            ]
                        );
                    },
                    'delete' => function ($url, $model)
                    {

                        return Html::a('<span class="glyphicon glyphicon-trash"></span>',  Url::toRoute(['delete','seo_category_id'=> $model->seo_category_id, 'id' => $model->seo_dynamic_id]), [
                            'title' => Yii::t('yii', 'Delete'),
                            'data-confirm' => Yii::t('yii', 'Are you sure to delete this item?'),
                            'data-method' => 'post',
                        ]);

                    },
                ],
            ],
        ],
    ]); ?>
</div>
