<?php

use yii\helpers\Html;
use yii\grid\GridView;
use yii\helpers\Url;

/* @var $this yii\web\View */
/* @var $searchModel common\models\SliderImageSearch */
/* @var $dataProvider yii\data\ActiveDataProvider */

$this->title = Yii::t('app', 'Slider Images');
$this->params['breadcrumbs'][] = $this->title;
?>
<div class="slider-image-index">

    <h1><?= Html::encode($this->title) ?></h1>
    <?php // echo $this->render('_search', ['model' => $searchModel]); ?>

    <p>
        <?= Html::a(Yii::t('app', 'Create Slider Image'), Url::toRoute(['create','slider_id'=>$slider_id]), ['class' => 'btn btn-success']) ?>
    </p>
    <?= GridView::widget([
        'dataProvider' => $dataProvider,
        'filterModel' => $searchModel,
        'columns' => [
            ['class' => 'yii\grid\SerialColumn'],

            'slider_image_id',
            'slider_id',
            'image',
            'alt',
            'title',
            // 'url:url',
            // 'status',
            // 'sort',

            [
                'class'          => 'yii\grid\ActionColumn',
                'buttons'        => [
                    'view' => function ($url, $model)
                    {
                        return Html::a (
                            '<span class="glyphicon glyphicon-eye-open"></span>',
                            Url::toRoute(['view','slider_id'=> $model->slider_id, 'id' => $model->slider_image_id]),
                            [
                                'title' => "Просмотр",
                            ]
                        );
                    },
                    'update' => function ($url, $model)
                    {
                        return Html::a (
                            '<span class="glyphicon glyphicon-pencil"></span>',
                            Url::toRoute(['update','slider_id'=> $model->slider_id, 'id' => $model->slider_image_id]),
                            [
                                'title' => "Редактировать",
                            ]
                        );
                    },
                    'delete' => function ($url, $model)
                    {

                        return Html::a('<span class="glyphicon glyphicon-trash"></span>',  Url::toRoute(['delete','slider_id'=> $model->slider_id, 'id' => $model->slider_image_id]), [
                            'title' => Yii::t('yii', 'Delete'),
                            'data-confirm' => Yii::t('yii', 'Are you sure to delete this item?'),
                            'data-method' => 'post',
                        ]);

                    },
                ],
            ],
        ],
    ]); ?>
</div>
