<?php

use yii\helpers\Html;
use yii\grid\GridView;
use yii\helpers\Url;

/* @var $this yii\web\View */
/* @var $searchModel common\models\SliderSearch */
/* @var $dataProvider yii\data\ActiveDataProvider */

$this->title = Yii::t('app', 'Sliders');
$this->params['breadcrumbs'][] = $this->title;
?>
<div class="slider-index">

    <h1><?= Html::encode($this->title) ?></h1>
    <?php // echo $this->render('_search', ['model' => $searchModel]); ?>

    <p>
        <?= Html::a(Yii::t('app', 'Create Slider'), ['create'], ['class' => 'btn btn-success']) ?>
    </p>
    <?= GridView::widget([
        'dataProvider' => $dataProvider,
        'filterModel' => $searchModel,
        'columns'      => [
            [
                'attribute'      => 'slider_id',
                'value'          => 'slider_id',
                'contentOptions' => ['style' => 'width: 70px;'],
            ],
            [
                'attribute' => 'title',
                'value'     => 'title',
            ],

            [
                'attribute' => 'status',
                'value'          => function ($model)
                {
                    return ($model->status == 0) ? 'Скрыто' : 'Показать';
                },
            ],
            [
                'class'          => 'yii\grid\ActionColumn',
                'template'       => '{update}&nbsp;{image}&nbsp;{delete}',
                'buttons'        => [
                    'update' => function ($url, $model)
                    {
                        return Html::a (
                            '<span class="glyphicon glyphicon-pencil"></span>',
                            Url::toRoute(['slider/update', 'id' => $model->slider_id]),
                            [
                                'title' => "Редактировать",
                            ]
                        );
                    },
                    'image' => function ($url, $model)
                    {
                        return Html::a (
                            '<span class="glyphicon glyphicon-picture"></span>',
                            Url::toRoute(['slider-image/index', 'slider_id' => $model->slider_id]),
                            [
                                'title' => "слайды",
                            ]
                        );
                    },
                    'delete' => function ($url, $model)
                    {
                        return Html::a (
                            '<span class="glyphicon glyphicon-trash"></span>',
                            Url::toRoute(['slider/delete', 'id' => $model->slider_id]),
                            [
                                'title' => "Удалить",
                            ]
                        );
                    },
                ],
                'contentOptions' => ['style' => 'width: 70px;'],
            ],
        ],
    ]); ?>
</div>
