<?php

namespace common\models;

use Yii;
use yii\behaviors\TimestampBehavior;
/**
 * This is the model class for table "service".
 *
 * @property integer $service_id
 * @property string $name
 * @property string $alias
 * @property string $body
 * @property string $image
 * @property string $meta_title
 * @property string $description
 * @property string $h1
 * @property string $seo_text
 * @property integer $created_at
 * @property integer $updated_at
 */
class Service extends \yii\db\ActiveRecord
{
    /**
     * @inheritdoc
     */
    public static function tableName()
    {
        return 'service';
    }

    /**
     * @inheritdoc
     */
    public function rules()
    {
        return [
            [['name', 'body'], 'required'],
            [['body', 'seo_text'], 'string'],
            [['created_at', 'updated_at'], 'integer'],
            [['name', 'alias', 'image', 'meta_title', 'description', 'h1'], 'string', 'max' => 255],
        ];
    }
    /**
     * @inheritdoc
     */
    public function behaviors()
    {
        return [
            TimestampBehavior::className(),
            'slug' => [
                'class' => 'common\behaviors\Slug',
                'in_attribute' => 'name',
                'out_attribute' => 'alias',
                'translit' => true
            ],
            [
                'class'              => 'common\behaviors\ShowImage',
            ],
        ];
    }
    /**
     * @inheritdoc
     */
    public function attributeLabels()
    {
        return [
            'service_id' => Yii::t('app', 'service_id'),
            'name' => Yii::t('app', 'name'),
            'alias' => Yii::t('app', 'alias'),
            'body' => Yii::t('app', 'body'),
            'image' => Yii::t('app', 'image'),
            'meta_title' => Yii::t('app', 'meta_title'),
            'description' => Yii::t('app', 'description'),
            'h1' => Yii::t('app', 'h1'),
            'seo_text' => Yii::t('app', 'seo_text'),
            'created_at' => Yii::t('app', 'created_at'),
            'updated_at' => Yii::t('app', 'updated_at'),
        ];
    }
}
