<?php

use yii\helpers\Html;
use yii\widgets\ActiveForm;
use common\modules\rubrication\helpers\RubricationHelper;
use common\modules\product\helpers\ProductHelper;
use common\components\artboxtree\ArtboxTreeHelper;

/* @var $this yii\web\View */
/* @var $model common\modules\rubrication\models\TaxGroup */
/* @var $form yii\widgets\ActiveForm */
?>

<div class="tax-group-form">

    <?php $form = ActiveForm::begin(); ?>

    <?= $form->field($model, 'name')->textInput(['maxlength' => true]) ?>

    <?= $form->field($model, 'alias')->textInput(['maxlength' => true]) ?>

    <?= $form->field($model, 'description')->textarea(['rows' => 6]) ?>

    <?= $form->field($model, 'module')->dropDownList(RubricationHelper::OptionTypes(), [
        'prompt' => Yii::t('rubrication', 'Select module'),
    ]) ?>

    <?= $form->field($model, 'group_to_category')->dropDownList(
        ArtboxTreeHelper::treeMap(ProductHelper::getCategories(), 'category_id', 'categoryName.value'),
        [
            'multiple' => true
        ]
    )->label('Use in the following categories') ?>

    <?= $form->field($model, 'hierarchical')->checkbox() ?>

    <?= $form->field($model, 'is_filter')->checkbox() ?>

    <div class="form-group">
        <?= Html::submitButton($model->isNewRecord ? Yii::t('rubrication', 'Create') : Yii::t('rubrication', 'Update'), ['class' => $model->isNewRecord ? 'btn btn-success' : 'btn btn-primary']) ?>
    </div>

    <?php ActiveForm::end(); ?>

</div>
