<?php
/**
 * @link http://www.yiiframework.com/
 * @copyright Copyright (c) 2008 Yii Software LLC
 * @license http://www.yiiframework.com/license/
 */

namespace frontend\assets;

use yii\web\AssetBundle;

/**
 * @author Qiang Xue <qiang.xue@gmail.com>
 * @since 2.0
 */
class AppAsset extends AssetBundle
{
    public $basePath = '@webroot';
    public $baseUrl = '@web';
    public $css = [
        'css/style.css',
        'css/node_modules/font-awesome/css/font-awesome.css',
        'css/owl.carousel.css',
        'css/node_modules/animate.css/animate.css',
        'css/fonts.css',
        'css/node_modules/ion-rangeslider/css/normalize.css',
        'css/node_modules/ion-rangeslider/css/ion.rangeSlider.css',
        'css/node_modules/ion-checkradio/css/ion.checkRadio.css',
        'css/node_modules/ion-checkradio/css/ion.checkRadio.green.css',
        'css/node_modules/ion-rangeslider/css/ion.rangeSlider.skinHTML5.css',
        'css/node_modules/ion-tabs/css/ion.tabs.css',
        'css/node_modules/ion-tabs/css/ion.tabs.skinFlat.css',
        'css/concat_all.css',
        '//fonts.googleapis.com/css?family=Ubuntu:400,300italic,300,400italic,500,500italic,700italic,700',

    ];
    public $js = [
        'css/node_modules/ion-rangeslider/js/ion.rangeSlider.min.js',
        'css/node_modules/ion-checkradio/js/ion.checkRadio.min.js',
        'css/node_modules/ion-tabs/js/ion-tabs/ion.tabs.js',
        'js/jquery.jcarousellite-1.0.1.js',
        'js/owl.carousel.js',
        'js/script.js',
        'js/my_scripts.js',
        'js/basket.js',

    ];
    public $depends = [
        'yii\web\YiiAsset',
        'frontend\assets\IeAsset',
//        'yii\bootstrap\BootstrapPluginAsset'
    ];
}
