<?php
$params = array_merge(
    require(__DIR__ . '/../../common/config/params.php'),
    require(__DIR__ . '/../../common/config/params-local.php'),
    require(__DIR__ . '/params.php'),
    require(__DIR__ . '/params-local.php')
);

return [
    'id' => 'app-frontend',
    'basePath' => dirname(__DIR__),
    'layout' => 'site_content',
    'bootstrap' => ['log'],
    'controllerNamespace' => 'frontend\controllers',
    'components' => [
        'user' => [
            'identityClass' => 'common\models\Customers',
            'enableAutoLogin' => true,
            'identityCookie' => [
                'name' => '_frontendUser', // unique for frontend
            ]
        ],
        'request'=>[
            'cookieValidationKey' => 'ndahjhjjidasuidrqeswuiuirqw89',
            'csrfParam' => '_frontendCSRF',
            'class' => 'common\components\Request',

            'web'=> '/frontend/web'

        ],

        'log' => [
            'traceLevel' => YII_DEBUG ? 3 : 0,
            'targets' => [
                [
                    'class' => 'yii\log\FileTarget',
                    'levels' => ['error', 'warning'],
                ],
            ],
        ],
        'errorHandler' => [
            'errorAction' => 'site/error',
        ],
        'urlManager' => [
            'baseUrl' => '/',
            'enablePrettyUrl' => true,
            'showScriptName' => false,
            'rules' => [
                [
                    'class' => '\common\modules\product\CatalogUrlManager',
                    'route_map' => [
                        'catalog' => 'catalog/category',
                        'product' => 'catalog/product',
                        'brand' => 'catalog/brand',
                    ]
                ],
                'page/<translit:[A-Za-z0-9_-]++>'=>'page/show',
                'event/view/<alias:[A-Za-z0-9_-]+>'=>'event/view',
                'service/view/<alias:[A-Za-z0-9_-]+>'=>'service/view',
////                'catalog' => 'catalog/category',
//                'catalog/<alias:[A-Za-z0-9_-]+>' => 'catalog/category',
//                'catalog/<alias:[A-Za-z0-9_-]+>/<filter>' => 'catalog/category',
//                'product/<alias:[A-Za-z0-9_-]+>' => 'catalog/product',
//                'brand' => 'catalog/brands',
//                'brand/<alias:[A-Za-z0-9_-]+>' => 'catalog/brand',
            ]
        ]

    ],
    'params' => $params,
];
