<?php

use common\components\artboximage\ArtboxImageHelper;
use frontend\assets\FotoramaAsset;

FotoramaAsset::register($this);
$this->registerCssFile(Yii::getAlias('@web/css/lightbox.css'));
$this->registerJsFile(Yii::getAlias('@web/js/lightbox.js'));

/** @var $this \yii\web\View */
/** @var $dataProvider \yii\data\ActiveDataProvider */
$this->title = $product->name;
foreach($product->category->getParents()->all() as $parent) {
    $this->params['breadcrumbs'][] = ['label' => $parent->categoryName->value, 'url' => ['catalog/category', 'category' => $parent]];
}
$this->params['breadcrumbs'][] = ['label' => $product->category->categoryName->value, 'url' => ['catalog/category', 'category' => $product->category]];
$this->params['breadcrumbs'][] = $product->name .' #'. @$product->variant->sku;
?>
<h1 class="open_card_item_title"><?= $product->name .' '. @$product->variant->name?></h1>

<div class="item_3_blocks_wrap" id="one_item_block" data-id="<?= @$product->variant->product_variant_id?>"> <!-- flex container -->
    <div class="item_img_block"> <!-- блок с фотографиями -->

        <?php if (!empty($product->images)) :?>
        <div class="fotorama" data-allowfullscreen="true" data-nav="thumbs">

            <?php foreach($product->images as $image) :?>
            <a href="<?=$image->imageUrl ?>">
                <?= ArtboxImageHelper::getImage($image->imageUrl, 'product_trumb')?>
            </a>
            <?php endforeach?>
        </div>
        <?php else :?>
            <?= ArtboxImageHelper::getImage($product->imageUrl, 'product')?>
        <?php endif?>
        <div class="product_service">
            <ul>
                <li class="item1"><a id="add_to_bookmarks" href="#">Добавить в закладки</a>
                </li>
                <li class="item3"><a id="add_to_compare" href="#">Добавить в
                        сравнение</a></li>
            </ul>
        </div>

    </div> <!-- конец блока с фотографиями -->


    <div class="busket_block"> <!-- блок с счетчиком и кнопкой добавить в корзину -->
        <div class="top_code">
            <?php if (!empty($product->variant)) :?><span class="code">Код: <?= @$product->variant->sku?></span><?php endif?>
            <span class="have"><img src="/images/ok_icon_green.png" alt=""><?= $product->stock !== 0 && @$product->variant->price > 0 ? ' есть в наличии' : ' нет в наличии'?></span>
        </div>

        <?php if (!empty($product->variant)) :?>
        <div class="grey_bg">
            <div class="counter">
                <?php if (@$product->variant->price > 0) :?>
                <div class="price">
                    <?= @$product->variant->price?>
                </div>
                <div class="sign">грн.</div>
                <?php else :?>
                    <div class="price"></div>
                <?php endif?>

                <div class="count_block">
                    <input type="text" name="" class="form-control buy_one_item" value="1">
                    <div class="count_buttons">
                        <div class="button_plus">+</div>
                        <div class="button_minus">-</div>
                    </div>
                </div>
            </div>

            <div class="in_cart_btn">
                <a href="#">
                    <button class="cart_btn" data-id="<?= @$product->variant->product_variant_id?>"> в корзину <img src="/images/ico_basket_white.png" alt=""></button>
                </a>
            </div>

            <!--<div class="to_compare_link">
                <img src="/images/ico_scales.png" alt="">
                <a href="#" class="add_to_compare">добавить к сравнению</a>
            </div>-->
        </div>
        <div class="quick_order">
            <form action="">
                <span class="text">БЫСТРЫЙ ЗАКАЗ</span>
                <input type="text" class="quick_order_phone" name="quick_order_phone" placeholder="(0XX) XXX-XX-XX">
                <button type="submit">заказать</button>
            </form>
        </div>
        <?php endif?>

        <div class="delivery">
            <p>
                Доставка товара на следующий день после выставления счета. Мы доставим “День в <br> день” — уточните это у менеджера.
            </p>
            <a href="#">Подробно о доставке</a>
        </div>

    </div><!-- конец блока с счетчиком и кнопкой добавить в корзину -->

    <div class="character_block"> <!-- блок с характеристиками -->
        <?php if (!empty($properties)) :?>
        <h3>Характеристики</h3>
        <ul>
            <?php foreach($properties as $group) :?>
            <li>
                <div class="each">
                    <div class="title"><?= $group->name?></div>
                    <div class="tech">
                    <?php foreach($group->_options as $option) :?>&nbsp;<?= $option->ValueRenderHTML?><?php endforeach?>
                    </div>
                </div>
            </li>
            <?php endforeach?>
        </ul>
        <?php endif?>

        <!--<div class="tech_links">
            <a href="#">Описание</a>
            <a href="#">Видео</a>
            <a href="#">Отзывы(12)</a>
        </div>-->

    </div><!-- закрытие блока с характеристиками -->
    <?php /*
    <hr>

    <h1 class="with_this">С этим товаром покупают</h1>

    <div class="flex_container"><!-- блок - с этим также покупают -->

        <div class="my_custom_card">
            <div class="new">АКЦИЯ</div>
            <div class="top">Toп</div>
            <a href="#" class="item_link"><div class="pic"><img src="/storage/no_photo.png"></div>
                <div class="title_item">Штукатурка гипсовая Кнауф Ротбанд 30 кг белая</div></a>
            <div class="brand">Бренд: <span>Knauf</span></div>
            <div class="type">Штукатурки</div>
            <div class="price">102.05 <span>грн.</span></div>
            <button class="basket_add_but">в корзину</button>
            <a href="#" class="compare_add_but"><span>добавить к сравнению</span></a>
            <img class="item_bottom_img" src="/images/nc_item_bottom.png" alt="">
        </div>

        <div class="my_custom_card">
            <div class="new">АКЦИЯ</div>
            <div class="top">Toп</div>
            <a href="#" class="item_link"><div class="pic"><img src="/storage/no_photo.png"></div>
                <div class="title_item">Штукатурка гипсовая Кнауф Ротбанд 30 кг белая</div></a>
            <div class="brand">Бренд: <span>Knauf</span></div>
            <div class="type">Штукатурки</div>
            <div class="price">102.05 <span>грн.</span></div>
            <button class="basket_add_but">в корзину</button>
            <a href="#" class="compare_add_but"><span>добавить к сравнению</span></a>
            <img class="item_bottom_img" src="/images/nc_item_bottom.png" alt="">
        </div>

        <div class="my_custom_card">
            <div class="new">АКЦИЯ</div>
            <div class="top">Toп</div>
            <a href="#" class="item_link"><div class="pic"><img src="/storage/no_photo.png"></div>
                <div class="title_item">Штукатурка гипсовая Кнауф Ротбанд 30 кг белая</div></a>
            <div class="brand">Бренд: <span>Knauf</span></div>
            <div class="type">Штукатурки</div>
            <div class="price">102.05 <span>грн.</span></div>
            <button class="basket_add_but">в корзину</button>
            <a href="#" class="compare_add_but"><span>добавить к сравнению</span></a>
            <img class="item_bottom_img" src="/images/nc_item_bottom.png" alt="">
        </div>

        <div class="my_custom_card">
            <div class="new">АКЦИЯ</div>
            <div class="top">Toп</div>
            <a href="#" class="item_link"><div class="pic"><img src="/storage/no_photo.png"></div>
                <div class="title_item">Штукатурка гипсовая Кнауф Ротбанд 30 кг белая</div></a>
            <div class="brand">Бренд: <span>Knauf</span></div>
            <div class="type">Штукатурки</div>
            <div class="price">102.05 <span>грн.</span></div>
            <button class="basket_add_but">в корзину</button>
            <a href="#" class="compare_add_but"><span>добавить к сравнению</span></a>
            <img class="item_bottom_img" src="/images/nc_item_bottom.png" alt="">
        </div>

    </div> <!-- конец блока - с этим также покупают -->
    */?>
    <div class="tabs_block"> <!-- Табы с описанием видео и отзывами -->
        <div class="ionTabs" id="tabs_1" data-name="Tabs_Group_name">
            <ul class="ionTabs__head">
                <?php if (!empty($properties)) :?>
                <li class="ionTabs__tab" data-target="Tab_1_name">Характеристики</li>
                <?php endif?>
                <?php if (TRUE || !empty($product->description)) :?>
                <li class="ionTabs__tab" data-target="Tab_2_name">Описание</li>
                <?php endif?>
                <?php if (TRUE || !empty($product->video)) :?>
                <li class="ionTabs__tab" data-target="Tab_3_name">Видео</li>
                <?php endif?>
<!--                <li class="ionTabs__tab" data-target="Tab_4_name">Отзывы(12)</li>-->
            </ul>
            <div class="ionTabs__body">
                <?php if (!empty($properties)) :?>
                <div class="ionTabs__item character_block" data-name="Tab_1_name">
                        <ul>
                            <?php foreach($properties as $group) :?>
                                <li>
                                    <div class="each">
                                        <div class="title"><?= $group->name?></div>
                                        <div class="tech">
                                            <?php foreach($group->_options as $option) :?>&nbsp;<?= $option->ValueRenderHTML?><?php endforeach?>
                                        </div>
                                    </div>
                                </li>
                            <?php endforeach?>
                        </ul>
                </div>
                <?php else :?>
                <?php endif?>
                <?php if (!empty($product->description)) :?>
                <div class="ionTabs__item" data-name="Tab_2_name">
                    <?= $product->description?>
                </div>
                <?php endif?>
                <?php if (!empty($product->video)) :?>
                <div class="ionTabs__item" data-name="Tab_3_name">
                    <?= $product->video?>
                </div>
                <?php endif?>

                <div class="ionTabs__preloader"></div>
            </div>
        </div>

    </div> <!-- конец табов с описанием видео и отзывами -->
    <div style="clear: both;"></div>

    <?php if(!empty($last_products)) :?>
    <hr>
    <div class="watched_block">
        <h1>Вы недавно просматривали</h1>
        <div class="flex-container">
            <?php foreach($last_products as $product) :?>
            <?php require(__DIR__ .'/product_smart.php')?>
            <?php endforeach?>
        </div>
    </div>
    <?php endif?>

</div> <!-- end flex container -->
