<?php

/* @var $this \yii\web\View */
/* @var $content string */


use common\widgets\BasketHead;
use common\widgets\BasketModal;
use frontend\assets\AppAsset;
use frontend\widgets\Seo;
use yii\helpers\Html;
use yii\helpers\Url;


AppAsset::register($this);
?>
<?php $this->beginPage() ?>
<!DOCTYPE html>
<html lang="en">
<head>
    <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
    <title><?= Seo::widget([ 'row'=>'title'])?></title>
    <?= Seo::widget([ 'row'=>'description'])?>
    <?php $this->head() ?>
    <?//= Html::csrfMetaTags() ?>
    <link href='https://fonts.googleapis.com/css?family=Ubuntu:400,300italic,300,400italic,500,500italic,700italic,700' rel='stylesheet' type='text/css'>



</head>
<body>
<?php $this->beginBody() ?>

<div class="line_up">
    <div class="line_up_in">
        <div class="left_lineup">
            <ul>
                <li><?=Html::a('Оплата',Url::toRoute(['page/show', 'translit'=>'payment'])); ?></li>
                <li><?=Html::a('Доставка',Url::toRoute(['page/show', 'translit'=>'delivery'])); ?></li>
                <li><?=Html::a('Контакты',Url::toRoute(['page/show', 'translit'=>'kontakty'])); ?></li>
            </ul>
        </div>
        <div class="right_lineup">
            <ul>
            <?php
                if (Yii::$app->user->isGuest) { ?>
                    <li class="login_button_lu"><a href="#">Вход</a></li>
                    <li class="reg_button_lu"><a href="#">Регистрация</a></li>
                <?php } else { ?>
                    <li class="user_button_lu"><?= Html::a( Yii::$app->user->identity->username , Url::toRoute(['cabinet/index'])); ?></li>
               <?php }  ?>
            </ul>
        </div>
    </div>
</div>
<div class="head">
    <div class="head_up">
        <?= Html::a(Html::img('/images/bau_logo.png',['border'=>'0']), ['/'],['class'=>'head_up_cell bau_logo'])?>
        <div class="head_up_cell srch">
            <div class="search_head">
                <form action="/<?= Url::to('catalog')?>">
                    <div class="srch_head_desc">Введите запрос  <a href="#" onclick="$('#search-head').val('Шифер');return false;">Шифер</a>   <a href="#" onclick="$('#search-head').val('Рубероид');return false;">Рубероид</a></div>
                    <input type="text" name="word" id="search-head">
                    <button><div class="search_img"></div></button>
                </form>
            </div>
        </div>
        <div class="head_up_cell phn">
            <div class="phone_me_head">
                <div class="phone_num"><span class="phone_code">+ 38 (044)</span> 123 45 67<i class="head-down"></i></div>
                <input type="text" name="callme_head" id="phone_num" placeholder="(0xx) xxx-xx-xx"><button type="submit">перезвонить мне</button>
                <div class="phone_desc">Звоните с 9.00 до 18.00 по будням</div>
            </div>
        </div>
        <?= BasketHead::widget([]); ?>

    </div>

    <!-- MODAL BUSKET WINDOW HEAD  -->
    <div class="busket_modal_header"><!-- MODAL BUSKET WINDOW(HEAD) START -->
        <div class="m_a">
            <div class="busket_modal_02">
                <div class="basket_result">
                    <?= BasketModal::widget([]); ?>
                </div>
            </div>
        </div>
    </div><!-- MODAL BUSKET WINDOW(HEAD) END -->

</div>

<?= $this->render('main_menu') ?>

<div class="meter">
    <span style="width:34%;"></span>
</div>

<!-- content block-->
<?= $content ?>

<div class="footer_bl">
    <div class="footer">
        <div class="content" style="width: 232px;">
            <div class="title grey">О нас</div>
            <ul style="padding-left: 2px;">
                <li><?=Html::a('О компании',Url::toRoute(['page/show', 'translit'=>'aboutcompany'])); ?></li>
                <li><?=Html::a('Контакты',Url::toRoute(['page/show', 'translit'=>'kontakty'])); ?></li>
                <li><a href="#">Производители</a></li>
                <li><?=Html::a('Поставщикам',Url::toRoute(['page/show', 'translit'=>'forsuppliers'])); ?></li>
            </ul>
        </div>
        <div class="content" style="width: 232px;left: 240px;">
            <div class="title grey">Покупателям</div>
            <ul style="margin-left: 2px;">
                <li><?=Html::a('Доставка',Url::toRoute(['page/show', 'translit'=>'delivery'])); ?></li>
                <li><?=Html::a('Оплата',Url::toRoute(['page/show', 'translit'=>'payment'])); ?></li>
                <li><a href="#">Программа лояльности</a></li>
            </ul>
        </div>
        <div class="content" style="width: 318px;left: 480px;">
            <div class="title grey">Полезная информация</div>
            <ul>
                <li><?=Html::a('Условия возврата',Url::toRoute(['page/show', 'translit'=>'returnpolicy'])); ?></li>
                <li><?=Html::a('Советы по ремонту',Url::toRoute(['page/show', 'translit'=>'repairtips'])); ?></li>
            </ul>
        </div>
        <div class="content small">
            <div class="social_button"><a href="#" class="socbut fb_button"></a></div>
            <div class="social_button"><a href="#" class="socbut vk_button"></a></div>
            <div class="social_button"><a href="#" class="socbut yt_button"></a></div>
        </div>
        <div class="down_line">
            <div class="left">© 2015 BAUcenter. Все права защищены. </div>
            <div class="right" style="margin-right: 18px;"><a href="http://artweb.ua/" target="_blank" class="copyright">Создание сайтов</a></div>
        </div>
        <div class="both" style="margin-bottom: 20px;"></div>
    </div>
</div>




<!-- ================================ MODAL WINDOWS ===================================== -->
<!-- формы пока что не активные, при програмировании активируем -->

<!-- registration window -->
<?= $this->render('/modal/registration_window_model_window')?>

<!-- login window -->
<?= $this->render('/modal/login_window_model_window') ?>

<!-- forgot password form -->
<?= $this->render('/modal/forgot_password_form_model_window') ?>
<!-- consultation_modal -->
<?= $this->render('/modal/consultation_modal') ?>

<!-- forgot password success message -->
<div class="forgot_pass_success_wrapper">
    <div class="modal_window">
        <div class="modal_close_btn"></div>
        <div class="title">Спасибо</div>
        <div class="text">
            На указанный Вами e-mail отправлено письмо с паролем!
        </div>
        <div class="for_btn_position"><button class="my_cust_btn" type="submit">запросить еще раз</button></div>
    </div>
</div>

<!-- callback message -->
<div class="callback_wrapper">
    <div class="modal_window">
        <div class="modal_close_btn"></div>
        <div class="title">Спасибо</div>
        <div class="text">
            Наш специалист свяжется с Вами в ближайшее время
        </div>
    </div>
</div>

<!-- ============== MODAL BUSKET WINDOW'S  ==================== -->

<div class="busket_modal_wrapper"> <!-- MODAL BUSKET WINDOW  START -->
    <div class="m_a">
        <div class="busket_modal_01">
            <div class="modal_close_btn"></div>
            <div class="basket_result">
                <?= BasketModal::widget([]); ?>
            </div>
        </div>
    </div>
</div> <!-- MODAL BUSKET WINDOW END -->

<?php $this->endBody() ?>
</body>
</html>
<?php $this->endPage() ?>