--
-- PostgreSQL database dump
--

SET statement_timeout = 0;
SET lock_timeout = 0;
SET client_encoding = 'UTF8';
SET standard_conforming_strings = on;
SET check_function_bodies = false;
SET client_min_messages = warning;

--
-- Name: plpgsql; Type: EXTENSION; Schema: -; Owner: 
--

CREATE EXTENSION IF NOT EXISTS plpgsql WITH SCHEMA pg_catalog;


--
-- Name: EXTENSION plpgsql; Type: COMMENT; Schema: -; Owner: 
--

COMMENT ON EXTENSION plpgsql IS 'PL/pgSQL procedural language';


SET search_path = public, pg_catalog;

SET default_tablespace = '';

SET default_with_oids = false;

--
-- Name: blog; Type: TABLE; Schema: public; Owner: postgres; Tablespace: 
--

CREATE TABLE blog (
    blog_id integer NOT NULL,
    user_id integer NOT NULL,
    name character varying(255) NOT NULL,
    link character varying(255),
    date_add timestamp(0) without time zone NOT NULL,
    user_add_id integer,
    view_count integer DEFAULT 0,
    description text,
    cover character varying(255)
);


ALTER TABLE public.blog OWNER TO postgres;

--
-- Name: blog_blog_id_seq; Type: SEQUENCE; Schema: public; Owner: postgres
--

CREATE SEQUENCE blog_blog_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;


ALTER TABLE public.blog_blog_id_seq OWNER TO postgres;

--
-- Name: blog_blog_id_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: postgres
--

ALTER SEQUENCE blog_blog_id_seq OWNED BY blog.blog_id;


--
-- Name: brand; Type: TABLE; Schema: public; Owner: postgres; Tablespace: 
--

CREATE TABLE brand (
    brand_id integer NOT NULL,
    brand_name_id integer,
    alias character varying(250),
    image character varying(255),
    meta_title character varying(255),
    meta_desc text,
    meta_robots character varying(50),
    seo_text text
);


ALTER TABLE public.brand OWNER TO postgres;

--
-- Name: brand_brand_id_seq; Type: SEQUENCE; Schema: public; Owner: postgres
--

CREATE SEQUENCE brand_brand_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;


ALTER TABLE public.brand_brand_id_seq OWNER TO postgres;

--
-- Name: brand_brand_id_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: postgres
--

ALTER SEQUENCE brand_brand_id_seq OWNED BY brand.brand_id;


--
-- Name: brand_name; Type: TABLE; Schema: public; Owner: postgres; Tablespace: 
--

CREATE TABLE brand_name (
    brand_name_id integer NOT NULL,
    brand_id integer NOT NULL,
    value character varying(250)
);


ALTER TABLE public.brand_name OWNER TO postgres;

--
-- Name: brand_name_brand_name_id_seq; Type: SEQUENCE; Schema: public; Owner: postgres
--

CREATE SEQUENCE brand_name_brand_name_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;


ALTER TABLE public.brand_name_brand_name_id_seq OWNER TO postgres;

--
-- Name: brand_name_brand_name_id_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: postgres
--

ALTER SEQUENCE brand_name_brand_name_id_seq OWNED BY brand_name.brand_name_id;


--
-- Name: category; Type: TABLE; Schema: public; Owner: postgres; Tablespace: 
--

CREATE TABLE category (
    category_id integer NOT NULL,
    parent_id integer DEFAULT 0 NOT NULL,
    path integer[],
    depth integer DEFAULT 0 NOT NULL,
    image character varying(255),
    meta_title character varying(255),
    meta_desc text,
    meta_robots character varying(50),
    seo_text text,
    category_name_id integer,
    product_unit_id integer,
    alias character varying(250),
    populary boolean DEFAULT false
);


ALTER TABLE public.category OWNER TO postgres;

--
-- Name: category_category_id_seq; Type: SEQUENCE; Schema: public; Owner: postgres
--

CREATE SEQUENCE category_category_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;


ALTER TABLE public.category_category_id_seq OWNER TO postgres;

--
-- Name: category_category_id_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: postgres
--

ALTER SEQUENCE category_category_id_seq OWNED BY category.category_id;


--
-- Name: category_name; Type: TABLE; Schema: public; Owner: postgres; Tablespace: 
--

CREATE TABLE category_name (
    category_name_id integer NOT NULL,
    category_id integer NOT NULL,
    value character varying(250)
);


ALTER TABLE public.category_name OWNER TO postgres;

--
-- Name: category_name_category_name_id_seq; Type: SEQUENCE; Schema: public; Owner: postgres
--

CREATE SEQUENCE category_name_category_name_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;


ALTER TABLE public.category_name_category_name_id_seq OWNER TO postgres;

--
-- Name: category_name_category_name_id_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: postgres
--

ALTER SEQUENCE category_name_category_name_id_seq OWNED BY category_name.category_name_id;


--
-- Name: customers; Type: TABLE; Schema: public; Owner: postgres; Tablespace: 
--

CREATE TABLE customers (
    id integer NOT NULL,
    username character varying(255) NOT NULL,
    surname character varying(255),
    auth_key character varying(32) NOT NULL,
    password_hash character varying(255) NOT NULL,
    password_reset_token character varying(255),
    email character varying(255) NOT NULL,
    phone character varying(255) NOT NULL,
    status smallint DEFAULT 10 NOT NULL,
    created_at integer NOT NULL,
    updated_at integer NOT NULL
);


ALTER TABLE public.customers OWNER TO postgres;

--
-- Name: customers_id_seq; Type: SEQUENCE; Schema: public; Owner: postgres
--

CREATE SEQUENCE customers_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;


ALTER TABLE public.customers_id_seq OWNER TO postgres;

--
-- Name: customers_id_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: postgres
--

ALTER SEQUENCE customers_id_seq OWNED BY customers.id;


--
-- Name: fields; Type: TABLE; Schema: public; Owner: postgres; Tablespace: 
--

CREATE TABLE fields (
    id integer NOT NULL,
    table_name character varying(255) NOT NULL,
    table_id integer,
    value character varying(255),
    field_name character varying(255),
    field_type character varying(32) NOT NULL,
    language character varying(3),
    key integer,
    parent_key integer
);


ALTER TABLE public.fields OWNER TO postgres;

--
-- Name: fields_id_seq; Type: SEQUENCE; Schema: public; Owner: postgres
--

CREATE SEQUENCE fields_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;


ALTER TABLE public.fields_id_seq OWNER TO postgres;

--
-- Name: fields_id_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: postgres
--

ALTER SEQUENCE fields_id_seq OWNED BY fields.id;


--
-- Name: migration; Type: TABLE; Schema: public; Owner: postgres; Tablespace: 
--

CREATE TABLE migration (
    version character varying(180) NOT NULL,
    apply_time integer
);


ALTER TABLE public.migration OWNER TO postgres;

--
-- Name: orders; Type: TABLE; Schema: public; Owner: postgres; Tablespace: 
--

CREATE TABLE orders (
    id integer NOT NULL,
    name character varying(255) NOT NULL,
    email character varying(255) NOT NULL,
    phone character varying(32) NOT NULL,
    delivery integer,
    payment integer,
    code character varying(255),
    status smallint,
    created_at integer NOT NULL,
    updated_at integer NOT NULL
);


ALTER TABLE public.orders OWNER TO postgres;

--
-- Name: orders_id_seq; Type: SEQUENCE; Schema: public; Owner: postgres
--

CREATE SEQUENCE orders_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;


ALTER TABLE public.orders_id_seq OWNER TO postgres;

--
-- Name: orders_id_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: postgres
--

ALTER SEQUENCE orders_id_seq OWNED BY orders.id;


--
-- Name: product; Type: TABLE; Schema: public; Owner: postgres; Tablespace: 
--

CREATE TABLE product (
    product_id integer NOT NULL,
    name character varying(255) NOT NULL,
    brand_id integer
);


ALTER TABLE public.product OWNER TO postgres;

--
-- Name: product_category; Type: TABLE; Schema: public; Owner: postgres; Tablespace: 
--

CREATE TABLE product_category (
    product_id integer NOT NULL,
    category_id integer NOT NULL
);


ALTER TABLE public.product_category OWNER TO postgres;

--
-- Name: product_image; Type: TABLE; Schema: public; Owner: postgres; Tablespace: 
--

CREATE TABLE product_image (
    product_image_id integer NOT NULL,
    product_id integer NOT NULL,
    image character varying(255),
    alt character varying(255),
    title character varying(255)
);


ALTER TABLE public.product_image OWNER TO postgres;

--
-- Name: product_product_id_seq; Type: SEQUENCE; Schema: public; Owner: postgres
--

CREATE SEQUENCE product_product_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;


ALTER TABLE public.product_product_id_seq OWNER TO postgres;

--
-- Name: product_product_id_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: postgres
--

ALTER SEQUENCE product_product_id_seq OWNED BY product.product_id;


--
-- Name: product_unit; Type: TABLE; Schema: public; Owner: postgres; Tablespace: 
--

CREATE TABLE product_unit (
    product_unit_id integer NOT NULL,
    name character varying(255) NOT NULL,
    code character varying(50) NOT NULL,
    is_default boolean
);


ALTER TABLE public.product_unit OWNER TO postgres;

--
-- Name: product_unit_product_unit_id_seq; Type: SEQUENCE; Schema: public; Owner: postgres
--

CREATE SEQUENCE product_unit_product_unit_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;


ALTER TABLE public.product_unit_product_unit_id_seq OWNER TO postgres;

--
-- Name: product_unit_product_unit_id_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: postgres
--

ALTER SEQUENCE product_unit_product_unit_id_seq OWNED BY product_unit.product_unit_id;


--
-- Name: product_variant; Type: TABLE; Schema: public; Owner: postgres; Tablespace: 
--

CREATE TABLE product_variant (
    product_variant_id integer NOT NULL,
    product_id integer NOT NULL,
    name character varying(255),
    sku character varying(255) NOT NULL,
    price double precision,
    price_old double precision,
    stock double precision,
    product_unit_id integer
);


ALTER TABLE public.product_variant OWNER TO postgres;

--
-- Name: product_variant_product_variant_id_seq; Type: SEQUENCE; Schema: public; Owner: postgres
--

CREATE SEQUENCE product_variant_product_variant_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;


ALTER TABLE public.product_variant_product_variant_id_seq OWNER TO postgres;

--
-- Name: product_variant_product_variant_id_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: postgres
--

ALTER SEQUENCE product_variant_product_variant_id_seq OWNED BY product_variant.product_variant_id;


--
-- Name: relation; Type: TABLE; Schema: public; Owner: postgres; Tablespace: 
--

CREATE TABLE relation (
    alias character varying(50) NOT NULL,
    entity1_id integer NOT NULL,
    entity2_id integer NOT NULL
);


ALTER TABLE public.relation OWNER TO postgres;

--
-- Name: tax_group; Type: TABLE; Schema: public; Owner: postgres; Tablespace: 
--

CREATE TABLE tax_group (
    tax_group_id integer NOT NULL,
    alias character varying(50) NOT NULL,
    name character varying(255) NOT NULL,
    description text,
    module character varying(50) NOT NULL,
    hierarchical boolean DEFAULT false NOT NULL,
    settings text
);


ALTER TABLE public.tax_group OWNER TO postgres;

--
-- Name: tax_group_tax_group_id_seq; Type: SEQUENCE; Schema: public; Owner: postgres
--

CREATE SEQUENCE tax_group_tax_group_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;


ALTER TABLE public.tax_group_tax_group_id_seq OWNER TO postgres;

--
-- Name: tax_group_tax_group_id_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: postgres
--

ALTER SEQUENCE tax_group_tax_group_id_seq OWNED BY tax_group.tax_group_id;


--
-- Name: tax_group_to_group; Type: TABLE; Schema: public; Owner: postgres; Tablespace: 
--

CREATE TABLE tax_group_to_group (
    tax_group1_id integer NOT NULL,
    tax_group2_id integer NOT NULL,
    alias character varying(50) NOT NULL,
    sort integer
);


ALTER TABLE public.tax_group_to_group OWNER TO postgres;

--
-- Name: tax_option; Type: TABLE; Schema: public; Owner: postgres; Tablespace: 
--

CREATE TABLE tax_option (
    tax_option_id bigint NOT NULL,
    tax_group_id integer NOT NULL,
    parent_id integer DEFAULT 0 NOT NULL,
    depth integer,
    sort integer DEFAULT 0 NOT NULL,
    default_value integer,
    alias character varying(50) DEFAULT ''::character varying NOT NULL,
    path_int integer[]
);


ALTER TABLE public.tax_option OWNER TO postgres;

--
-- Name: tax_option_tax_option_id_seq; Type: SEQUENCE; Schema: public; Owner: postgres
--

CREATE SEQUENCE tax_option_tax_option_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;


ALTER TABLE public.tax_option_tax_option_id_seq OWNER TO postgres;

--
-- Name: tax_option_tax_option_id_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: postgres
--

ALTER SEQUENCE tax_option_tax_option_id_seq OWNED BY tax_option.tax_option_id;


--
-- Name: tax_option_to_group; Type: TABLE; Schema: public; Owner: postgres; Tablespace: 
--

CREATE TABLE tax_option_to_group (
    tax_option_id integer NOT NULL,
    tax_group_id integer NOT NULL,
    alias character varying(50) NOT NULL,
    sort integer
);


ALTER TABLE public.tax_option_to_group OWNER TO postgres;

--
-- Name: tax_option_to_option; Type: TABLE; Schema: public; Owner: postgres; Tablespace: 
--

CREATE TABLE tax_option_to_option (
    tax_option1_id integer NOT NULL,
    tax_option2_id integer NOT NULL,
    alias character varying(50) NOT NULL,
    sort integer
);


ALTER TABLE public.tax_option_to_option OWNER TO postgres;

--
-- Name: tax_value_float; Type: TABLE; Schema: public; Owner: postgres; Tablespace: 
--

CREATE TABLE tax_value_float (
    tax_value_id bigint NOT NULL,
    tax_option_id integer NOT NULL,
    value double precision
);


ALTER TABLE public.tax_value_float OWNER TO postgres;

--
-- Name: tax_value_float_tax_value_id_seq; Type: SEQUENCE; Schema: public; Owner: postgres
--

CREATE SEQUENCE tax_value_float_tax_value_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;


ALTER TABLE public.tax_value_float_tax_value_id_seq OWNER TO postgres;

--
-- Name: tax_value_float_tax_value_id_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: postgres
--

ALTER SEQUENCE tax_value_float_tax_value_id_seq OWNED BY tax_value_float.tax_value_id;


--
-- Name: tax_value_int; Type: TABLE; Schema: public; Owner: postgres; Tablespace: 
--

CREATE TABLE tax_value_int (
    tax_value_id integer NOT NULL,
    tax_option_id integer NOT NULL,
    value integer
);


ALTER TABLE public.tax_value_int OWNER TO postgres;

--
-- Name: tax_value_int_tax_value_id_seq; Type: SEQUENCE; Schema: public; Owner: postgres
--

CREATE SEQUENCE tax_value_int_tax_value_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;


ALTER TABLE public.tax_value_int_tax_value_id_seq OWNER TO postgres;

--
-- Name: tax_value_int_tax_value_id_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: postgres
--

ALTER SEQUENCE tax_value_int_tax_value_id_seq OWNED BY tax_value_int.tax_value_id;


--
-- Name: tax_value_link; Type: TABLE; Schema: public; Owner: postgres; Tablespace: 
--

CREATE TABLE tax_value_link (
    tax_value_id integer NOT NULL,
    tax_option_id integer,
    name character varying(150),
    link character varying(255)
);


ALTER TABLE public.tax_value_link OWNER TO postgres;

--
-- Name: tax_value_link_tax_value_id_seq; Type: SEQUENCE; Schema: public; Owner: postgres
--

CREATE SEQUENCE tax_value_link_tax_value_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;


ALTER TABLE public.tax_value_link_tax_value_id_seq OWNER TO postgres;

--
-- Name: tax_value_link_tax_value_id_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: postgres
--

ALTER SEQUENCE tax_value_link_tax_value_id_seq OWNED BY tax_value_link.tax_value_id;


--
-- Name: tax_value_string; Type: TABLE; Schema: public; Owner: postgres; Tablespace: 
--

CREATE TABLE tax_value_string (
    tax_value_id integer NOT NULL,
    tax_option_id integer NOT NULL,
    value character varying(255)
);


ALTER TABLE public.tax_value_string OWNER TO postgres;

--
-- Name: tax_value_string_tax_value_id_seq; Type: SEQUENCE; Schema: public; Owner: postgres
--

CREATE SEQUENCE tax_value_string_tax_value_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;


ALTER TABLE public.tax_value_string_tax_value_id_seq OWNER TO postgres;

--
-- Name: tax_value_string_tax_value_id_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: postgres
--

ALTER SEQUENCE tax_value_string_tax_value_id_seq OWNED BY tax_value_string.tax_value_id;


--
-- Name: tax_value_text; Type: TABLE; Schema: public; Owner: postgres; Tablespace: 
--

CREATE TABLE tax_value_text (
    tax_value_id integer NOT NULL,
    tax_option_id integer NOT NULL,
    value text
);


ALTER TABLE public.tax_value_text OWNER TO postgres;

--
-- Name: tax_value_text_tax_value_id_seq; Type: SEQUENCE; Schema: public; Owner: postgres
--

CREATE SEQUENCE tax_value_text_tax_value_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;


ALTER TABLE public.tax_value_text_tax_value_id_seq OWNER TO postgres;

--
-- Name: tax_value_text_tax_value_id_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: postgres
--

ALTER SEQUENCE tax_value_text_tax_value_id_seq OWNED BY tax_value_text.tax_value_id;


--
-- Name: user; Type: TABLE; Schema: public; Owner: postgres; Tablespace: 
--

CREATE TABLE "user" (
    id integer NOT NULL,
    username character varying(255) NOT NULL,
    auth_key character varying(32) NOT NULL,
    password_hash character varying(255) NOT NULL,
    password_reset_token character varying(255),
    email character varying(255) NOT NULL,
    status smallint DEFAULT 10 NOT NULL,
    created_at integer NOT NULL,
    updated_at integer NOT NULL
);


ALTER TABLE public."user" OWNER TO postgres;

--
-- Name: user_id_seq; Type: SEQUENCE; Schema: public; Owner: postgres
--

CREATE SEQUENCE user_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;


ALTER TABLE public.user_id_seq OWNER TO postgres;

--
-- Name: user_id_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: postgres
--

ALTER SEQUENCE user_id_seq OWNED BY "user".id;


--
-- Name: blog_id; Type: DEFAULT; Schema: public; Owner: postgres
--

ALTER TABLE ONLY blog ALTER COLUMN blog_id SET DEFAULT nextval('blog_blog_id_seq'::regclass);


--
-- Name: brand_id; Type: DEFAULT; Schema: public; Owner: postgres
--

ALTER TABLE ONLY brand ALTER COLUMN brand_id SET DEFAULT nextval('brand_brand_id_seq'::regclass);


--
-- Name: brand_name_id; Type: DEFAULT; Schema: public; Owner: postgres
--

ALTER TABLE ONLY brand_name ALTER COLUMN brand_name_id SET DEFAULT nextval('brand_name_brand_name_id_seq'::regclass);


--
-- Name: category_id; Type: DEFAULT; Schema: public; Owner: postgres
--

ALTER TABLE ONLY category ALTER COLUMN category_id SET DEFAULT nextval('category_category_id_seq'::regclass);


--
-- Name: category_name_id; Type: DEFAULT; Schema: public; Owner: postgres
--

ALTER TABLE ONLY category_name ALTER COLUMN category_name_id SET DEFAULT nextval('category_name_category_name_id_seq'::regclass);


--
-- Name: id; Type: DEFAULT; Schema: public; Owner: postgres
--

ALTER TABLE ONLY customers ALTER COLUMN id SET DEFAULT nextval('customers_id_seq'::regclass);


--
-- Name: id; Type: DEFAULT; Schema: public; Owner: postgres
--

ALTER TABLE ONLY fields ALTER COLUMN id SET DEFAULT nextval('fields_id_seq'::regclass);


--
-- Name: id; Type: DEFAULT; Schema: public; Owner: postgres
--

ALTER TABLE ONLY orders ALTER COLUMN id SET DEFAULT nextval('orders_id_seq'::regclass);


--
-- Name: product_id; Type: DEFAULT; Schema: public; Owner: postgres
--

ALTER TABLE ONLY product ALTER COLUMN product_id SET DEFAULT nextval('product_product_id_seq'::regclass);


--
-- Name: product_unit_id; Type: DEFAULT; Schema: public; Owner: postgres
--

ALTER TABLE ONLY product_unit ALTER COLUMN product_unit_id SET DEFAULT nextval('product_unit_product_unit_id_seq'::regclass);


--
-- Name: product_variant_id; Type: DEFAULT; Schema: public; Owner: postgres
--

ALTER TABLE ONLY product_variant ALTER COLUMN product_variant_id SET DEFAULT nextval('product_variant_product_variant_id_seq'::regclass);


--
-- Name: tax_group_id; Type: DEFAULT; Schema: public; Owner: postgres
--

ALTER TABLE ONLY tax_group ALTER COLUMN tax_group_id SET DEFAULT nextval('tax_group_tax_group_id_seq'::regclass);


--
-- Name: tax_option_id; Type: DEFAULT; Schema: public; Owner: postgres
--

ALTER TABLE ONLY tax_option ALTER COLUMN tax_option_id SET DEFAULT nextval('tax_option_tax_option_id_seq'::regclass);


--
-- Name: tax_value_id; Type: DEFAULT; Schema: public; Owner: postgres
--

ALTER TABLE ONLY tax_value_float ALTER COLUMN tax_value_id SET DEFAULT nextval('tax_value_float_tax_value_id_seq'::regclass);


--
-- Name: tax_value_id; Type: DEFAULT; Schema: public; Owner: postgres
--

ALTER TABLE ONLY tax_value_int ALTER COLUMN tax_value_id SET DEFAULT nextval('tax_value_int_tax_value_id_seq'::regclass);


--
-- Name: tax_value_id; Type: DEFAULT; Schema: public; Owner: postgres
--

ALTER TABLE ONLY tax_value_link ALTER COLUMN tax_value_id SET DEFAULT nextval('tax_value_link_tax_value_id_seq'::regclass);


--
-- Name: tax_value_id; Type: DEFAULT; Schema: public; Owner: postgres
--

ALTER TABLE ONLY tax_value_string ALTER COLUMN tax_value_id SET DEFAULT nextval('tax_value_string_tax_value_id_seq'::regclass);


--
-- Name: tax_value_id; Type: DEFAULT; Schema: public; Owner: postgres
--

ALTER TABLE ONLY tax_value_text ALTER COLUMN tax_value_id SET DEFAULT nextval('tax_value_text_tax_value_id_seq'::regclass);


--
-- Name: id; Type: DEFAULT; Schema: public; Owner: postgres
--

ALTER TABLE ONLY "user" ALTER COLUMN id SET DEFAULT nextval('user_id_seq'::regclass);


--
-- Data for Name: blog; Type: TABLE DATA; Schema: public; Owner: postgres
--

COPY blog (blog_id, user_id, name, link, date_add, user_add_id, view_count, description, cover) FROM stdin;
\.


--
-- Name: blog_blog_id_seq; Type: SEQUENCE SET; Schema: public; Owner: postgres
--

SELECT pg_catalog.setval('blog_blog_id_seq', 1, true);


--
-- Data for Name: brand; Type: TABLE DATA; Schema: public; Owner: postgres
--

COPY brand (brand_id, brand_name_id, alias, image, meta_title, meta_desc, meta_robots, seo_text) FROM stdin;
1	1	tikkurila	/storage/user_1/85dd6c68f6aceb9deaca0b1ab8a5f766579/102x57.jpg				
2	2	kolorit	/storage/user_1/7254d336ad91f60fd4ee3b2c0ea040ae662/102x57.jpg				
3	3	ruukki	/storage/user_1/31f6fdf9b196aefd32dcdd6eb2ee44e5883/102x57.jpg				
4	4	ceresit	/storage/user_1/121b9dc02858440415ecb459e673b466272/102x57.jpg				
5	5	knauf	/storage/user_1/7626ac0126f9384ddfe4f26012b9c536404/102x57.jpg				
6	6	triora	/storage/user_1/8423603570b95d28f5bb4e7a600ac079672/102x57.jpg				
\.


--
-- Name: brand_brand_id_seq; Type: SEQUENCE SET; Schema: public; Owner: postgres
--

SELECT pg_catalog.setval('brand_brand_id_seq', 6, true);


--
-- Data for Name: brand_name; Type: TABLE DATA; Schema: public; Owner: postgres
--

COPY brand_name (brand_name_id, brand_id, value) FROM stdin;
2	2	KOLORIT
1	1	Tikkurila
3	3	Ruukki
4	4	Ceresit
5	5	Knauf
6	6	Triora
\.


--
-- Name: brand_name_brand_name_id_seq; Type: SEQUENCE SET; Schema: public; Owner: postgres
--

SELECT pg_catalog.setval('brand_name_brand_name_id_seq', 6, true);


--
-- Data for Name: category; Type: TABLE DATA; Schema: public; Owner: postgres
--

COPY category (category_id, parent_id, path, depth, image, meta_title, meta_desc, meta_robots, seo_text, category_name_id, product_unit_id, alias, populary) FROM stdin;
49	45	{45,49}	1						23	\N	germetizacia-i-skleivanie	f
50	45	{45,50}	1						24	\N	stroitelnye-smesi	f
74	47	{45,47,74}	2						48	\N	bloki	f
51	45	{45,51}	1						25	\N	izolacionnye-materialy	f
52	45	{45,52}	1						26	\N	stroitelnoe-oborudovanie	f
97	50	{45,50,97}	2						71	\N	gidroizolacia	f
53	45	{45,53}	1						27	\N	peregorodki-i-potolki	f
75	47	{45,47,75}	2						49	\N	pilomaterialy	f
54	45	{45,54}	1						28	\N	vnutrennaa-i-vnesnaa-otdelka	f
55	45	{45,55}	1						29	\N	sistemy-vodostokov-i-kanalizacii	f
89	49	{45,49,89}	2						63	\N	rashodnye-materialy	f
56	45	{45,56}	1						30	\N	lakokrasocnaa-produkcia	f
76	47	{45,47,76}	2						50	\N	drevesno-plitnye-materialy	f
57	45	{45,57}	1						31	\N	instrumenty-i-krepezi	f
58	0	{58}	0						32	\N	sad-ogorod	f
59	58	{58,59}	1						33	\N	poliv	f
77	47	{45,47,77}	2						51	\N	metalloprokat	f
60	58	{58,60}	1						34	\N	sadovij-inventar	f
61	58	{58,61}	1						35	\N	gorski	f
62	58	{58,62}	1						36	\N	teplicy	f
45	0	{45}	0						19	\N	stroitelnye-materialy	f
78	47	{45,47,78}	2						52	\N	plitka-trotuarnaa	f
63	58	{58,63}	1						37	\N	sadovyj-interer	f
47	45	{45,47}	1						21	\N	obsestroitelnye-materialy	f
48	45	{45,48}	1						22	\N	krovelnye-materialy	f
90	49	{45,49,90}	2						64	\N	pistolety	f
79	47	{45,47,79}	2						53	\N	soputstvuusie-materialy	f
66	46	{45,46,66}	2						40	\N	truby-asbestocementnye	f
67	46	{45,46,67}	2						41	\N	truby-zelezobetonnye	f
68	46	{45,46,68}	2						42	\N	peremycki	f
69	46	{45,46,69}	2						43	\N	plity-perekrytia	f
70	46	{45,46,70}	2						44	\N	fundamentnye-bloki	f
71	46	{45,46,71}	2						45	\N	lotki	f
81	48	{45,48,81}	2						55	\N	bitumnaa-cerepica	f
72	46	{45,46,72}	2						46	\N	plity-trotuarnye	f
73	47	{45,47,73}	2						47	\N	kirpic	f
91	49	{45,49,91}	2						65	\N	uplotniteli	f
82	48	{45,48,82}	2						56	\N	ruberoid	f
83	48	{45,48,83}	2						57	\N	metalliceskaa-krovla	f
98	50	{45,50,98}	2						72	\N	ogneupornye-smesi	f
84	48	{45,48,84}	2						58	\N	polikarbonat	f
92	50	{45,50,92}	2						66	\N	kladocnye-i-montaznye-smesi	f
85	48	{45,48,85}	2						59	\N	aksesuary-dla-krovli	f
86	49	{45,49,86}	2						60	\N	germetiki	f
87	49	{45,49,87}	2						61	\N	peny	f
93	50	{45,50,93}	2						67	\N	smesi-dla-sistem-uteplenia	f
88	49	{45,49,88}	2						62	\N	klei	f
94	50	{45,50,94}	2						68	\N	klei-dla-plitki	f
99	50	{45,50,99}	2						73	\N	gruntovki	f
95	50	{45,50,95}	2						69	\N	smesi-dla-pola	f
96	50	{45,50,96}	2						70	\N	stukaturki-i-spaklevki	f
100	50	{45,50,100}	2						74	\N	cement	f
101	50	{45,50,101}	2						75	\N	dobavki	f
102	50	{45,50,102}	2						76	\N	materialy-obsego-naznacenia	f
104	51	{45,51,104}	2						78	\N	steklovata	f
80	48	{45,48,80}	2						54	\N	bitumnye-listy	t
107	51	{45,51,107}	2						81	\N	vspenennaa-izolacia	f
65	46	{45,46,65}	2						39	\N	kolodcy	t
105	51	{45,51,105}	2						79	\N	penoplast	f
103	51	{45,51,103}	2						77	\N	bazaltovaa-vata	f
106	51	{45,51,106}	2						80	\N	penopolistirol	f
108	51	{45,51,108}	2						82	\N	paro-i-gidroizolacia	f
109	51	{45,51,109}	2						83	\N	bitumnaa-gidroizolacia	f
64	58	{58,64}	1						38	\N	aksessuary	f
110	51	{45,51,110}	2						84	\N	aksesuary-dla-izolacii	f
111	52	{45,52,111}	2						85	\N	lestnicy	f
112	52	{45,52,112}	2						86	\N	betonomesalki	f
113	52	{45,52,113}	2						87	\N	tacki	f
114	52	{45,52,114}	2						88	\N	opalubka	f
46	45	{45,46}	1						20	\N	betonnye-izdelia	f
\.


--
-- Name: category_category_id_seq; Type: SEQUENCE SET; Schema: public; Owner: postgres
--

SELECT pg_catalog.setval('category_category_id_seq', 115, true);


--
-- Data for Name: category_name; Type: TABLE DATA; Schema: public; Owner: postgres
--

COPY category_name (category_name_id, category_id, value) FROM stdin;
19	45	Строительные материалы
21	47	Общестроительные материалы
22	48	Кровельные материалы
23	49	Герметизация и склеивание
24	50	Строительные смеси
25	51	Изоляционные материалы
26	52	Строительное оборудование
27	53	Перегородки и потолки
28	54	Внутренняя и внешняя отделка
29	55	Системы водостоков и канализации
30	56	Лакокрасочная продукция
31	57	Инструменты и крепежи
32	58	Сад - огород
33	59	Полив
34	60	Садовий инвентарь
35	61	Горшки
36	62	Теплицы
37	63	Садовый интерьер
39	65	Колодцы
40	66	Трубы асбестоцементные
41	67	Трубы железобетонные
42	68	Перемычки 
43	69	Плиты перекрытия
44	70	Фундаментные блоки
45	71	Лотки
46	72	Плиты тротуарные
47	73	Кирпич
48	74	Блоки
49	75	Пиломатериалы
50	76	Древесно-плитные материалы
51	77	Металлопрокат
52	78	Плитка тротуарная
53	79	Сопутствующие материалы
54	80	Битумные листы
55	81	Битумная черепица
56	82	Рубероид
57	83	Металлическая кровля
58	84	Поликарбонат
59	85	Аксесуары для кровли
60	86	Герметики
61	87	Пены
62	88	Клеи
63	89	Расходные материалы
64	90	Пистолеты
65	91	Уплотнители
66	92	Кладочные и монтажные смеси
67	93	Смеси для систем утепления
68	94	Клеи для плитки
69	95	Смеси для пола
70	96	Штукатурки и шпаклевки
71	97	Гидроизоляция
72	98	Огнеупорные смеси
73	99	Грунтовки
74	100	Цемент
75	101	Добавки
76	102	Материалы общего назначения
77	103	Базальтовая вата
78	104	Стекловата
79	105	Пенопласт
80	106	Пенополистирол
81	107	Вспененная изоляция
82	108	Паро- и гидроизоляция
83	109	Битумная гидроизоляция
84	110	Аксесуары для изоляции
38	64	Аксессуары
85	111	Лестницы
86	112	Бетономешалки
87	113	Тачки
88	114	Опалубка
20	46	Бетонные изделия
\.


--
-- Name: category_name_category_name_id_seq; Type: SEQUENCE SET; Schema: public; Owner: postgres
--

SELECT pg_catalog.setval('category_name_category_name_id_seq', 89, true);


--
-- Data for Name: customers; Type: TABLE DATA; Schema: public; Owner: postgres
--

COPY customers (id, username, surname, auth_key, password_hash, password_reset_token, email, phone, status, created_at, updated_at) FROM stdin;
\.


--
-- Name: customers_id_seq; Type: SEQUENCE SET; Schema: public; Owner: postgres
--

SELECT pg_catalog.setval('customers_id_seq', 1, false);


--
-- Data for Name: fields; Type: TABLE DATA; Schema: public; Owner: postgres
--

COPY fields (id, table_name, table_id, value, field_name, field_type, language, key, parent_key) FROM stdin;
\.


--
-- Name: fields_id_seq; Type: SEQUENCE SET; Schema: public; Owner: postgres
--

SELECT pg_catalog.setval('fields_id_seq', 1, false);


--
-- Data for Name: migration; Type: TABLE DATA; Schema: public; Owner: postgres
--

COPY migration (version, apply_time) FROM stdin;
m000000_000000_base	1457061861
m130524_201442_init	1457061869
m160128_101543_fields	1457061869
m160208_111900_blog	1457061870
m160304_054017_realtion	1457074638
m160126_071717_rubrication	1458242989
m160320_174258_customer	1458644386
m160321_232402_orders	1458644386
m160304_065108_product	1458658412
m160323_042529_brand	1458707541
m160323_234304_product_image	1458778506
\.


--
-- Data for Name: orders; Type: TABLE DATA; Schema: public; Owner: postgres
--

COPY orders (id, name, email, phone, delivery, payment, code, status, created_at, updated_at) FROM stdin;
\.


--
-- Name: orders_id_seq; Type: SEQUENCE SET; Schema: public; Owner: postgres
--

SELECT pg_catalog.setval('orders_id_seq', 1, false);


--
-- Data for Name: product; Type: TABLE DATA; Schema: public; Owner: postgres
--

COPY product (product_id, name, brand_id) FROM stdin;
92	Test 56f35eb6a1908	2
93	Test 56f35eb6a5d78	1
94	Test 56f35eb6a9c17	4
95	Test 56f35eb6acaab	3
96	Test 56f35eb6aff17	3
97	Test 56f35eb6b2e15	4
98	Test 56f35eb6b5f28	2
99	Test 56f35eb6ba543	5
100	Test 56f35eb6be78f	6
101	Test 56f35eb6c16e8	4
102	Test 56f35eb6cee73	1
103	Test 56f35eb6d40b7	2
104	Test 56f35eb6d97cd	6
105	Test 56f35eb6dce5e	1
106	Test 56f35eb6e34b0	1
107	Test 56f35eb6e6b7e	6
108	Test 56f35eb6ea51b	1
109	Test 56f35eb6edbd3	5
110	Test 56f35eb6f11ab	1
111	Test 56f35eb702705	6
112	Test 56f35eb7064cd	2
113	Test 56f35eb70acbf	6
114	Test 56f35eb70e688	3
115	Test 56f35eb712306	1
116	Test 56f35eb715852	5
117	Test 56f35eb71885b	5
118	Test 56f35eb71b653	3
119	Test 56f35eb71ebdf	6
120	Test 56f35eb7229ee	1
121	Test 56f35eb725c53	2
122	Test 56f35eb72b1e0	5
123	Test 56f35eb72eba7	4
124	Test 56f35eb732c2d	5
125	Test 56f35eb736272	5
126	Test 56f35eb7399ea	1
127	Test 56f35eb73cb66	4
128	Test 56f35eb744faa	2
129	Test 56f35eb748a00	2
8	Кирпич тестовый	3
9	efssdfsdfsdf	3
12	Test 56f35e70adaa2	6
13	Test 56f35e70c5846	2
14	Test 56f35e70c93f6	6
15	Test 56f35eb53a419	4
16	Test 56f35eb54bc7e	2
17	Test 56f35eb54f816	1
18	Test 56f35eb552e08	4
19	Test 56f35eb55980d	6
20	Test 56f35eb55ce92	5
21	Test 56f35eb561d5f	2
22	Test 56f35eb567de9	2
23	Test 56f35eb56af05	4
24	Test 56f35eb56e17a	6
25	Test 56f35eb57b16c	2
26	Test 56f35eb582047	5
27	Test 56f35eb5861e4	2
28	Test 56f35eb58a166	1
29	Test 56f35eb58df77	3
30	Test 56f35eb59192c	1
31	Test 56f35eb594cb4	5
32	Test 56f35eb59818a	2
33	Test 56f35eb59c214	2
34	Test 56f35eb5a210c	2
35	Test 56f35eb5ae372	2
36	Test 56f35eb5b1d3d	3
37	Test 56f35eb5b53ff	3
38	Test 56f35eb5b8dce	1
39	Test 56f35eb5bbf05	5
40	Test 56f35eb5c0fcd	4
41	Test 56f35eb5c4229	6
42	Test 56f35eb5c9528	1
43	Test 56f35eb5cc7f0	3
44	Test 56f35eb5cf73d	5
45	Test 56f35eb5d263b	5
46	Test 56f35eb5d5b74	5
47	Test 56f35eb5d8b9f	4
48	Test 56f35eb5dbfba	6
49	Test 56f35eb5e275a	5
50	Test 56f35eb5e607d	6
51	Test 56f35eb5e8f66	5
52	Test 56f35eb5ee338	1
53	Test 56f35eb5f181e	2
54	Test 56f35eb600464	2
55	Test 56f35eb603159	1
56	Test 56f35eb60a118	3
57	Test 56f35eb60d34f	6
58	Test 56f35eb612235	1
59	Test 56f35eb6152ee	1
60	Test 56f35eb61a589	1
61	Test 56f35eb61d622	6
62	Test 56f35eb620c41	3
63	Test 56f35eb6243b6	1
64	Test 56f35eb627f31	6
65	Test 56f35eb62b6c8	3
66	Test 56f35eb6329b5	1
67	Test 56f35eb6359b8	1
68	Test 56f35eb638d76	4
69	Test 56f35eb63e6dc	2
70	Test 56f35eb641e64	1
71	Test 56f35eb6454f6	2
72	Test 56f35eb648a67	1
73	Test 56f35eb64daa3	6
74	Test 56f35eb652780	6
75	Test 56f35eb6592d7	5
76	Test 56f35eb65cc5f	2
77	Test 56f35eb6603d8	5
78	Test 56f35eb663717	5
79	Test 56f35eb666c11	2
80	Test 56f35eb66a91a	6
81	Test 56f35eb66de26	3
82	Test 56f35eb6726a5	3
83	Test 56f35eb676f63	5
84	Test 56f35eb67a219	4
85	Test 56f35eb67d723	2
86	Test 56f35eb68509a	5
87	Test 56f35eb688933	5
88	Test 56f35eb68bd4f	6
89	Test 56f35eb692fba	2
90	Test 56f35eb69639d	2
91	Test 56f35eb6998c5	5
130	Test 56f35eb74bade	2
131	Test 56f35eb750b62	5
132	Test 56f35eb757f60	1
133	Test 56f35eb75d195	5
134	Test 56f35eb76065c	1
135	Test 56f35eb7633ec	1
136	Test 56f35eb766fc4	4
137	Test 56f35eb769fcc	4
138	Test 56f35eb76ee8a	2
139	Test 56f35eb77231c	6
140	Test 56f35eb775a2b	4
141	Test 56f35eb778c14	5
142	Test 56f35eb77bdb8	1
143	Test 56f35eb783924	2
144	Test 56f35eb78685b	6
145	Test 56f35eb789ddf	6
146	Test 56f35eb78cea1	4
147	Test 56f35eb793174	4
148	Test 56f35eb7961aa	3
149	Test 56f35eb79b1fb	6
150	Test 56f35eb79e58c	6
151	Test 56f35eb7a363d	3
152	Test 56f35eb7a71e4	6
153	Test 56f35eb7aab3f	2
154	Test 56f35eb7adaa8	6
155	Test 56f35eb7b11bd	3
156	Test 56f35eb7b3e06	5
157	Test 56f35eb7b7261	5
158	Test 56f35eb7ba4e7	5
159	Test 56f35eb7bf798	6
160	Test 56f35eb7c288d	1
161	Test 56f35eb7c5e7f	1
162	Test 56f35eb7c9225	3
163	Test 56f35eb7ce2bb	1
164	Test 56f35eb7d35c8	1
165	Test 56f35eb7d686b	2
166	Test 56f35eb7d953b	4
167	Test 56f35eb7e1506	4
168	Test 56f35eb7e4859	4
169	Test 56f35eb7e7730	2
170	Test 56f35eb7eaf3d	5
171	Test 56f35eb7ee008	3
172	Test 56f35eb7f117b	1
173	Test 56f35eb801544	1
174	Test 56f35eb804875	6
175	Test 56f35eb80be82	1
176	Test 56f35eb80f0c0	2
177	Test 56f35eb813b6a	3
178	Test 56f35eb816b22	5
179	Test 56f35eb819ac5	5
180	Test 56f35eb81e01e	3
181	Test 56f35eb82bd83	6
182	Test 56f35eb831e5b	6
183	Test 56f35eb8361f2	4
184	Test 56f35eb852137	5
185	Test 56f35eb8968a4	2
186	Test 56f35eb89bc40	6
187	Test 56f35eb8a0dcb	3
188	Test 56f35eb8a4882	2
189	Test 56f35eb8a85d1	1
190	Test 56f35eb8abd01	5
191	Test 56f35eb8af6a3	2
192	Test 56f35eb8b2a1a	6
193	Test 56f35eb8b6095	5
194	Test 56f35eb8b91f7	1
195	Test 56f35eb8bc2e8	1
196	Test 56f35eb8bf9f9	4
197	Test 56f35eb8c26e9	6
198	Test 56f35eb8c5799	2
199	Test 56f35eb8cca89	3
200	Test 56f35eb8cfea0	5
201	Test 56f35eb8d31ec	6
202	Test 56f35eb8d668f	6
203	Test 56f35eb8d9972	4
204	Test 56f35eb8dcf1b	2
205	Test 56f35eb8e54b8	3
206	Test 56f35eb8eacbf	3
207	Test 56f35eb8edf77	6
208	Test 56f35eb8f131f	2
209	Test 56f35eb900586	2
210	Test 56f35eb906265	5
211	Test 56f35eb90ad5a	3
212	Test 56f35eb90e6cc	2
213	Test 56f35eb911845	4
214	Test 56f35eb914c67	1
215	Test 56f35eb91b46c	1
216	Test 56f35eb91e283	4
217	Test 56f35eb921199	6
218	Test 56f35eb92453b	5
219	Test 56f35eb927341	4
220	Test 56f35eb92a706	3
221	Test 56f35eb92d4c1	2
222	Test 56f35eb936da9	2
223	Test 56f35eb93c6e5	5
224	Test 56f35eb93fddc	1
225	Test 56f35eb942fd3	3
226	Test 56f35eb9462a8	1
227	Test 56f35eb94adbb	2
228	Test 56f35eb94db77	5
229	Test 56f35eb9531b5	3
230	Test 56f35eb9565d7	3
231	Test 56f35eb9595d4	5
232	Test 56f35eb95c4c3	1
233	Test 56f35eb95f792	5
234	Test 56f35eb962ace	2
235	Test 56f35eb965c35	6
236	Test 56f35eb96afca	6
237	Test 56f35eb96e65e	2
238	Test 56f35eb971639	4
239	Test 56f35eb9747c4	4
240	Test 56f35eb977d6e	6
241	Test 56f35eb97af3d	1
242	Test 56f35eb97deb2	6
243	Test 56f35eb980e2e	3
244	Test 56f35eb989b06	3
245	Test 56f35eb98cd20	2
246	Test 56f35eb98ffe1	6
247	Test 56f35eb998790	5
248	Test 56f35eb99d2fa	5
249	Test 56f35eb9a11d1	5
250	Test 56f35eb9a42c3	1
251	Test 56f35eb9abeff	6
252	Test 56f35eb9b09dc	6
253	Test 56f35eb9b76e7	5
254	Test 56f35eb9c767d	2
255	Test 56f35eb9d01ec	4
256	Test 56f35eb9d7c12	1
257	Test 56f35eb9def3f	5
258	Test 56f35eb9e3f6e	2
259	Test 56f35eb9e7c99	6
260	Test 56f35eb9ebf1b	5
261	Test 56f35eb9efeee	2
262	Test 56f35eba0820b	6
263	Test 56f35eba0fc44	3
264	Test 56f35eba17f80	5
265	Test 56f35eba1e40e	3
266	Test 56f35eba215a8	5
267	Test 56f35eba248f5	1
268	Test 56f35eba277fc	1
269	Test 56f35eba2ad99	2
270	Test 56f35eba2e347	2
271	Test 56f35eba31e8a	1
272	Test 56f35eba3552f	2
273	Test 56f35eba3957a	4
274	Test 56f35eba3c7b5	1
275	Test 56f35eba3faa5	3
276	Test 56f35eba46447	5
277	Test 56f35eba497e7	4
278	Test 56f35eba4ce8f	3
279	Test 56f35eba50736	5
280	Test 56f35eba53663	4
281	Test 56f35eba5681b	3
282	Test 56f35eba624e5	3
283	Test 56f35eba65888	3
284	Test 56f35eba6a446	6
285	Test 56f35eba6e090	4
286	Test 56f35eba71249	4
287	Test 56f35eba74977	2
288	Test 56f35eba779cd	2
289	Test 56f35eba7af74	5
290	Test 56f35eba7e0a8	2
291	Test 56f35eba80f05	5
292	Test 56f35eba84504	3
293	Test 56f35eba87226	2
294	Test 56f35eba8a5e1	3
295	Test 56f35eba9245f	5
296	Test 56f35eba9587b	3
297	Test 56f35eba99cea	5
298	Test 56f35eba9d3ab	4
299	Test 56f35ebaa26e7	6
300	Test 56f35ebaa63a7	3
301	Test 56f35ebaa9688	1
302	Test 56f35ebaacbe2	6
303	Test 56f35ebab043a	5
304	Test 56f35ebab34a7	5
305	Test 56f35ebabbed0	3
306	Test 56f35ebac078b	4
307	Test 56f35ebac3ed9	4
308	Test 56f35ebac7aae	4
309	Test 56f35ebaccfea	1
310	Test 56f35ebad1026	4
311	Test 56f35ebad5161	2
312	Test 56f35ebad93ba	1
313	Test 56f35ebadd611	6
314	Test 56f35ebae0f27	5
315	Test 56f35ebae63a5	2
316	Test 56f35ebaeac55	5
317	Test 56f35ebaef8b6	1
318	Test 56f35ebaf3448	6
319	Test 56f35ebb03267	3
320	Test 56f35ebb06d0a	2
321	Test 56f35ebb17f5f	1
322	Test 56f35ebb1c994	5
323	Test 56f35ebb200e6	4
324	Test 56f35ebb23578	6
325	Test 56f35ebb2b3fc	4
326	Test 56f35ebb2ed89	6
327	Test 56f35ebb32999	2
328	Test 56f35ebb36bad	2
329	Test 56f35ebb3ab22	1
330	Test 56f35ebb3e715	4
331	Test 56f35ebb41ec4	1
332	Test 56f35ebb452a4	3
333	Test 56f35ebb48de1	1
334	Test 56f35ebb4c160	2
335	Test 56f35ebb4f5c9	3
336	Test 56f35ebb527f4	3
337	Test 56f35ebb562e9	6
338	Test 56f35ebb59ac5	5
339	Test 56f35ebb5dbee	3
340	Test 56f35ebb61349	3
341	Test 56f35ebb64633	2
342	Test 56f35ebb67a25	2
343	Test 56f35ebb6b1c2	3
344	Test 56f35ebb6e44b	6
345	Test 56f35ebb73918	1
346	Test 56f35ebb76d14	4
347	Test 56f35ebb7a782	5
348	Test 56f35ebb7de50	6
349	Test 56f35ebb810b5	3
350	Test 56f35ebb840cc	5
351	Test 56f35ebb873c8	3
352	Test 56f35ebb8a4d6	4
353	Test 56f35ebb8db18	6
354	Test 56f35ebb91526	2
355	Test 56f35ebb951f5	5
356	Test 56f35ebb9877d	5
357	Test 56f35ebb9babd	1
358	Test 56f35ebb9f90d	4
359	Test 56f35ebbae8d8	5
360	Test 56f35ebbb2350	6
361	Test 56f35ebbb59b8	6
362	Test 56f35ebbb9152	4
363	Test 56f35ebbbc291	4
364	Test 56f35ebbbf123	5
365	Test 56f35ebbc210f	5
366	Test 56f35ebbd0c1c	4
367	Test 56f35ebbd4f79	2
368	Test 56f35ebbd90b9	6
369	Test 56f35ebbdcdd2	4
370	Test 56f35ebbdfd96	3
371	Test 56f35ebbe2f39	2
372	Test 56f35ebbe5ded	6
373	Test 56f35ebbe94ad	1
374	Test 56f35ebbec2f8	5
375	Test 56f35ebbef520	1
376	Test 56f35ebbf28ec	2
377	Test 56f35ebc07895	5
378	Test 56f35ebc0aca0	3
379	Test 56f35ebc0e266	3
380	Test 56f35ebc118a7	6
381	Test 56f35ebc14bc2	3
382	Test 56f35ebc17cda	2
383	Test 56f35ebc1b454	5
384	Test 56f35ebc1e8c6	3
385	Test 56f35ebc220c6	1
386	Test 56f35ebc256b5	3
387	Test 56f35ebc28b6d	1
388	Test 56f35ebc2c33f	3
389	Test 56f35ebc300cc	2
390	Test 56f35ebc341de	3
391	Test 56f35ebc375b8	4
392	Test 56f35ebc3a6ca	5
393	Test 56f35ebc3d96b	6
394	Test 56f35ebc40d31	1
395	Test 56f35ebc4438b	4
396	Test 56f35ebc4769b	1
397	Test 56f35ebc4a8cc	3
398	Test 56f35ebc59818	1
399	Test 56f35ebc61bb9	3
400	Test 56f35ebc6a21f	3
401	Test 56f35ebc6d896	6
402	Test 56f35ebc71401	5
403	Test 56f35ebc7533c	2
404	Test 56f35ebc7c5ae	2
405	Test 56f35ebc80549	1
406	Test 56f35ebc83c11	4
407	Test 56f35ebc8737b	6
408	Test 56f35ebc8abef	1
409	Test 56f35ebc8e30d	3
410	Test 56f35ebc9ac62	5
411	Test 56f35ebca4c31	6
412	Test 56f35ebca8b6e	6
413	Test 56f35ebcac98a	5
414	Test 56f35ebcb078b	2
415	Test 56f35ebcb41ff	1
416	Test 56f35ebcb7f7d	6
417	Test 56f35ebcbc180	2
418	Test 56f35ebcc03eb	6
419	Test 56f35ebcc3e6d	2
420	Test 56f35ebcc80cf	3
421	Test 56f35ebccbc0c	2
422	Test 56f35ebccfc31	3
423	Test 56f35ebcd3670	4
424	Test 56f35ebcd6feb	5
425	Test 56f35ebcdccc8	5
426	Test 56f35ebce097b	1
427	Test 56f35ebce4236	6
428	Test 56f35ebce7d25	3
429	Test 56f35ebceb2fd	3
430	Test 56f35ebceedbd	6
431	Test 56f35ebcf2fe3	5
432	Test 56f35ebd03119	5
433	Test 56f35ebd06ac5	2
434	Test 56f35ebd09ca5	3
435	Test 56f35ebd0ec68	4
436	Test 56f35ebd284b8	3
437	Test 56f35ebd2ba37	1
438	Test 56f35ebd32f73	4
439	Test 56f35ebd3615c	3
440	Test 56f35ebd3d062	5
441	Test 56f35ebd4747b	6
442	Test 56f35ebd4c8e9	3
443	Test 56f35ebd576d2	3
444	Test 56f35ebd5be7c	6
445	Test 56f35ebd625b9	6
446	Test 56f35ebd6b928	2
447	Test 56f35ebd6feed	3
448	Test 56f35ebd73811	2
449	Test 56f35ebd76d81	5
450	Test 56f35ebd79fd6	1
451	Test 56f35ebd81739	5
452	Test 56f35ebd90869	1
453	Test 56f35ebd95a8a	3
454	Test 56f35ebd998be	5
455	Test 56f35ebd9d76b	4
456	Test 56f35ebda3b2d	4
457	Test 56f35ebda7374	1
458	Test 56f35ebdab44f	1
459	Test 56f35ebdae47b	2
460	Test 56f35ebdb56cd	4
461	Test 56f35ebdb8dca	2
462	Test 56f35ebdbc19d	6
463	Test 56f35ebdbf609	1
464	Test 56f35ebdc58bb	1
465	Test 56f35ebdc8b5c	4
466	Test 56f35ebdcd8bc	4
467	Test 56f35ebdd3fa9	6
468	Test 56f35ebdd9b24	3
469	Test 56f35ebddccc5	2
470	Test 56f35ebde001c	4
471	Test 56f35ebde323f	2
472	Test 56f35ebde9cd0	2
473	Test 56f35ebded27d	2
474	Test 56f35ebdf08d3	4
475	Test 56f35ebe1b02c	3
476	Test 56f35ebe1eef1	1
477	Test 56f35ebe25d7d	2
478	Test 56f35ebe291bd	6
479	Test 56f35ebe2d2c5	6
480	Test 56f35ebe30505	6
481	Test 56f35ebe33970	5
482	Test 56f35ebe371b8	1
483	Test 56f35ebe3feca	2
484	Test 56f35ebe43b1c	3
485	Test 56f35ebe46da7	5
486	Test 56f35ebe4aa48	2
487	Test 56f35ebe5066e	6
488	Test 56f35ebe5386a	4
489	Test 56f35ebe56767	6
490	Test 56f35ebe5a1da	6
491	Test 56f35ebe603ed	5
492	Test 56f35ebe6367c	2
493	Test 56f35ebe66ef8	1
494	Test 56f35ebe69fa9	2
495	Test 56f35ebe6d30c	1
496	Test 56f35ebe72102	5
497	Test 56f35ebe75322	1
498	Test 56f35ebe7848b	5
499	Test 56f35ebe7bbf0	5
500	Test 56f35ebe7f0a0	1
501	Test 56f35ebe81f58	1
502	Test 56f35ebe879e2	3
503	Test 56f35ebe8f97d	6
504	Test 56f35ebe9395c	4
505	Test 56f35ebe9747e	3
506	Test 56f35ebe9ab83	6
507	Test 56f35ebea1ad8	1
508	Test 56f35ebea4cb5	6
509	Test 56f35ebea8664	2
510	Test 56f35ebeae6fa	2
511	Test 56f35ebeb1d25	2
512	Test 56f35ebeb5732	3
513	Test 56f35ebec6461	2
514	Test 56f35ebeca067	5
515	Test 56f35ebecde13	3
516	Test 56f35ebed2bb3	6
517	Test 56f35ebed705f	4
518	Test 56f35ebedcd78	4
519	Test 56f35ebee0d0b	6
520	Test 56f35ebee4e9e	1
521	Test 56f35ebee8123	2
522	Test 56f35ebeeb920	5
523	Test 56f35ebf12f34	3
524	Test 56f35ebf18b86	6
525	Test 56f35ebf1ddf6	3
526	Test 56f35ebf247a1	6
527	Test 56f35ebf28734	6
528	Test 56f35ebf30468	6
529	Test 56f35ebf37803	5
530	Test 56f35ebf3e2e1	3
531	Test 56f35ebf44714	2
532	Test 56f35ebf4a3f6	6
533	Test 56f35ebf4ed45	1
534	Test 56f35ebf566a6	5
535	Test 56f35ebf5d3ac	1
536	Test 56f35ebf63084	5
537	Test 56f35ebf66f71	5
538	Test 56f35ebf6a365	6
539	Test 56f35ebf6df95	5
540	Test 56f35ebf71435	4
541	Test 56f35ebf754cd	6
542	Test 56f35ebf78d43	3
543	Test 56f35ebf7ce57	1
544	Test 56f35ebf81391	1
545	Test 56f35ebf8789c	3
546	Test 56f35ebf8d6e2	6
547	Test 56f35ebf915e3	1
548	Test 56f35ebf94e69	3
549	Test 56f35ebf9839c	3
550	Test 56f35ebf9bf3f	5
551	Test 56f35ebf9f672	3
552	Test 56f35ebfc543d	2
553	Test 56f35ebfc99de	4
554	Test 56f35ebfd5e13	2
555	Test 56f35ebfda2f8	1
556	Test 56f35ebfe0044	4
557	Test 56f35ebfe5cde	3
558	Test 56f35ebfe97e2	3
559	Test 56f35ebfecbef	1
560	Test 56f35ebff0211	5
561	Test 56f35ec0009a2	2
562	Test 56f35ec00e9df	3
563	Test 56f35ec01224e	2
564	Test 56f35ec0180cf	4
565	Test 56f35ec01ed1d	3
566	Test 56f35ec02468a	5
567	Test 56f35ec02b133	3
568	Test 56f35ec02e8f7	4
569	Test 56f35ec03229a	6
570	Test 56f35ec035f8b	3
571	Test 56f35ec03c0b4	1
572	Test 56f35ec040151	3
573	Test 56f35ec0436eb	3
574	Test 56f35ec046f36	4
575	Test 56f35ec04a9c4	6
576	Test 56f35ec04e457	2
577	Test 56f35ec0519ac	3
578	Test 56f35ec05538a	6
579	Test 56f35ec05a2ef	5
580	Test 56f35ec05ff74	4
581	Test 56f35ec063f10	5
582	Test 56f35ec067f7e	5
583	Test 56f35ec06b613	1
584	Test 56f35ec06ec5c	3
585	Test 56f35ec072618	6
586	Test 56f35ec075bfe	4
587	Test 56f35ec07a493	1
588	Test 56f35ec07d9a6	1
589	Test 56f35ec0810ef	3
590	Test 56f35ec093c82	2
591	Test 56f35ec097687	4
592	Test 56f35ec09b2bc	3
593	Test 56f35ec0ad4aa	3
594	Test 56f35ec0b4e8f	6
595	Test 56f35ec0ba4e7	6
596	Test 56f35ec0be658	4
597	Test 56f35ec0c1b14	4
598	Test 56f35ec0c5602	3
599	Test 56f35ec0c8e47	2
600	Test 56f35ec0cc5e7	4
601	Test 56f35ec0cf9b5	3
602	Test 56f35ec0d31a4	4
603	Test 56f35ec0d6933	6
604	Test 56f35ec0d9d92	5
605	Test 56f35ec0dd816	4
606	Test 56f35ec0e14bb	6
607	Test 56f35ec0e4800	1
608	Test 56f35ec0e8351	1
609	Test 56f35ec0eb9d9	6
610	Test 56f35ec0f0bda	1
611	Test 56f35ec1007e9	4
612	Test 56f35ec103f0c	6
613	Test 56f35ec107b5c	6
614	Test 56f35ec10bd00	6
615	Test 56f35ec113d30	5
616	Test 56f35ec118bc3	3
617	Test 56f35ec11c2fd	6
618	Test 56f35ec11fbd0	3
619	Test 56f35ec123c31	6
620	Test 56f35ec127209	2
621	Test 56f35ec12a71d	6
622	Test 56f35ec12e036	5
623	Test 56f35ec131725	3
624	Test 56f35ec138100	1
625	Test 56f35ec13cc1f	6
626	Test 56f35ec1405d5	2
627	Test 56f35ec143d08	3
628	Test 56f35ec160220	3
629	Test 56f35ec163e77	6
630	Test 56f35ec1678e0	2
631	Test 56f35ec16d36c	1
632	Test 56f35ec1712c3	6
633	Test 56f35ec1749d0	1
634	Test 56f35ec17812c	3
635	Test 56f35ec17b526	6
636	Test 56f35ec17e6b0	6
637	Test 56f35ec184579	6
638	Test 56f35ec189504	6
639	Test 56f35ec18c99f	2
640	Test 56f35ec190244	4
641	Test 56f35ec193478	3
642	Test 56f35ec199f39	4
643	Test 56f35ec19e13a	6
644	Test 56f35ec1a1a99	2
645	Test 56f35ec1a519d	3
646	Test 56f35ec1a8c6f	6
647	Test 56f35ec1af814	1
648	Test 56f35ec1b32d9	3
649	Test 56f35ec1b67ee	5
650	Test 56f35ec1b9c36	2
651	Test 56f35ec1bd751	2
652	Test 56f35ec1c1531	2
653	Test 56f35ec1c56ac	2
654	Test 56f35ec1c8c8d	6
655	Test 56f35ec1cc7d8	6
656	Test 56f35ec1d065e	5
657	Test 56f35ec1d3d95	3
658	Test 56f35ec1d712a	5
659	Test 56f35ec1da95b	4
660	Test 56f35ec1dfdcb	1
661	Test 56f35ec1e47e1	5
662	Test 56f35ec1e7d90	2
663	Test 56f35ec1eb35d	6
664	Test 56f35ec1eea0b	4
665	Test 56f35ec2020cf	2
666	Test 56f35ec2057c9	5
667	Test 56f35ec2217bd	4
668	Test 56f35ec225a92	3
669	Test 56f35ec22992f	1
670	Test 56f35ec22d855	2
671	Test 56f35ec231a5d	6
672	Test 56f35ec2353a9	5
673	Test 56f35ec239b95	4
674	Test 56f35ec23d63a	3
675	Test 56f35ec240c46	4
676	Test 56f35ec244174	2
677	Test 56f35ec2477d8	2
678	Test 56f35ec24aabd	1
679	Test 56f35ec24fe9c	5
680	Test 56f35ec255187	1
681	Test 56f35ec259d8f	6
682	Test 56f35ec25d41f	5
683	Test 56f35ec260b10	6
684	Test 56f35ec26445a	3
685	Test 56f35ec268600	2
686	Test 56f35ec26c772	6
687	Test 56f35ec27134d	2
688	Test 56f35ec27a7f9	5
689	Test 56f35ec2a8f06	5
690	Test 56f35ec2e4b36	4
691	Test 56f35ec337ca4	3
692	Test 56f35ec36cfc8	3
693	Test 56f35ec39bc94	2
694	Test 56f35ec3baff7	3
695	Test 56f35ec3ddbc5	5
696	Test 56f35ec40d684	1
697	Test 56f35ec434303	5
698	Test 56f35ec4505d2	3
699	Test 56f35ec474ba6	3
700	Test 56f35ec4b8bd3	3
701	Test 56f35ec4dad85	2
702	Test 56f35ec50f702	3
703	Test 56f35ec531210	6
704	Test 56f35ec55654f	1
705	Test 56f35ec58fd7a	1
706	Test 56f35ec5afb54	4
707	Test 56f35ec5dd6db	5
708	Test 56f35ec5e2868	1
709	Test 56f35ec5e7840	2
710	Test 56f35ec5eb691	2
711	Test 56f35ec600657	6
712	Test 56f35ec608af2	6
713	Test 56f35ec60fb42	4
714	Test 56f35ec615977	3
715	Test 56f35ec61cdf9	5
716	Test 56f35ec6237d4	1
717	Test 56f35ec62c2c3	3
718	Test 56f35ec6308f1	2
719	Test 56f35ec635fb3	2
720	Test 56f35ec6412d1	5
721	Test 56f35ec6664bb	2
722	Test 56f35ec66d994	3
723	Test 56f35ec673a45	5
724	Test 56f35ec677f8d	3
725	Test 56f35ec67be3b	3
726	Test 56f35ec67fb7a	3
727	Test 56f35ec683832	6
728	Test 56f35ec68711e	4
729	Test 56f35ec68affc	5
730	Test 56f35ec68ee97	4
731	Test 56f35ec6966be	1
732	Test 56f35ec69b168	3
733	Test 56f35ec69e8e4	5
734	Test 56f35ec6a2a17	5
735	Test 56f35ec6a6078	6
736	Test 56f35ec6a9c94	4
737	Test 56f35ec6acfcf	5
738	Test 56f35ec6b0d0c	1
739	Test 56f35ec6b41e7	2
740	Test 56f35ec6b7a4e	5
741	Test 56f35ec6baf83	5
742	Test 56f35ec6bebef	5
743	Test 56f35ec6c20c8	4
744	Test 56f35ec6e10d2	6
745	Test 56f35ec6e575b	2
746	Test 56f35ec6eb100	4
747	Test 56f35ec6ee7e4	4
748	Test 56f35ec6f21fc	5
749	Test 56f35ec70143c	3
750	Test 56f35ec7049ab	4
751	Test 56f35ec70996e	6
752	Test 56f35ec70f341	4
753	Test 56f35ec714835	5
754	Test 56f35ec718029	1
755	Test 56f35ec71b919	6
756	Test 56f35ec71f147	1
757	Test 56f35ec722db3	1
758	Test 56f35ec726280	4
759	Test 56f35ec72e01e	1
760	Test 56f35ec7325cd	6
761	Test 56f35ec736365	6
762	Test 56f35ec739a44	5
763	Test 56f35ec73d09b	4
764	Test 56f35ec740a17	2
765	Test 56f35ec744453	2
766	Test 56f35ec747b5d	3
767	Test 56f35ec74ff81	1
768	Test 56f35ec7546e8	3
769	Test 56f35ec75829a	6
770	Test 56f35ec75ba08	2
771	Test 56f35ec75f632	4
772	Test 56f35ec766a26	4
773	Test 56f35ec76a473	6
774	Test 56f35ec76df28	2
775	Test 56f35ec771f12	1
776	Test 56f35ec778ae5	5
777	Test 56f35ec77c889	1
778	Test 56f35ec780001	5
779	Test 56f35ec78955b	5
780	Test 56f35ec78f00c	4
781	Test 56f35ec79575e	1
782	Test 56f35ec7b780b	6
783	Test 56f35ec7bd0fd	4
784	Test 56f35ec7c1219	5
785	Test 56f35ec7c5d80	3
786	Test 56f35ec7c98bb	3
787	Test 56f35ec7cd7d7	6
788	Test 56f35ec7d1298	1
789	Test 56f35ec7d4f25	1
790	Test 56f35ec7d870b	5
791	Test 56f35ec7dc382	4
792	Test 56f35ec7e29ac	6
793	Test 56f35ec81880a	2
794	Test 56f35ec835ee4	6
795	Test 56f35ec84a455	2
796	Test 56f35ec84e3f1	3
797	Test 56f35ec851f1a	1
798	Test 56f35ec855782	3
799	Test 56f35ec858987	3
800	Test 56f35ec86324d	4
801	Test 56f35ec867914	3
802	Test 56f35ec876a7c	2
803	Test 56f35ec87a31f	4
804	Test 56f35ec87dbab	4
805	Test 56f35ec88158c	4
806	Test 56f35ec8852f2	1
807	Test 56f35ec8891bb	6
808	Test 56f35ec88c8f6	1
809	Test 56f35ec893d00	4
810	Test 56f35ec8990aa	5
811	Test 56f35ec8a281d	4
812	Test 56f35ec8aab25	1
813	Test 56f35ec8af81f	4
814	Test 56f35ec8b89e2	4
815	Test 56f35ec8c00ae	1
816	Test 56f35ec8c8a53	5
817	Test 56f35ec8d1c1f	2
818	Test 56f35ec8d60cf	4
819	Test 56f35ec8d9d37	3
820	Test 56f35ec8e0d0b	2
821	Test 56f35ec913ce0	3
822	Test 56f35ec91b0ec	2
823	Test 56f35ec91f088	1
824	Test 56f35ec922ff2	1
825	Test 56f35ec9269ae	3
826	Test 56f35ec92a257	2
827	Test 56f35ec92de53	3
828	Test 56f35ec931735	4
829	Test 56f35ec934f57	6
830	Test 56f35ec9382d2	6
831	Test 56f35ec93be0b	6
832	Test 56f35ec940c74	6
833	Test 56f35ec9447ac	5
834	Test 56f35ec948ee3	2
835	Test 56f35ec94cc2c	4
836	Test 56f35ec951060	6
837	Test 56f35ec954762	4
838	Test 56f35ec957af0	6
839	Test 56f35ec95b19d	3
840	Test 56f35ec95f1b0	2
841	Test 56f35ec962897	5
842	Test 56f35ec965eac	3
843	Test 56f35ec96a601	2
844	Test 56f35ec970147	5
845	Test 56f35ec973612	2
846	Test 56f35ec976cd4	3
847	Test 56f35ec97a51c	1
848	Test 56f35ec980340	6
849	Test 56f35ec9849ba	4
850	Test 56f35ec9887bc	1
851	Test 56f35ec98bb5b	1
852	Test 56f35ec98f3ef	2
853	Test 56f35ec993b73	5
854	Test 56f35ec99776b	1
855	Test 56f35ec99ab60	2
856	Test 56f35ec99e575	1
857	Test 56f35ec9b7d06	5
858	Test 56f35ec9bba0b	3
859	Test 56f35ec9e1b4f	1
860	Test 56f35ec9e4fb8	4
861	Test 56f35ec9e9eba	3
862	Test 56f35ec9edfde	5
863	Test 56f35ec9f148f	6
864	Test 56f35eca00a58	6
865	Test 56f35eca0441b	5
866	Test 56f35eca07d6e	5
867	Test 56f35eca0b390	6
868	Test 56f35eca0e86e	1
869	Test 56f35eca1393c	4
870	Test 56f35eca172c9	5
871	Test 56f35eca1ab99	3
872	Test 56f35eca1e0cf	3
873	Test 56f35eca24363	1
874	Test 56f35eca27899	2
875	Test 56f35eca2af1a	2
876	Test 56f35eca2e545	3
877	Test 56f35eca3660f	4
878	Test 56f35eca3a45c	2
879	Test 56f35eca3dddb	5
880	Test 56f35eca41885	6
881	Test 56f35eca44e73	3
882	Test 56f35eca4833d	6
883	Test 56f35eca52b00	1
884	Test 56f35eca5f8ed	5
885	Test 56f35eca66a8a	2
886	Test 56f35eca6a399	2
887	Test 56f35eca6d95f	5
888	Test 56f35eca70cfb	4
889	Test 56f35eca741eb	1
890	Test 56f35eca77d6a	2
891	Test 56f35eca7b2b4	3
892	Test 56f35eca7ec43	3
893	Test 56f35eca861a2	4
894	Test 56f35eca8bb59	1
895	Test 56f35eca8f255	6
896	Test 56f35eca92c30	6
897	Test 56f35eca96564	5
898	Test 56f35ecabf506	4
899	Test 56f35ecac59c4	2
900	Test 56f35ecaccb47	4
901	Test 56f35ecad09b2	6
902	Test 56f35ecad3f9e	3
903	Test 56f35ecad78e3	3
904	Test 56f35ecadb3a0	2
905	Test 56f35ecaded40	2
906	Test 56f35ecae1f6d	1
907	Test 56f35ecae6bdd	1
908	Test 56f35ecaea25f	1
909	Test 56f35ecaeda56	3
910	Test 56f35ecaf0fec	4
911	Test 56f35ecb006c3	6
912	Test 56f35ecb0453b	2
913	Test 56f35ecb08d0b	6
914	Test 56f35ecb0ca55	5
915	Test 56f35ecb1036d	6
916	Test 56f35ecb13a98	3
917	Test 56f35ecb17266	6
918	Test 56f35ecb1a635	6
919	Test 56f35ecb21b2c	3
920	Test 56f35ecb2527e	6
921	Test 56f35ecb28901	5
922	Test 56f35ecb2bfb4	1
923	Test 56f35ecb440ae	6
924	Test 56f35ecb62f7d	3
925	Test 56f35ecb6b3d8	1
926	Test 56f35ecb70cca	4
927	Test 56f35ecb74730	4
928	Test 56f35ecb780af	3
929	Test 56f35ecb7b7f2	5
930	Test 56f35ecb7f0c2	2
931	Test 56f35ecb82720	6
932	Test 56f35ecb863cd	6
933	Test 56f35ecb8b92c	5
934	Test 56f35ecb90764	6
935	Test 56f35ecb942cb	6
936	Test 56f35ecbc39b2	6
937	Test 56f35ecbc7486	2
938	Test 56f35ecbcab0c	6
939	Test 56f35ecbce326	1
940	Test 56f35ecbd1b0e	6
941	Test 56f35ecbd55b1	2
942	Test 56f35ecbd8a7a	2
943	Test 56f35ecbdc109	1
944	Test 56f35ecbdf751	5
945	Test 56f35ecbe296e	6
946	Test 56f35ecbe6150	5
947	Test 56f35ecbe9a44	2
948	Test 56f35ecbed045	6
949	Test 56f35ecbf0216	1
950	Test 56f35ecc00365	5
951	Test 56f35ecc05b20	3
952	Test 56f35ecc09001	1
953	Test 56f35ecc0e26c	6
954	Test 56f35ecc17cc9	3
955	Test 56f35ecc1bfdb	4
956	Test 56f35ecc1faaf	5
957	Test 56f35ecc22ece	5
958	Test 56f35ecc265a7	6
959	Test 56f35ecc29cde	5
960	Test 56f35ecc31362	2
961	Test 56f35ecc36edb	6
962	Test 56f35ecc3cf15	6
963	Test 56f35ecc42d87	4
964	Test 56f35ecc4654b	4
965	Test 56f35ecc49d93	3
966	Test 56f35ecc4d667	5
967	Test 56f35ecc51188	6
968	Test 56f35ecc548cb	2
969	Test 56f35ecc580ba	6
970	Test 56f35ecc5b44b	1
971	Test 56f35ecc614a5	6
972	Test 56f35ecc66392	4
973	Test 56f35ecc6a2fb	3
974	Test 56f35ecc6db7a	1
975	Test 56f35ecc998c5	4
976	Test 56f35ecc9d57d	4
977	Test 56f35ecca1066	1
978	Test 56f35ecca53b1	5
979	Test 56f35ecca9751	3
980	Test 56f35eccad973	4
981	Test 56f35eccb7abe	4
982	Test 56f35eccbe714	2
983	Test 56f35eccc26da	5
984	Test 56f35eccc62c9	1
985	Test 56f35eccce913	5
986	Test 56f35eccd28bd	6
987	Test 56f35eccd7c36	4
988	Test 56f35eccdb384	2
989	Test 56f35eccdec14	4
990	Test 56f35ecce23c4	1
991	Test 56f35ecce5cf4	1
992	Test 56f35ecce9752	2
993	Test 56f35eccf1cf9	5
994	Test 56f35ecd01eee	5
995	Test 56f35ecd05835	2
996	Test 56f35ecd09026	2
997	Test 56f35ecd0c3c0	2
998	Test 56f35ecd0fac5	3
999	Test 56f35ecd133c9	6
1000	Test 56f35ecd1aff1	4
1001	Test 56f35ecd1ed71	4
1002	Test 56f35ecd224a0	6
1003	Test 56f35ecd25f14	1
1004	Test 56f35ecd2990d	6
1005	Test 56f35ecd2de59	4
1006	Test 56f35ecd32f20	5
1007	Test 56f35ecd36684	4
1008	Test 56f35ecd4a66c	4
1009	Test 56f35ecd4eb58	1
1010	Test 56f35ecd5a29e	5
1011	Test 56f35ecd615b8	5
1012	Test 56f35ecd672aa	2
1013	Test 56f35ecd9572b	3
1014	Test 56f35ecd9b6e9	4
1015	Test 56f35ecda0bcb	4
1016	Test 56f35ecda6a60	2
1017	Test 56f35ecdaa10f	5
1018	Test 56f35ecdafa16	6
1019	Test 56f35ecdb4c09	4
1020	Test 56f35ecdb8861	2
1021	Test 56f35ecdbc961	3
1022	Test 56f35ecdc0ad0	1
1023	Test 56f35ecdc452c	5
1024	Test 56f35ecdc79ca	4
1025	Test 56f35ecdcb206	4
1026	Test 56f35ecdce87d	1
1027	Test 56f35ecdd7c23	1
1028	Test 56f35ecddc9eb	1
1029	Test 56f35ecde05b8	1
1030	Test 56f35ecde3d08	6
1031	Test 56f35ecde7388	3
1032	Test 56f35ecdeed7a	3
1033	Test 56f35ecdf3c4a	1
1034	Test 56f35ece03193	1
1035	Test 56f35ece08a1b	1
1036	Test 56f35ece0c3ae	4
1037	Test 56f35ece0fb9f	5
1038	Test 56f35ece13506	3
1039	Test 56f35ece16dc6	6
1040	Test 56f35ece1a3b0	1
1041	Test 56f35ece1db44	3
1042	Test 56f35ece2129d	4
1043	Test 56f35ece257fa	6
1044	Test 56f35ece2be56	6
1045	Test 56f35ece2fec0	4
1046	Test 56f35ece33634	5
1047	Test 56f35ece36ca2	4
1048	Test 56f35ece3a586	1
1049	Test 56f35ece3d9af	6
1050	Test 56f35ece42383	1
1051	Test 56f35ece45f87	1
1052	Test 56f35ece833a3	3
1053	Test 56f35eceaa9bd	5
1054	Test 56f35eceb091c	4
1055	Test 56f35eceb509b	1
1056	Test 56f35eceb8f76	2
1057	Test 56f35ecebfa0e	4
1058	Test 56f35ecec588e	6
1059	Test 56f35ececc2e4	2
1060	Test 56f35eced4acb	6
1061	Test 56f35ecedac34	1
1062	Test 56f35ecee00cf	2
1063	Test 56f35ecee5e75	5
1064	Test 56f35eceecfe9	1
1065	Test 56f35ecef1c26	5
1066	Test 56f35ecf00fe5	3
1067	Test 56f35ecf1af9e	5
1068	Test 56f35ecf24daf	5
1069	Test 56f35ecf29448	4
1070	Test 56f35ecf2cf67	3
1071	Test 56f35ecf30918	3
1072	Test 56f35ecf34544	6
1073	Test 56f35ecf37cd2	4
1074	Test 56f35ecf3b34b	1
1075	Test 56f35ecf3ff01	2
1076	Test 56f35ecf4500c	4
1077	Test 56f35ecf48dba	6
1078	Test 56f35ecf4c428	4
1079	Test 56f35ecf4fad7	2
1080	Test 56f35ecf53189	6
1081	Test 56f35ecf5900a	4
1082	Test 56f35ecf5cf12	1
1083	Test 56f35ecf6076b	2
1084	Test 56f35ecf63d19	4
1085	Test 56f35ecf69b67	2
1086	Test 56f35ecf6f9bf	3
1087	Test 56f35ecf736b5	6
1088	Test 56f35ecf76ded	4
1089	Test 56f35ecf7a675	6
1090	Test 56f35ecfa93d5	6
1091	Test 56f35ecfacf37	5
1092	Test 56f35ecfb4bd4	5
1093	Test 56f35ecfbbca2	5
1094	Test 56f35ecfbf7a2	6
1095	Test 56f35ecfc37a9	6
1096	Test 56f35ecfc998f	2
1097	Test 56f35ecfd0981	5
1098	Test 56f35ecfd4b7c	1
1099	Test 56f35ecfd83e0	1
1100	Test 56f35ecfdc96b	6
1101	Test 56f35ecfe03e6	5
1102	Test 56f35ecfe3ab0	2
1103	Test 56f35ecfe768d	3
1104	Test 56f35ecfeac2c	1
1105	Test 56f35ecfedfcf	1
1106	Test 56f35ecff1758	6
1107	Test 56f35ed000edc	4
1108	Test 56f35ed00597d	5
1109	Test 56f35ed00c900	6
1110	Test 56f35ed00ff3e	4
1111	Test 56f35ed013577	6
1112	Test 56f35ed01acf8	3
1113	Test 56f35ed01ea01	5
1114	Test 56f35ed0221e6	2
1115	Test 56f35ed025a75	6
1116	Test 56f35ed0292d5	2
1117	Test 56f35ed02c9d1	3
1118	Test 56f35ed031dc9	3
1119	Test 56f35ed035522	3
1120	Test 56f35ed038b26	1
1121	Test 56f35ed03c1d1	1
1122	Test 56f35ed03fd49	6
1123	Test 56f35ed043008	5
1124	Test 56f35ed04652f	4
1125	Test 56f35ed049c5f	3
1126	Test 56f35ed04d342	1
1127	Test 56f35ed0508ac	2
1128	Test 56f35ed08de06	4
1129	Test 56f35ed091ebc	5
1130	Test 56f35ed0960c8	3
1131	Test 56f35ed09e4dc	2
1132	Test 56f35ed0a1c31	2
1133	Test 56f35ed0a54e3	1
1134	Test 56f35ed0a8beb	4
1135	Test 56f35ed0ad88e	6
1136	Test 56f35ed0b26f0	5
1137	Test 56f35ed0bb914	5
1138	Test 56f35ed0c1d45	5
1139	Test 56f35ed0c58a4	4
1140	Test 56f35ed0c9359	1
1141	Test 56f35ed0cd96c	1
1142	Test 56f35ed0d3967	5
1143	Test 56f35ed0d8e52	5
1144	Test 56f35ed0dca82	2
1145	Test 56f35ed0e4a9e	4
1146	Test 56f35ed0e8493	2
1147	Test 56f35ed0ebc57	5
1148	Test 56f35ed0ef4ab	5
1149	Test 56f35ed102b9f	3
1150	Test 56f35ed106c06	1
1151	Test 56f35ed10b7dc	1
1152	Test 56f35ed10f668	3
1153	Test 56f35ed11389e	6
1154	Test 56f35ed1175f1	2
1155	Test 56f35ed12ffa9	5
1156	Test 56f35ed133793	3
1157	Test 56f35ed136e85	3
1158	Test 56f35ed13a554	6
1159	Test 56f35ed13de5b	2
1160	Test 56f35ed141308	4
1161	Test 56f35ed145010	3
1162	Test 56f35ed1484ff	5
1163	Test 56f35ed14be9f	3
1164	Test 56f35ed14f466	5
1165	Test 56f35ed15588e	2
1166	Test 56f35ed159742	3
1167	Test 56f35ed18979f	4
1168	Test 56f35ed18cc34	4
1169	Test 56f35ed19010c	3
1170	Test 56f35ed193738	4
1171	Test 56f35ed197855	2
1172	Test 56f35ed19af6f	1
1173	Test 56f35ed19e779	6
1174	Test 56f35ed1a1a4a	4
1175	Test 56f35ed1a562d	6
1176	Test 56f35ed1a8acb	4
1177	Test 56f35ed1ad769	4
1178	Test 56f35ed1b10d9	1
1179	Test 56f35ed1b5ae0	6
1180	Test 56f35ed1b9887	3
1181	Test 56f35ed1bce5d	5
1182	Test 56f35ed1c39d7	2
1183	Test 56f35ed1cbb46	1
1184	Test 56f35ed1d0f95	6
1185	Test 56f35ed1dbb57	3
1186	Test 56f35ed1e18e5	2
1187	Test 56f35ed1e5d4a	3
1188	Test 56f35ed1ea726	6
1189	Test 56f35ed1ee039	6
1190	Test 56f35ed1f18d0	6
1191	Test 56f35ed20200e	6
1192	Test 56f35ed205bcc	2
1193	Test 56f35ed209471	2
1194	Test 56f35ed20ccec	1
1195	Test 56f35ed2107ec	6
1196	Test 56f35ed213ff4	2
1197	Test 56f35ed21ac79	6
1198	Test 56f35ed221c6a	1
1199	Test 56f35ed228c13	6
1200	Test 56f35ed22c84b	1
1201	Test 56f35ed2300ad	4
1202	Test 56f35ed233de2	5
1203	Test 56f35ed237a60	4
1204	Test 56f35ed23b7e5	6
1205	Test 56f35ed295f83	2
1206	Test 56f35ed2c4faa	2
1207	Test 56f35ed2cdcf5	3
1208	Test 56f35ed2d4a63	3
1209	Test 56f35ed3040c1	1
1210	Test 56f35ed3099fe	5
1211	Test 56f35ed30cd6e	2
1212	Test 56f35ed310724	5
1213	Test 56f35ed313f71	2
1214	Test 56f35ed31763a	3
1215	Test 56f35ed31ea16	2
1216	Test 56f35ed323d92	4
1217	Test 56f35ed327608	6
1218	Test 56f35ed32ab11	6
1219	Test 56f35ed32e274	1
1220	Test 56f35ed332edd	1
1221	Test 56f35ed336644	3
1222	Test 56f35ed339eb8	1
1223	Test 56f35ed33d873	1
1224	Test 56f35ed343465	2
1225	Test 56f35ed347f8c	5
1226	Test 56f35ed34f5fb	6
1227	Test 56f35ed352c11	1
1228	Test 56f35ed355f04	6
1229	Test 56f35ed35e074	5
1230	Test 56f35ed363878	1
1231	Test 56f35ed367469	2
1232	Test 56f35ed36b33d	6
1233	Test 56f35ed36f7a8	3
1234	Test 56f35ed372fd2	4
1235	Test 56f35ed378199	1
1236	Test 56f35ed37e406	3
1237	Test 56f35ed383844	3
1238	Test 56f35ed3874ca	1
1239	Test 56f35ed38aa63	1
1240	Test 56f35ed38e57a	3
1241	Test 56f35ed3919d0	6
1242	Test 56f35ed395823	6
1243	Test 56f35ed398ee9	5
1244	Test 56f35ed3cad72	1
1245	Test 56f35ed3d29f9	6
1246	Test 56f35ed3d859d	3
1247	Test 56f35ed3dc599	4
1248	Test 56f35ed3dfd51	6
1249	Test 56f35ed3e31a9	4
1250	Test 56f35ed3e65c3	5
1251	Test 56f35ed3ee5fe	1
1252	Test 56f35ed3f1bc1	5
1253	Test 56f35ed40148d	6
1254	Test 56f35ed405585	5
1255	Test 56f35ed4108fa	3
1256	Test 56f35ed416af8	5
1257	Test 56f35ed41cbc5	2
1258	Test 56f35ed421b71	3
1259	Test 56f35ed426d73	1
1260	Test 56f35ed42c18c	5
1261	Test 56f35ed42fc2a	1
1262	Test 56f35ed4337bb	5
1263	Test 56f35ed437d60	6
1264	Test 56f35ed43bb21	1
1265	Test 56f35ed45ffe7	5
1266	Test 56f35ed469d53	3
1267	Test 56f35ed473258	4
1268	Test 56f35ed47af68	6
1269	Test 56f35ed47f5a2	6
1270	Test 56f35ed4839a4	1
1271	Test 56f35ed48813f	5
1272	Test 56f35ed48c3cf	2
1273	Test 56f35ed49007f	4
1274	Test 56f35ed494286	6
1275	Test 56f35ed497acc	6
1276	Test 56f35ed49b61e	1
1277	Test 56f35ed49f3e1	2
1278	Test 56f35ed4a2be4	2
1279	Test 56f35ed4a64c9	4
1280	Test 56f35ed4b0c0b	6
1281	Test 56f35ed4b83fd	1
1282	Test 56f35ed4ecf09	2
1283	Test 56f35ed4f0609	5
1284	Test 56f35ed50057e	4
1285	Test 56f35ed503b58	4
1286	Test 56f35ed507485	4
1287	Test 56f35ed50d780	6
1288	Test 56f35ed510c0e	6
1289	Test 56f35ed517061	3
1290	Test 56f35ed51b688	6
1291	Test 56f35ed51ec52	4
1292	Test 56f35ed5225c4	1
1293	Test 56f35ed525c99	2
1294	Test 56f35ed529187	5
1295	Test 56f35ed52d0f7	6
1296	Test 56f35ed53051c	4
1297	Test 56f35ed5343b2	2
1298	Test 56f35ed53767a	6
1299	Test 56f35ed53f19d	4
1300	Test 56f35ed542f95	1
1301	Test 56f35ed54736d	2
1302	Test 56f35ed54b0ea	3
1303	Test 56f35ed54eada	6
1304	Test 56f35ed552416	4
1305	Test 56f35ed555b68	5
1306	Test 56f35ed559476	4
1307	Test 56f35ed55cecc	6
1308	Test 56f35ed563b09	5
1309	Test 56f35ed567a62	2
1310	Test 56f35ed56f7e6	4
1311	Test 56f35ed576b3d	6
1312	Test 56f35ed579f73	4
1313	Test 56f35ed59f29c	6
1314	Test 56f35ed5a3a13	6
1315	Test 56f35ed5a7d79	6
1316	Test 56f35ed5abd15	1
1317	Test 56f35ed5b2d5b	2
1318	Test 56f35ed5b686d	1
1319	Test 56f35ed5b9fea	4
1320	Test 56f35ed5bdd03	3
1321	Test 56f35ed5f2493	1
1322	Test 56f35ed601aef	6
1323	Test 56f35ed60547f	1
1324	Test 56f35ed608dd2	5
1325	Test 56f35ed60c6f0	3
1326	Test 56f35ed61004d	1
1327	Test 56f35ed61571c	3
1328	Test 56f35ed61a126	2
1329	Test 56f35ed61d91f	4
1330	Test 56f35ed620c91	1
1331	Test 56f35ed628194	4
1332	Test 56f35ed62bf55	5
1333	Test 56f35ed62f6ac	1
1334	Test 56f35ed636807	4
1335	Test 56f35ed63aa01	3
1336	Test 56f35ed63e225	4
1337	Test 56f35ed648b5a	6
1338	Test 56f35ed64c306	2
1339	Test 56f35ed65020a	3
1340	Test 56f35ed653e8f	5
1341	Test 56f35ed65778e	6
1342	Test 56f35ed65b266	4
1343	Test 56f35ed65ebab	6
1344	Test 56f35ed66233a	6
1345	Test 56f35ed66601c	4
1346	Test 56f35ed669ca5	1
1347	Test 56f35ed672a18	2
1348	Test 56f35ed67677a	5
1349	Test 56f35ed679e87	5
1350	Test 56f35ed67d8a4	2
1351	Test 56f35ed680fe0	5
1352	Test 56f35ed6a729b	4
1353	Test 56f35ed6aba1c	1
1354	Test 56f35ed6b132e	1
1355	Test 56f35ed6b7054	6
1356	Test 56f35ed6ba63b	4
1357	Test 56f35ed6bdfc9	2
1358	Test 56f35ed6c153d	3
1359	Test 56f35ed708e59	6
1360	Test 56f35ed70e8bd	1
1361	Test 56f35ed717854	5
1362	Test 56f35ed71c2c1	2
1363	Test 56f35ed71f874	3
1364	Test 56f35ed7230d8	1
1365	Test 56f35ed72647e	1
1366	Test 56f35ed729c0c	6
1367	Test 56f35ed72d2a4	3
1368	Test 56f35ed731673	4
1369	Test 56f35ed735a9a	1
1370	Test 56f35ed73998b	2
1371	Test 56f35ed745d66	1
1372	Test 56f35ed74b58e	3
1373	Test 56f35ed7517a9	2
1374	Test 56f35ed756846	1
1375	Test 56f35ed75d8e1	6
1376	Test 56f35ed760ef9	1
1377	Test 56f35ed7648cb	6
1378	Test 56f35ed767f71	3
1379	Test 56f35ed76b6d8	1
1380	Test 56f35ed76f0c1	5
1381	Test 56f35ed772897	4
1382	Test 56f35ed798cb5	4
1383	Test 56f35ed79c4c5	6
1384	Test 56f35ed7a031c	4
1385	Test 56f35ed7a3b6d	6
1386	Test 56f35ed7adab1	2
1387	Test 56f35ed7b19b3	6
1388	Test 56f35ed7b6991	5
1389	Test 56f35ed7ba0b3	6
1390	Test 56f35ed7bd889	4
1391	Test 56f35ed7c0e71	1
1392	Test 56f35ed7c47dc	4
1393	Test 56f35ed7c7f6d	1
1394	Test 56f35ed7cee11	1
1395	Test 56f35ed7d276d	1
1396	Test 56f35ed7d7ec6	2
1397	Test 56f35ed7db6ec	2
1398	Test 56f35ed81c6e9	4
1399	Test 56f35ed8203b4	1
1400	Test 56f35ed82613b	3
1401	Test 56f35ed82c191	6
1402	Test 56f35ed8300dd	2
1403	Test 56f35ed833ab6	2
1404	Test 56f35ed838790	2
1405	Test 56f35ed8564c0	2
1406	Test 56f35ed85e5ea	1
1407	Test 56f35ed8626ac	5
1408	Test 56f35ed86c608	4
1409	Test 56f35ed8700a5	4
1410	Test 56f35ed873b67	2
1411	Test 56f35ed877a08	1
1412	Test 56f35ed87b304	2
1413	Test 56f35ed87ec9d	4
1414	Test 56f35ed882bb1	3
1415	Test 56f35ed889a83	2
1416	Test 56f35ed88d903	1
1417	Test 56f35ed891521	1
1418	Test 56f35ed8952e1	1
1419	Test 56f35ed898d9b	2
1420	Test 56f35ed89cd94	4
1421	Test 56f35ed8a08ad	5
1422	Test 56f35ed8a42d8	3
1423	Test 56f35ed8a79d2	5
1424	Test 56f35ed8aae71	2
1425	Test 56f35ed8ae769	6
1426	Test 56f35ed8b2040	1
1427	Test 56f35ed8b6731	5
1428	Test 56f35ed8ba6ae	6
1429	Test 56f35ed8bef87	4
1430	Test 56f35ed8c27d3	5
1431	Test 56f35ed8c5d8c	2
1432	Test 56f35ed8d0f73	2
1433	Test 56f35ed8d6c40	4
1434	Test 56f35ed8dd472	2
1435	Test 56f35ed8e10d3	3
1436	Test 56f35ed92a5ef	3
1437	Test 56f35ed92e3be	1
1438	Test 56f35ed931db6	6
1439	Test 56f35ed93548c	2
1440	Test 56f35ed938ea1	6
1441	Test 56f35ed93c8cc	1
1442	Test 56f35ed93fefe	6
1443	Test 56f35ed945465	1
1444	Test 56f35ed94928b	3
1445	Test 56f35ed94cbff	4
1446	Test 56f35ed952643	2
1447	Test 56f35ed95b795	6
1448	Test 56f35ed95ebde	1
1449	Test 56f35ed9623f2	4
1450	Test 56f35ed965b33	5
1451	Test 56f35ed969307	2
1452	Test 56f35ed96c78f	3
1453	Test 56f35ed971951	4
1454	Test 56f35ed97590b	3
1455	Test 56f35ed9794cd	4
1456	Test 56f35ed97c930	1
1457	Test 56f35ed980d0d	3
1458	Test 56f35ed984160	5
1459	Test 56f35ed987ff2	2
1460	Test 56f35ed98b59a	3
1461	Test 56f35ed99390f	2
1462	Test 56f35ed99a707	1
1463	Test 56f35ed99dc97	6
1464	Test 56f35ed9a166a	4
1465	Test 56f35ed9a5108	5
1466	Test 56f35ed9a8c6f	5
1467	Test 56f35ed9adeed	2
1468	Test 56f35ed9b1346	6
1469	Test 56f35ed9b4ccb	6
1470	Test 56f35ed9b832d	2
1471	Test 56f35ed9c0334	1
1472	Test 56f35ed9c6f4a	5
1473	Test 56f35ed9cf0f5	4
1474	Test 56f35ed9d6381	4
1475	Test 56f35eda20e9b	3
1476	Test 56f35eda27364	4
1477	Test 56f35eda2b014	3
1478	Test 56f35eda2ebeb	2
1479	Test 56f35eda32103	1
1480	Test 56f35eda3f818	5
1481	Test 56f35eda43554	2
1482	Test 56f35eda4787a	1
1483	Test 56f35eda4b220	5
1484	Test 56f35eda4eef1	3
1485	Test 56f35eda5291d	4
1486	Test 56f35eda5617c	3
1487	Test 56f35eda5cc3b	2
1488	Test 56f35eda60d8a	3
1489	Test 56f35eda649e6	6
1490	Test 56f35eda681e8	1
1491	Test 56f35eda6b9d2	2
1492	Test 56f35eda6f5dc	5
1493	Test 56f35eda733b9	2
1494	Test 56f35eda7b7ab	5
1495	Test 56f35eda82bb0	4
1496	Test 56f35eda87784	6
1497	Test 56f35eda8fd7a	5
1498	Test 56f35eda95ad7	4
1499	Test 56f35eda9ba15	5
1500	Test 56f35edaa1cbe	6
1501	Test 56f35edaa9100	6
1502	Test 56f35edaaef74	1
1503	Test 56f35edab4ac3	6
1504	Test 56f35edabbac4	5
1505	Test 56f35edac12ae	6
1506	Test 56f35edac4ed5	3
1507	Test 56f35edac8dc7	3
1508	Test 56f35edacd098	3
1509	Test 56f35edaeb170	3
1510	Test 56f35edaeec41	3
1511	Test 56f35edaf25d8	6
1512	Test 56f35edb020f5	6
1513	Test 56f35edb5deca	6
1514	Test 56f35edb61f92	4
1515	Test 56f35edb656ad	1
1516	Test 56f35edb695a3	2
1517	Test 56f35edb6d0e8	2
1518	Test 56f35edb7119a	5
1519	Test 56f35edb74d8e	2
1520	Test 56f35edb7890f	2
1521	Test 56f35edb7c144	4
1522	Test 56f35edb7fcdf	6
1523	Test 56f35edb837ce	5
1524	Test 56f35edb87315	6
1525	Test 56f35edb8af1c	6
1526	Test 56f35edb8e5fd	5
1527	Test 56f35edb92264	5
1528	Test 56f35edba1dec	5
1529	Test 56f35edba5c98	2
1530	Test 56f35edbaa959	4
1531	Test 56f35edbb19e5	4
1532	Test 56f35edbb59a2	5
1533	Test 56f35edbb9a29	1
1534	Test 56f35edbbcfd1	1
1535	Test 56f35edbc0cce	1
1536	Test 56f35edbc5b0f	6
1537	Test 56f35edbc9299	5
1538	Test 56f35edbcccf5	6
1539	Test 56f35edbd0b19	3
1540	Test 56f35edbd5cee	3
1541	Test 56f35edbe6760	1
1542	Test 56f35edbeff65	1
1543	Test 56f35edc00f0b	1
1544	Test 56f35edc0e6f1	6
1545	Test 56f35edc180e7	4
1546	Test 56f35edc1e5d4	6
1547	Test 56f35edc2a176	3
1548	Test 56f35edc34b3b	1
1549	Test 56f35edc3dca8	5
1550	Test 56f35edc462d4	2
1551	Test 56f35edc4c7ac	5
1552	Test 56f35edc8e3bf	5
1553	Test 56f35edc93282	2
1554	Test 56f35edc97081	5
1555	Test 56f35edc9aae3	6
1556	Test 56f35edc9e8b6	6
1557	Test 56f35edca251d	3
1558	Test 56f35edcaca59	3
1559	Test 56f35edcb3d7c	5
1560	Test 56f35edcb997a	2
1561	Test 56f35edcc5e4e	6
1562	Test 56f35edccdc78	1
1563	Test 56f35edcd375b	4
1564	Test 56f35edcd7549	1
1565	Test 56f35edcddbbe	1
1566	Test 56f35edce4393	4
1567	Test 56f35edce8022	3
1568	Test 56f35edcec2c0	2
1569	Test 56f35edcf161d	2
1570	Test 56f35edd00d48	1
1571	Test 56f35edd04632	4
1572	Test 56f35edd07f50	6
1573	Test 56f35edd0cc9a	6
1574	Test 56f35edd13580	2
1575	Test 56f35edd18e9e	4
1576	Test 56f35edd1eefc	6
1577	Test 56f35edd24f33	4
1578	Test 56f35edd2974c	4
1579	Test 56f35edd2efdd	1
1580	Test 56f35edd500e9	2
1581	Test 56f35edd53be5	5
1582	Test 56f35edd57d30	1
1583	Test 56f35edd5b9a3	2
1584	Test 56f35edd61348	3
1585	Test 56f35edd64acd	4
1586	Test 56f35edd6878f	2
1587	Test 56f35edd6bdbc	6
1588	Test 56f35edd6f2f4	2
1589	Test 56f35edd72d9e	6
1590	Test 56f35eddb4cb5	5
1591	Test 56f35eddb84c7	1
1592	Test 56f35eddbbd16	1
1593	Test 56f35eddbfdb8	1
1594	Test 56f35eddc428c	4
1595	Test 56f35eddc7c43	5
1596	Test 56f35eddcb51e	5
1597	Test 56f35eddcf9a5	1
1598	Test 56f35eddd3739	6
1599	Test 56f35eddd7941	1
1600	Test 56f35edddb325	6
1601	Test 56f35edddef4d	4
1602	Test 56f35edde2868	2
1603	Test 56f35edde6110	5
1604	Test 56f35edde9c70	2
1605	Test 56f35eddeee62	6
1606	Test 56f35eddf40f0	1
1607	Test 56f35ede0410e	6
1608	Test 56f35ede0a18b	3
1609	Test 56f35ede0f9c3	2
1610	Test 56f35ede13580	4
1611	Test 56f35ede16960	1
1612	Test 56f35ede1a0bc	2
1613	Test 56f35ede1d718	3
1614	Test 56f35ede22d1a	3
1615	Test 56f35ede27fd7	3
1616	Test 56f35ede2c01c	3
1617	Test 56f35ede34073	1
1618	Test 56f35ede377ee	6
1619	Test 56f35ede3b01d	1
1620	Test 56f35ede3f0d2	3
1621	Test 56f35ede42b78	4
1622	Test 56f35ede461a9	1
1623	Test 56f35ede49848	5
1624	Test 56f35ede4cc1c	1
1625	Test 56f35ede53e94	6
1626	Test 56f35ede575fb	5
1627	Test 56f35ede5ac0f	4
1628	Test 56f35edea46f2	6
1629	Test 56f35edead3db	1
1630	Test 56f35edeb0da8	2
1631	Test 56f35edeb4e8b	3
1632	Test 56f35edeb8c5f	3
1633	Test 56f35edebce76	1
1634	Test 56f35edec0206	1
1635	Test 56f35edec7558	2
1636	Test 56f35edecaefd	2
1637	Test 56f35edece4c5	3
1638	Test 56f35eded1ceb	5
1639	Test 56f35eded56d9	1
1640	Test 56f35eded8e26	3
1641	Test 56f35ededc2ef	4
1642	Test 56f35edee3b65	4
1643	Test 56f35edee8b9d	1
1644	Test 56f35edeecf16	3
1645	Test 56f35edef2e18	2
1646	Test 56f35edf03362	3
1647	Test 56f35edf06e9b	3
1648	Test 56f35edf0bd53	6
1649	Test 56f35edf15798	1
1650	Test 56f35edf1bc99	1
1651	Test 56f35edf1f8c2	2
1652	Test 56f35edf238b1	5
1653	Test 56f35edf27f03	3
1654	Test 56f35edf2ffd7	5
1655	Test 56f35edf37f6a	6
1656	Test 56f35edf3cece	6
1657	Test 56f35edf40746	5
1658	Test 56f35edf43e72	5
1659	Test 56f35edf47b3c	6
1660	Test 56f35edf4b495	3
1661	Test 56f35edf4f203	3
1662	Test 56f35edf52435	6
1663	Test 56f35edf560a1	3
1664	Test 56f35edf59469	5
1665	Test 56f35edf5f024	3
1666	Test 56f35edf62ac4	2
1667	Test 56f35edfc2850	2
1668	Test 56f35edfc8d40	4
1669	Test 56f35edfd1f31	5
1670	Test 56f35edfd5c90	5
1671	Test 56f35edfd9827	3
1672	Test 56f35edfdd2da	4
1673	Test 56f35edfe0c06	6
1674	Test 56f35edfe8e27	3
1675	Test 56f35edfeddc2	5
1676	Test 56f35ee000c12	1
1677	Test 56f35ee00593b	1
1678	Test 56f35ee0097eb	1
1679	Test 56f35ee00d4ff	4
1680	Test 56f35ee010c99	3
1681	Test 56f35ee0146e7	5
1682	Test 56f35ee01821a	2
1683	Test 56f35ee01bbc1	5
1684	Test 56f35ee01f678	1
1685	Test 56f35ee02868a	1
1686	Test 56f35ee031f6e	4
1687	Test 56f35ee03b391	2
1688	Test 56f35ee044323	2
1689	Test 56f35ee0486ac	4
1690	Test 56f35ee050d0c	2
1691	Test 56f35ee05536a	5
1692	Test 56f35ee05ce36	2
1693	Test 56f35ee06441f	2
1694	Test 56f35ee06c663	6
1695	Test 56f35ee07169a	2
1696	Test 56f35ee07a1f7	6
1697	Test 56f35ee08076d	5
1698	Test 56f35ee085997	2
1699	Test 56f35ee08ec8f	4
1700	Test 56f35ee09384f	4
1701	Test 56f35ee098a04	3
1702	Test 56f35ee0a0818	4
1703	Test 56f35ee0a6a4d	6
1704	Test 56f35ee0ad98d	5
1705	Test 56f35ee0f36b4	6
1706	Test 56f35ee106e40	2
1707	Test 56f35ee13b466	2
1708	Test 56f35ee146fdb	4
1709	Test 56f35ee150e08	3
1710	Test 56f35ee15c079	5
1711	Test 56f35ee161ba8	1
1712	Test 56f35ee16b756	6
1713	Test 56f35ee170d08	4
1714	Test 56f35ee174514	3
1715	Test 56f35ee177c4a	6
1716	Test 56f35ee17ba1a	4
1717	Test 56f35ee17f93d	2
1718	Test 56f35ee182dbe	5
1719	Test 56f35ee18673f	3
1720	Test 56f35ee189e5d	6
1721	Test 56f35ee1934f8	2
1722	Test 56f35ee196e39	3
1723	Test 56f35ee19a99c	3
1724	Test 56f35ee19e14b	3
1725	Test 56f35ee1a1eae	1
1726	Test 56f35ee1a5791	6
1727	Test 56f35ee1a8bc8	6
1728	Test 56f35ee1b3843	6
1729	Test 56f35ee1b7692	5
1730	Test 56f35ee1bc2b1	6
1731	Test 56f35ee1c00d6	2
1732	Test 56f35ee1c3f87	1
1733	Test 56f35ee1c747d	3
1734	Test 56f35ee1cb087	3
1735	Test 56f35ee1ce466	3
1736	Test 56f35ee1d1cab	2
1737	Test 56f35ee1d543e	3
1738	Test 56f35ee1d8e85	2
1739	Test 56f35ee1e0fc7	5
1740	Test 56f35ee1e4bac	4
1741	Test 56f35ee1e84cf	5
1742	Test 56f35ee1eb88b	6
1743	Test 56f35ee1f18fe	4
1744	Test 56f35ee26c26e	1
1745	Test 56f35ee27239e	5
1746	Test 56f35ee276b68	3
1747	Test 56f35ee27a606	4
1748	Test 56f35ee27e194	3
1749	Test 56f35ee282506	3
1750	Test 56f35ee286e66	6
1751	Test 56f35ee28abdd	6
1752	Test 56f35ee28ec20	4
1753	Test 56f35ee29246d	1
1754	Test 56f35ee295d6f	5
1755	Test 56f35ee29914d	4
1756	Test 56f35ee29cb3d	5
1757	Test 56f35ee2a0061	5
1758	Test 56f35ee2a6a8a	2
1759	Test 56f35ee2ab84f	2
1760	Test 56f35ee2b2b6c	2
1761	Test 56f35ee2b764e	1
1762	Test 56f35ee2bc19a	4
1763	Test 56f35ee2bf663	2
1764	Test 56f35ee2c3075	3
1765	Test 56f35ee2c7113	4
1766	Test 56f35ee2ca955	2
1767	Test 56f35ee2cdee9	3
1768	Test 56f35ee2d18dd	2
1769	Test 56f35ee2d4ed9	3
1770	Test 56f35ee2d88cf	4
1771	Test 56f35ee2de903	5
1772	Test 56f35ee2e3e89	4
1773	Test 56f35ee2e7b78	5
1774	Test 56f35ee2ef4fa	1
1775	Test 56f35ee2f2d9b	6
1776	Test 56f35ee305add	3
1777	Test 56f35ee30ba3e	5
1778	Test 56f35ee312c25	4
1779	Test 56f35ee317d9b	6
1780	Test 56f35ee31f038	2
1781	Test 56f35ee32706d	4
1782	Test 56f35ee401377	3
1783	Test 56f35ee416534	3
1784	Test 56f35ee422594	3
1785	Test 56f35ee4281ee	6
1786	Test 56f35ee434be4	6
1787	Test 56f35ee43f9c4	5
1788	Test 56f35ee454c75	3
1789	Test 56f35ee45ec14	4
1790	Test 56f35ee468a82	3
1791	Test 56f35ee47af11	6
1792	Test 56f35ee484def	1
1793	Test 56f35ee492218	4
1794	Test 56f35ee4a7ada	2
1795	Test 56f35ee4b1abe	4
1796	Test 56f35ee4be225	6
1797	Test 56f35ee4c6a11	3
1798	Test 56f35ee4d10ae	3
1799	Test 56f35ee4dbf6c	3
1800	Test 56f35ee4e18c1	4
1801	Test 56f35ee4e931c	2
1802	Test 56f35ee4ed6d1	5
1803	Test 56f35ee4f3f1d	1
1804	Test 56f35ee505b07	1
1805	Test 56f35ee50dd74	1
1806	Test 56f35ee515ab6	3
1807	Test 56f35ee51a7b8	1
1808	Test 56f35ee51e3ce	3
1809	Test 56f35ee521fc3	1
1810	Test 56f35ee525aa6	1
1811	Test 56f35ee52a7d4	2
1812	Test 56f35ee52df22	2
1813	Test 56f35ee531be5	6
1814	Test 56f35ee535484	5
1815	Test 56f35ee53de56	1
1816	Test 56f35ee542826	4
1817	Test 56f35ee546d5f	6
1818	Test 56f35ee54a4c0	6
1819	Test 56f35ee54daa2	4
1820	Test 56f35ee551333	5
1821	Test 56f35ee59d182	2
1822	Test 56f35ee5a1124	2
1823	Test 56f35ee5a50b0	4
1824	Test 56f35ee5a9747	6
1825	Test 56f35ee5ad0f0	2
1826	Test 56f35ee5b0b66	6
1827	Test 56f35ee5b48a5	1
1828	Test 56f35ee5b9245	5
1829	Test 56f35ee5beaf0	3
1830	Test 56f35ee5c38a5	1
1831	Test 56f35ee5cbc58	1
1832	Test 56f35ee5d024d	5
1833	Test 56f35ee5d79c8	3
1834	Test 56f35ee5de7fa	5
1835	Test 56f35ee5e230b	3
1836	Test 56f35ee5e595a	4
1837	Test 56f35ee5eb22b	6
1838	Test 56f35ee5ef346	4
1839	Test 56f35ee5f329c	5
1840	Test 56f35ee602972	6
1841	Test 56f35ee605f26	5
1842	Test 56f35ee609550	6
1843	Test 56f35ee60dd50	2
1844	Test 56f35ee613e66	2
1845	Test 56f35ee617958	2
1846	Test 56f35ee61cc9e	6
1847	Test 56f35ee621497	5
1848	Test 56f35ee6253c8	3
1849	Test 56f35ee629223	4
1850	Test 56f35ee62cf71	2
1851	Test 56f35ee6343b9	1
1852	Test 56f35ee63bfa2	4
1853	Test 56f35ee640ee0	5
1854	Test 56f35ee644a76	5
1855	Test 56f35ee6486a3	5
1856	Test 56f35ee65180e	6
1857	Test 56f35ee6556b9	1
1858	Test 56f35ee6593c2	6
1859	Test 56f35ee6dcf30	5
1860	Test 56f35ee6e0e08	6
1861	Test 56f35ee6ee241	3
1862	Test 56f35ee6f2f8b	5
1863	Test 56f35ee703bb6	1
1864	Test 56f35ee708cc1	2
1865	Test 56f35ee70ce7a	4
1866	Test 56f35ee742809	1
1867	Test 56f35ee7465fc	1
1868	Test 56f35ee749e26	6
1869	Test 56f35ee74ddd9	4
1870	Test 56f35ee7515d9	2
1871	Test 56f35ee7554fa	1
1872	Test 56f35ee75a390	4
1873	Test 56f35ee75dd12	3
1874	Test 56f35ee761831	3
1875	Test 56f35ee765477	4
1876	Test 56f35ee768e0f	2
1877	Test 56f35ee76c6b0	6
1878	Test 56f35ee770117	5
1879	Test 56f35ee77386c	4
1880	Test 56f35ee7792a0	6
1881	Test 56f35ee77d1fc	2
1882	Test 56f35ee7811c1	3
1883	Test 56f35ee7857f8	1
1884	Test 56f35ee78a3ef	1
1885	Test 56f35ee78eb66	3
1886	Test 56f35ee795474	6
1887	Test 56f35ee7994a9	6
1888	Test 56f35ee79cd54	1
1889	Test 56f35ee7a0aa4	4
1890	Test 56f35ee7a5bb1	2
1891	Test 56f35ee7a961d	1
1892	Test 56f35ee7ad72c	3
1893	Test 56f35ee7b1084	3
1894	Test 56f35ee7b59a1	6
1895	Test 56f35ee7b964d	5
1896	Test 56f35ee7bd151	2
1897	Test 56f35ee7c0ad7	3
1898	Test 56f35ee81bae8	1
1899	Test 56f35ee81fef0	2
1900	Test 56f35ee84c198	4
1901	Test 56f35ee86623f	4
1902	Test 56f35ee86b7a2	2
1903	Test 56f35ee874306	2
1904	Test 56f35ee878547	1
1905	Test 56f35ee87ebc0	1
1906	Test 56f35ee8864a3	3
1907	Test 56f35ee88a36e	4
1908	Test 56f35ee88e802	4
1909	Test 56f35ee8927c6	5
1910	Test 56f35ee8962c7	1
1911	Test 56f35ee899813	1
1912	Test 56f35ee89d2f9	2
1913	Test 56f35ee8a0a0b	4
1914	Test 56f35ee8a4425	5
1915	Test 56f35ee8a7814	3
1916	Test 56f35ee8adf94	1
1917	Test 56f35ee8b18a6	4
1918	Test 56f35ee8b66c3	4
1919	Test 56f35ee8ba781	4
1920	Test 56f35ee8bdc34	5
1921	Test 56f35ee8c17ba	1
1922	Test 56f35ee8c4dc9	3
1923	Test 56f35ee8c9228	4
1924	Test 56f35ee8cf0e5	5
1925	Test 56f35ee8d2ca7	2
1926	Test 56f35ee8d893d	3
1927	Test 56f35ee8dc061	5
1928	Test 56f35ee8df8bc	6
1929	Test 56f35ee8e2d59	5
1930	Test 56f35ee8e6567	6
1931	Test 56f35ee8e9b81	1
1932	Test 56f35ee902a3d	1
1933	Test 56f35ee90693f	5
1934	Test 56f35ee90a7ca	2
1935	Test 56f35ee90e2ee	2
1936	Test 56f35ee96c1a8	4
1937	Test 56f35ee9b6441	4
1938	Test 56f35ee9baa6c	4
1939	Test 56f35ee9c1cda	4
1940	Test 56f35ee9c54b0	5
1941	Test 56f35ee9ccac2	6
1942	Test 56f35ee9d1958	6
1943	Test 56f35ee9d8168	5
1944	Test 56f35ee9dc2ca	6
1945	Test 56f35ee9e044c	3
1946	Test 56f35ee9e3d46	1
1947	Test 56f35ee9e76d9	1
1948	Test 56f35ee9eb484	2
1949	Test 56f35ee9eee6b	5
1950	Test 56f35ee9f2ae4	4
1951	Test 56f35eea05fcb	6
1952	Test 56f35eea28223	2
1953	Test 56f35eea57ec5	6
1954	Test 56f35eea5e0fa	1
1955	Test 56f35eea69b1f	5
1956	Test 56f35eea7e2a4	4
1957	Test 56f35eea837dd	4
1958	Test 56f35eea878a1	6
1959	Test 56f35eea8b3f6	2
1960	Test 56f35eea8ec6d	3
1961	Test 56f35eea925c3	5
1962	Test 56f35eea966db	5
1963	Test 56f35eea99e49	1
1964	Test 56f35eea9d44a	6
1965	Test 56f35eeaa0ef4	2
1966	Test 56f35eeaa4567	6
1967	Test 56f35eeaaa5eb	4
1968	Test 56f35eeaadc7e	1
1969	Test 56f35eeab26c2	5
1970	Test 56f35eeab78c8	6
1971	Test 56f35eeac0bbd	2
1972	Test 56f35eeac5ff8	6
1973	Test 56f35eeac9bc5	4
1974	Test 56f35eeacd194	1
1975	Test 56f35eeb2beb4	2
1976	Test 56f35eeb304d7	6
1977	Test 56f35eeb3452a	1
1978	Test 56f35eeb3c0ce	2
1979	Test 56f35eeb4357d	6
1980	Test 56f35eeb4d189	6
1981	Test 56f35eeb516f0	3
1982	Test 56f35eeb59065	4
1983	Test 56f35eeb5c8e0	4
1984	Test 56f35eeb6217d	3
1985	Test 56f35eeb68101	3
1986	Test 56f35eeb6f0d6	3
1987	Test 56f35eeb75695	3
1988	Test 56f35eeb7a55d	2
1989	Test 56f35eeb7de1d	3
1990	Test 56f35eeb81c2e	3
1991	Test 56f35eeb85f3c	3
1992	Test 56f35eeb8d758	4
1993	Test 56f35eeb9209c	3
1994	Test 56f35eeb96653	4
1995	Test 56f35eeb9c25e	3
1996	Test 56f35eeba9db8	4
1997	Test 56f35eebaf9d4	3
1998	Test 56f35eebbca45	6
1999	Test 56f35eebc3ce0	3
2000	Test 56f35eebccbcf	4
2001	Test 56f35eebd47ea	1
2002	Test 56f35eec06570	2
2003	Test 56f35eec0a09d	6
2004	Test 56f35eec0dc70	1
2005	Test 56f35eec11737	4
2006	Test 56f35eec14c96	6
2007	Test 56f35eec18137	5
2008	Test 56f35eec1bc67	5
2009	Test 56f35eec1f558	2
2010	Test 56f35eec22bb2	6
2011	Test 56f35eec26207	5
2012	Test 56f35eec29a00	3
2013	Test 56f35eec7abe4	3
2014	Test 56f35eec80507	5
2015	Test 56f35eec8521e	5
2016	Test 56f35eec8c84c	4
2017	Test 56f35eec903d0	5
2018	Test 56f35eec937fd	3
2019	Test 56f35eec96c9f	6
2020	Test 56f35eec9e543	2
2021	Test 56f35eeca23bb	3
2022	Test 56f35eeca5795	4
2023	Test 56f35eeca8f06	6
2024	Test 56f35eecac4f1	6
2025	Test 56f35eecafca4	1
2026	Test 56f35eecb4a1f	5
2027	Test 56f35eecb86e1	1
2028	Test 56f35eecbc17c	1
2029	Test 56f35eecbff49	6
2030	Test 56f35eecc57ed	1
2031	Test 56f35eecc8c15	6
2032	Test 56f35eeccc3b8	1
2033	Test 56f35eeccf87e	5
2034	Test 56f35eecd3cde	3
2035	Test 56f35eecd8041	6
2036	Test 56f35eece2d4f	6
2037	Test 56f35eece6b63	6
2038	Test 56f35eeceb982	1
2039	Test 56f35eecefb3c	2
2040	Test 56f35eecf36c4	3
2041	Test 56f35eed02fa2	3
2042	Test 56f35eed06785	4
2043	Test 56f35eed0ea73	1
2044	Test 56f35eed13e30	1
2045	Test 56f35eed17e30	2
2046	Test 56f35eed1cfda	6
2047	Test 56f35eed21bd3	2
2048	Test 56f35eed3e6dc	1
2049	Test 56f35eed554d3	3
2050	Test 56f35eed63d7e	5
2051	Test 56f35eed684e7	1
2052	Test 56f35eee0038c	5
2053	Test 56f35eee0fca1	3
2054	Test 56f35eee1412b	3
2055	Test 56f35eee17823	5
2056	Test 56f35eee21ef4	3
2057	Test 56f35eee27e86	6
2058	Test 56f35eee2c1d4	1
2059	Test 56f35eee2fd12	3
2060	Test 56f35eee32f42	6
2061	Test 56f35eee367b9	4
2062	Test 56f35eee3a014	1
2063	Test 56f35eee3d9d4	4
2064	Test 56f35eee413a1	6
2065	Test 56f35eee44845	1
2066	Test 56f35eee48138	5
2067	Test 56f35eee4b9dc	6
2068	Test 56f35eee52c8b	5
2069	Test 56f35eee5644f	2
2070	Test 56f35eee5a533	2
2071	Test 56f35eee5dc00	2
2072	Test 56f35eee61609	6
2073	Test 56f35eee64e59	4
2074	Test 56f35eee68698	5
2075	Test 56f35eee6bf06	3
2076	Test 56f35eee6ff42	2
2077	Test 56f35eee79032	4
2078	Test 56f35eee7e1f6	6
2079	Test 56f35eee86c48	2
2080	Test 56f35eee92b4b	3
2081	Test 56f35eee9b53c	1
2082	Test 56f35eeea46cd	4
2083	Test 56f35eeeae48f	6
2084	Test 56f35eeeb454c	3
2085	Test 56f35eeeba7a7	3
2086	Test 56f35eeec29dd	2
2087	Test 56f35eeec994b	2
2088	Test 56f35eeed3ad0	2
2089	Test 56f35eeedcda5	1
2090	Test 56f35eefe1d8d	2
2091	Test 56f35eefe89eb	5
2092	Test 56f35ef000cc0	4
2093	Test 56f35ef00f701	6
2094	Test 56f35ef014fa4	6
2095	Test 56f35ef01b0c4	4
2096	Test 56f35ef0235cd	6
2097	Test 56f35ef02fd6a	5
2098	Test 56f35ef038c67	3
2099	Test 56f35ef03fd87	6
2100	Test 56f35ef047dae	5
2101	Test 56f35ef051e5c	6
2102	Test 56f35ef05ce9f	1
2103	Test 56f35ef063ecd	3
2104	Test 56f35ef0686d4	4
2105	Test 56f35ef06ffca	6
2106	Test 56f35ef07846f	2
2107	Test 56f35ef080278	6
2108	Test 56f35ef085160	2
2109	Test 56f35ef08bb69	6
2110	Test 56f35ef0942b9	2
2111	Test 56f35ef099283	4
2112	Test 56f35ef09e6e3	1
2113	Test 56f35ef0a390e	4
2114	Test 56f35ef0a7df7	2
2115	Test 56f35ef0abc56	1
2116	Test 56f35ef0b121e	3
2117	Test 56f35ef0b63d2	2
2118	Test 56f35ef0c35b4	1
2119	Test 56f35ef0ce8d6	3
2120	Test 56f35ef0d9725	2
2121	Test 56f35ef0e0b37	5
2122	Test 56f35ef0e98bd	6
2123	Test 56f35ef0f2bfd	5
2124	Test 56f35ef107736	6
2125	Test 56f35ef10eab4	5
2126	Test 56f35ef112c0b	5
2127	Test 56f35ef116d1c	2
2128	Test 56f35ef188904	5
2129	Test 56f35ef18f27d	1
2130	Test 56f35ef1961cb	1
2131	Test 56f35ef1a0168	5
2132	Test 56f35ef1a585b	1
2133	Test 56f35ef1ad433	1
2134	Test 56f35ef1b3681	4
2135	Test 56f35ef1ba3a5	6
2136	Test 56f35ef1c244a	6
2137	Test 56f35ef1cc471	4
2138	Test 56f35ef1d2da3	3
2139	Test 56f35ef1db7ff	1
2140	Test 56f35ef1e049b	5
2141	Test 56f35ef1e452c	2
2142	Test 56f35ef1e7fb1	1
2143	Test 56f35ef1ec2f1	2
2144	Test 56f35ef1f0a6e	2
2145	Test 56f35ef2010ce	2
2146	Test 56f35ef20d852	6
2147	Test 56f35ef215912	6
2148	Test 56f35ef21cc5e	4
2149	Test 56f35ef225926	2
2150	Test 56f35ef22a67a	1
2151	Test 56f35ef22dff5	6
2152	Test 56f35ef236d7f	4
2153	Test 56f35ef23fd39	6
2154	Test 56f35ef243e56	1
2155	Test 56f35ef248c22	2
2156	Test 56f35ef24eba4	5
2157	Test 56f35ef256aef	5
2158	Test 56f35ef25cdc9	3
2159	Test 56f35ef265ca6	4
2160	Test 56f35ef26df8e	5
2161	Test 56f35ef272378	6
2162	Test 56f35ef279249	6
2163	Test 56f35ef282dfe	5
2164	Test 56f35ef28d00e	2
2165	Test 56f35ef29421e	4
2166	Test 56f35ef29b2de	5
2167	Test 56f35ef37e0ed	6
2168	Test 56f35ef395f90	3
2169	Test 56f35ef3a3499	2
2170	Test 56f35ef3a8351	4
2171	Test 56f35ef3ac190	3
2172	Test 56f35ef3afefe	4
2173	Test 56f35ef3b796d	4
2174	Test 56f35ef3bbca1	2
2175	Test 56f35ef3bf240	2
2176	Test 56f35ef3c3365	5
2177	Test 56f35ef3c70a7	5
2178	Test 56f35ef3cd6cf	4
2179	Test 56f35ef3d1ca9	6
2180	Test 56f35ef3d5c40	3
2181	Test 56f35ef3db6c5	4
2182	Test 56f35ef3e2588	2
2183	Test 56f35ef3e6e85	1
2184	Test 56f35ef3eaca0	2
2185	Test 56f35ef3ef1eb	3
2186	Test 56f35ef3f3870	2
2187	Test 56f35ef40984a	4
2188	Test 56f35ef40f7c4	6
2189	Test 56f35ef4183d7	4
2190	Test 56f35ef421c43	6
2191	Test 56f35ef4540cd	3
2192	Test 56f35ef45e8fa	4
2193	Test 56f35ef464382	2
2194	Test 56f35ef46de30	2
2195	Test 56f35ef4740a2	1
2196	Test 56f35ef47b44d	6
2197	Test 56f35ef48186b	2
2198	Test 56f35ef48c197	2
2199	Test 56f35ef4941a2	1
2200	Test 56f35ef49abdb	3
2201	Test 56f35ef4a14f3	5
2202	Test 56f35ef4ac1c6	2
2203	Test 56f35ef4b3182	5
2204	Test 56f35ef4b6df1	2
2205	Test 56f35ef55cf62	1
2206	Test 56f35ef561dac	3
2207	Test 56f35ef5661c3	6
2208	Test 56f35ef56b053	1
2209	Test 56f35ef56ecf1	3
2210	Test 56f35ef5753bb	1
2211	Test 56f35ef57abf4	2
2212	Test 56f35ef57ed80	1
2213	Test 56f35ef582f67	3
2214	Test 56f35ef58901c	3
2215	Test 56f35ef58d240	6
2216	Test 56f35ef591297	6
2217	Test 56f35ef597e73	5
2218	Test 56f35ef59baff	6
2219	Test 56f35ef59f7b2	1
2220	Test 56f35ef5a61d4	3
2221	Test 56f35ef5a9657	2
2222	Test 56f35ef5aceb4	5
2223	Test 56f35ef5b089f	5
2224	Test 56f35ef5b4e2f	3
2225	Test 56f35ef5bf9af	3
2226	Test 56f35ef5c3f72	6
2227	Test 56f35ef5c9582	3
2228	Test 56f35ef5cd6ed	1
2229	Test 56f35ef5d50db	4
2230	Test 56f35ef5dce16	6
2231	Test 56f35ef5e1c2e	3
2232	Test 56f35ef5e5b21	1
2233	Test 56f35ef5e935a	3
2234	Test 56f35ef5ed03f	6
2235	Test 56f35ef5f0aad	1
2236	Test 56f35ef600dd3	2
2237	Test 56f35ef60ba40	4
2238	Test 56f35ef616529	4
2239	Test 56f35ef623bf7	4
2240	Test 56f35ef62f8a2	1
2241	Test 56f35ef639d7f	6
2242	Test 56f35ef64873d	3
2243	Test 56f35ef64ec9a	1
2244	Test 56f35ef6b2c29	5
2245	Test 56f35ef6b8d8f	6
2246	Test 56f35ef6be313	1
2247	Test 56f35ef6c51ae	1
2248	Test 56f35ef6c92a0	2
2249	Test 56f35ef6cca2d	1
2250	Test 56f35ef6d287d	1
2251	Test 56f35ef6d6afd	5
2252	Test 56f35ef6daad6	5
2253	Test 56f35ef6e2870	1
2254	Test 56f35ef6e7999	5
2255	Test 56f35ef6ee691	1
2256	Test 56f35ef703579	2
2257	Test 56f35ef70a5b3	3
2258	Test 56f35ef70eb7a	4
2259	Test 56f35ef71289c	1
2260	Test 56f35ef716694	2
2261	Test 56f35ef71a629	3
2262	Test 56f35ef71f8d6	3
2263	Test 56f35ef7271e0	1
2264	Test 56f35ef72ca03	5
2265	Test 56f35ef7300e0	6
2266	Test 56f35ef7391f1	4
2267	Test 56f35ef740938	1
2268	Test 56f35ef7447f6	5
2269	Test 56f35ef74ea35	5
2270	Test 56f35ef754ab7	2
2271	Test 56f35ef75a97f	4
2272	Test 56f35ef75eaed	1
2273	Test 56f35ef76304d	6
2274	Test 56f35ef7672c6	1
2275	Test 56f35ef76ad18	6
2276	Test 56f35ef771981	4
2277	Test 56f35ef7767d3	1
2278	Test 56f35ef77cad4	3
2279	Test 56f35ef78355c	5
2280	Test 56f35ef787337	2
2281	Test 56f35ef78f85d	5
2282	Test 56f35ef8056f4	3
2283	Test 56f35ef80f4a1	5
2284	Test 56f35ef817799	1
2285	Test 56f35ef81f66b	2
2286	Test 56f35ef826104	5
2287	Test 56f35ef82da1b	2
2288	Test 56f35ef834996	6
2289	Test 56f35ef83e7bf	6
2290	Test 56f35ef84737d	5
2291	Test 56f35ef84aff5	5
2292	Test 56f35ef8667e9	6
2293	Test 56f35ef88ea46	3
2294	Test 56f35ef8decce	6
2295	Test 56f35ef8e643e	1
2296	Test 56f35ef8ec00a	4
2297	Test 56f35ef8f251f	2
2298	Test 56f35ef902013	3
2299	Test 56f35ef905a93	6
2300	Test 56f35ef908f42	5
2301	Test 56f35ef90c910	5
2302	Test 56f35ef910629	5
2303	Test 56f35ef914189	3
2304	Test 56f35ef917ba3	5
2305	Test 56f35ef91b38e	3
2306	Test 56f35ef91f06b	1
2307	Test 56f35ef922c6c	1
2308	Test 56f35ef9272ed	5
2309	Test 56f35ef92c9c8	1
2310	Test 56f35ef93089c	1
2311	Test 56f35ef9381cf	1
2312	Test 56f35ef941605	3
2313	Test 56f35ef948855	3
2314	Test 56f35ef94f85a	1
2315	Test 56f35ef956a89	6
2316	Test 56f35ef95bca9	1
2317	Test 56f35ef961fc1	6
2318	Test 56f35ef9674a3	5
2319	Test 56f35ef96b508	4
2320	Test 56f35ef96ff50	5
2321	Test 56f35ef9dd642	3
2322	Test 56f35ef9ef5eb	5
2323	Test 56f35efa0386b	4
2324	Test 56f35efa08a4a	4
2325	Test 56f35efa0d050	5
2326	Test 56f35efa12a0f	4
2327	Test 56f35efa1738a	1
2328	Test 56f35efa1c0d0	6
2329	Test 56f35efa206cf	3
2330	Test 56f35efa243eb	4
2331	Test 56f35efa28b59	1
2332	Test 56f35efa2c65d	1
2333	Test 56f35efa309b4	6
2334	Test 56f35efa34518	1
2335	Test 56f35efa3c01c	5
2336	Test 56f35efa41f80	3
2337	Test 56f35efa497d2	3
2338	Test 56f35efa4ddf0	4
2339	Test 56f35efa52181	2
2340	Test 56f35efa56995	1
2341	Test 56f35efa5f53e	4
2342	Test 56f35efa64bd1	4
2343	Test 56f35efa6a03b	3
2344	Test 56f35efa7263f	2
2345	Test 56f35efa79b9e	6
2346	Test 56f35efa7dbac	5
2347	Test 56f35efa83cd5	5
2348	Test 56f35efa885e8	3
2349	Test 56f35efa8cc35	2
2350	Test 56f35efa91035	6
2351	Test 56f35efa9ab01	2
2352	Test 56f35efaa1380	2
2353	Test 56f35efaa5767	2
2354	Test 56f35efaaebea	5
2355	Test 56f35efab4ca4	6
2356	Test 56f35efab8a37	4
2357	Test 56f35efabd041	5
2358	Test 56f35efac2c44	1
2359	Test 56f35f1b3e232	1
2360	Test 56f35f1b4fdf3	6
2361	Test 56f35f1b53e43	1
2362	Test 56f35f1b5789f	6
2363	Test 56f35f1b5d960	2
2364	Test 56f35f1b63c54	4
2365	Test 56f35f1b6760f	6
2366	Test 56f35f1b6afb1	6
2367	Test 56f35f1b6e985	1
2368	Test 56f35f1b72bb2	5
2369	Test 56f35f1b76886	4
2370	Test 56f35f1b79f0e	1
2371	Test 56f35f1b805f1	4
2372	Test 56f35f1b85bc8	2
2373	Test 56f35f1b8c192	6
2374	Test 56f35f1b9185c	2
2375	Test 56f35f1b976f7	6
2376	Test 56f35f1b9b614	1
2377	Test 56f35f1b9f2be	2
2378	Test 56f35f1ba20e5	1
2379	Test 56f35f1ba533b	2
2380	Test 56f35f1ba9220	3
2381	Test 56f35f1bad2af	2
2382	Test 56f35f1bb7b06	5
2383	Test 56f35f1bc0dc9	5
2384	Test 56f35f1bcae25	4
2385	Test 56f35f1bcff79	3
2386	Test 56f35f1bd4f17	3
2387	Test 56f35f1bd8e0d	4
2388	Test 56f35f1bdf489	3
2389	Test 56f35f1be29d8	3
2390	Test 56f35f1be5980	4
2391	Test 56f35f1beb732	6
2392	Test 56f35f1beeb77	1
2393	Test 56f35f1bf222b	3
2394	Test 56f35f1c00c9e	6
2395	Test 56f35f1c04029	5
2396	Test 56f35f1c0d9b3	6
2397	Test 56f35f1c10e10	6
2398	Test 56f35f1c141c5	1
2399	Test 56f35f1c171aa	4
2400	Test 56f35f1c1a48d	2
2401	Test 56f35f1c1d4e4	4
2402	Test 56f35f1c2e28a	5
2403	Test 56f35f1c3310c	4
2404	Test 56f35f1c35feb	1
2405	Test 56f35f1c39445	1
2406	Test 56f35f1c3ce1e	3
2407	Test 56f35f1c4001d	3
2408	Test 56f35f1c4335c	3
2409	Test 56f35f1c46419	2
2410	Test 56f35f1c4b433	6
2411	Test 56f35f1c4ef42	1
2412	Test 56f35f1c5214e	2
2413	Test 56f35f1c54f6d	2
2414	Test 56f35f1c58e33	1
2415	Test 56f35f1c5d03d	3
2416	Test 56f35f1c60223	4
2417	Test 56f35f1c6344c	4
2418	Test 56f35f1c69d0d	1
2419	Test 56f35f1c715bb	6
2420	Test 56f35f1c75de9	2
2421	Test 56f35f1c81d63	6
2422	Test 56f35f1c859b8	2
2423	Test 56f35f1c88e07	3
2424	Test 56f35f1c8ca46	1
2425	Test 56f35f1c9002c	2
2426	Test 56f35f1c9413d	2
2427	Test 56f35f1c984c1	2
2428	Test 56f35f1c9d21e	5
2429	Test 56f35f1ca354b	3
2430	Test 56f35f1ca935e	2
2431	Test 56f35f1cb2897	2
2432	Test 56f35f1cb9735	4
2433	Test 56f35f1cbe35d	2
2434	Test 56f35f1cc24ac	6
2435	Test 56f35f1cc69a0	2
2436	Test 56f35f1cce16e	1
2437	Test 56f35f1cd459c	6
2438	Test 56f35f1cd75e2	1
2439	Test 56f35f1cda33f	2
2440	Test 56f35f1cdd46d	3
2441	Test 56f35f1ce0788	4
2442	Test 56f35f1ce3d57	3
2443	Test 56f35f1ce7ba5	2
2444	Test 56f35f1ceaf8e	4
2445	Test 56f35f1cedffb	2
2446	Test 56f35f1cf3485	2
2447	Test 56f35f1d020c2	6
2448	Test 56f35f1d057f0	4
2449	Test 56f35f1d08c16	6
2450	Test 56f35f1d0bf29	6
2451	Test 56f35f1d0f655	3
2452	Test 56f35f1d164d4	6
2453	Test 56f35f1d197c7	5
2454	Test 56f35f1d1cc5b	3
2455	Test 56f35f1d207d7	1
2456	Test 56f35f1d23c47	5
2457	Test 56f35f1d296e5	2
2458	Test 56f35f1d2e462	6
2459	Test 56f35f1d315ed	2
2460	Test 56f35f1d348a9	3
2461	Test 56f35f1d3894e	5
2462	Test 56f35f1d3c34c	2
2463	Test 56f35f1d3f98d	6
2464	Test 56f35f1d429b3	2
2465	Test 56f35f1d46302	2
2466	Test 56f35f1d49428	3
2467	Test 56f35f1d4e6b8	2
2468	Test 56f35f1d58822	4
2469	Test 56f35f1d5cc16	2
2470	Test 56f35f1d603ca	6
2471	Test 56f35f1d638b7	5
2472	Test 56f35f1d67a47	3
2473	Test 56f35f1d6b8c9	2
2474	Test 56f35f1d6f9cb	3
2475	Test 56f35f1d730a9	1
2476	Test 56f35f1d7fcc4	4
2477	Test 56f35f1d83efc	5
2478	Test 56f35f1d8765a	6
2479	Test 56f35f1d8abd0	5
2480	Test 56f35f1d8e382	5
2481	Test 56f35f1d91b57	4
2482	Test 56f35f1d95197	5
2483	Test 56f35f1d9883c	4
2484	Test 56f35f1d9bb3c	6
2485	Test 56f35f1da0f43	5
2486	Test 56f35f1da4228	3
2487	Test 56f35f1da74d9	3
2488	Test 56f35f1daae0d	5
2489	Test 56f35f1dae3db	6
2490	Test 56f35f1db238f	6
2491	Test 56f35f1db57af	1
2492	Test 56f35f1db91f4	1
2493	Test 56f35f1dbccc9	4
2494	Test 56f35f1dbfeaf	3
2495	Test 56f35f1dc61af	1
2496	Test 56f35f1dce37c	4
2497	Test 56f35f1dd33ca	1
2498	Test 56f35f1dd736e	2
2499	Test 56f35f1ddab58	6
2500	Test 56f35f1dde10b	3
2501	Test 56f35f1de11f5	4
2502	Test 56f35f1de54c2	6
2503	Test 56f35f1de8aaf	4
2504	Test 56f35f1dec28f	5
2505	Test 56f35f1def7d3	4
2506	Test 56f35f1df35a3	5
2507	Test 56f35f1e02a1c	4
2508	Test 56f35f1e06058	3
2509	Test 56f35f1e09379	1
2510	Test 56f35f1e0cb54	6
2511	Test 56f35f1e15616	1
2512	Test 56f35f1e1ad03	3
2513	Test 56f35f1e1ffc6	2
2514	Test 56f35f1e23f61	4
2515	Test 56f35f1e2716f	5
2516	Test 56f35f1e2bdb7	3
2517	Test 56f35f1e2f2af	4
2518	Test 56f35f1e3389f	5
2519	Test 56f35f1e3717a	3
2520	Test 56f35f1e3ad3a	2
2521	Test 56f35f1e3e125	3
2522	Test 56f35f1e4151d	6
2523	Test 56f35f1e44a87	1
2524	Test 56f35f1e4b8f5	6
2525	Test 56f35f1e54f4d	1
2526	Test 56f35f1e5aa58	2
2527	Test 56f35f1e5fb81	6
2528	Test 56f35f1e638f5	2
2529	Test 56f35f1e67587	3
2530	Test 56f35f1e6ab33	4
2531	Test 56f35f1e6e66b	6
2532	Test 56f35f1e79461	1
2533	Test 56f35f1e7e57b	4
2534	Test 56f35f1e8239b	6
2535	Test 56f35f1e8590c	3
2536	Test 56f35f1e898e3	1
2537	Test 56f35f1e8cbe1	2
2538	Test 56f35f1e92d6e	4
2539	Test 56f35f1e960ce	1
2540	Test 56f35f1e99fa3	4
2541	Test 56f35f1e9d380	2
2542	Test 56f35f1ea097c	2
2543	Test 56f35f1ea39d5	6
2544	Test 56f35f1ea6cf1	4
2545	Test 56f35f1ea9d3d	2
2546	Test 56f35f1eacd10	2
2547	Test 56f35f1eb03a4	1
2548	Test 56f35f1eb3d0f	2
2549	Test 56f35f1eba24d	1
2550	Test 56f35f1ebe618	6
2551	Test 56f35f1ec19ac	6
2552	Test 56f35f1ec4d4d	1
2553	Test 56f35f1ec9c3e	5
2554	Test 56f35f1ecd08a	2
2555	Test 56f35f1ed0d43	6
2556	Test 56f35f1ed42aa	2
2557	Test 56f35f1ed76f2	2
2558	Test 56f35f1edace5	1
2559	Test 56f35f1ede1a6	6
2560	Test 56f35f1ee10f7	4
2561	Test 56f35f1ee4909	5
2562	Test 56f35f1ee7987	4
2563	Test 56f35f1eee256	1
2564	Test 56f35f1ef165f	6
2565	Test 56f35f1f00337	4
2566	Test 56f35f1f09d3b	3
2567	Test 56f35f1f0e317	3
2568	Test 56f35f1f111f9	3
2569	Test 56f35f1f19798	2
2570	Test 56f35f1f1ea24	1
2571	Test 56f35f1f2212d	1
2572	Test 56f35f1f264da	4
2573	Test 56f35f1f2a78c	6
2574	Test 56f35f1f2dc7d	4
2575	Test 56f35f1f317ca	3
2576	Test 56f35f1f347ca	1
2577	Test 56f35f1f37d14	2
2578	Test 56f35f1f3b684	4
2579	Test 56f35f1f3e6a7	1
2580	Test 56f35f1f4477e	5
2581	Test 56f35f1f47e03	3
2582	Test 56f35f1f4ebdb	4
2583	Test 56f35f1f52f12	2
2584	Test 56f35f1f5725c	3
2585	Test 56f35f1f5bc22	6
2586	Test 56f35f1f64f0d	2
2587	Test 56f35f1f67e35	5
2588	Test 56f35f1f6cd9b	4
2589	Test 56f35f1f71afe	6
2590	Test 56f35f1f75206	3
2591	Test 56f35f1f7850d	3
2592	Test 56f35f1f7b85b	5
2593	Test 56f35f1f7fe82	6
2594	Test 56f35f1f833ca	3
2595	Test 56f35f1f86896	5
2596	Test 56f35f1f8cc7a	4
2597	Test 56f35f1f902b9	3
2598	Test 56f35f1f9aa70	4
2599	Test 56f35f1f9fd2a	5
2600	Test 56f35f1fa350f	5
2601	Test 56f35f1fad541	1
2602	Test 56f35f1fb22ee	6
2603	Test 56f35f1fbd225	2
2604	Test 56f35f1fc7297	6
2605	Test 56f35f1fd3d48	4
2606	Test 56f35f1fdb594	5
2607	Test 56f35f1fdeb70	2
2608	Test 56f35f1fe31a9	6
2609	Test 56f35f1fe635f	3
2610	Test 56f35f1fe9752	4
2611	Test 56f35f1fec987	3
2612	Test 56f35f1ff2969	1
2613	Test 56f35f2002105	4
2614	Test 56f35f2005e10	1
2615	Test 56f35f2009fd1	6
2616	Test 56f35f2014728	1
2617	Test 56f35f201930f	1
2618	Test 56f35f2024b7d	4
2619	Test 56f35f2027f39	2
2620	Test 56f35f202b25b	2
2621	Test 56f35f20337c6	1
2622	Test 56f35f2036c33	3
2623	Test 56f35f203c843	1
2624	Test 56f35f203fc63	3
2625	Test 56f35f2042ec0	3
2626	Test 56f35f204ee5e	5
2627	Test 56f35f20522cb	3
2628	Test 56f35f205599e	5
2629	Test 56f35f2058da5	1
2630	Test 56f35f205dddd	5
2631	Test 56f35f2061a02	4
2632	Test 56f35f2064d02	4
2633	Test 56f35f2067fa3	5
2634	Test 56f35f206dd2c	3
2635	Test 56f35f2071875	1
2636	Test 56f35f2074f71	4
2637	Test 56f35f2078744	1
2638	Test 56f35f207b9ff	3
2639	Test 56f35f207ee34	4
2640	Test 56f35f2084804	1
2641	Test 56f35f2087bdb	3
2642	Test 56f35f208be41	4
2643	Test 56f35f208fc8b	1
2644	Test 56f35f2092c49	4
2645	Test 56f35f2095c8e	6
2646	Test 56f35f20990e8	2
2647	Test 56f35f209c26d	6
2648	Test 56f35f209fc25	3
2649	Test 56f35f20a3dcd	4
2650	Test 56f35f20a75b3	2
2651	Test 56f35f20aa4a1	3
2652	Test 56f35f20adc95	4
2653	Test 56f35f20b0c2b	5
2654	Test 56f35f20b3eb7	4
2655	Test 56f35f20b6edf	3
2656	Test 56f35f20ba0fc	4
2657	Test 56f35f20bd050	6
2658	Test 56f35f20c1b90	1
2659	Test 56f35f20c4e9b	3
2660	Test 56f35f20c7f7c	4
2661	Test 56f35f20cb2cf	2
2662	Test 56f35f20cded3	2
2663	Test 56f35f20d11bc	5
2664	Test 56f35f20d47a4	6
2665	Test 56f35f20e0d52	6
2666	Test 56f35f20e4113	6
2667	Test 56f35f20e735b	2
2668	Test 56f35f20ea65d	6
2669	Test 56f35f20edce2	1
2670	Test 56f35f20f1a8c	2
2671	Test 56f35f2100fed	6
2672	Test 56f35f2104205	2
2673	Test 56f35f21071bc	1
2674	Test 56f35f210a996	6
2675	Test 56f35f210d893	1
2676	Test 56f35f2110bf9	6
2677	Test 56f35f2113e1d	6
2678	Test 56f35f211718c	6
2679	Test 56f35f211ceaa	2
2680	Test 56f35f2120372	1
2681	Test 56f35f2124796	2
2682	Test 56f35f2129628	2
2683	Test 56f35f212c990	3
2684	Test 56f35f212fef1	1
2685	Test 56f35f2132ed8	1
2686	Test 56f35f21368eb	6
2687	Test 56f35f21398e4	1
2688	Test 56f35f213d473	3
2689	Test 56f35f2140821	3
2690	Test 56f35f2145048	5
2691	Test 56f35f214898f	2
2692	Test 56f35f214c0c8	3
2693	Test 56f35f214f7be	6
2694	Test 56f35f2152889	3
2695	Test 56f35f2155b36	5
2696	Test 56f35f2158e37	5
2697	Test 56f35f215c519	3
2698	Test 56f35f2162ea9	4
2699	Test 56f35f2168e24	3
2700	Test 56f35f216f305	3
2701	Test 56f35f217736c	5
2702	Test 56f35f2180bad	2
2703	Test 56f35f219ac1e	4
2704	Test 56f35f21a1230	6
2705	Test 56f35f21a6fea	2
2706	Test 56f35f21b0e96	3
2707	Test 56f35f21b5c2a	2
2708	Test 56f35f21bb5b7	6
2709	Test 56f35f21bf035	4
2710	Test 56f35f21cf5a5	1
2711	Test 56f35f21d2503	4
2712	Test 56f35f21d584e	5
2713	Test 56f35f21d8a2e	6
2714	Test 56f35f21e0ba0	1
2715	Test 56f35f21e4553	5
2716	Test 56f35f21e7a4b	4
2717	Test 56f35f21eb470	1
2718	Test 56f35f21ee8c9	3
2719	Test 56f35f21f1be6	6
2720	Test 56f35f2205650	1
2721	Test 56f35f2208968	4
2722	Test 56f35f220bdb3	3
2723	Test 56f35f220f8c6	2
2724	Test 56f35f2213741	1
2725	Test 56f35f221a303	3
2726	Test 56f35f221ed5b	6
2727	Test 56f35f2222883	5
2728	Test 56f35f2225be5	6
2729	Test 56f35f2228dbf	5
2730	Test 56f35f222c1b2	3
2731	Test 56f35f222f536	4
2732	Test 56f35f223347a	1
2733	Test 56f35f22363b1	6
2734	Test 56f35f2239622	5
2735	Test 56f35f223e15c	2
2736	Test 56f35f2241441	4
2737	Test 56f35f22446b6	4
2738	Test 56f35f2247ef5	1
2739	Test 56f35f224b215	1
2740	Test 56f35f224e6f3	6
2741	Test 56f35f2251e56	6
2742	Test 56f35f22603ed	1
2743	Test 56f35f22634a2	5
2744	Test 56f35f226698f	5
2745	Test 56f35f2269c72	1
2746	Test 56f35f226ebd3	4
2747	Test 56f35f2277103	1
2748	Test 56f35f227cea8	4
2749	Test 56f35f228183a	3
2750	Test 56f35f22865c1	1
2751	Test 56f35f228ac88	6
2752	Test 56f35f228f551	2
2753	Test 56f35f22939bd	2
2754	Test 56f35f2296fdd	5
2755	Test 56f35f229a59d	5
2756	Test 56f35f229dab0	6
2757	Test 56f35f22a0da9	6
2758	Test 56f35f22a3e53	6
2759	Test 56f35f22a74e2	1
2760	Test 56f35f22aa668	1
2761	Test 56f35f22adf01	5
2762	Test 56f35f22b1672	2
2763	Test 56f35f22b4919	5
2764	Test 56f35f22b8c95	4
2765	Test 56f35f22bccec	4
2766	Test 56f35f22bfd8b	1
2767	Test 56f35f22c324d	1
2768	Test 56f35f22c6c25	1
2769	Test 56f35f22ca4be	2
2770	Test 56f35f22cda38	2
2771	Test 56f35f22d4b91	1
2772	Test 56f35f22d7f30	3
2773	Test 56f35f22dbbd5	6
2774	Test 56f35f22dedf9	2
2775	Test 56f35f22e224d	6
2776	Test 56f35f22e59b8	3
2777	Test 56f35f22e89db	6
2778	Test 56f35f22ebb1a	4
2779	Test 56f35f22eef26	5
2780	Test 56f35f2313ea0	6
2781	Test 56f35f231724e	6
2782	Test 56f35f231c04b	2
2783	Test 56f35f231f6dc	6
2784	Test 56f35f232332e	5
2785	Test 56f35f23265b2	4
2786	Test 56f35f2329a4c	3
2787	Test 56f35f232d220	6
2788	Test 56f35f232ffa8	5
2789	Test 56f35f2333b26	5
2790	Test 56f35f2336d17	4
2791	Test 56f35f2339f85	3
2792	Test 56f35f233f5fb	4
2793	Test 56f35f2342df4	5
2794	Test 56f35f2347187	5
2795	Test 56f35f234aac1	3
2796	Test 56f35f234f5f1	2
2797	Test 56f35f23527d1	1
2798	Test 56f35f2356023	5
2799	Test 56f35f2359409	2
2800	Test 56f35f235cb04	5
2801	Test 56f35f2360012	3
2802	Test 56f35f236332c	1
2803	Test 56f35f2367d01	3
2804	Test 56f35f236b192	1
2805	Test 56f35f236e4b6	6
2806	Test 56f35f2371966	2
2807	Test 56f35f237551f	1
2808	Test 56f35f23784f5	5
2809	Test 56f35f237bcb4	2
2810	Test 56f35f2386fcd	6
2811	Test 56f35f238d77e	3
2812	Test 56f35f239126b	2
2813	Test 56f35f2394925	2
2814	Test 56f35f2398b51	5
2815	Test 56f35f239c106	3
2816	Test 56f35f239fb49	6
2817	Test 56f35f23a3225	2
2818	Test 56f35f23a654c	2
2819	Test 56f35f23bdf95	6
2820	Test 56f35f23c1259	6
2821	Test 56f35f23c480c	5
2822	Test 56f35f23c9394	6
2823	Test 56f35f23ccdd8	5
2824	Test 56f35f23d01c9	3
2825	Test 56f35f23d3a7f	1
2826	Test 56f35f23d7040	4
2827	Test 56f35f23db4d5	4
2828	Test 56f35f23de7d2	1
2829	Test 56f35f23e2083	5
2830	Test 56f35f23e4f98	6
2831	Test 56f35f23e9c7f	5
2832	Test 56f35f23ecbf6	3
2833	Test 56f35f23f01c4	6
2834	Test 56f35f23f33a4	5
2835	Test 56f35f24029ba	5
2836	Test 56f35f240d896	4
2837	Test 56f35f2412207	6
2838	Test 56f35f2416aef	2
2839	Test 56f35f241c53c	4
2840	Test 56f35f242db34	2
2841	Test 56f35f24324f1	4
2842	Test 56f35f243bb6d	4
2843	Test 56f35f2443e74	4
2844	Test 56f35f2448220	3
2845	Test 56f35f244c9b6	4
2846	Test 56f35f244ffb7	4
2847	Test 56f35f2453c05	6
2848	Test 56f35f2456f2d	6
2849	Test 56f35f245ad27	3
2850	Test 56f35f245f987	4
2851	Test 56f35f2464463	5
2852	Test 56f35f2468618	4
2853	Test 56f35f246bfd7	2
2854	Test 56f35f246f8be	5
2855	Test 56f35f2473232	1
2856	Test 56f35f2476496	6
2857	Test 56f35f248aaf6	1
2858	Test 56f35f24906d8	1
2859	Test 56f35f2495786	1
2860	Test 56f35f2499a63	6
2861	Test 56f35f249dc4b	5
2862	Test 56f35f24a16f2	3
2863	Test 56f35f24a502b	4
2864	Test 56f35f24a8755	1
2865	Test 56f35f24ac175	4
2866	Test 56f35f24c9786	5
2867	Test 56f35f2504f69	3
2868	Test 56f35f251293f	5
2869	Test 56f35f251badb	3
2870	Test 56f35f25244b9	4
2871	Test 56f35f2528f7d	3
2872	Test 56f35f252c77b	5
2873	Test 56f35f2530e62	2
2874	Test 56f35f2534a96	4
2875	Test 56f35f25383e8	5
2876	Test 56f35f253c416	2
2877	Test 56f35f2544394	2
2878	Test 56f35f2547ecc	5
2879	Test 56f35f254c06f	5
2880	Test 56f35f255033f	4
2881	Test 56f35f2554563	6
2882	Test 56f35f2557d58	2
2883	Test 56f35f255b606	5
2884	Test 56f35f2564239	6
2885	Test 56f35f2568b9f	2
2886	Test 56f35f256d30d	4
2887	Test 56f35f25723f8	4
2888	Test 56f35f25759e7	4
2889	Test 56f35f25791c4	5
2890	Test 56f35f257c65a	5
2891	Test 56f35f258175d	1
2892	Test 56f35f2585a2c	3
2893	Test 56f35f2588ef1	1
2894	Test 56f35f258c48f	5
2895	Test 56f35f258ffc3	2
2896	Test 56f35f25a18da	5
2897	Test 56f35f25a52b8	1
2898	Test 56f35f25a88ea	4
2899	Test 56f35f25ac972	3
2900	Test 56f35f25b3609	1
2901	Test 56f35f25b71b6	2
2902	Test 56f35f25ba9c1	4
2903	Test 56f35f25bdd2b	2
2904	Test 56f35f25c131a	5
2905	Test 56f35f25c53ad	4
2906	Test 56f35f25d28be	6
2907	Test 56f35f25d5d81	4
2908	Test 56f35f25d94bf	1
2909	Test 56f35f25dc8ed	1
2910	Test 56f35f25e4529	5
2911	Test 56f35f25e8b56	5
2912	Test 56f35f25ebef6	2
2913	Test 56f35f25ef84e	3
2914	Test 56f35f25f299a	1
2915	Test 56f35f2617a5b	1
2916	Test 56f35f262cee7	2
2917	Test 56f35f263629e	2
2918	Test 56f35f2641389	3
2919	Test 56f35f2647c49	6
2920	Test 56f35f2659ee7	2
2921	Test 56f35f266e6d1	3
2922	Test 56f35f26db6d7	5
2923	Test 56f35f26e0f7a	6
2924	Test 56f35f26e4c42	3
2925	Test 56f35f26e86d7	6
2926	Test 56f35f26ec4e6	1
2927	Test 56f35f26f3f0c	2
2928	Test 56f35f27035ff	2
2929	Test 56f35f270763c	3
2930	Test 56f35f270b809	6
2931	Test 56f35f270f1cd	2
2932	Test 56f35f27137fe	6
2933	Test 56f35f2717438	1
2934	Test 56f35f2729634	2
2935	Test 56f35f272d7f0	1
2936	Test 56f35f2734ab7	4
2937	Test 56f35f27500bd	1
2938	Test 56f35f2753904	5
2939	Test 56f35f275760e	3
2940	Test 56f35f275b1f0	4
2941	Test 56f35f2763025	5
2942	Test 56f35f27670ba	1
2943	Test 56f35f276e0c2	6
2944	Test 56f35f2773f3c	1
2945	Test 56f35f277a5b9	4
2946	Test 56f35f277e13a	4
2947	Test 56f35f2782788	3
2948	Test 56f35f278919a	3
2949	Test 56f35f278d459	1
2950	Test 56f35f279122f	4
2951	Test 56f35f279525b	6
2952	Test 56f35f2799041	6
2953	Test 56f35f279d1af	4
2954	Test 56f35f27a08ae	6
2955	Test 56f35f27a54fb	6
2956	Test 56f35f27a97dd	3
2957	Test 56f35f27acc6c	3
2958	Test 56f35f27b7c08	6
2959	Test 56f35f27bb743	3
2960	Test 56f35f27bf2ec	4
2961	Test 56f35f27c29f7	2
2962	Test 56f35f27c640d	6
2963	Test 56f35f27c9fb6	4
2964	Test 56f35f27cd941	5
2965	Test 56f35f27d11d7	3
2966	Test 56f35f27d4b25	1
2967	Test 56f35f27d82de	6
2968	Test 56f35f27dbdc8	4
2969	Test 56f35f27df5f5	4
2970	Test 56f35f27e2ca1	5
2971	Test 56f35f27e9cba	3
2972	Test 56f35f281754f	3
2973	Test 56f35f281bd23	4
2974	Test 56f35f28208f4	3
2975	Test 56f35f282442f	2
2976	Test 56f35f28277f4	5
2977	Test 56f35f282cbde	5
2978	Test 56f35f2832ace	4
2979	Test 56f35f2836446	6
2980	Test 56f35f2839b89	4
2981	Test 56f35f283fc7d	1
2982	Test 56f35f2843afe	5
2983	Test 56f35f2847b9a	1
2984	Test 56f35f284ba0c	6
2985	Test 56f35f284f446	6
2986	Test 56f35f2852b80	6
2987	Test 56f35f2856731	3
2988	Test 56f35f285a153	1
2989	Test 56f35f285dfb1	2
2990	Test 56f35f2868b78	5
2991	Test 56f35f286de81	3
2992	Test 56f35f287361c	6
2993	Test 56f35f287c004	2
2994	Test 56f35f28837f2	4
2995	Test 56f35f2887896	2
2996	Test 56f35f288b584	4
2997	Test 56f35f288f7d9	4
2998	Test 56f35f2892e70	1
2999	Test 56f35f289c5d4	3
3000	Test 56f35f289fe85	6
3001	Test 56f35f28a3622	1
3002	Test 56f35f28a73fc	1
3003	Test 56f35f28aad10	3
3004	Test 56f35f28ae677	1
3005	Test 56f35f28b1b61	3
3006	Test 56f35f28b4e88	4
3007	Test 56f35f28bd387	6
3008	Test 56f35f28c13f5	1
3009	Test 56f35f28c4f4c	3
3010	Test 56f35f28c85a1	5
3011	Test 56f35f28e86c2	3
3012	Test 56f35f28ed6fb	5
3013	Test 56f35f290051d	3
3014	Test 56f35f290604e	2
3015	Test 56f35f2909969	5
3016	Test 56f35f290d4e9	4
3017	Test 56f35f291170e	2
3018	Test 56f35f2914f78	6
3019	Test 56f35f291a064	5
3020	Test 56f35f291d982	1
3021	Test 56f35f2920db4	1
3022	Test 56f35f29243f1	3
3023	Test 56f35f2927c31	2
3024	Test 56f35f292b735	6
3025	Test 56f35f2934d2e	6
3026	Test 56f35f2938eb5	1
3027	Test 56f35f293caf2	3
3028	Test 56f35f29405c6	3
3029	Test 56f35f2943e9a	5
3030	Test 56f35f2947572	2
3031	Test 56f35f294ab59	5
3032	Test 56f35f294dc97	2
3033	Test 56f35f29517e3	6
3034	Test 56f35f2954dde	4
3035	Test 56f35f29585b4	5
3036	Test 56f35f295be86	5
3037	Test 56f35f295f708	3
3038	Test 56f35f2962cac	1
3039	Test 56f35f296b89f	2
3040	Test 56f35f296f130	5
3041	Test 56f35f29726a8	4
3042	Test 56f35f2976042	3
3043	Test 56f35f29797a8	2
3044	Test 56f35f297cdf4	3
3045	Test 56f35f298423d	5
3046	Test 56f35f29876e0	2
3047	Test 56f35f298e0dd	2
3048	Test 56f35f2994079	6
3049	Test 56f35f29b301a	2
3050	Test 56f35f29b84d8	6
3051	Test 56f35f29bf56b	1
3052	Test 56f35f29c4beb	1
3053	Test 56f35f29cb563	3
3054	Test 56f35f29d09ed	5
3055	Test 56f35f29d66bf	2
3056	Test 56f35f29dd786	4
3057	Test 56f35f29e276b	1
3058	Test 56f35f29e5a77	3
3059	Test 56f35f29ed993	6
3060	Test 56f35f29f2f69	5
3061	Test 56f35f2a0223c	3
3062	Test 56f35f2a05a95	4
3063	Test 56f35f2a093e2	2
3064	Test 56f35f2a1375b	4
3065	Test 56f35f2a3e048	5
3066	Test 56f35f2a49c27	1
3067	Test 56f35f2a4deec	6
3068	Test 56f35f2a51da9	4
3069	Test 56f35f2a56d08	4
3070	Test 56f35f2a5f023	2
3071	Test 56f35f2a65488	5
3072	Test 56f35f2a6ba9f	4
3073	Test 56f35f2a7127b	3
3074	Test 56f35f2a75348	5
3075	Test 56f35f2a790c6	4
3076	Test 56f35f2a7e1a5	5
3077	Test 56f35f2a840a3	1
3078	Test 56f35f2a893c7	1
3079	Test 56f35f2a8cb79	6
3080	Test 56f35f2a90a6d	3
3081	Test 56f35f2a9411d	1
3082	Test 56f35f2a975d0	2
3083	Test 56f35f2a9acf3	1
3084	Test 56f35f2a9e90f	5
3085	Test 56f35f2aa2770	1
3086	Test 56f35f2aa628f	4
3087	Test 56f35f2aa98d3	5
3088	Test 56f35f2ac94e6	5
3089	Test 56f35f2acf74d	4
3090	Test 56f35f2ad4691	5
3091	Test 56f35f2ad9813	1
3092	Test 56f35f2adf75d	3
3093	Test 56f35f2ae7909	1
3094	Test 56f35f2aec864	1
3095	Test 56f35f2af089f	5
3096	Test 56f35f2b00bd4	3
3097	Test 56f35f2b0472c	2
3098	Test 56f35f2b07bf7	5
3099	Test 56f35f2b0b1ba	3
3100	Test 56f35f2b0ee9c	6
3101	Test 56f35f2b12db4	1
3102	Test 56f35f2b16c14	4
3103	Test 56f35f2b1a86a	2
3104	Test 56f35f2b22a26	6
3105	Test 56f35f2b27e0e	6
3106	Test 56f35f2b2bea9	4
3107	Test 56f35f2b31111	1
3108	Test 56f35f2b34b7b	1
3109	Test 56f35f2b38e7c	4
3110	Test 56f35f2b3c4b5	4
3111	Test 56f35f2b40886	5
3112	Test 56f35f2b44247	3
3113	Test 56f35f2b478f0	5
3114	Test 56f35f2b4b9f4	1
3115	Test 56f35f2b4f9a4	5
3116	Test 56f35f2b547c6	2
3117	Test 56f35f2b58476	6
3118	Test 56f35f2b61ddd	2
3119	Test 56f35f2b6546a	1
3120	Test 56f35f2b68a40	1
3121	Test 56f35f2b6c66c	3
3122	Test 56f35f2b70021	6
3123	Test 56f35f2b738bb	4
3124	Test 56f35f2b76fd3	5
3125	Test 56f35f2b7a89b	1
3126	Test 56f35f2b988ef	1
3127	Test 56f35f2b9f165	1
3128	Test 56f35f2ba659e	1
3129	Test 56f35f2bab6f5	4
3130	Test 56f35f2bb026f	3
3131	Test 56f35f2bb662b	2
3132	Test 56f35f2bbe1fb	4
3133	Test 56f35f2bc3773	1
3134	Test 56f35f2bc73ed	1
3135	Test 56f35f2bcafb4	3
3136	Test 56f35f2bdc70c	6
3137	Test 56f35f2c010d8	3
3138	Test 56f35f2c07657	4
3139	Test 56f35f2c0ad97	3
3140	Test 56f35f2c0e4fb	4
3141	Test 56f35f2c120c3	2
3142	Test 56f35f2c1547f	6
3143	Test 56f35f2c18d92	4
3144	Test 56f35f2c1db9f	2
3145	Test 56f35f2c21ba6	3
3146	Test 56f35f2c2548a	3
3147	Test 56f35f2c2a7b6	6
3148	Test 56f35f2c2f6a1	3
3149	Test 56f35f2c349aa	2
3150	Test 56f35f2c3875d	2
3151	Test 56f35f2c3c558	6
3152	Test 56f35f2c3fd93	3
3153	Test 56f35f2c4375e	4
3154	Test 56f35f2c46d4b	4
3155	Test 56f35f2c4a52b	3
3156	Test 56f35f2c4ddbf	2
3157	Test 56f35f2c513e6	1
3158	Test 56f35f2c55cf5	4
3159	Test 56f35f2c59ec0	6
3160	Test 56f35f2c5d8c7	3
3161	Test 56f35f2c61ea1	4
3162	Test 56f35f2c6604b	5
3163	Test 56f35f2c6afd7	5
3164	Test 56f35f2c72dd4	2
3165	Test 56f35f2c96248	4
3166	Test 56f35f2c9a092	6
3167	Test 56f35f2c9e3ed	3
3168	Test 56f35f2ca3fb6	4
3169	Test 56f35f2ca784a	3
3170	Test 56f35f2cab029	1
3171	Test 56f35f2cae965	2
3172	Test 56f35f2cb73ad	1
3173	Test 56f35f2cbd029	5
3174	Test 56f35f2cc0930	3
3175	Test 56f35f2cc3eba	4
3176	Test 56f35f2cc7b6c	4
3177	Test 56f35f2ccb232	2
3178	Test 56f35f2ccf51e	1
3179	Test 56f35f2cd2ca3	1
3180	Test 56f35f2cd6375	1
3181	Test 56f35f2cdeadc	3
3182	Test 56f35f2ce2026	2
3183	Test 56f35f2ce5962	2
3184	Test 56f35f2ce8e5e	1
3185	Test 56f35f2ced403	3
3186	Test 56f35f2d01a8a	4
3187	Test 56f35f2d075e7	4
3188	Test 56f35f2d0d687	1
3189	Test 56f35f2d137b2	2
3190	Test 56f35f2d18a6c	1
3191	Test 56f35f2d1d971	5
3192	Test 56f35f2d211f0	3
3193	Test 56f35f2d2586f	5
3194	Test 56f35f2d2cb67	2
3195	Test 56f35f2d304fd	2
3196	Test 56f35f2d33f97	4
3197	Test 56f35f2d3795a	5
3198	Test 56f35f2d3b001	6
3199	Test 56f35f2d42fa1	2
3200	Test 56f35f2d468b0	4
3201	Test 56f35f2d63280	1
3202	Test 56f35f2d6726d	4
3203	Test 56f35f2d8b201	2
3204	Test 56f35f2d8ed8d	2
3205	Test 56f35f2d9224c	2
3206	Test 56f35f2d959f9	1
3207	Test 56f35f2d99523	6
3208	Test 56f35f2d9cfe4	5
3209	Test 56f35f2da05e5	6
3210	Test 56f35f2da3f8c	3
3211	Test 56f35f2da76af	2
3212	Test 56f35f2dad308	6
3213	Test 56f35f2db32db	4
3214	Test 56f35f2db744c	1
3215	Test 56f35f2dbb30e	3
3216	Test 56f35f2dbe892	1
3217	Test 56f35f2dc25b9	1
3218	Test 56f35f2dc589e	2
3219	Test 56f35f2dc918a	1
3220	Test 56f35f2dcc898	5
3221	Test 56f35f2dd2900	4
3222	Test 56f35f2dd6ce9	1
3223	Test 56f35f2dda53a	6
3224	Test 56f35f2ddde86	2
3225	Test 56f35f2de180f	2
3226	Test 56f35f2de51c0	2
3227	Test 56f35f2de8efe	2
3228	Test 56f35f2dec8b7	6
3229	Test 56f35f2e015e8	3
3230	Test 56f35f2e0503b	4
3231	Test 56f35f2e08961	1
3232	Test 56f35f2e0bf1e	4
3233	Test 56f35f2e0fae8	1
3234	Test 56f35f2e13125	3
3235	Test 56f35f2e16cd4	3
3236	Test 56f35f2e1a0ca	5
3237	Test 56f35f2e21706	2
3238	Test 56f35f2e2685b	6
3239	Test 56f35f2e2bbc2	2
3240	Test 56f35f2e2fc92	6
3241	Test 56f35f2e335b6	3
3242	Test 56f35f2e5fd23	4
3243	Test 56f35f2e63684	5
3244	Test 56f35f2e671f6	3
3245	Test 56f35f2e6a902	4
3246	Test 56f35f2e6e986	3
3247	Test 56f35f2e71fc9	4
3248	Test 56f35f2e75a47	3
3249	Test 56f35f2e79271	4
3250	Test 56f35f2e7e1df	6
3251	Test 56f35f2e84ee8	3
3252	Test 56f35f2e8b25e	3
3253	Test 56f35f2e904cc	6
3254	Test 56f35f2e9509f	4
3255	Test 56f35f2e9a540	3
3256	Test 56f35f2ea0ddb	3
3257	Test 56f35f2ea6293	2
3258	Test 56f35f2eab4aa	4
3259	Test 56f35f2eb060e	4
3260	Test 56f35f2eb5339	3
3261	Test 56f35f2ebb9b2	6
3262	Test 56f35f2ec0bb8	6
3263	Test 56f35f2ec4298	5
3264	Test 56f35f2ec7b4a	1
3265	Test 56f35f2ecad78	2
3266	Test 56f35f2ed24c2	1
3267	Test 56f35f2ed5ff8	5
3268	Test 56f35f2ed9992	6
3269	Test 56f35f2edfb74	2
3270	Test 56f35f2ee4235	4
3271	Test 56f35f2ee862e	3
3272	Test 56f35f2eebcc0	2
3273	Test 56f35f2eef0c9	2
3274	Test 56f35f2ef2c83	5
3275	Test 56f35f2f01ff9	6
3276	Test 56f35f2f0a0f0	4
3277	Test 56f35f2f0db69	4
3278	Test 56f35f2f12764	4
3279	Test 56f35f2f169fc	4
3280	Test 56f35f2f4abb6	3
3281	Test 56f35f2f51573	1
3282	Test 56f35f2f57866	5
3283	Test 56f35f2f5d835	1
3284	Test 56f35f2f6307b	3
3285	Test 56f35f2f690da	2
3286	Test 56f35f2f72e36	6
3287	Test 56f35f2f7c155	3
3288	Test 56f35f2f8715e	2
3289	Test 56f35f2f8d045	1
3290	Test 56f35f2f92297	1
3291	Test 56f35f2f983f8	5
3292	Test 56f35f2f9fcbd	1
3293	Test 56f35f2fa372e	1
3294	Test 56f35f2fa9d12	4
3295	Test 56f35f2fade03	3
3296	Test 56f35f2fb2040	5
3297	Test 56f35f2fb59f9	2
3298	Test 56f35f2fb9e38	1
3299	Test 56f35f2fbd559	6
3300	Test 56f35f2fc0fb8	4
3301	Test 56f35f2fc6217	2
3302	Test 56f35f2fca015	6
3303	Test 56f35f2fcd9a4	4
3304	Test 56f35f2fd470d	4
3305	Test 56f35f2fda760	1
3306	Test 56f35f2fe31e3	2
3307	Test 56f35f2fe8fe1	6
3308	Test 56f35f2fee1a0	4
3309	Test 56f35f2ff195f	3
3310	Test 56f35f300106b	4
3311	Test 56f35f3004952	6
3312	Test 56f35f3007c57	2
3313	Test 56f35f300c078	2
3314	Test 56f35f300f85d	3
3315	Test 56f35f3013033	4
3316	Test 56f35f301698d	1
3317	Test 56f35f3019fc1	5
3318	Test 56f35f301dccb	6
3319	Test 56f35f304c19d	3
3320	Test 56f35f304fe62	6
3321	Test 56f35f3056385	3
3322	Test 56f35f3059d52	3
3323	Test 56f35f305d546	4
3324	Test 56f35f3060d08	2
3325	Test 56f35f3064541	6
3326	Test 56f35f3067d90	4
3327	Test 56f35f306b72d	1
3328	Test 56f35f306f6c3	4
3329	Test 56f35f3073013	6
3330	Test 56f35f30768cd	3
3331	Test 56f35f307a144	5
3332	Test 56f35f308138a	5
3333	Test 56f35f308a8c9	6
3334	Test 56f35f308ed0a	4
3335	Test 56f35f3094028	6
3336	Test 56f35f30979e5	4
3337	Test 56f35f309b379	2
3338	Test 56f35f309ed15	4
3339	Test 56f35f30a249d	4
3340	Test 56f35f30a64e9	2
3341	Test 56f35f30acd3e	1
3342	Test 56f35f30b2bf5	4
3343	Test 56f35f30b6931	2
3344	Test 56f35f30bc7bb	3
3345	Test 56f35f30c2d57	5
3346	Test 56f35f30c67c9	2
3347	Test 56f35f30c9b80	5
3348	Test 56f35f30cd6d5	4
3349	Test 56f35f30d0aae	1
3350	Test 56f35f30d8cf6	4
3351	Test 56f35f30eb660	4
3352	Test 56f35f30ef07e	4
3353	Test 56f35f30f2c03	2
3354	Test 56f35f31021a8	3
3355	Test 56f35f3105fa6	5
3356	Test 56f35f3109819	2
3357	Test 56f35f313c7dd	2
3358	Test 56f35f3144544	3
3359	Test 56f361737f6bf	2
3360	Test 56f3617393d00	2
3361	Test 56f361739866f	6
3362	Test 56f36173a1851	6
3363	Test 56f36173a7870	4
3364	Test 56f36173b2211	3
3365	Test 56f36173b6ac9	5
3366	Test 56f36173bb27d	5
3367	Test 56f36173c4113	2
3368	Test 56f36173caacb	3
3369	Test 56f36173d0db1	4
3370	Test 56f36173d7bc6	5
3371	Test 56f36173de565	1
3372	Test 56f36173e4442	2
3373	Test 56f36173e8330	4
3374	Test 56f36173ebfea	5
3375	Test 56f36173ef952	3
3376	Test 56f36173f318d	5
3377	Test 56f36174022fe	4
3378	Test 56f3617408348	3
3379	Test 56f361740b8fe	5
3380	Test 56f361740f538	5
3381	Test 56f36174127fb	1
3382	Test 56f3617415e85	2
3383	Test 56f361741951e	5
3384	Test 56f361741e461	3
3385	Test 56f361742450e	5
3386	Test 56f361742a5c1	5
3387	Test 56f361742eb30	2
3388	Test 56f3617434331	5
3389	Test 56f36174383ae	2
3390	Test 56f361743ec07	3
3391	Test 56f36174425f3	1
3392	Test 56f3617445d32	3
3393	Test 56f361744989e	1
3394	Test 56f361744d058	3
3395	Test 56f3617450a6b	5
3396	Test 56f36174545fb	5
3397	Test 56f361745848d	5
3398	Test 56f361745bbe0	4
3399	Test 56f361745fb96	1
3400	Test 56f361746656d	1
3401	Test 56f361746c4f5	2
3402	Test 56f3617472631	1
3403	Test 56f3617476648	5
3404	Test 56f361747ea1a	3
3405	Test 56f3617488b39	5
3406	Test 56f361748e9e7	4
3407	Test 56f3617493abd	4
3408	Test 56f361749b12d	6
3409	Test 56f36174a1af0	4
3410	Test 56f36174aca28	6
3411	Test 56f36174b3363	1
3412	Test 56f36174ba39f	3
3413	Test 56f36174bef7c	4
3414	Test 56f36174c3acd	4
3415	Test 56f36174cb4d6	1
3416	Test 56f36174cece9	4
3417	Test 56f36174d2fef	2
3418	Test 56f36174d8ce1	5
3419	Test 56f36174e0b4b	1
3420	Test 56f36174e8eb1	2
3421	Test 56f36174f2f71	6
3422	Test 56f3617504e5a	2
3423	Test 56f3617509a17	4
3424	Test 56f3617514fba	1
3425	Test 56f361751a104	4
3426	Test 56f3617523010	2
3427	Test 56f3617528fbf	2
3428	Test 56f361752cf7a	1
3429	Test 56f361753013b	5
3430	Test 56f36175334a8	2
3431	Test 56f3617536f50	2
3432	Test 56f361754026f	3
3433	Test 56f361754b1fb	4
3434	Test 56f361755464a	3
3435	Test 56f361755c83b	3
3436	Test 56f3617563c28	3
3437	Test 56f361756a739	4
3438	Test 56f361758c160	2
3439	Test 56f36175b4401	4
3440	Test 56f36175b9ea6	1
3441	Test 56f36175bf12a	5
3442	Test 56f36175c4a05	4
3443	Test 56f36175cca8c	1
3444	Test 56f36175d4780	2
3445	Test 56f36175dad5d	1
3446	Test 56f36175e8b4f	4
3447	Test 56f3617602620	1
3448	Test 56f3617614d7c	3
3449	Test 56f3617620ea8	1
3450	Test 56f36176296ac	6
3451	Test 56f361762dee7	5
3452	Test 56f361763be55	4
3453	Test 56f361764cc4e	1
3454	Test 56f361766066a	5
3455	Test 56f361766e7e5	1
3456	Test 56f3617677845	3
3457	Test 56f361768265a	1
3458	Test 56f3617688680	2
3459	Test 56f3617692880	2
3460	Test 56f3617698cf6	1
3461	Test 56f36176a0d1d	2
3462	Test 56f36176ac96b	5
3463	Test 56f36176b29c9	5
3464	Test 56f36176b8ca6	3
3465	Test 56f36176bc911	5
3466	Test 56f36176c0b41	4
3467	Test 56f36176c6f9c	4
3468	Test 56f36176cc9d5	2
3469	Test 56f36176d00de	3
3470	Test 56f36176d3985	5
3471	Test 56f36176d6d15	4
3472	Test 56f36176dac0d	2
3473	Test 56f36176e1f27	4
3474	Test 56f36176e5232	5
3475	Test 56f36176e886a	4
3476	Test 56f36176efd48	2
3477	Test 56f36176f344a	3
3478	Test 56f361770283f	3
3479	Test 56f3617705c0e	5
3480	Test 56f3617708da5	3
3481	Test 56f361770cd47	2
3482	Test 56f36177121f6	5
3483	Test 56f3617717e35	5
3484	Test 56f361771c267	4
3485	Test 56f3617720f53	5
3486	Test 56f361772478c	1
3487	Test 56f36177279d1	2
3488	Test 56f361772d0a3	6
3489	Test 56f36177304a0	1
3490	Test 56f3617733c0e	2
3491	Test 56f36177370a8	6
3492	Test 56f3617739e4a	1
3493	Test 56f361773d2d9	4
3494	Test 56f361774132e	1
3495	Test 56f3617744c34	1
3496	Test 56f3617747dc4	5
3497	Test 56f361774bb1e	5
3498	Test 56f361774ec78	6
3499	Test 56f3617753494	1
3500	Test 56f3617756508	4
3501	Test 56f3617759364	6
3502	Test 56f361775c933	1
3503	Test 56f361775fbe1	6
3504	Test 56f3617766943	6
3505	Test 56f361776ab75	1
3506	Test 56f361776f984	6
3507	Test 56f3617773076	1
3508	Test 56f36177763bf	1
3509	Test 56f361777a39f	2
3510	Test 56f3617781a33	2
3511	Test 56f3617788b1e	3
3512	Test 56f361778d7c8	2
3513	Test 56f361779152a	6
3514	Test 56f3617794e3c	1
3515	Test 56f361779822e	3
3516	Test 56f361779ba71	2
3517	Test 56f36177a035c	3
3518	Test 56f36177a3d2f	5
3519	Test 56f36177a70af	4
3520	Test 56f36177ab01f	2
3521	Test 56f36177b0c02	3
3522	Test 56f36177b5c3c	6
3523	Test 56f36177b9558	1
3524	Test 56f36177bf34e	6
3525	Test 56f36177c9b3d	6
3526	Test 56f36177cd416	5
3527	Test 56f36177d0c99	5
3528	Test 56f36177d42f6	5
3529	Test 56f36177d7f25	3
3530	Test 56f36177dc1c2	5
3531	Test 56f36177e20ba	3
3532	Test 56f36177e597c	3
3533	Test 56f36177e8e50	5
3534	Test 56f36177ec4bd	2
3535	Test 56f36177f12bd	2
3536	Test 56f3617801043	2
3537	Test 56f3617804762	3
3538	Test 56f36178080e9	3
3539	Test 56f361780b5ec	4
3540	Test 56f361780f15f	5
3541	Test 56f36178126e9	4
3542	Test 56f3617815fce	1
3543	Test 56f3617819baa	5
3544	Test 56f3617820e80	6
3545	Test 56f3617825da8	6
3546	Test 56f3617829aea	5
3547	Test 56f361782ce36	1
3548	Test 56f3617836672	5
3549	Test 56f361783e602	5
3550	Test 56f36178426bc	1
3551	Test 56f3617846575	6
3552	Test 56f361784b462	1
3553	Test 56f3617851497	2
3554	Test 56f3617856483	5
3555	Test 56f361786136c	3
3556	Test 56f361786f36f	1
3557	Test 56f36178747fd	5
3558	Test 56f361787a45c	4
3559	Test 56f36178848d6	3
3560	Test 56f361788c713	2
3561	Test 56f3617897c16	1
3562	Test 56f361789c74a	5
3563	Test 56f36178a006d	5
3564	Test 56f36178a6073	3
3565	Test 56f36178a9626	6
3566	Test 56f36178b3eea	6
3567	Test 56f36178b799c	3
3568	Test 56f36178bb662	3
3569	Test 56f36178bee17	5
3570	Test 56f36178c2534	3
3571	Test 56f36178c6125	2
3572	Test 56f36178c9c50	5
3573	Test 56f36178cf16a	1
3574	Test 56f36178d5b6e	5
3575	Test 56f36178dfd1a	2
3576	Test 56f36178e5d9f	4
3577	Test 56f36178e95da	6
3578	Test 56f36178ee232	2
3579	Test 56f36178f2f2c	6
3580	Test 56f3617902d8e	3
3581	Test 56f3617906e06	6
3582	Test 56f361790a862	5
3583	Test 56f361790e137	4
3584	Test 56f3617911aae	5
3585	Test 56f361791774e	4
3586	Test 56f361791b779	3
3587	Test 56f361791fb0a	4
3588	Test 56f361792a2df	2
3589	Test 56f361792ef85	1
3590	Test 56f361793642c	2
3591	Test 56f361793b254	1
3592	Test 56f361793f3c4	4
3593	Test 56f3617943403	3
3594	Test 56f36179490b7	3
3595	Test 56f361794d09c	3
3596	Test 56f361795059f	1
3597	Test 56f3617953a25	3
3598	Test 56f361795e17f	3
3599	Test 56f361796200a	1
3600	Test 56f36179657f4	6
3601	Test 56f3617968eab	5
3602	Test 56f361796c9ca	2
3603	Test 56f361796fe34	5
3604	Test 56f3617973501	4
3605	Test 56f3617979c00	1
3606	Test 56f361797e17d	1
3607	Test 56f36179817c2	4
3608	Test 56f361798509e	2
3609	Test 56f36179886cb	4
3610	Test 56f361798f388	4
3611	Test 56f3617992a91	2
3612	Test 56f3617996289	1
3613	Test 56f3617999c00	5
3614	Test 56f361799d924	2
3615	Test 56f36179a1384	6
3616	Test 56f36179a4900	2
3617	Test 56f36179a7d93	5
3618	Test 56f36179ab7ad	3
3619	Test 56f36179af09e	1
3620	Test 56f36179b27aa	5
3621	Test 56f36179b5cb8	1
3622	Test 56f36179b9214	2
3623	Test 56f36179bc63f	2
3624	Test 56f36179bfe4b	3
3625	Test 56f36179c5dad	1
3626	Test 56f36179d3970	3
3627	Test 56f36179ef953	5
3628	Test 56f3617a06e0b	1
3629	Test 56f3617a0b61d	5
3630	Test 56f3617a2e62e	1
3631	Test 56f3617a35fd8	2
3632	Test 56f3617a3dc05	1
3633	Test 56f3617a41a2a	1
3634	Test 56f3617a466d5	4
3635	Test 56f3617a49d34	3
3636	Test 56f3617a4d05a	4
3637	Test 56f3617a50124	6
3638	Test 56f3617a53743	3
3639	Test 56f3617a56b10	3
3640	Test 56f3617a5c139	6
3641	Test 56f3617a639c8	4
3642	Test 56f3617a6861e	2
3643	Test 56f3617a6db2c	5
3644	Test 56f3617a71fb2	1
3645	Test 56f3617a7534e	2
3646	Test 56f3617a78826	3
3647	Test 56f3617a80a45	2
3648	Test 56f3617a8489e	3
3649	Test 56f3617a8843c	5
3650	Test 56f3617a8b4f9	5
3651	Test 56f3617a929af	6
3652	Test 56f3617a97bb9	3
3653	Test 56f3617a9b20e	5
3654	Test 56f3617a9e177	1
3655	Test 56f3617aa169d	3
3656	Test 56f3617aa6439	6
3657	Test 56f3617aa9324	1
3658	Test 56f3617aae786	4
3659	Test 56f3617ab1a66	2
3660	Test 56f3617ab4db6	1
3661	Test 56f3617aba892	1
3662	Test 56f3617ac1194	2
3663	Test 56f3617acb007	6
3664	Test 56f3617ace6c6	1
3665	Test 56f3617adb13e	6
3666	Test 56f3617ade586	3
3667	Test 56f3617ae744b	5
3668	Test 56f3617aed42d	2
3669	Test 56f3617af3510	1
3670	Test 56f3617b0721a	4
3671	Test 56f3617b0d855	1
3672	Test 56f3617b152f3	4
3673	Test 56f3617b1b054	4
3674	Test 56f3617b2357d	1
3675	Test 56f3617b28814	5
3676	Test 56f3617b2f47d	2
3677	Test 56f3617b37671	2
3678	Test 56f3617b3c882	6
3679	Test 56f3617b4592d	4
3680	Test 56f3617b4b1e5	4
3681	Test 56f3617b53450	3
3682	Test 56f3617b57e5e	5
3683	Test 56f3617b5ea7a	5
3684	Test 56f3617b64acb	1
3685	Test 56f3617b6ce06	6
3686	Test 56f3617b75c45	5
3687	Test 56f3617b7d438	1
3688	Test 56f3617b84fa3	3
3689	Test 56f3617b8cf01	6
3690	Test 56f3617b91bd2	4
3691	Test 56f3617b9ae7b	2
3692	Test 56f3617ba0583	1
3693	Test 56f3617ba7931	6
3694	Test 56f3617baf86e	5
3695	Test 56f3617bb533d	2
3696	Test 56f3617bbdb03	3
3697	Test 56f3617bc462f	6
3698	Test 56f3617bca029	3
3699	Test 56f3617bdc29f	3
3700	Test 56f3617be5b78	1
3701	Test 56f3617c01a2a	4
3702	Test 56f3617c08984	5
3703	Test 56f3617c29fac	3
3704	Test 56f3617c38d13	5
3705	Test 56f3617c4c22e	3
3706	Test 56f3617c5af0b	2
3707	Test 56f3617c61ec7	6
3708	Test 56f3617c6d121	3
3709	Test 56f3617c72031	3
3710	Test 56f3617c8db08	3
3711	Test 56f3617c98f70	5
3712	Test 56f3617ca15ca	4
3713	Test 56f3617caaf6c	4
3714	Test 56f3617cb655d	5
3715	Test 56f3617cbe2c8	6
3716	Test 56f3617cc3632	5
3717	Test 56f3617cca65a	2
3718	Test 56f3617cd1d53	2
3719	Test 56f3617cdcf81	4
3720	Test 56f3617ce6939	5
3721	Test 56f3617ced317	1
3722	Test 56f3617cf2a88	2
3723	Test 56f3617d052c9	1
3724	Test 56f3617d0af78	5
3725	Test 56f3617d11751	5
3726	Test 56f3617d15c8c	3
3727	Test 56f3617d19ded	2
3728	Test 56f3617d20a9f	3
3729	Test 56f3617d273f9	6
3730	Test 56f3617d2aa56	2
3731	Test 56f3617d2de65	3
3732	Test 56f3617d31370	1
3733	Test 56f3617d3546c	6
3734	Test 56f3617d38f72	2
3735	Test 56f3617d4dcb0	6
3736	Test 56f3617d56e74	5
3737	Test 56f3617d5ab74	1
3738	Test 56f3617d5f110	3
3739	Test 56f3617d62b39	5
3740	Test 56f3617d6a8c4	4
3741	Test 56f3617d6ef87	2
3742	Test 56f3617d804fc	6
3743	Test 56f3617d83c00	4
3744	Test 56f3617d8af3f	2
3745	Test 56f3617d93338	3
3746	Test 56f3617d99ae2	6
3747	Test 56f3617d9f86b	5
3748	Test 56f3617da5d87	6
3749	Test 56f3617dab059	3
3750	Test 56f3617dafc85	3
3751	Test 56f3617db6165	4
3752	Test 56f3617dbae78	3
3753	Test 56f3617dc0b1e	3
3754	Test 56f3617dc95da	1
3755	Test 56f3617dd1b3a	5
3756	Test 56f3617dd7600	2
3757	Test 56f3617ddb1cb	4
3758	Test 56f3617de1aa8	3
3759	Test 56f3617dea5a8	2
3760	Test 56f3617df2685	1
3761	Test 56f3617e01aa8	4
3762	Test 56f3617e059ff	6
3763	Test 56f3617e0a2f5	6
3764	Test 56f3617e0e200	6
3765	Test 56f3617e1329b	3
3766	Test 56f3617e17747	2
3767	Test 56f3617e1b01d	4
3768	Test 56f3617e1e48f	6
3769	Test 56f3617e216bc	6
3770	Test 56f3617e25352	1
3771	Test 56f3617e2a841	6
3772	Test 56f3617e2dea6	2
3773	Test 56f3617e312d9	2
3774	Test 56f3617e3448e	3
3775	Test 56f3617e3c651	2
3776	Test 56f3617e4023c	4
3777	Test 56f3617e435aa	6
3778	Test 56f3617e46891	2
3779	Test 56f3617e4a0f3	4
3780	Test 56f3617e69d1b	2
3781	Test 56f3617e6e483	2
3782	Test 56f3617e7ad67	3
3783	Test 56f3617e87086	1
3784	Test 56f3617e8b96b	2
3785	Test 56f3617e930c0	2
3786	Test 56f3617ea72c4	3
3787	Test 56f3617eaca5d	3
3788	Test 56f3617eb4550	5
3789	Test 56f3617ebc32a	2
3790	Test 56f3617ec3b0e	3
3791	Test 56f3617ec7758	3
3792	Test 56f3617ecb586	2
3793	Test 56f3617ecfc72	3
3794	Test 56f3617ed87ac	1
3795	Test 56f3617edcf8b	2
3796	Test 56f3617f49b42	5
3797	Test 56f3617f6e4ff	2
3798	Test 56f3617f84b3d	2
3799	Test 56f3617fadc67	4
3800	Test 56f3617fb2718	2
3801	Test 56f3617fb83e9	5
3802	Test 56f3617fbd1de	5
3803	Test 56f3617fc1b45	1
3804	Test 56f3617fc7805	4
3805	Test 56f3617fd442c	3
3806	Test 56f3617fd9156	6
3807	Test 56f3617fe0523	5
3808	Test 56f3617ff1275	6
3809	Test 56f3618025cc1	4
3810	Test 56f3618037843	4
3811	Test 56f361804857f	5
3812	Test 56f3618054bd5	5
3813	Test 56f3618060496	2
3814	Test 56f361806fb91	5
3815	Test 56f361807c749	1
3816	Test 56f361808dee4	1
3817	Test 56f3618097f76	3
3818	Test 56f361809ecb5	3
3819	Test 56f36180c51d5	6
3820	Test 56f36180ce32c	1
3821	Test 56f36180d357f	6
3822	Test 56f36180dda29	2
3823	Test 56f3618110a90	6
3824	Test 56f3618127496	5
3825	Test 56f3618136cb0	1
3826	Test 56f361813ea8c	3
3827	Test 56f36181496c0	1
3828	Test 56f361814f824	1
3829	Test 56f3618154d68	2
3830	Test 56f361815820c	6
3831	Test 56f361815b5c3	5
3832	Test 56f361815ebf9	1
3833	Test 56f361816386f	4
3834	Test 56f3618167a35	5
3835	Test 56f361816b1d9	3
3836	Test 56f3618171b47	4
3837	Test 56f3618175def	2
3838	Test 56f3618179524	2
3839	Test 56f361817cf28	6
3840	Test 56f3618180afe	5
3841	Test 56f36181849a0	6
3842	Test 56f3618188457	1
3843	Test 56f361818c075	3
3844	Test 56f361818fb50	4
3845	Test 56f3618194518	3
3846	Test 56f36181987d2	4
3847	Test 56f361819c5ec	2
3848	Test 56f361819fa2c	3
3849	Test 56f36181a29ab	5
3850	Test 56f36181a5f5f	2
3851	Test 56f36181a9192	2
3852	Test 56f36181ac907	5
3853	Test 56f36181afac2	4
3854	Test 56f36181b5e8a	2
3855	Test 56f36181b928e	3
3856	Test 56f36181be0eb	2
3857	Test 56f36181cfb51	5
3858	Test 56f36181d2f26	1
3859	Test 56f36181d65af	4
3860	Test 56f36181d990c	5
3861	Test 56f36181dd1cb	2
3862	Test 56f36181e0a61	6
3863	Test 56f36181e40bd	6
3864	Test 56f36181e750c	6
3865	Test 56f36181ea9a6	4
3866	Test 56f36181f27e3	1
3867	Test 56f361821046e	5
3868	Test 56f361821641e	1
3869	Test 56f361821b1c6	6
3870	Test 56f36182233d5	6
3871	Test 56f3618226c2d	6
3872	Test 56f361822a7e3	4
3873	Test 56f361822dfcb	5
3874	Test 56f3618231d4d	1
3875	Test 56f361823747c	2
3876	Test 56f361823c80d	1
3877	Test 56f3618244955	4
3878	Test 56f3618248ae5	5
3879	Test 56f361824c471	3
3880	Test 56f361824fd5b	2
3881	Test 56f36182539e4	6
3882	Test 56f3618256eeb	3
3883	Test 56f361825a61b	1
3884	Test 56f361825dbb6	5
3885	Test 56f36182638e0	2
3886	Test 56f3618267406	1
3887	Test 56f361826a9ba	3
3888	Test 56f361826de90	3
3889	Test 56f36182728a2	1
3890	Test 56f3618277b59	3
3891	Test 56f361827b236	6
3892	Test 56f361827eb93	6
3893	Test 56f3618286b73	1
3894	Test 56f361828a4c4	1
3895	Test 56f361828dcee	1
3896	Test 56f36182a5d1d	3
3897	Test 56f36182ad507	1
3898	Test 56f36182b1225	4
3899	Test 56f36182b4654	2
3900	Test 56f36182b7ec3	1
3901	Test 56f36182c0eb5	2
3902	Test 56f36182cb230	4
3903	Test 56f36182d15c3	6
3904	Test 56f36182de4d2	1
3905	Test 56f36182e6da6	2
3906	Test 56f361830793d	6
3907	Test 56f361830af58	4
3908	Test 56f361830e578	5
3909	Test 56f3618311d5d	1
3910	Test 56f36183180fc	4
3911	Test 56f361831e5c7	6
3912	Test 56f3618324342	2
3913	Test 56f361832a264	6
3914	Test 56f361832dd61	3
3915	Test 56f361833243a	3
3916	Test 56f36183361a8	3
3917	Test 56f361833f695	3
3918	Test 56f361834397f	3
3919	Test 56f3618347b4b	2
3920	Test 56f361834b5c9	4
3921	Test 56f361834ef87	1
3922	Test 56f3618352613	4
3923	Test 56f3618355d00	1
3924	Test 56f3618359419	6
3925	Test 56f361835ca4e	2
3926	Test 56f36183644e6	3
3927	Test 56f361836d852	1
3928	Test 56f36183736a4	6
3929	Test 56f3618377b10	2
3930	Test 56f361837de60	3
3931	Test 56f36183830d0	4
3932	Test 56f3618386ca3	1
3933	Test 56f361838a609	1
3934	Test 56f361839fd3b	6
3935	Test 56f36183a6263	6
3936	Test 56f36183aa8f1	6
3937	Test 56f36183be9bb	4
3938	Test 56f36183c2aa5	6
3939	Test 56f36183c652e	6
3940	Test 56f36183c9a65	1
3941	Test 56f36183cd801	4
3942	Test 56f36183d1410	1
3943	Test 56f36183d4d75	4
3944	Test 56f36183d8530	5
3945	Test 56f36183dbe72	6
3946	Test 56f36183df602	3
3947	Test 56f36183e2edf	1
3948	Test 56f36183e6a51	5
3949	Test 56f36183ea8ed	1
3950	Test 56f36183edee0	1
3951	Test 56f36184027da	1
3952	Test 56f3618407f6d	6
3953	Test 56f361840c789	5
3954	Test 56f3618410a04	2
3955	Test 56f3618414f8f	6
3956	Test 56f36184190b9	5
3957	Test 56f361841d082	4
3958	Test 56f3618424474	3
3959	Test 56f36184283f2	5
3960	Test 56f361842c06e	2
3961	Test 56f361843039d	6
3962	Test 56f36184340bc	1
3963	Test 56f3618437adc	4
3964	Test 56f361843b76e	1
3965	Test 56f361843f8ab	3
3966	Test 56f36184486c6	6
3967	Test 56f361844c41e	1
3968	Test 56f361845050b	3
3969	Test 56f36184546b5	4
3970	Test 56f361845a5f5	1
3971	Test 56f3618461757	4
3972	Test 56f36184873b0	5
3973	Test 56f361848dbb7	1
3974	Test 56f361849167c	1
3975	Test 56f3618494e6c	6
3976	Test 56f3618499a2b	6
3977	Test 56f361849fd61	2
3978	Test 56f36184a5be5	5
3979	Test 56f36184adef4	6
3980	Test 56f36184b3ec7	3
3981	Test 56f36184b7674	3
3982	Test 56f36184bae7c	6
3983	Test 56f36184be418	2
3984	Test 56f36184c1b04	4
3985	Test 56f36184c550f	6
3986	Test 56f36184ca198	6
3987	Test 56f36184cdad4	1
3988	Test 56f36184d17ac	5
3989	Test 56f36184d4e7f	3
3990	Test 56f36184dcfc1	3
3991	Test 56f36184e21cd	5
3992	Test 56f36184eb124	3
3993	Test 56f36184f2329	4
3994	Test 56f36185050cc	3
3995	Test 56f36185094e3	2
3996	Test 56f36185111a1	2
3997	Test 56f361851640e	5
3998	Test 56f361851e666	6
3999	Test 56f361852f859	5
4000	Test 56f3618538589	5
4001	Test 56f361853d339	1
4002	Test 56f36185447f0	4
4003	Test 56f36185494db	3
4004	Test 56f361855170b	5
4005	Test 56f3618556677	2
4006	Test 56f361855e856	5
4007	Test 56f3618567753	1
4008	Test 56f361856bb11	4
4009	Test 56f36185708ee	2
4010	Test 56f3618574f43	5
4011	Test 56f361859388e	5
4012	Test 56f3618598f3a	3
4013	Test 56f361859ed48	3
4014	Test 56f36185a4c33	2
4015	Test 56f36185a8742	5
4016	Test 56f36185b1ee0	5
4017	Test 56f36185b6e5c	6
4018	Test 56f36185becb9	4
4019	Test 56f36185c710a	5
4020	Test 56f36185ce11a	4
4021	Test 56f36185d60d6	2
4022	Test 56f36185dcf2a	2
4023	Test 56f36185e60ff	1
4024	Test 56f36185eb58a	5
4025	Test 56f36185ef571	3
4026	Test 56f36186001f0	6
4027	Test 56f361860493b	1
4028	Test 56f3618608465	5
4029	Test 56f361860c479	5
4030	Test 56f3618612100	2
4031	Test 56f36186167f0	5
4032	Test 56f361861b5ee	2
4033	Test 56f361862239d	5
4034	Test 56f3618627efe	2
4035	Test 56f361862c592	3
4036	Test 56f3618630b0d	2
4037	Test 56f361863649c	2
4038	Test 56f361863b435	2
4039	Test 56f3618644657	2
4040	Test 56f3618648aba	5
4041	Test 56f361864cdbf	2
4042	Test 56f3618650fe6	1
4043	Test 56f3618658943	3
4044	Test 56f361865f6bf	4
4045	Test 56f3618665b4d	3
4046	Test 56f361866e92f	5
4047	Test 56f3618673953	2
4048	Test 56f3618679ad7	4
4049	Test 56f361869ff93	6
4050	Test 56f36186b4f9b	4
4051	Test 56f36186b930a	3
4052	Test 56f36186bf27a	2
4053	Test 56f36186c7194	5
4054	Test 56f36186cb418	5
4055	Test 56f36186d1c39	5
4056	Test 56f36186d9616	4
4057	Test 56f36186df0d0	4
4058	Test 56f36186e5e58	6
4059	Test 56f36186ec0d6	6
4060	Test 56f36186f4004	4
4061	Test 56f361870629e	6
4062	Test 56f361870c509	6
4063	Test 56f3618732687	1
4064	Test 56f361874b780	2
4065	Test 56f3618767c44	2
4066	Test 56f361876f7c2	3
4067	Test 56f36187761ba	2
4068	Test 56f361877a799	5
4069	Test 56f361877df02	5
4070	Test 56f361878297f	3
4071	Test 56f3618786490	5
4072	Test 56f361878d5b8	2
4073	Test 56f3618793735	1
4074	Test 56f3618798914	6
4075	Test 56f361879c8ba	1
4076	Test 56f36187a08dd	5
4077	Test 56f36187a444a	5
4078	Test 56f36187a8169	2
4079	Test 56f36187ab9ed	5
4080	Test 56f36187af179	4
4081	Test 56f36187b2aab	2
4082	Test 56f36187b6743	6
4083	Test 56f36187ba20b	3
4084	Test 56f36187bda49	6
4085	Test 56f36187c1250	5
4086	Test 56f36187c4d43	2
4087	Test 56f36187c8faa	3
4088	Test 56f36187ee549	4
4089	Test 56f3618804c7f	1
4090	Test 56f361880e4df	4
4091	Test 56f3618818f65	3
4092	Test 56f3618822378	3
4093	Test 56f361882c4e4	4
4094	Test 56f36188344fb	4
4095	Test 56f3618839257	1
4096	Test 56f361883cb15	6
4097	Test 56f3618840773	6
4098	Test 56f3618845091	2
4099	Test 56f361884a5ff	1
4100	Test 56f361884e0bc	6
4101	Test 56f36188520fd	4
4102	Test 56f3618855850	1
4103	Test 56f3618859da0	5
4104	Test 56f361885d67d	4
4105	Test 56f361886564d	2
4106	Test 56f361886ac39	5
4107	Test 56f361886fd1b	2
4108	Test 56f36188768e0	3
4109	Test 56f361887d7a3	6
4110	Test 56f361888398c	5
4111	Test 56f36188899a8	5
4112	Test 56f361888fa78	5
4113	Test 56f3618896936	3
4114	Test 56f361889ccb6	1
4115	Test 56f36188a19b0	1
4116	Test 56f36188a8d1b	2
4117	Test 56f36188adb8f	1
4118	Test 56f36188b3c66	3
4119	Test 56f36188b9bc5	2
4120	Test 56f36188bd0bf	3
4121	Test 56f36188d288a	5
4122	Test 56f36188ed263	4
4123	Test 56f361890362e	3
4124	Test 56f3618907a5e	2
4125	Test 56f361890bf0f	1
4126	Test 56f36189339de	4
4127	Test 56f3618938181	1
4128	Test 56f361893d866	5
4129	Test 56f3618941e67	5
4130	Test 56f361894a568	4
4131	Test 56f361894f8ca	5
4132	Test 56f36189558e8	4
4133	Test 56f361895a5c8	1
4134	Test 56f3618964106	2
4135	Test 56f361896a1af	5
4136	Test 56f361896e540	1
4137	Test 56f3618988618	1
4138	Test 56f361898be71	5
4139	Test 56f36189b5f2c	3
4140	Test 56f36189d0df1	6
4141	Test 56f36189db33a	6
4142	Test 56f36189e0f25	5
4143	Test 56f36189e705c	2
4144	Test 56f36189ec6a2	4
4145	Test 56f36189f04e0	2
4146	Test 56f3618a00f5d	2
4147	Test 56f3618a06280	5
4148	Test 56f3618a0cdcd	3
4149	Test 56f3618a12b2e	5
4150	Test 56f3618a19381	3
4151	Test 56f3618a1f459	4
4152	Test 56f3618a26b9d	5
4153	Test 56f3618a2c1c3	4
4154	Test 56f3618a34565	5
4155	Test 56f3618a3820e	5
4156	Test 56f3618a3e8d3	4
4157	Test 56f3618a425b0	2
4158	Test 56f3618a4a585	3
4159	Test 56f3618a4f267	3
4160	Test 56f3618a5725f	1
4161	Test 56f3618a5d505	3
4162	Test 56f3618a62be4	5
4163	Test 56f3618a69a16	1
4164	Test 56f3618a731d2	6
4165	Test 56f3618aaadf8	6
4166	Test 56f3618ab0ce9	2
4167	Test 56f3618abaeeb	1
4168	Test 56f3618abf20c	6
4169	Test 56f3618ac3473	3
4170	Test 56f3618ac6d36	5
4171	Test 56f3618acbf5b	6
4172	Test 56f3618ad58f1	3
4173	Test 56f3618adce9e	3
4174	Test 56f3618ae3ab4	3
4175	Test 56f3618aea309	1
4176	Test 56f3618aedd30	2
4177	Test 56f3618af21c4	4
4178	Test 56f3618b01d95	3
4179	Test 56f3618b08f8a	6
4180	Test 56f3618b0e0c3	3
4181	Test 56f3618b1317e	4
4182	Test 56f3618b17fbf	1
4183	Test 56f3618b1d780	6
4184	Test 56f3618b215fa	4
4185	Test 56f3618b29bd0	1
4186	Test 56f3618b312d2	4
4187	Test 56f3618b37e13	4
4188	Test 56f3618b3c00d	6
4189	Test 56f3618b423b3	3
4190	Test 56f3618b476bf	5
4191	Test 56f3618b4b521	1
4192	Test 56f3618b509a3	1
4193	Test 56f3618b56cd9	2
4194	Test 56f3618b5cbca	1
4195	Test 56f3618b606c5	6
4196	Test 56f3618b64715	6
4197	Test 56f3618b683c8	4
4198	Test 56f3618b6c30e	3
4199	Test 56f3618b70a5b	2
4200	Test 56f3618b74d6d	2
4201	Test 56f3618b94c05	5
4202	Test 56f3618b9d64a	6
4203	Test 56f3618bc5e03	6
4204	Test 56f3618bccd36	2
4205	Test 56f3618bd4014	6
4206	Test 56f3618bd92dd	2
4207	Test 56f3618bdceb4	5
4208	Test 56f3618be0f9c	6
4209	Test 56f3618be5504	3
4210	Test 56f3618bece06	4
4211	Test 56f3618bf3275	6
4212	Test 56f3618c035d4	2
4213	Test 56f3618c074e0	4
4214	Test 56f3618c0f52d	2
4215	Test 56f3618c1612a	6
4216	Test 56f3618c1cd1d	4
4217	Test 56f3618c242eb	6
4218	Test 56f3618c28980	6
4219	Test 56f3618c2cab6	3
4220	Test 56f3618c3107e	1
4221	Test 56f3618c38728	3
4222	Test 56f3618c3c5ad	4
4223	Test 56f3618c44744	2
4224	Test 56f3618c4812f	3
4225	Test 56f3618c4bf58	3
4226	Test 56f3618c524c8	3
4227	Test 56f3618c5ae4f	6
4228	Test 56f3618c6423a	4
4229	Test 56f3618c69640	6
4230	Test 56f3618c70d02	1
4231	Test 56f3618c80530	6
4232	Test 56f3618c8534e	1
4233	Test 56f3618c8e95a	3
4234	Test 56f3618c923db	1
4235	Test 56f3618c96361	4
4236	Test 56f3618c998ee	6
4237	Test 56f3618ca8b9e	6
4238	Test 56f3618caf13c	6
4239	Test 56f3618cb2f8a	2
4240	Test 56f3618cbc971	4
4241	Test 56f3618cc473d	6
4242	Test 56f3618cf039b	3
4243	Test 56f3618cf3ffb	3
4244	Test 56f3618d0364a	5
4245	Test 56f3618d070d1	6
4246	Test 56f3618d0add2	5
4247	Test 56f3618d0ebe0	5
4248	Test 56f3618d14878	5
4249	Test 56f3618d194a5	3
4250	Test 56f3618d1e26b	6
4251	Test 56f3618d250eb	1
4252	Test 56f3618d2f517	1
4253	Test 56f3618d39bf4	2
4254	Test 56f3618d4559a	6
4255	Test 56f3618d4def1	1
4256	Test 56f3618d54f40	3
4257	Test 56f3618d5d375	6
4258	Test 56f3618d6394e	4
4259	Test 56f3618d6b705	3
4260	Test 56f3618d6f86b	6
4261	Test 56f3618d737fa	6
4262	Test 56f3618d797b1	4
4263	Test 56f3618d81895	3
4264	Test 56f3618d87e9a	2
4265	Test 56f3618d8c3d5	2
4266	Test 56f3618d903e4	5
4267	Test 56f3618d95bba	6
4268	Test 56f3618d9bbb4	3
4269	Test 56f3618da1aae	2
4270	Test 56f3618da6f0d	4
4271	Test 56f3618dafb71	3
4272	Test 56f3618db3bce	4
4273	Test 56f3618dbbcd8	3
4274	Test 56f3618dbfa29	4
4275	Test 56f3618dc385a	1
4276	Test 56f3618dc75e8	5
4277	Test 56f3618dcf692	4
4278	Test 56f3618dd50c2	3
4279	Test 56f3618ddb980	4
4280	Test 56f3618e11fce	2
4281	Test 56f3618e15961	4
4282	Test 56f3618e195ee	2
4283	Test 56f3618e21342	6
4284	Test 56f3618e24a64	2
4285	Test 56f3618e28b19	4
4286	Test 56f3618e2c229	3
4287	Test 56f3618e32263	6
4288	Test 56f3618e38343	5
4289	Test 56f3618e4034a	5
4290	Test 56f3618e4670b	2
4291	Test 56f3618e50a82	1
4292	Test 56f3618e5b6ab	4
4293	Test 56f3618e6680f	6
4294	Test 56f3618e72b64	2
4295	Test 56f3618e7cf81	2
4296	Test 56f3618e87265	2
4297	Test 56f3618e8fb15	1
4298	Test 56f3618e98c81	1
4299	Test 56f3618e9eac6	5
4300	Test 56f3618ea5423	6
4301	Test 56f3618ea940d	4
4302	Test 56f3618ead117	4
4303	Test 56f3618eb0905	6
4304	Test 56f3618eb4626	5
4305	Test 56f3618eb7c97	2
4306	Test 56f3618ebbada	3
4307	Test 56f3618ebf278	6
4308	Test 56f3618ec305f	1
4309	Test 56f3618eca040	2
4310	Test 56f3618ed00c8	4
4311	Test 56f3618ed39ca	5
4312	Test 56f3618edaec4	5
4313	Test 56f3618edf5ce	1
4314	Test 56f3618ee3d88	4
4315	Test 56f3618eecd7a	1
4316	Test 56f3618ef36b4	5
4317	Test 56f3618f03c1a	4
4318	Test 56f3618f07434	2
4319	Test 56f3618f37380	1
4320	Test 56f3618f3b6ce	2
4321	Test 56f3618f41608	2
4322	Test 56f3618f461ea	5
4323	Test 56f3618f4b3fa	5
4324	Test 56f3618f52060	6
4325	Test 56f3618f55fc0	1
4326	Test 56f3618f5a844	1
4327	Test 56f3618f5f277	3
4328	Test 56f3618f669c4	6
4329	Test 56f3618f6c943	6
4330	Test 56f3618f74a85	1
4331	Test 56f3618f784b2	1
4332	Test 56f3618f7da67	2
4333	Test 56f3618f84345	5
4334	Test 56f3618f89f5a	6
4335	Test 56f3618f903a8	2
4336	Test 56f3618fb96b6	5
4337	Test 56f3618fda0a5	2
4338	Test 56f3618fdf653	4
4339	Test 56f3618fe5199	4
4340	Test 56f3618feae4c	2
4341	Test 56f3618ff073f	4
4342	Test 56f3619001e66	5
4343	Test 56f3619005971	2
4344	Test 56f361900b0cc	6
4345	Test 56f361901247c	6
4346	Test 56f3619016a6c	2
4347	Test 56f361901d121	6
4348	Test 56f361902351c	2
4349	Test 56f361902a79b	1
4350	Test 56f361902e8a3	5
4351	Test 56f361903240e	1
4352	Test 56f36190369e0	5
4353	Test 56f361903c3c8	4
4354	Test 56f36190407df	3
4355	Test 56f36190476ec	2
4356	Test 56f361904d44e	3
4357	Test 56f361907e126	3
4358	Test 56f3619081afb	1
\.


--
-- Data for Name: product_category; Type: TABLE DATA; Schema: public; Owner: postgres
--

COPY product_category (product_id, category_id) FROM stdin;
8	73
9	73
9	82
12	81
13	82
14	114
15	104
16	70
17	97
18	67
19	66
20	107
21	86
22	65
23	88
24	70
25	68
26	85
27	83
28	68
29	67
30	73
31	66
32	68
33	89
34	89
35	73
36	105
37	100
38	102
39	113
40	87
41	66
42	69
43	97
44	97
45	93
46	79
47	97
48	90
49	92
50	77
51	114
52	109
53	103
54	71
55	74
56	75
57	65
58	80
59	111
60	92
61	92
62	70
63	72
64	78
65	91
66	106
67	67
68	66
69	107
70	109
71	104
72	89
73	78
74	99
75	75
76	96
77	91
78	73
79	76
80	89
81	68
82	89
83	106
84	76
85	80
86	67
87	84
88	103
89	112
90	88
91	112
92	98
93	98
94	65
95	91
96	101
97	109
98	68
99	86
100	84
101	114
102	101
103	93
104	113
105	108
106	95
107	112
108	101
109	79
110	84
111	66
112	80
113	114
114	102
115	75
116	110
117	100
118	98
119	79
120	92
121	87
122	74
123	65
124	67
125	114
126	73
127	88
128	109
129	113
130	99
131	93
132	68
133	100
134	92
135	82
136	70
137	87
138	68
139	102
140	74
141	66
142	79
143	102
144	108
145	110
146	113
147	94
148	94
149	97
150	108
151	67
152	96
153	112
154	67
155	75
156	67
157	86
158	82
159	68
160	95
161	111
162	75
163	84
164	77
165	103
166	99
167	96
168	87
169	91
170	103
171	76
172	77
173	89
174	99
175	89
176	96
177	86
178	96
179	80
180	78
181	96
182	65
183	110
184	112
185	80
186	76
187	67
188	86
189	81
190	106
191	100
192	95
193	87
194	95
195	100
196	79
197	67
198	70
199	95
200	84
201	85
202	74
203	70
204	106
205	80
206	75
207	70
208	96
209	72
210	89
211	80
212	105
213	87
214	85
215	111
216	94
217	114
218	79
219	92
220	91
221	99
222	67
223	75
224	86
225	83
226	70
227	86
228	84
229	99
230	70
231	80
232	102
233	105
234	114
235	75
236	107
237	92
238	90
239	108
240	89
241	69
242	81
243	111
244	104
245	107
246	99
247	65
248	110
249	72
250	110
251	111
252	86
253	91
254	114
255	65
256	69
257	70
258	65
259	96
260	81
261	102
262	72
263	106
264	107
265	98
266	68
267	97
268	75
269	111
270	96
271	95
272	80
273	97
274	102
275	95
276	100
277	108
278	82
279	110
280	94
281	109
282	75
283	67
284	81
285	113
286	77
287	77
288	101
289	82
290	92
291	74
292	87
293	103
294	65
295	88
296	71
297	77
298	79
299	99
300	98
301	82
302	93
303	98
304	98
305	78
306	94
307	109
308	112
309	97
310	69
311	93
312	84
313	96
314	111
315	74
316	78
317	103
318	88
319	92
320	65
321	96
322	99
323	84
324	79
325	95
326	105
327	103
328	69
329	68
330	107
331	97
332	109
333	95
334	98
335	86
336	114
337	90
338	83
339	114
340	92
341	107
342	94
343	96
344	105
345	92
346	104
347	67
348	75
349	109
350	110
351	104
352	104
353	74
354	87
355	100
356	81
357	86
358	79
359	65
360	77
361	84
362	71
363	68
364	94
365	114
366	90
367	75
368	74
369	84
370	91
371	68
372	105
373	104
374	92
375	74
376	97
377	101
378	75
379	97
380	83
381	70
382	75
383	109
384	76
385	69
386	103
387	79
388	84
389	65
390	113
391	68
392	70
393	84
394	74
395	109
396	97
397	85
398	96
399	67
400	104
401	111
402	83
403	112
404	109
405	105
406	90
407	107
408	73
409	96
410	103
411	66
412	83
413	73
414	87
415	75
416	100
417	71
418	71
419	87
420	103
421	67
422	77
423	85
424	66
425	111
426	113
427	78
428	94
429	106
430	94
431	69
432	86
433	76
434	68
435	110
436	74
437	75
438	113
439	95
440	83
441	94
442	78
443	68
444	93
445	104
446	87
447	84
448	113
449	79
450	99
451	67
452	68
453	87
454	80
455	114
456	100
457	89
458	97
459	80
460	70
461	69
462	85
463	91
464	85
465	108
466	77
467	113
468	106
469	90
470	97
471	92
472	84
473	74
474	100
475	86
476	89
477	77
478	77
479	87
480	104
481	110
482	91
483	102
484	89
485	71
486	87
487	112
488	73
489	70
490	74
491	80
492	104
493	97
494	86
495	65
496	82
497	114
498	81
499	79
500	72
501	102
502	83
503	93
504	92
505	83
506	111
507	109
508	85
509	85
510	72
511	100
512	73
513	112
514	82
515	65
516	77
517	102
518	75
519	92
520	79
521	95
522	84
523	106
524	76
525	102
526	68
527	103
528	98
529	80
530	86
531	71
532	114
533	70
534	107
535	73
536	76
537	90
538	100
539	99
540	68
541	111
542	106
543	108
544	72
545	90
546	103
547	80
548	93
549	102
550	87
551	93
552	67
553	100
554	91
555	100
556	69
557	81
558	72
559	72
560	86
561	111
562	78
563	94
564	86
565	111
566	70
567	78
568	103
569	77
570	92
571	76
572	98
573	92
574	102
575	96
576	70
577	78
578	95
579	75
580	76
581	81
582	107
583	89
584	70
585	110
586	93
587	110
588	79
589	104
590	109
591	79
592	84
593	113
594	113
595	91
596	72
597	94
598	70
599	89
600	96
601	114
602	98
603	97
604	84
605	112
606	74
607	89
608	80
609	102
610	112
611	70
612	87
613	78
614	100
615	106
616	86
617	114
618	99
619	101
620	114
621	77
622	68
623	106
624	92
625	96
626	102
627	75
628	107
629	97
630	75
631	71
632	87
633	111
634	71
635	93
636	69
637	110
638	100
639	87
640	69
641	96
642	97
643	93
644	89
645	100
646	78
647	77
648	74
649	67
650	80
651	90
652	76
653	108
654	65
655	112
656	66
657	112
658	100
659	104
660	67
661	80
662	107
663	70
664	72
665	81
666	75
667	88
668	102
669	73
670	75
671	110
672	84
673	88
674	98
675	65
676	89
677	107
678	80
679	79
680	107
681	95
682	72
683	67
684	90
685	106
686	98
687	100
688	83
689	90
690	82
691	73
692	105
693	92
694	94
695	74
696	76
697	90
698	109
699	80
700	68
701	76
702	72
703	98
704	86
705	65
706	112
707	85
708	88
709	97
710	105
711	89
712	79
713	82
714	100
715	89
716	67
717	97
718	96
719	106
720	76
721	105
722	73
723	95
724	106
725	99
726	111
727	105
728	86
729	78
730	105
731	99
732	112
733	76
734	73
735	75
736	80
737	84
738	76
739	114
740	68
741	65
742	88
743	102
744	69
745	104
746	86
747	70
748	103
749	105
750	109
751	108
752	89
753	92
754	65
755	66
756	90
757	82
758	100
759	66
760	93
761	94
762	101
763	95
764	92
765	94
766	90
767	91
768	73
769	72
770	77
771	83
772	106
773	102
774	104
775	87
776	85
777	84
778	109
779	69
780	73
781	97
782	82
783	69
784	114
785	95
786	71
787	107
788	79
789	92
790	65
791	80
792	77
793	79
794	89
795	76
796	68
797	97
798	100
799	90
800	76
801	82
802	94
803	75
804	70
805	100
806	106
807	85
808	106
809	67
810	86
811	106
812	76
813	78
814	83
815	70
816	99
817	110
818	95
819	78
820	68
821	112
822	76
823	67
824	94
825	95
826	65
827	69
828	79
829	113
830	65
831	107
832	91
833	66
834	87
835	67
836	75
837	77
838	93
839	73
840	75
841	109
842	103
843	78
844	102
845	72
846	73
847	109
848	88
849	90
850	77
851	91
852	93
853	75
854	95
855	79
856	71
857	96
858	65
859	72
860	101
861	107
862	106
863	68
864	71
865	83
866	88
867	86
868	80
869	73
870	85
871	80
872	100
873	104
874	95
875	73
876	82
877	102
878	114
879	65
880	76
881	103
882	72
883	103
884	96
885	75
886	105
887	70
888	75
889	81
890	104
891	65
892	98
893	87
894	114
895	65
896	98
897	74
898	78
899	65
900	114
901	78
902	106
903	82
904	105
905	112
906	108
907	112
908	106
909	103
910	104
911	81
912	84
913	65
914	65
915	86
916	70
917	82
918	93
919	105
920	100
921	110
922	90
923	97
924	107
925	73
926	79
927	105
928	95
929	70
930	82
931	81
932	76
933	67
934	101
935	86
936	71
937	82
938	83
939	101
940	74
941	111
942	77
943	104
944	109
945	78
946	92
947	99
948	96
949	77
950	101
951	99
952	89
953	96
954	87
955	65
956	90
957	93
958	87
959	85
960	93
961	95
962	105
963	76
964	94
965	95
966	91
967	110
968	95
969	113
970	90
971	102
972	95
973	93
974	95
975	66
976	114
977	68
978	75
979	82
980	74
981	110
982	99
983	98
984	113
985	84
986	92
987	100
988	68
989	65
990	99
991	79
992	69
993	89
994	94
995	90
996	81
997	113
998	77
999	67
1000	103
1001	69
1002	88
1003	66
1004	96
1005	77
1006	78
1007	93
1008	101
1009	82
1010	102
1011	81
1012	104
1013	69
1014	80
1015	96
1016	65
1017	112
1018	109
1019	82
1020	100
1021	113
1022	88
1023	99
1024	95
1025	71
1026	114
1027	72
1028	98
1029	113
1030	86
1031	72
1032	82
1033	107
1034	82
1035	83
1036	79
1037	108
1038	102
1039	106
1040	77
1041	98
1042	72
1043	108
1044	100
1045	78
1046	70
1047	81
1048	68
1049	100
1050	106
1051	99
1052	79
1053	80
1054	108
1055	109
1056	93
1057	94
1058	106
1059	97
1060	99
1061	73
1062	105
1063	91
1064	81
1065	92
1066	101
1067	86
1068	66
1069	85
1070	104
1071	75
1072	101
1073	89
1074	100
1075	103
1076	102
1077	114
1078	68
1079	65
1080	110
1081	110
1082	97
1083	79
1084	102
1085	113
1086	112
1087	94
1088	93
1089	83
1090	97
1091	82
1092	69
1093	103
1094	74
1095	88
1096	92
1097	91
1098	106
1099	84
1100	94
1101	71
1102	91
1103	101
1104	107
1105	102
1106	67
1107	85
1108	101
1109	86
1110	98
1111	71
1112	69
1113	68
1114	72
1115	68
1116	114
1117	90
1118	113
1119	101
1120	68
1121	114
1122	106
1123	102
1124	102
1125	110
1126	104
1127	86
1128	89
1129	70
1130	98
1131	69
1132	93
1133	114
1134	70
1135	77
1136	106
1137	88
1138	91
1139	71
1140	72
1141	65
1142	78
1143	113
1144	111
1145	90
1146	67
1147	110
1148	71
1149	106
1150	85
1151	91
1152	71
1153	106
1154	71
1155	92
1156	86
1157	98
1158	66
1159	112
1160	86
1161	109
1162	79
1163	89
1164	105
1165	76
1166	76
1167	107
1168	108
1169	98
1170	113
1171	101
1172	67
1173	87
1174	82
1175	67
1176	98
1177	89
1178	67
1179	97
1180	98
1181	109
1182	111
1183	93
1184	91
1185	81
1186	110
1187	92
1188	71
1189	99
1190	89
1191	87
1192	91
1193	73
1194	66
1195	79
1196	96
1197	71
1198	102
1199	97
1200	75
1201	75
1202	86
1203	86
1204	87
1205	104
1206	92
1207	109
1208	104
1209	87
1210	70
1211	70
1212	85
1213	93
1214	88
1215	86
1216	90
1217	101
1218	75
1219	97
1220	91
1221	81
1222	93
1223	113
1224	101
1225	78
1226	95
1227	70
1228	93
1229	86
1230	104
1231	69
1232	95
1233	109
1234	95
1235	107
1236	73
1237	97
1238	88
1239	73
1240	76
1241	71
1242	101
1243	71
1244	99
1245	70
1246	108
1247	97
1248	101
1249	91
1250	84
1251	102
1252	108
1253	101
1254	66
1255	71
1256	102
1257	108
1258	112
1259	89
1260	88
1261	76
1262	91
1263	91
1264	77
1265	113
1266	114
1267	78
1268	65
1269	91
1270	91
1271	100
1272	83
1273	88
1274	109
1275	86
1276	114
1277	77
1278	69
1279	75
1280	67
1281	104
1282	71
1283	84
1284	77
1285	96
1286	100
1287	91
1288	76
1289	88
1290	82
1291	71
1292	68
1293	78
1294	80
1295	101
1296	72
1297	99
1298	107
1299	69
1300	68
1301	84
1302	74
1303	107
1304	114
1305	97
1306	69
1307	106
1308	109
1309	99
1310	101
1311	100
1312	76
1313	76
1314	90
1315	71
1316	82
1317	112
1318	84
1319	68
1320	114
1321	80
1322	103
1323	96
1324	104
1325	96
1326	84
1327	70
1328	111
1329	69
1330	74
1331	84
1332	102
1333	90
1334	87
1335	78
1336	86
1337	72
1338	94
1339	68
1340	112
1341	100
1342	76
1343	106
1344	102
1345	98
1346	84
1347	72
1348	84
1349	75
1350	107
1351	99
1352	86
1353	104
1354	100
1355	79
1356	86
1357	94
1358	105
1359	71
1360	92
1361	94
1362	105
1363	75
1364	84
1365	91
1366	90
1367	81
1368	88
1369	79
1370	107
1371	88
1372	67
1373	94
1374	109
1375	91
1376	78
1377	82
1378	71
1379	80
1380	74
1381	109
1382	65
1383	73
1384	98
1385	97
1386	79
1387	65
1388	68
1389	92
1390	67
1391	76
1392	86
1393	67
1394	70
1395	108
1396	93
1397	71
1398	107
1399	112
1400	69
1401	68
1402	76
1403	113
1404	83
1405	105
1406	105
1407	105
1408	77
1409	78
1410	79
1411	76
1412	79
1413	98
1414	68
1415	78
1416	109
1417	111
1418	111
1419	92
1420	85
1421	90
1422	92
1423	90
1424	80
1425	99
1426	87
1427	104
1428	72
1429	77
1430	79
1431	66
1432	79
1433	78
1434	110
1435	77
1436	90
1437	102
1438	107
1439	65
1440	66
1441	97
1442	109
1443	80
1444	86
1445	105
1446	109
1447	108
1448	75
1449	89
1450	86
1451	65
1452	93
1453	69
1454	82
1455	68
1456	67
1457	94
1458	84
1459	84
1460	101
1461	72
1462	98
1463	90
1464	108
1465	90
1466	113
1467	108
1468	87
1469	94
1470	102
1471	104
1472	68
1473	74
1474	90
1475	92
1476	71
1477	94
1478	65
1479	106
1480	88
1481	103
1482	87
1483	101
1484	91
1485	71
1486	74
1487	75
1488	82
1489	102
1490	92
1491	104
1492	111
1493	104
1494	76
1495	96
1496	81
1497	112
1498	74
1499	93
1500	77
1501	100
1502	71
1503	97
1504	77
1505	84
1506	68
1507	72
1508	112
1509	111
1510	69
1511	75
1512	109
1513	110
1514	114
1515	114
1516	99
1517	71
1518	105
1519	108
1520	108
1521	66
1522	80
1523	105
1524	67
1525	111
1526	98
1527	113
1528	91
1529	107
1530	71
1531	85
1532	80
1533	84
1534	86
1535	104
1536	102
1537	71
1538	106
1539	70
1540	105
1541	76
1542	97
1543	78
1544	75
1545	83
1546	96
1547	77
1548	74
1549	85
1550	85
1551	68
1552	101
1553	74
1554	79
1555	114
1556	74
1557	70
1558	69
1559	93
1560	82
1561	99
1562	73
1563	100
1564	70
1565	78
1566	106
1567	100
1568	82
1569	76
1570	76
1571	91
1572	65
1573	72
1574	94
1575	103
1576	104
1577	97
1578	97
1579	66
1580	74
1581	88
1582	76
1583	111
1584	80
1585	88
1586	93
1587	65
1588	100
1589	92
1590	106
1591	76
1592	67
1593	105
1594	97
1595	84
1596	105
1597	75
1598	114
1599	97
1600	70
1601	89
1602	67
1603	73
1604	96
1605	104
1606	90
1607	93
1608	84
1609	87
1610	105
1611	81
1612	105
1613	109
1614	112
1615	97
1616	72
1617	111
1618	93
1619	70
1620	85
1621	89
1622	99
1623	69
1624	73
1625	65
1626	65
1627	66
1628	78
1629	70
1630	86
1631	100
1632	82
1633	91
1634	67
1635	100
1636	81
1637	111
1638	111
1639	93
1640	70
1641	85
1642	87
1643	97
1644	73
1645	93
1646	75
1647	77
1648	110
1649	76
1650	89
1651	80
1652	94
1653	108
1654	90
1655	76
1656	88
1657	98
1658	76
1659	93
1660	65
1661	92
1662	109
1663	65
1664	87
1665	72
1666	108
1667	70
1668	108
1669	76
1670	97
1671	96
1672	110
1673	98
1674	85
1675	109
1676	94
1677	69
1678	96
1679	102
1680	94
1681	72
1682	98
1683	80
1684	84
1685	96
1686	104
1687	74
1688	90
1689	82
1690	106
1691	68
1692	87
1693	90
1694	66
1695	103
1696	101
1697	73
1698	111
1699	80
1700	109
1701	98
1702	86
1703	91
1704	94
1705	107
1706	110
1707	68
1708	91
1709	107
1710	111
1711	101
1712	113
1713	113
1714	71
1715	94
1716	103
1717	97
1718	69
1719	83
1720	70
1721	86
1722	93
1723	95
1724	83
1725	73
1726	97
1727	68
1728	99
1729	79
1730	110
1731	111
1732	89
1733	105
1734	104
1735	114
1736	97
1737	111
1738	83
1739	96
1740	90
1741	110
1742	87
1743	99
1744	80
1745	114
1746	85
1747	73
1748	66
1749	96
1750	99
1751	79
1752	71
1753	96
1754	84
1755	99
1756	95
1757	70
1758	65
1759	82
1760	105
1761	108
1762	95
1763	98
1764	111
1765	78
1766	107
1767	83
1768	90
1769	73
1770	94
1771	73
1772	76
1773	67
1774	111
1775	97
1776	65
1777	70
1778	90
1779	68
1780	96
1781	89
1782	93
1783	85
1784	84
1785	101
1786	91
1787	102
1788	104
1789	76
1790	69
1791	83
1792	93
1793	103
1794	75
1795	105
1796	76
1797	91
1798	70
1799	70
1800	111
1801	77
1802	78
1803	111
1804	91
1805	70
1806	90
1807	109
1808	101
1809	95
1810	94
1811	72
1812	98
1813	111
1814	92
1815	78
1816	88
1817	96
1818	78
1819	101
1820	98
1821	81
1822	69
1823	107
1824	87
1825	101
1826	76
1827	114
1828	101
1829	114
1830	92
1831	99
1832	103
1833	77
1834	94
1835	99
1836	75
1837	95
1838	111
1839	82
1840	66
1841	71
1842	82
1843	103
1844	74
1845	89
1846	76
1847	95
1848	65
1849	74
1850	98
1851	81
1852	73
1853	84
1854	77
1855	71
1856	108
1857	104
1858	88
1859	79
1860	71
1861	104
1862	76
1863	80
1864	109
1865	107
1866	101
1867	91
1868	69
1869	104
1870	106
1871	100
1872	98
1873	99
1874	110
1875	104
1876	65
1877	94
1878	91
1879	68
1880	73
1881	104
1882	112
1883	83
1884	71
1885	93
1886	72
1887	73
1888	70
1889	113
1890	99
1891	100
1892	103
1893	87
1894	114
1895	81
1896	111
1897	75
1898	93
1899	66
1900	108
1901	87
1902	88
1903	91
1904	101
1905	74
1906	96
1907	82
1908	107
1909	100
1910	101
1911	106
1912	66
1913	112
1914	66
1915	70
1916	114
1917	86
1918	69
1919	111
1920	88
1921	67
1922	71
1923	82
1924	96
1925	114
1926	108
1927	70
1928	100
1929	79
1930	68
1931	82
1932	85
1933	103
1934	84
1935	103
1936	84
1937	80
1938	85
1939	70
1940	110
1941	78
1942	104
1943	109
1944	91
1945	69
1946	98
1947	100
1948	102
1949	85
1950	73
1951	106
1952	77
1953	94
1954	66
1955	98
1956	106
1957	84
1958	88
1959	102
1960	107
1961	105
1962	82
1963	67
1964	89
1965	95
1966	105
1967	89
1968	98
1969	102
1970	77
1971	108
1972	97
1973	74
1974	76
1975	101
1976	71
1977	74
1978	109
1979	65
1980	112
1981	79
1982	70
1983	103
1984	69
1985	108
1986	82
1987	105
1988	70
1989	69
1990	68
1991	96
1992	72
1993	113
1994	65
1995	77
1996	78
1997	96
1998	108
1999	76
2000	84
2001	71
2002	80
2003	91
2004	82
2005	84
2006	97
2007	78
2008	82
2009	85
2010	91
2011	106
2012	80
2013	106
2014	88
2015	99
2016	68
2017	95
2018	76
2019	108
2020	104
2021	102
2022	72
2023	88
2024	84
2025	91
2026	66
2027	114
2028	69
2029	81
2030	95
2031	84
2032	104
2033	109
2034	101
2035	114
2036	75
2037	103
2038	72
2039	112
2040	87
2041	68
2042	87
2043	80
2044	71
2045	68
2046	66
2047	89
2048	65
2049	107
2050	102
2051	107
2052	109
2053	78
2054	72
2055	93
2056	111
2057	93
2058	78
2059	105
2060	101
2061	67
2062	93
2063	88
2064	100
2065	71
2066	65
2067	83
2068	109
2069	88
2070	113
2071	86
2072	95
2073	85
2074	74
2075	75
2076	81
2077	111
2078	70
2079	103
2080	93
2081	73
2082	77
2083	78
2084	69
2085	104
2086	104
2087	89
2088	76
2089	76
2090	69
2091	103
2092	105
2093	93
2094	111
2095	69
2096	85
2097	67
2098	82
2099	107
2100	83
2101	83
2102	68
2103	96
2104	114
2105	96
2106	114
2107	100
2108	95
2109	68
2110	75
2111	110
2112	93
2113	83
2114	102
2115	78
2116	77
2117	113
2118	66
2119	99
2120	85
2121	90
2122	75
2123	102
2124	97
2125	69
2126	97
2127	66
2128	78
2129	81
2130	90
2131	111
2132	106
2133	75
2134	104
2135	68
2136	96
2137	98
2138	82
2139	80
2140	94
2141	65
2142	109
2143	92
2144	78
2145	105
2146	66
2147	112
2148	78
2149	106
2150	97
2151	111
2152	112
2153	88
2154	77
2155	72
2156	82
2157	82
2158	76
2159	103
2160	69
2161	98
2162	106
2163	76
2164	70
2165	104
2166	89
2167	80
2168	106
2169	75
2170	79
2171	89
2172	89
2173	83
2174	77
2175	95
2176	104
2177	98
2178	104
2179	105
2180	107
2181	76
2182	91
2183	97
2184	68
2185	113
2186	107
2187	94
2188	79
2189	70
2190	103
2191	104
2192	105
2193	101
2194	99
2195	107
2196	92
2197	77
2198	68
2199	84
2200	96
2201	69
2202	108
2203	96
2204	89
2205	75
2206	109
2207	103
2208	98
2209	86
2210	114
2211	87
2212	106
2213	71
2214	94
2215	107
2216	73
2217	106
2218	89
2219	75
2220	99
2221	89
2222	69
2223	102
2224	114
2225	107
2226	69
2227	104
2228	66
2229	83
2230	91
2231	82
2232	83
2233	79
2234	67
2235	92
2236	84
2237	71
2238	65
2239	89
2240	74
2241	108
2242	104
2243	71
2244	103
2245	95
2246	112
2247	82
2248	78
2249	113
2250	94
2251	90
2252	82
2253	100
2254	114
2255	109
2256	90
2257	111
2258	68
2259	108
2260	88
2261	83
2262	67
2263	111
2264	91
2265	82
2266	113
2267	70
2268	79
2269	103
2270	85
2271	71
2272	110
2273	73
2274	112
2275	98
2276	99
2277	69
2278	88
2279	67
2280	92
2281	91
2282	98
2283	70
2284	88
2285	98
2286	87
2287	102
2288	67
2289	75
2290	109
2291	100
2292	92
2293	83
2294	75
2295	101
2296	78
2297	98
2298	84
2299	97
2300	107
2301	75
2302	82
2303	84
2304	104
2305	80
2306	96
2307	88
2308	93
2309	77
2310	107
2311	94
2312	102
2313	113
2314	93
2315	87
2316	74
2317	97
2318	104
2319	85
2320	112
2321	78
2322	93
2323	109
2324	72
2325	94
2326	75
2327	106
2328	103
2329	75
2330	109
2331	109
2332	106
2333	114
2334	83
2335	67
2336	83
2337	112
2338	72
2339	84
2340	80
2341	79
2342	80
2343	82
2344	100
2345	84
2346	112
2347	66
2348	108
2349	99
2350	78
2351	103
2352	73
2353	67
2354	107
2355	75
2356	111
2357	90
2359	90
2360	103
2361	91
2362	69
2363	107
2364	68
2365	88
2366	69
2367	81
2368	80
2369	86
2370	79
2371	93
2372	106
2373	66
2374	109
2375	65
2376	110
2377	81
2378	97
2379	109
2380	73
2381	112
2382	99
2383	67
2384	113
2385	91
2386	111
2387	106
2388	113
2389	78
2390	90
2391	77
2392	91
2393	88
2394	71
2395	114
2396	66
2397	101
2398	114
2399	110
2400	104
2401	79
2402	68
2403	74
2404	110
2405	70
2406	77
2407	74
2408	110
2409	91
2410	65
2411	97
2412	113
2413	114
2414	108
2415	109
2416	78
2417	105
2418	82
2419	94
2420	69
2421	100
2422	69
2423	94
2424	110
2425	109
2426	66
2427	78
2428	78
2429	75
2430	82
2431	82
2432	110
2433	84
2434	112
2435	113
2436	73
2437	77
2438	106
2439	65
2440	109
2441	87
2442	74
2443	110
2444	66
2445	85
2446	65
2447	85
2448	99
2449	83
2450	88
2451	112
2452	91
2453	110
2454	79
2455	84
2456	102
2457	91
2458	108
2459	71
2460	68
2461	108
2462	78
2463	100
2464	97
2465	105
2466	96
2467	105
2468	65
2469	99
2470	70
2471	68
2472	97
2473	91
2474	68
2475	104
2476	84
2477	103
2478	90
2479	104
2480	70
2481	110
2482	95
2483	110
2484	68
2485	74
2486	99
2487	67
2488	76
2489	74
2490	103
2491	106
2492	109
2493	65
2494	84
2495	74
2496	93
2497	89
2498	79
2499	82
2500	114
2501	84
2502	80
2503	87
2504	67
2505	76
2506	74
2507	80
2508	97
2509	81
2510	104
2511	105
2512	104
2513	96
2514	107
2515	94
2516	99
2517	93
2518	102
2519	107
2520	67
2521	66
2522	83
2523	97
2524	96
2525	67
2526	82
2527	114
2528	73
2529	81
2530	84
2531	91
2532	71
2533	80
2534	91
2535	70
2536	92
2537	102
2538	71
2539	69
2540	89
2541	75
2542	100
2543	80
2544	71
2545	66
2546	105
2547	110
2548	88
2549	76
2550	114
2551	92
2552	109
2553	85
2554	106
2555	90
2556	90
2557	81
2558	66
2559	76
2560	91
2561	72
2562	109
2563	88
2564	99
2565	112
2566	65
2567	104
2568	83
2569	65
2570	79
2571	93
2572	91
2573	94
2574	76
2575	95
2576	101
2577	113
2578	110
2579	65
2580	85
2581	108
2582	66
2583	95
2584	68
2585	71
2586	66
2587	85
2588	87
2589	66
2590	101
2591	73
2592	84
2593	109
2594	91
2595	97
2596	114
2597	73
2598	96
2599	66
2600	71
2601	103
2602	75
2603	73
2604	77
2605	86
2606	100
2607	74
2608	113
2609	82
2610	100
2611	104
2612	110
2613	108
2614	75
2615	76
2616	103
2617	97
2618	103
2619	66
2620	105
2621	80
2622	65
2623	72
2624	101
2625	91
2626	84
2627	66
2628	102
2629	73
2630	79
2631	77
2632	69
2633	81
2634	70
2635	85
2636	107
2637	97
2638	67
2639	94
2640	80
2641	109
2642	65
2643	96
2644	101
2645	100
2646	70
2647	71
2648	107
2649	112
2650	69
2651	94
2652	68
2653	107
2654	78
2655	101
2656	107
2657	113
2658	91
2659	70
2660	110
2661	108
2662	108
2663	104
2664	66
2665	90
2666	99
2667	75
2668	76
2669	77
2670	67
2671	75
2672	77
2673	80
2674	114
2675	67
2676	65
2677	76
2678	111
2679	78
2680	79
2681	79
2682	81
2683	98
2684	67
2685	78
2686	91
2687	109
2688	71
2689	82
2690	76
2691	114
2692	101
2693	101
2694	78
2695	107
2696	101
2697	112
2698	102
2699	108
2700	66
2701	112
2702	96
2703	80
2704	107
2705	104
2706	94
2707	71
2708	110
2709	68
2710	68
2711	93
2712	95
2713	78
2714	88
2715	96
2716	68
2717	107
2718	77
2719	114
2720	95
2721	104
2722	92
2723	111
2724	92
2725	103
2726	95
2727	72
2728	86
2729	106
2730	111
2731	69
2732	105
2733	76
2734	78
2735	102
2736	95
2737	78
2738	100
2739	84
2740	89
2741	99
2742	91
2743	111
2744	73
2745	65
2746	89
2747	77
2748	90
2749	103
2750	84
2751	73
2752	93
2753	102
2754	107
2755	113
2756	68
2757	88
2758	108
2759	106
2760	67
2761	95
2762	111
2763	101
2764	67
2765	81
2766	87
2767	112
2768	75
2769	85
2770	73
2771	86
2772	70
2773	111
2774	72
2775	73
2776	102
2777	67
2778	102
2779	100
2780	100
2781	101
2782	74
2783	69
2784	87
2785	66
2786	100
2787	84
2788	94
2789	113
2790	110
2791	89
2792	109
2793	81
2794	67
2795	87
2796	77
2797	88
2798	81
2799	92
2800	101
2801	88
2802	73
2803	85
2804	113
2805	112
2806	78
2807	105
2808	97
2809	94
2810	107
2811	76
2812	97
2813	90
2814	70
2815	114
2816	73
2817	108
2818	92
2819	104
2820	72
2821	96
2822	96
2823	73
2824	87
2825	92
2826	77
2827	113
2828	98
2829	112
2830	76
2831	100
2832	93
2833	79
2834	94
2835	79
2836	79
2837	84
2838	65
2839	89
2840	71
2841	88
2842	108
2843	109
2844	72
2845	89
2846	106
2847	100
2848	75
2849	81
2850	93
2851	90
2852	75
2853	97
2854	71
2855	83
2856	68
2857	75
2858	101
2859	94
2860	70
2861	70
2862	68
2863	107
2864	70
2865	81
2866	106
2867	97
2868	96
2869	111
2870	84
2871	99
2872	95
2873	80
2874	105
2875	75
2876	74
2877	69
2878	99
2879	72
2880	71
2881	84
2882	86
2883	67
2884	104
2885	81
2886	97
2887	71
2888	107
2889	77
2890	81
2891	103
2892	69
2893	113
2894	75
2895	104
2896	84
2897	113
2898	73
2899	105
2900	67
2901	105
2902	78
2903	98
2904	66
2905	102
2906	89
2907	80
2908	87
2909	111
2910	87
2911	93
2912	92
2913	111
2914	108
2915	83
2916	70
2917	97
2918	72
2919	68
2920	114
2921	77
2922	111
2923	95
2924	97
2925	101
2926	69
2927	65
2928	77
2929	67
2930	98
2931	109
2932	70
2933	114
2934	114
2935	90
2936	87
2937	73
2938	84
2939	89
2940	107
2941	91
2942	99
2943	96
2944	92
2945	101
2946	78
2947	110
2948	114
2949	68
2950	106
2951	70
2952	110
2953	111
2954	75
2955	101
2956	86
2957	79
2958	101
2959	103
2960	67
2961	103
2962	91
2963	74
2964	90
2965	83
2966	95
2967	102
2968	92
2969	106
2970	96
2971	68
2972	102
2973	93
2974	104
2975	96
2976	104
2977	101
2978	92
2979	112
2980	74
2981	107
2982	83
2983	98
2984	70
2985	78
2986	92
2987	93
2988	95
2989	82
2990	68
2991	109
2992	91
2993	98
2994	106
2995	110
2996	103
2997	104
2998	71
2999	70
3000	86
3001	84
3002	98
3003	106
3004	80
3005	66
3006	79
3007	110
3008	114
3009	111
3010	86
3011	68
3012	82
3013	96
3014	82
3015	93
3016	72
3017	97
3018	80
3019	80
3020	105
3021	69
3022	109
3023	88
3024	87
3025	73
3026	76
3027	97
3028	89
3029	95
3030	103
3031	66
3032	110
3033	91
3034	78
3035	65
3036	100
3037	74
3038	81
3039	108
3040	71
3041	66
3042	89
3043	92
3044	83
3045	109
3046	110
3047	113
3048	98
3049	111
3050	98
3051	83
3052	73
3053	106
3054	81
3055	87
3056	79
3057	114
3058	66
3059	96
3060	65
3061	111
3062	90
3063	92
3064	82
3065	103
3066	91
3067	83
3068	81
3069	98
3070	74
3071	97
3072	99
3073	109
3074	98
3075	66
3076	97
3077	80
3078	75
3079	108
3080	71
3081	70
3082	88
3083	84
3084	100
3085	98
3086	106
3087	80
3088	90
3089	113
3090	103
3091	66
3092	81
3093	110
3094	74
3095	65
3096	65
3097	103
3098	76
3099	94
3100	65
3101	110
3102	96
3103	72
3104	66
3105	113
3106	91
3107	99
3108	85
3109	114
3110	75
3111	101
3112	98
3113	86
3114	74
3115	77
3116	80
3117	105
3118	108
3119	108
3120	66
3121	107
3122	82
3123	65
3124	65
3125	98
3126	74
3127	98
3128	74
3129	102
3130	104
3131	67
3132	108
3133	108
3134	80
3135	84
3136	93
3137	98
3138	85
3139	75
3140	74
3141	78
3142	79
3143	81
3144	86
3145	73
3146	88
3147	105
3148	105
3149	94
3150	85
3151	77
3152	99
3153	113
3154	103
3155	112
3156	112
3157	86
3158	106
3159	104
3160	65
3161	81
3162	77
3163	99
3164	76
3165	72
3166	81
3167	89
3168	67
3169	103
3170	75
3171	100
3172	81
3173	71
3174	113
3175	69
3176	85
3177	67
3178	92
3179	112
3180	68
3181	68
3182	80
3183	107
3184	83
3185	97
3186	107
3187	68
3188	108
3189	87
3190	67
3191	111
3192	78
3193	77
3194	110
3195	107
3196	86
3197	94
3198	68
3199	114
3200	107
3201	97
3202	78
3203	76
3204	85
3205	76
3206	110
3207	93
3208	100
3209	86
3210	87
3211	95
3212	81
3213	84
3214	106
3215	77
3216	91
3217	95
3218	74
3219	95
3220	93
3221	80
3222	96
3223	109
3224	98
3225	67
3226	94
3227	75
3228	105
3229	65
3230	82
3231	105
3232	65
3233	109
3234	70
3235	110
3236	113
3237	72
3238	103
3239	102
3240	112
3241	90
3242	78
3243	110
3244	65
3245	104
3246	104
3247	105
3248	69
3249	71
3250	65
3251	80
3252	104
3253	113
3254	112
3255	67
3256	72
3257	89
3258	111
3259	69
3260	114
3261	107
3262	91
3263	79
3264	109
3265	73
3266	88
3267	87
3268	73
3269	86
3270	67
3271	101
3272	112
3273	103
3274	91
3275	107
3276	72
3277	90
3278	106
3279	87
3280	103
3281	67
3282	78
3283	96
3284	98
3285	82
3286	82
3287	75
3288	70
3289	104
3290	98
3291	79
3292	104
3293	102
3294	97
3295	93
3296	111
3297	83
3298	77
3299	76
3300	98
3301	90
3302	99
3303	94
3304	104
3305	66
3306	99
3307	102
3308	105
3309	85
3310	80
3311	94
3312	70
3313	107
3314	114
3315	92
3316	99
3317	68
3318	81
3319	67
3320	73
3321	67
3322	108
3323	88
3324	102
3325	90
3326	68
3327	97
3328	112
3329	106
3330	92
3331	112
3332	68
3333	84
3334	103
3335	73
3336	79
3337	110
3338	107
3339	96
3340	112
3341	78
3342	94
3343	109
3344	111
3345	65
3346	111
3347	68
3348	100
3349	96
3350	106
3351	71
3352	91
3353	80
3354	75
3355	91
3356	113
3357	98
3358	90
3359	101
3360	81
3361	65
3362	73
3363	90
3364	101
3365	102
3366	82
3367	108
3368	112
3369	69
3370	75
3371	71
3372	67
3373	87
3374	91
3375	72
3376	108
3377	78
3378	106
3379	95
3380	92
3381	68
3382	88
3383	112
3384	82
3385	82
3386	87
3387	89
3388	71
3389	79
3390	84
3391	106
3392	101
3393	104
3394	82
3395	111
3396	99
3397	94
3398	77
3399	103
3400	95
3401	77
3402	94
3403	79
3404	79
3405	103
3406	94
3407	76
3408	78
3409	79
3410	82
3411	79
3412	100
3413	107
3414	86
3415	87
3416	71
3417	112
3418	97
3419	92
3420	74
3421	73
3422	101
3423	113
3424	71
3425	79
3426	99
3427	68
3428	101
3429	96
3430	112
3431	90
3432	75
3433	85
3434	71
3435	65
3436	109
3437	95
3438	94
3439	97
3440	114
3441	80
3442	106
3443	96
3444	113
3445	73
3446	66
3447	83
3448	86
3449	71
3450	83
3451	104
3452	65
3453	102
3454	88
3455	88
3456	91
3457	105
3458	74
3459	96
3460	103
3461	113
3462	87
3463	74
3464	86
3465	74
3466	68
3467	109
3468	112
3469	110
3470	97
3471	80
3472	114
3473	65
3474	73
3475	108
3476	100
3477	100
3478	92
3479	104
3480	96
3481	107
3482	107
3483	81
3484	75
3485	85
3486	75
3487	98
3488	91
3489	91
3490	109
3491	83
3492	82
3493	113
3494	95
3495	73
3496	77
3497	98
3498	96
3499	76
3500	85
3501	93
3502	91
3503	111
3504	91
3505	86
3506	74
3507	82
3508	68
3509	74
3510	103
3511	105
3512	73
3513	111
3514	113
3515	95
3516	93
3517	70
3518	65
3519	109
3520	88
3521	104
3522	88
3523	98
3524	88
3525	94
3526	75
3527	103
3528	86
3529	112
3530	114
3531	84
3532	105
3533	68
3534	110
3535	99
3536	66
3537	81
3538	85
3539	100
3540	96
3541	76
3542	107
3543	71
3544	107
3545	94
3546	79
3547	67
3548	70
3549	85
3550	73
3551	102
3552	83
3553	84
3554	87
3555	98
3556	114
3557	109
3558	73
3559	107
3560	94
3561	65
3562	76
3563	92
3564	88
3565	113
3566	92
3567	94
3568	89
3569	105
3570	74
3571	92
3572	102
3573	84
3574	86
3575	97
3576	67
3577	90
3578	112
3579	114
3580	108
3581	93
3582	110
3583	113
3584	105
3585	98
3586	70
3587	96
3588	96
3589	76
3590	105
3591	95
3592	99
3593	67
3594	71
3595	92
3596	113
3597	99
3598	109
3599	65
3600	105
3601	91
3602	71
3603	88
3604	89
3605	106
3606	71
3607	90
3608	88
3609	80
3610	87
3611	102
3612	109
3613	68
3614	99
3615	73
3616	81
3617	74
3618	113
3619	96
3620	66
3621	65
3622	83
3623	67
3624	92
3625	106
3626	68
3627	66
3628	89
3629	102
3630	74
3631	73
3632	79
3633	103
3634	92
3635	93
3636	68
3637	106
3638	106
3639	93
3640	100
3641	106
3642	102
3643	76
3644	107
3645	77
3646	97
3647	105
3648	104
3649	69
3650	65
3651	98
3652	106
3653	112
3654	93
3655	85
3656	72
3657	103
3658	73
3659	79
3660	74
3661	70
3662	70
3663	96
3664	96
3665	87
3666	65
3667	76
3668	79
3669	88
3670	98
3671	85
3672	112
3673	101
3674	97
3675	103
3676	76
3677	69
3678	88
3679	72
3680	104
3681	102
3682	68
3683	75
3684	85
3685	85
3686	90
3687	92
3688	84
3689	74
3690	65
3691	113
3692	86
3693	96
3694	75
3695	106
3696	107
3697	103
3698	73
3699	107
3700	80
3701	90
3702	108
3703	97
3704	105
3705	73
3706	104
3707	79
3708	80
3709	86
3710	110
3711	92
3712	75
3713	105
3714	103
3715	96
3716	92
3717	93
3718	80
3719	76
3720	96
3721	114
3722	104
3723	68
3724	100
3725	75
3726	77
3727	104
3728	80
3729	73
3730	106
3731	85
3732	67
3733	100
3734	88
3735	70
3736	84
3737	82
3738	71
3739	97
3740	81
3741	98
3742	79
3743	87
3744	110
3745	74
3746	87
3747	73
3748	91
3749	106
3750	103
3751	70
3752	97
3753	91
3754	66
3755	94
3756	99
3757	91
3758	76
3759	85
3760	108
3761	105
3762	68
3763	71
3764	103
3765	71
3766	71
3767	106
3768	81
3769	87
3770	92
3771	91
3772	113
3773	94
3774	74
3775	76
3776	76
3777	80
3778	90
3779	75
3780	83
3781	66
3782	107
3783	72
3784	68
3785	105
3786	74
3787	95
3788	114
3789	84
3790	73
3791	101
3792	101
3793	101
3794	87
3795	100
3796	91
3797	92
3798	68
3799	81
3800	66
3801	103
3802	78
3803	90
3804	72
3805	94
3806	74
3807	102
3808	92
3809	67
3810	88
3811	81
3812	75
3813	106
3814	81
3815	87
3816	92
3817	73
3818	66
3819	93
3820	94
3821	107
3822	93
3823	108
3824	66
3825	113
3826	102
3827	81
3828	97
3829	72
3830	92
3831	95
3832	71
3833	98
3834	90
3835	68
3836	71
3837	106
3838	80
3839	72
3840	92
3841	72
3842	106
3843	84
3844	114
3845	85
3846	105
3847	113
3848	93
3849	82
3850	100
3851	81
3852	93
3853	112
3854	114
3855	94
3856	88
3857	77
3858	106
3859	85
3860	68
3861	70
3862	73
3863	111
3864	74
3865	103
3866	71
3867	98
3868	87
3869	94
3870	68
3871	89
3872	108
3873	114
3874	67
3875	85
3876	80
3877	108
3878	85
3879	97
3880	95
3881	76
3882	114
3883	101
3884	71
3885	72
3886	110
3887	79
3888	94
3889	111
3890	101
3891	80
3892	87
3893	80
3894	99
3895	81
3896	108
3897	68
3898	69
3899	95
3900	113
3901	97
3902	74
3903	69
3904	99
3905	98
3906	107
3907	85
3908	76
3909	92
3910	83
3911	86
3912	114
3913	104
3914	86
3915	91
3916	68
3917	71
3918	97
3919	111
3920	72
3921	105
3922	107
3923	70
3924	88
3925	108
3926	68
3927	101
3928	69
3929	74
3930	110
3931	85
3932	85
3933	105
3934	75
3935	90
3936	70
3937	113
3938	91
3939	95
3940	111
3941	86
3942	106
3943	112
3944	110
3945	88
3946	88
3947	103
3948	68
3949	104
3950	72
3951	74
3952	89
3953	84
3954	104
3955	74
3956	79
3957	102
3958	108
3959	93
3960	66
3961	103
3962	98
3963	84
3964	100
3965	87
3966	92
3967	67
3968	86
3969	107
3970	103
3971	109
3972	101
3973	104
3974	66
3975	70
3976	70
3977	73
3978	90
3979	107
3980	65
3981	110
3982	80
3983	89
3984	70
3985	100
3986	82
3987	82
3988	79
3989	93
3990	108
3991	104
3992	97
3993	91
3994	95
3995	105
3996	77
3997	95
3998	91
3999	83
4000	67
4001	95
4002	108
4003	111
4004	65
4005	98
4006	76
4007	108
4008	70
4009	72
4010	108
4011	85
4012	76
4013	69
4014	89
4015	87
4016	80
4017	106
4018	103
4019	103
4020	114
4021	78
4022	114
4023	69
4024	93
4025	104
4026	91
4027	95
4028	90
4029	106
4030	93
4031	90
4032	65
4033	73
4034	104
4035	89
4036	74
4037	105
4038	77
4039	90
4040	93
4041	78
4042	91
4043	68
4044	81
4045	105
4046	110
4047	80
4048	111
4049	104
4050	90
4051	94
4052	81
4053	104
4054	77
4055	70
4056	71
4057	108
4058	77
4059	100
4060	107
4061	105
4062	90
4063	88
4064	105
4065	114
4066	106
4067	83
4068	70
4069	102
4070	100
4071	70
4072	79
4073	98
4074	96
4075	72
4076	76
4077	105
4078	102
4079	95
4080	91
4081	95
4082	110
4083	77
4084	70
4085	100
4086	72
4087	70
4088	98
4089	106
4090	108
4091	101
4092	68
4093	106
4094	70
4095	83
4096	84
4097	106
4098	67
4099	113
4100	100
4101	73
4102	77
4103	65
4104	65
4105	72
4106	66
4107	91
4108	68
4109	82
4110	83
4111	104
4112	80
4113	95
4114	91
4115	107
4116	74
4117	79
4118	82
4119	106
4120	109
4121	112
4122	93
4123	97
4124	107
4125	89
4126	88
4127	72
4128	108
4129	92
4130	110
4131	71
4132	86
4133	106
4134	96
4135	89
4136	81
4137	66
4138	111
4139	85
4140	69
4141	67
4142	88
4143	104
4144	71
4145	83
4146	99
4147	110
4148	83
4149	99
4150	101
4151	91
4152	95
4153	76
4154	79
4155	102
4156	79
4157	70
4158	101
4159	106
4160	110
4161	72
4162	105
4163	96
4164	73
4165	84
4166	110
4167	91
4168	101
4169	71
4170	81
4171	67
4172	112
4173	95
4174	87
4175	67
4176	108
4177	79
4178	98
4179	97
4180	77
4181	111
4182	69
4183	71
4184	87
4185	93
4186	113
4187	103
4188	111
4189	94
4190	100
4191	97
4192	80
4193	98
4194	89
4195	81
4196	93
4197	87
4198	92
4199	80
4200	111
4201	84
4202	95
4203	78
4204	73
4205	71
4206	110
4207	104
4208	84
4209	100
4210	92
4211	88
4212	75
4213	73
4214	65
4215	80
4216	94
4217	105
4218	99
4219	90
4220	80
4221	105
4222	98
4223	101
4224	100
4225	97
4226	84
4227	68
4228	82
4229	69
4230	92
4231	92
4232	82
4233	95
4234	69
4235	94
4236	100
4237	91
4238	70
4239	71
4240	99
4241	110
4242	101
4243	111
4244	78
4245	66
4246	77
4247	73
4248	91
4249	90
4250	106
4251	93
4252	89
4253	94
4254	111
4255	80
4256	71
4257	78
4258	85
4259	97
4260	114
4261	68
4262	73
4263	105
4264	114
4265	106
4266	80
4267	91
4268	108
4269	74
4270	98
4271	93
4272	93
4273	99
4274	80
4275	90
4276	83
4277	113
4278	112
4279	101
4280	76
4281	111
4282	101
4283	75
4284	86
4285	80
4286	100
4287	88
4288	92
4289	76
4290	86
4291	84
4292	74
4293	84
4294	90
4295	92
4296	96
4297	86
4298	86
4299	88
4300	76
4301	76
4302	100
4303	77
4304	94
4305	73
4306	94
4307	71
4308	84
4309	84
4310	105
4311	88
4312	70
4313	68
4314	73
4315	81
4316	75
4317	90
4318	68
4319	73
4320	100
4321	83
4322	89
4323	91
4324	106
4325	94
4326	90
4327	105
4328	72
4329	65
4330	109
4331	114
4332	76
4333	72
4334	67
4335	82
4336	107
4337	100
4338	104
4339	105
4340	107
4341	91
4342	93
4343	113
4344	71
4345	110
4346	91
4347	93
4348	67
4349	95
4350	85
4351	88
4352	104
4353	87
4354	110
4355	68
4356	77
4357	82
4358	98
\.


--
-- Data for Name: product_image; Type: TABLE DATA; Schema: public; Owner: postgres
--

COPY product_image (product_image_id, product_id, image, alt, title) FROM stdin;
\.


--
-- Name: product_product_id_seq; Type: SEQUENCE SET; Schema: public; Owner: postgres
--

SELECT pg_catalog.setval('product_product_id_seq', 4358, true);


--
-- Data for Name: product_unit; Type: TABLE DATA; Schema: public; Owner: postgres
--

COPY product_unit (product_unit_id, name, code, is_default) FROM stdin;
1	Штуки	шт.	\N
2	Килограммы	кг.	\N
3	Упаковки	уп.	\N
4	Метры квадратные	кв.м.	\N
5	Метры кубические	м<sup>3</sup>	\N
\.


--
-- Name: product_unit_product_unit_id_seq; Type: SEQUENCE SET; Schema: public; Owner: postgres
--

SELECT pg_catalog.setval('product_unit_product_unit_id_seq', 7, true);


--
-- Data for Name: product_variant; Type: TABLE DATA; Schema: public; Owner: postgres
--

COPY product_variant (product_variant_id, product_id, name, sku, price, price_old, stock, product_unit_id) FROM stdin;
3	8	Красный	red-001	10	12	50	1
5	9	asdasd	asdasd	121	3212	33	1
6	12	test-56f35e70adaa2	test-56f35e70adaa2	186675	298680	\N	4
7	13	test-56f35e70c5846	test-56f35e70c5846	21774	41370.5999999999985	\N	4
8	14	test-56f35e70c93f6	test-56f35e70c93f6	152033	152033	\N	3
9	15	test-56f35eb53a419	test-56f35eb53a419	153667	153667	\N	4
10	16	test-56f35eb54bc7e	test-56f35eb54bc7e	116117	116117	\N	5
11	17	test-56f35eb54f816	test-56f35eb54f816	89005	89005	\N	2
12	18	test-56f35eb552e08	test-56f35eb552e08	29879	29879	\N	4
13	19	test-56f35eb55980d	test-56f35eb55980d	117508	117508	\N	1
14	20	test-56f35eb55ce92	test-56f35eb55ce92	131088	131088	\N	5
15	21	test-56f35eb561d5f	test-56f35eb561d5f	35999	35999	\N	5
16	22	test-56f35eb567de9	test-56f35eb567de9	111277	111277	\N	5
17	23	test-56f35eb56af05	test-56f35eb56af05	171367	171367	\N	3
18	24	test-56f35eb56e17a	test-56f35eb56e17a	137194	137194	\N	3
19	25	test-56f35eb57b16c	test-56f35eb57b16c	184774	351070.599999999977	\N	4
20	26	test-56f35eb582047	test-56f35eb582047	20536	41072	\N	4
21	27	test-56f35eb5861e4	test-56f35eb5861e4	11121	11121	\N	1
22	28	test-56f35eb58a166	test-56f35eb58a166	117826	117826	\N	5
23	29	test-56f35eb58df77	test-56f35eb58df77	36530	36530	\N	4
24	30	test-56f35eb59192c	test-56f35eb59192c	83725	83725	\N	2
25	31	test-56f35eb594cb4	test-56f35eb594cb4	10650	10650	\N	2
26	32	test-56f35eb59818a	test-56f35eb59818a	145490	145490	\N	3
27	33	test-56f35eb59c214	test-56f35eb59c214	107031	107031	\N	3
28	34	test-56f35eb5a210c	test-56f35eb5a210c	138104	179535.200000000012	\N	4
29	35	test-56f35eb5ae372	test-56f35eb5ae372	131407	144547.700000000012	\N	1
30	36	test-56f35eb5b1d3d	test-56f35eb5b1d3d	41798	41798	\N	1
31	37	test-56f35eb5b53ff	test-56f35eb5b53ff	105227	189408.600000000006	\N	5
32	38	test-56f35eb5b8dce	test-56f35eb5b8dce	122613	122613	\N	5
33	39	test-56f35eb5bbf05	test-56f35eb5bbf05	9128	9128	\N	3
34	40	test-56f35eb5c0fcd	test-56f35eb5c0fcd	52806	52806	\N	5
35	41	test-56f35eb5c4229	test-56f35eb5c4229	184283	184283	\N	4
36	42	test-56f35eb5c9528	test-56f35eb5c9528	146090	146090	\N	3
37	43	test-56f35eb5cc7f0	test-56f35eb5cc7f0	18838	18838	\N	4
38	44	test-56f35eb5cf73d	test-56f35eb5cf73d	101538	101538	\N	5
39	45	test-56f35eb5d263b	test-56f35eb5d263b	106507	159760.5	\N	1
40	46	test-56f35eb5d5b74	test-56f35eb5d5b74	83593	142108.100000000006	\N	3
41	47	test-56f35eb5d8b9f	test-56f35eb5d8b9f	2027	2027	\N	1
42	48	test-56f35eb5dbfba	test-56f35eb5dbfba	134362	214979.200000000012	\N	4
43	49	test-56f35eb5e275a	test-56f35eb5e275a	198566	198566	\N	2
44	50	test-56f35eb5e607d	test-56f35eb5e607d	83447	83447	\N	2
45	51	test-56f35eb5e8f66	test-56f35eb5e8f66	99450	99450	\N	2
46	52	test-56f35eb5ee338	test-56f35eb5ee338	97448	97448	\N	3
47	53	test-56f35eb5f181e	test-56f35eb5f181e	108040	108040	\N	5
48	54	test-56f35eb600464	test-56f35eb600464	153070	153070	\N	5
49	55	test-56f35eb603159	test-56f35eb603159	92504	92504	\N	1
50	56	test-56f35eb60a118	test-56f35eb60a118	40682	56954.8000000000029	\N	4
51	57	test-56f35eb60d34f	test-56f35eb60d34f	17456	27929.5999999999985	\N	1
52	58	test-56f35eb612235	test-56f35eb612235	55948	55948	\N	5
53	59	test-56f35eb6152ee	test-56f35eb6152ee	16727	16727	\N	1
54	60	test-56f35eb61a589	test-56f35eb61a589	94526	94526	\N	2
55	61	test-56f35eb61d622	test-56f35eb61d622	38	38	\N	3
56	62	test-56f35eb620c41	test-56f35eb620c41	60266	60266	\N	4
57	63	test-56f35eb6243b6	test-56f35eb6243b6	51194	97268.6000000000058	\N	2
58	64	test-56f35eb627f31	test-56f35eb627f31	136338	136338	\N	3
59	65	test-56f35eb62b6c8	test-56f35eb62b6c8	107675	107675	\N	5
60	66	test-56f35eb6329b5	test-56f35eb6329b5	18287	18287	\N	5
61	67	test-56f35eb6359b8	test-56f35eb6359b8	122508	122508	\N	3
62	68	test-56f35eb638d76	test-56f35eb638d76	38689	38689	\N	2
63	69	test-56f35eb63e6dc	test-56f35eb63e6dc	113197	113197	\N	2
64	70	test-56f35eb641e64	test-56f35eb641e64	155580	248928	\N	1
65	71	test-56f35eb6454f6	test-56f35eb6454f6	94410	94410	\N	5
66	72	test-56f35eb648a67	test-56f35eb648a67	8669	14737.2999999999993	\N	3
67	73	test-56f35eb64daa3	test-56f35eb64daa3	194851	370216.900000000023	\N	5
68	74	test-56f35eb652780	test-56f35eb652780	41642	62463	\N	3
69	75	test-56f35eb6592d7	test-56f35eb6592d7	130724	209158.399999999994	\N	1
70	76	test-56f35eb65cc5f	test-56f35eb65cc5f	33197	49795.5	\N	1
71	77	test-56f35eb6603d8	test-56f35eb6603d8	87378	87378	\N	1
72	78	test-56f35eb663717	test-56f35eb663717	81283	81283	\N	5
73	79	test-56f35eb666c11	test-56f35eb666c11	127583	127583	\N	2
74	80	test-56f35eb66a91a	test-56f35eb66a91a	44123	83833.6999999999971	\N	4
75	81	test-56f35eb66de26	test-56f35eb66de26	66560	66560	\N	4
76	82	test-56f35eb6726a5	test-56f35eb6726a5	176999	212398.799999999988	\N	5
77	83	test-56f35eb676f63	test-56f35eb676f63	8958	8958	\N	5
78	84	test-56f35eb67a219	test-56f35eb67a219	132751	132751	\N	2
79	85	test-56f35eb67d723	test-56f35eb67d723	116340	116340	\N	2
80	86	test-56f35eb68509a	test-56f35eb68509a	135491	149040.100000000006	\N	4
81	87	test-56f35eb688933	test-56f35eb688933	58693	58693	\N	4
82	88	test-56f35eb68bd4f	test-56f35eb68bd4f	18991	26587.4000000000015	\N	3
83	89	test-56f35eb692fba	test-56f35eb692fba	116328	116328	\N	5
84	90	test-56f35eb69639d	test-56f35eb69639d	46919	46919	\N	4
85	91	test-56f35eb6998c5	test-56f35eb6998c5	21875	21875	\N	4
86	92	test-56f35eb6a1908	test-56f35eb6a1908	10040	10040	\N	4
87	93	test-56f35eb6a5d78	test-56f35eb6a5d78	78188	78188	\N	2
88	94	test-56f35eb6a9c17	test-56f35eb6a9c17	190350	190350	\N	5
89	95	test-56f35eb6acaab	test-56f35eb6acaab	40066	40066	\N	2
90	96	test-56f35eb6aff17	test-56f35eb6aff17	162605	162605	\N	2
91	97	test-56f35eb6b2e15	test-56f35eb6b2e15	187446	187446	\N	4
92	98	test-56f35eb6b5f28	test-56f35eb6b5f28	181961	345725.900000000023	\N	3
93	99	test-56f35eb6ba543	test-56f35eb6ba543	58409	58409	\N	5
94	100	test-56f35eb6be78f	test-56f35eb6be78f	144843	144843	\N	4
95	101	test-56f35eb6c16e8	test-56f35eb6c16e8	26914	26914	\N	3
96	102	test-56f35eb6cee73	test-56f35eb6cee73	87765	175530	\N	3
97	103	test-56f35eb6d40b7	test-56f35eb6d40b7	35720	35720	\N	2
98	104	test-56f35eb6d97cd	test-56f35eb6d97cd	162693	244039.5	\N	5
99	105	test-56f35eb6dce5e	test-56f35eb6dce5e	34018	34018	\N	5
100	106	test-56f35eb6e34b0	test-56f35eb6e34b0	16810	16810	\N	2
101	107	test-56f35eb6e6b7e	test-56f35eb6e6b7e	79748	143546.399999999994	\N	2
102	108	test-56f35eb6ea51b	test-56f35eb6ea51b	89158	89158	\N	1
103	109	test-56f35eb6edbd3	test-56f35eb6edbd3	52047	52047	\N	3
104	110	test-56f35eb6f11ab	test-56f35eb6f11ab	35159	35159	\N	4
105	111	test-56f35eb702705	test-56f35eb702705	101741	101741	\N	4
106	112	test-56f35eb7064cd	test-56f35eb7064cd	33020	33020	\N	2
107	113	test-56f35eb70acbf	test-56f35eb70acbf	130528	130528	\N	2
108	114	test-56f35eb70e688	test-56f35eb70e688	80298	80298	\N	5
109	115	test-56f35eb712306	test-56f35eb712306	166267	166267	\N	3
110	116	test-56f35eb715852	test-56f35eb715852	19936	19936	\N	4
111	117	test-56f35eb71885b	test-56f35eb71885b	141956	141956	\N	4
112	118	test-56f35eb71b653	test-56f35eb71b653	58890	58890	\N	1
113	119	test-56f35eb71ebdf	test-56f35eb71ebdf	59923	59923	\N	1
114	120	test-56f35eb7229ee	test-56f35eb7229ee	49311	49311	\N	1
115	121	test-56f35eb725c53	test-56f35eb725c53	33255	33255	\N	3
116	122	test-56f35eb72b1e0	test-56f35eb72b1e0	27357	27357	\N	2
117	123	test-56f35eb72eba7	test-56f35eb72eba7	182639	182639	\N	4
118	124	test-56f35eb732c2d	test-56f35eb732c2d	166564	283158.799999999988	\N	1
119	125	test-56f35eb736272	test-56f35eb736272	99173	99173	\N	4
120	126	test-56f35eb7399ea	test-56f35eb7399ea	112402	191083.399999999994	\N	5
121	127	test-56f35eb73cb66	test-56f35eb73cb66	119539	119539	\N	4
122	128	test-56f35eb744faa	test-56f35eb744faa	65283	65283	\N	4
123	129	test-56f35eb748a00	test-56f35eb748a00	40740	40740	\N	1
124	130	test-56f35eb74bade	test-56f35eb74bade	143171	200439.399999999994	\N	2
125	131	test-56f35eb750b62	test-56f35eb750b62	101518	101518	\N	3
126	132	test-56f35eb757f60	test-56f35eb757f60	157316	283168.799999999988	\N	5
127	133	test-56f35eb75d195	test-56f35eb75d195	143765	186894.5	\N	3
128	134	test-56f35eb76065c	test-56f35eb76065c	49616	49616	\N	4
129	135	test-56f35eb7633ec	test-56f35eb7633ec	122049	122049	\N	5
130	136	test-56f35eb766fc4	test-56f35eb766fc4	123379	123379	\N	1
131	137	test-56f35eb769fcc	test-56f35eb769fcc	155481	155481	\N	5
132	138	test-56f35eb76ee8a	test-56f35eb76ee8a	161088	161088	\N	2
133	139	test-56f35eb77231c	test-56f35eb77231c	37139	37139	\N	4
134	140	test-56f35eb775a2b	test-56f35eb775a2b	52127	83403.1999999999971	\N	1
135	141	test-56f35eb778c14	test-56f35eb778c14	185238	277857	\N	5
136	142	test-56f35eb77bdb8	test-56f35eb77bdb8	108892	108892	\N	5
137	143	test-56f35eb783924	test-56f35eb783924	31027	31027	\N	4
138	144	test-56f35eb78685b	test-56f35eb78685b	143771	186902.299999999988	\N	2
139	145	test-56f35eb789ddf	test-56f35eb789ddf	107429	107429	\N	5
140	146	test-56f35eb78cea1	test-56f35eb78cea1	98689	177640.200000000012	\N	1
141	147	test-56f35eb793174	test-56f35eb793174	72582	72582	\N	1
142	148	test-56f35eb7961aa	test-56f35eb7961aa	199734	199734	\N	3
143	149	test-56f35eb79b1fb	test-56f35eb79b1fb	48770	73155	\N	5
144	150	test-56f35eb79e58c	test-56f35eb79e58c	139354	139354	\N	2
145	151	test-56f35eb7a363d	test-56f35eb7a363d	44470	44470	\N	4
146	152	test-56f35eb7a71e4	test-56f35eb7a71e4	163022	163022	\N	3
147	153	test-56f35eb7aab3f	test-56f35eb7aab3f	13453	25560.7000000000007	\N	3
148	154	test-56f35eb7adaa8	test-56f35eb7adaa8	163983	163983	\N	1
149	155	test-56f35eb7b11bd	test-56f35eb7b11bd	40090	80180	\N	1
150	156	test-56f35eb7b3e06	test-56f35eb7b3e06	155566	155566	\N	5
151	157	test-56f35eb7b7261	test-56f35eb7b7261	135638	135638	\N	2
152	158	test-56f35eb7ba4e7	test-56f35eb7ba4e7	7912	7912	\N	4
153	159	test-56f35eb7bf798	test-56f35eb7bf798	173416	173416	\N	4
154	160	test-56f35eb7c288d	test-56f35eb7c288d	114849	114849	\N	4
155	161	test-56f35eb7c5e7f	test-56f35eb7c5e7f	28078	28078	\N	2
156	162	test-56f35eb7c9225	test-56f35eb7c9225	75133	75133	\N	3
157	163	test-56f35eb7ce2bb	test-56f35eb7ce2bb	147839	266110.200000000012	\N	4
158	164	test-56f35eb7d35c8	test-56f35eb7d35c8	131383	131383	\N	2
159	165	test-56f35eb7d686b	test-56f35eb7d686b	37254	37254	\N	3
160	166	test-56f35eb7d953b	test-56f35eb7d953b	126957	126957	\N	2
161	167	test-56f35eb7e1506	test-56f35eb7e1506	119655	119655	\N	3
162	168	test-56f35eb7e4859	test-56f35eb7e4859	143302	143302	\N	4
163	169	test-56f35eb7e7730	test-56f35eb7e7730	70849	127528.199999999997	\N	5
164	170	test-56f35eb7eaf3d	test-56f35eb7eaf3d	70477	70477	\N	1
165	171	test-56f35eb7ee008	test-56f35eb7ee008	141836	141836	\N	3
166	172	test-56f35eb7f117b	test-56f35eb7f117b	31575	50520	\N	1
167	173	test-56f35eb801544	test-56f35eb801544	59731	59731	\N	1
168	174	test-56f35eb804875	test-56f35eb804875	121367	121367	\N	5
169	175	test-56f35eb80be82	test-56f35eb80be82	86794	86794	\N	1
170	176	test-56f35eb80f0c0	test-56f35eb80f0c0	175119	175119	\N	1
171	177	test-56f35eb813b6a	test-56f35eb813b6a	88674	88674	\N	3
172	178	test-56f35eb816b22	test-56f35eb816b22	188303	301284.799999999988	\N	5
173	179	test-56f35eb819ac5	test-56f35eb819ac5	26417	34342.0999999999985	\N	5
174	180	test-56f35eb81e01e	test-56f35eb81e01e	84604	84604	\N	3
175	181	test-56f35eb82bd83	test-56f35eb82bd83	17374	31273.2000000000007	\N	2
176	182	test-56f35eb831e5b	test-56f35eb831e5b	10100	20200	\N	3
177	183	test-56f35eb8361f2	test-56f35eb8361f2	70977	70977	\N	5
178	184	test-56f35eb852137	test-56f35eb852137	108474	108474	\N	5
179	185	test-56f35eb8968a4	test-56f35eb8968a4	169145	186059.5	\N	1
180	186	test-56f35eb89bc40	test-56f35eb89bc40	138653	138653	\N	5
181	187	test-56f35eb8a0dcb	test-56f35eb8a0dcb	186671	186671	\N	1
182	188	test-56f35eb8a4882	test-56f35eb8a4882	83059	83059	\N	1
183	189	test-56f35eb8a85d1	test-56f35eb8a85d1	165300	165300	\N	2
184	190	test-56f35eb8abd01	test-56f35eb8abd01	88494	88494	\N	4
185	191	test-56f35eb8af6a3	test-56f35eb8af6a3	38039	38039	\N	5
186	192	test-56f35eb8b2a1a	test-56f35eb8b2a1a	30473	30473	\N	5
187	193	test-56f35eb8b6095	test-56f35eb8b6095	125320	125320	\N	4
188	194	test-56f35eb8b91f7	test-56f35eb8b91f7	129192	129192	\N	5
189	195	test-56f35eb8bc2e8	test-56f35eb8bc2e8	67413	94378.1999999999971	\N	1
190	196	test-56f35eb8bf9f9	test-56f35eb8bf9f9	27410	27410	\N	2
191	197	test-56f35eb8c26e9	test-56f35eb8c26e9	167814	167814	\N	3
192	198	test-56f35eb8c5799	test-56f35eb8c5799	41616	41616	\N	1
193	199	test-56f35eb8cca89	test-56f35eb8cca89	102461	184429.799999999988	\N	5
194	200	test-56f35eb8cfea0	test-56f35eb8cfea0	192202	192202	\N	5
195	201	test-56f35eb8d31ec	test-56f35eb8d31ec	91511	146417.600000000006	\N	2
196	202	test-56f35eb8d668f	test-56f35eb8d668f	192014	192014	\N	1
197	203	test-56f35eb8d9972	test-56f35eb8d9972	105882	105882	\N	3
198	204	test-56f35eb8dcf1b	test-56f35eb8dcf1b	138255	138255	\N	3
199	205	test-56f35eb8e54b8	test-56f35eb8e54b8	62850	62850	\N	1
200	206	test-56f35eb8eacbf	test-56f35eb8eacbf	167123	167123	\N	1
201	207	test-56f35eb8edf77	test-56f35eb8edf77	145	174	\N	4
202	208	test-56f35eb8f131f	test-56f35eb8f131f	89839	98822.8999999999942	\N	2
203	209	test-56f35eb900586	test-56f35eb900586	9629	13480.6000000000004	\N	5
204	210	test-56f35eb906265	test-56f35eb906265	55327	55327	\N	5
205	211	test-56f35eb90ad5a	test-56f35eb90ad5a	132355	132355	\N	1
206	212	test-56f35eb90e6cc	test-56f35eb90e6cc	30712	30712	\N	5
207	213	test-56f35eb911845	test-56f35eb911845	1600	3200	\N	1
208	214	test-56f35eb914c67	test-56f35eb914c67	20629	41258	\N	1
209	215	test-56f35eb91b46c	test-56f35eb91b46c	199082	199082	\N	1
210	216	test-56f35eb91e283	test-56f35eb91e283	59720	59720	\N	2
211	217	test-56f35eb921199	test-56f35eb921199	199802	279722.799999999988	\N	3
212	218	test-56f35eb92453b	test-56f35eb92453b	73511	95564.3000000000029	\N	1
213	219	test-56f35eb927341	test-56f35eb927341	98777	108654.699999999997	\N	5
214	220	test-56f35eb92a706	test-56f35eb92a706	119532	179298	\N	2
215	221	test-56f35eb92d4c1	test-56f35eb92d4c1	32216	64432	\N	4
216	222	test-56f35eb936da9	test-56f35eb936da9	123133	135446.299999999988	\N	3
217	223	test-56f35eb93c6e5	test-56f35eb93c6e5	54682	54682	\N	1
218	224	test-56f35eb93fddc	test-56f35eb93fddc	26074	26074	\N	4
219	225	test-56f35eb942fd3	test-56f35eb942fd3	172126	172126	\N	5
220	226	test-56f35eb9462a8	test-56f35eb9462a8	96585	173853	\N	3
221	227	test-56f35eb94adbb	test-56f35eb94adbb	40819	40819	\N	3
222	228	test-56f35eb94db77	test-56f35eb94db77	116751	116751	\N	3
223	229	test-56f35eb9531b5	test-56f35eb9531b5	180927	180927	\N	2
224	230	test-56f35eb9565d7	test-56f35eb9565d7	16149	16149	\N	5
225	231	test-56f35eb9595d4	test-56f35eb9595d4	95267	95267	\N	5
226	232	test-56f35eb95c4c3	test-56f35eb95c4c3	96410	96410	\N	3
227	233	test-56f35eb95f792	test-56f35eb95f792	89040	89040	\N	5
228	234	test-56f35eb962ace	test-56f35eb962ace	69204	138408	\N	5
229	235	test-56f35eb965c35	test-56f35eb965c35	59227	100685.899999999994	\N	5
230	236	test-56f35eb96afca	test-56f35eb96afca	45962	78135.3999999999942	\N	1
231	237	test-56f35eb96e65e	test-56f35eb96e65e	185173	370346	\N	3
232	238	test-56f35eb971639	test-56f35eb971639	57435	57435	\N	4
233	239	test-56f35eb9747c4	test-56f35eb9747c4	192859	366432.099999999977	\N	2
234	240	test-56f35eb977d6e	test-56f35eb977d6e	64066	64066	\N	5
235	241	test-56f35eb97af3d	test-56f35eb97af3d	9708	9708	\N	5
236	242	test-56f35eb97deb2	test-56f35eb97deb2	187947	375894	\N	1
237	243	test-56f35eb980e2e	test-56f35eb980e2e	164597	164597	\N	3
238	244	test-56f35eb989b06	test-56f35eb989b06	147127	147127	\N	5
239	245	test-56f35eb98cd20	test-56f35eb98cd20	8347	8347	\N	4
240	246	test-56f35eb98ffe1	test-56f35eb98ffe1	126189	126189	\N	4
241	247	test-56f35eb998790	test-56f35eb998790	140297	280594	\N	5
242	248	test-56f35eb99d2fa	test-56f35eb99d2fa	161877	161877	\N	1
243	249	test-56f35eb9a11d1	test-56f35eb9a11d1	119866	191785.600000000006	\N	3
244	250	test-56f35eb9a42c3	test-56f35eb9a42c3	19777	25710.0999999999985	\N	4
245	251	test-56f35eb9abeff	test-56f35eb9abeff	107382	182549.399999999994	\N	4
246	252	test-56f35eb9b09dc	test-56f35eb9b09dc	114440	114440	\N	4
247	253	test-56f35eb9b76e7	test-56f35eb9b76e7	110309	110309	\N	3
248	254	test-56f35eb9c767d	test-56f35eb9c767d	102311	102311	\N	4
249	255	test-56f35eb9d01ec	test-56f35eb9d01ec	11731	17596.5	\N	5
250	256	test-56f35eb9d7c12	test-56f35eb9d7c12	66955	66955	\N	2
251	257	test-56f35eb9def3f	test-56f35eb9def3f	71428	71428	\N	3
252	258	test-56f35eb9e3f6e	test-56f35eb9e3f6e	41012	41012	\N	5
253	259	test-56f35eb9e7c99	test-56f35eb9e7c99	37790	37790	\N	5
254	260	test-56f35eb9ebf1b	test-56f35eb9ebf1b	153862	215406.799999999988	\N	4
255	261	test-56f35eb9efeee	test-56f35eb9efeee	131599	157918.799999999988	\N	5
256	262	test-56f35eba0820b	test-56f35eba0820b	70984	70984	\N	1
257	263	test-56f35eba0fc44	test-56f35eba0fc44	193181	193181	\N	3
258	264	test-56f35eba17f80	test-56f35eba17f80	120579	120579	\N	2
259	265	test-56f35eba1e40e	test-56f35eba1e40e	63748	63748	\N	5
260	266	test-56f35eba215a8	test-56f35eba215a8	141937	269680.299999999988	\N	3
261	267	test-56f35eba248f5	test-56f35eba248f5	156019	156019	\N	1
262	268	test-56f35eba277fc	test-56f35eba277fc	26423	26423	\N	4
263	269	test-56f35eba2ad99	test-56f35eba2ad99	101333	101333	\N	4
264	270	test-56f35eba2e347	test-56f35eba2e347	170107	340214	\N	2
265	271	test-56f35eba31e8a	test-56f35eba31e8a	47267	47267	\N	5
266	272	test-56f35eba3552f	test-56f35eba3552f	21455	21455	\N	2
267	273	test-56f35eba3957a	test-56f35eba3957a	185093	185093	\N	5
268	274	test-56f35eba3c7b5	test-56f35eba3c7b5	23370	23370	\N	2
269	275	test-56f35eba3faa5	test-56f35eba3faa5	91959	137938.5	\N	3
270	276	test-56f35eba46447	test-56f35eba46447	107699	107699	\N	5
271	277	test-56f35eba497e7	test-56f35eba497e7	109585	109585	\N	3
272	278	test-56f35eba4ce8f	test-56f35eba4ce8f	115478	115478	\N	4
273	279	test-56f35eba50736	test-56f35eba50736	177456	319420.799999999988	\N	3
274	280	test-56f35eba53663	test-56f35eba53663	67481	67481	\N	4
275	281	test-56f35eba5681b	test-56f35eba5681b	154055	154055	\N	4
276	282	test-56f35eba624e5	test-56f35eba624e5	100471	110518.100000000006	\N	1
277	283	test-56f35eba65888	test-56f35eba65888	112868	112868	\N	2
278	284	test-56f35eba6a446	test-56f35eba6a446	104533	104533	\N	5
279	285	test-56f35eba6e090	test-56f35eba6e090	28332	28332	\N	2
280	286	test-56f35eba71249	test-56f35eba71249	66663	66663	\N	4
281	287	test-56f35eba74977	test-56f35eba74977	185205	277807.5	\N	1
282	288	test-56f35eba779cd	test-56f35eba779cd	70597	70597	\N	1
283	289	test-56f35eba7af74	test-56f35eba7af74	78745	78745	\N	4
284	290	test-56f35eba7e0a8	test-56f35eba7e0a8	65266	65266	\N	2
285	291	test-56f35eba80f05	test-56f35eba80f05	49328	49328	\N	3
286	292	test-56f35eba84504	test-56f35eba84504	135236	135236	\N	2
287	293	test-56f35eba87226	test-56f35eba87226	124790	124790	\N	3
288	294	test-56f35eba8a5e1	test-56f35eba8a5e1	112694	157771.600000000006	\N	1
289	295	test-56f35eba9245f	test-56f35eba9245f	71582	71582	\N	3
290	296	test-56f35eba9587b	test-56f35eba9587b	162511	162511	\N	4
291	297	test-56f35eba99cea	test-56f35eba99cea	83391	83391	\N	5
292	298	test-56f35eba9d3ab	test-56f35eba9d3ab	176713	176713	\N	1
293	299	test-56f35ebaa26e7	test-56f35ebaa26e7	181000	181000	\N	1
294	300	test-56f35ebaa63a7	test-56f35ebaa63a7	36080	36080	\N	1
295	301	test-56f35ebaa9688	test-56f35ebaa9688	25207	25207	\N	1
296	302	test-56f35ebaacbe2	test-56f35ebaacbe2	32254	32254	\N	3
297	303	test-56f35ebab043a	test-56f35ebab043a	50221	50221	\N	2
298	304	test-56f35ebab34a7	test-56f35ebab34a7	29434	44151	\N	3
299	305	test-56f35ebabbed0	test-56f35ebabbed0	147828	147828	\N	4
300	306	test-56f35ebac078b	test-56f35ebac078b	41660	41660	\N	1
301	307	test-56f35ebac3ed9	test-56f35ebac3ed9	175732	175732	\N	3
302	308	test-56f35ebac7aae	test-56f35ebac7aae	150841	150841	\N	5
303	309	test-56f35ebaccfea	test-56f35ebaccfea	107859	183360.299999999988	\N	3
304	310	test-56f35ebad1026	test-56f35ebad1026	134429	134429	\N	2
305	311	test-56f35ebad5161	test-56f35ebad5161	52958	52958	\N	1
306	312	test-56f35ebad93ba	test-56f35ebad93ba	35046	35046	\N	3
307	313	test-56f35ebadd611	test-56f35ebadd611	198569	397138	\N	1
308	314	test-56f35ebae0f27	test-56f35ebae0f27	108693	119562.300000000003	\N	2
309	315	test-56f35ebae63a5	test-56f35ebae63a5	109577	109577	\N	5
310	316	test-56f35ebaeac55	test-56f35ebaeac55	53719	53719	\N	5
311	317	test-56f35ebaef8b6	test-56f35ebaef8b6	12649	17708.5999999999985	\N	2
312	318	test-56f35ebaf3448	test-56f35ebaf3448	137536	233811.200000000012	\N	5
313	319	test-56f35ebb03267	test-56f35ebb03267	50537	85912.8999999999942	\N	1
314	320	test-56f35ebb06d0a	test-56f35ebb06d0a	185833	185833	\N	5
315	321	test-56f35ebb17f5f	test-56f35ebb17f5f	60406	60406	\N	1
316	322	test-56f35ebb1c994	test-56f35ebb1c994	131730	131730	\N	3
317	323	test-56f35ebb200e6	test-56f35ebb200e6	80476	80476	\N	3
318	324	test-56f35ebb23578	test-56f35ebb23578	71712	71712	\N	1
319	325	test-56f35ebb2b3fc	test-56f35ebb2b3fc	59378	59378	\N	2
320	326	test-56f35ebb2ed89	test-56f35ebb2ed89	90533	90533	\N	2
321	327	test-56f35ebb32999	test-56f35ebb32999	8047	8047	\N	2
322	328	test-56f35ebb36bad	test-56f35ebb36bad	14519	14519	\N	4
323	329	test-56f35ebb3ab22	test-56f35ebb3ab22	176276	176276	\N	4
324	330	test-56f35ebb3e715	test-56f35ebb3e715	61318	61318	\N	5
325	331	test-56f35ebb41ec4	test-56f35ebb41ec4	111337	111337	\N	4
326	332	test-56f35ebb452a4	test-56f35ebb452a4	102981	102981	\N	4
327	333	test-56f35ebb48de1	test-56f35ebb48de1	58810	64691	\N	4
328	334	test-56f35ebb4c160	test-56f35ebb4c160	81392	81392	\N	1
329	335	test-56f35ebb4f5c9	test-56f35ebb4f5c9	56051	56051	\N	4
330	336	test-56f35ebb527f4	test-56f35ebb527f4	161681	161681	\N	2
331	337	test-56f35ebb562e9	test-56f35ebb562e9	63787	63787	\N	5
332	338	test-56f35ebb59ac5	test-56f35ebb59ac5	111792	145329.600000000006	\N	1
333	339	test-56f35ebb5dbee	test-56f35ebb5dbee	49126	49126	\N	5
334	340	test-56f35ebb61349	test-56f35ebb61349	161497	258395.200000000012	\N	4
335	341	test-56f35ebb64633	test-56f35ebb64633	198031	198031	\N	1
336	342	test-56f35ebb67a25	test-56f35ebb67a25	184551	184551	\N	5
337	343	test-56f35ebb6b1c2	test-56f35ebb6b1c2	190739	381478	\N	1
338	344	test-56f35ebb6e44b	test-56f35ebb6e44b	36110	36110	\N	5
339	345	test-56f35ebb73918	test-56f35ebb73918	199633	199633	\N	1
340	346	test-56f35ebb76d14	test-56f35ebb76d14	20706	20706	\N	1
341	347	test-56f35ebb7a782	test-56f35ebb7a782	73520	73520	\N	3
342	348	test-56f35ebb7de50	test-56f35ebb7de50	45747	45747	\N	1
343	349	test-56f35ebb810b5	test-56f35ebb810b5	106399	106399	\N	3
344	350	test-56f35ebb840cc	test-56f35ebb840cc	42827	42827	\N	5
345	351	test-56f35ebb873c8	test-56f35ebb873c8	119813	119813	\N	1
346	352	test-56f35ebb8a4d6	test-56f35ebb8a4d6	70829	84994.8000000000029	\N	2
347	353	test-56f35ebb8db18	test-56f35ebb8db18	107898	107898	\N	4
348	354	test-56f35ebb91526	test-56f35ebb91526	148863	297726	\N	4
349	355	test-56f35ebb951f5	test-56f35ebb951f5	107619	204476.100000000006	\N	4
350	356	test-56f35ebb9877d	test-56f35ebb9877d	140916	140916	\N	4
351	357	test-56f35ebb9babd	test-56f35ebb9babd	199322	199322	\N	2
352	358	test-56f35ebb9f90d	test-56f35ebb9f90d	68007	68007	\N	2
353	359	test-56f35ebbae8d8	test-56f35ebbae8d8	181139	362278	\N	5
354	360	test-56f35ebbb2350	test-56f35ebbb2350	103053	103053	\N	2
355	361	test-56f35ebbb59b8	test-56f35ebbb59b8	25495	43341.5	\N	1
356	362	test-56f35ebbb9152	test-56f35ebbb9152	154494	154494	\N	4
357	363	test-56f35ebbbc291	test-56f35ebbbc291	186150	186150	\N	3
358	364	test-56f35ebbbf123	test-56f35ebbbf123	6730	11441	\N	1
359	365	test-56f35ebbc210f	test-56f35ebbc210f	199963	199963	\N	1
360	366	test-56f35ebbd0c1c	test-56f35ebbd0c1c	11988	14385.6000000000004	\N	2
361	367	test-56f35ebbd4f79	test-56f35ebbd4f79	113867	113867	\N	1
362	368	test-56f35ebbd90b9	test-56f35ebbd90b9	96405	96405	\N	4
363	369	test-56f35ebbdcdd2	test-56f35ebbdcdd2	170100	170100	\N	3
364	370	test-56f35ebbdfd96	test-56f35ebbdfd96	81968	81968	\N	1
365	371	test-56f35ebbe2f39	test-56f35ebbe2f39	189542	189542	\N	4
366	372	test-56f35ebbe5ded	test-56f35ebbe5ded	122093	122093	\N	5
367	373	test-56f35ebbe94ad	test-56f35ebbe94ad	29788	56597.1999999999971	\N	5
368	374	test-56f35ebbec2f8	test-56f35ebbec2f8	96935	96935	\N	1
369	375	test-56f35ebbef520	test-56f35ebbef520	108393	108393	\N	4
370	376	test-56f35ebbf28ec	test-56f35ebbf28ec	161372	161372	\N	4
371	377	test-56f35ebc07895	test-56f35ebc07895	116009	116009	\N	2
372	378	test-56f35ebc0aca0	test-56f35ebc0aca0	63578	89009.1999999999971	\N	4
373	379	test-56f35ebc0e266	test-56f35ebc0e266	114702	114702	\N	5
374	380	test-56f35ebc118a7	test-56f35ebc118a7	187752	187752	\N	2
375	381	test-56f35ebc14bc2	test-56f35ebc14bc2	192378	365518.200000000012	\N	4
376	382	test-56f35ebc17cda	test-56f35ebc17cda	111357	111357	\N	5
377	383	test-56f35ebc1b454	test-56f35ebc1b454	163435	196122	\N	3
378	384	test-56f35ebc1e8c6	test-56f35ebc1e8c6	36397	36397	\N	4
379	385	test-56f35ebc220c6	test-56f35ebc220c6	94158	160068.600000000006	\N	4
380	386	test-56f35ebc256b5	test-56f35ebc256b5	74801	74801	\N	4
381	387	test-56f35ebc28b6d	test-56f35ebc28b6d	64621	64621	\N	2
382	388	test-56f35ebc2c33f	test-56f35ebc2c33f	66613	66613	\N	2
383	389	test-56f35ebc300cc	test-56f35ebc300cc	179976	233968.799999999988	\N	1
384	390	test-56f35ebc341de	test-56f35ebc341de	116446	116446	\N	3
385	391	test-56f35ebc375b8	test-56f35ebc375b8	196467	196467	\N	4
386	392	test-56f35ebc3a6ca	test-56f35ebc3a6ca	175564	175564	\N	4
387	393	test-56f35ebc3d96b	test-56f35ebc3d96b	72287	72287	\N	2
388	394	test-56f35ebc40d31	test-56f35ebc40d31	168791	168791	\N	5
389	395	test-56f35ebc4438b	test-56f35ebc4438b	48572	48572	\N	2
390	396	test-56f35ebc4769b	test-56f35ebc4769b	161025	161025	\N	4
391	397	test-56f35ebc4a8cc	test-56f35ebc4a8cc	86229	86229	\N	4
392	398	test-56f35ebc59818	test-56f35ebc59818	107748	161622	\N	5
393	399	test-56f35ebc61bb9	test-56f35ebc61bb9	84421	118189.399999999994	\N	5
394	400	test-56f35ebc6a21f	test-56f35ebc6a21f	46505	46505	\N	5
395	401	test-56f35ebc6d896	test-56f35ebc6d896	199287	199287	\N	5
396	402	test-56f35ebc71401	test-56f35ebc71401	89779	89779	\N	1
397	403	test-56f35ebc7533c	test-56f35ebc7533c	126637	126637	\N	5
398	404	test-56f35ebc7c5ae	test-56f35ebc7c5ae	140041	140041	\N	4
399	405	test-56f35ebc80549	test-56f35ebc80549	36829	36829	\N	1
400	406	test-56f35ebc83c11	test-56f35ebc83c11	173379	173379	\N	2
401	407	test-56f35ebc8737b	test-56f35ebc8737b	88697	150784.899999999994	\N	4
402	408	test-56f35ebc8abef	test-56f35ebc8abef	162960	162960	\N	4
403	409	test-56f35ebc8e30d	test-56f35ebc8e30d	67782	74560.1999999999971	\N	4
404	410	test-56f35ebc9ac62	test-56f35ebc9ac62	19536	19536	\N	5
405	411	test-56f35ebca4c31	test-56f35ebca4c31	89335	89335	\N	4
406	412	test-56f35ebca8b6e	test-56f35ebca8b6e	44715	67072.5	\N	5
407	413	test-56f35ebcac98a	test-56f35ebcac98a	140836	183086.799999999988	\N	4
408	414	test-56f35ebcb078b	test-56f35ebcb078b	195274	195274	\N	2
409	415	test-56f35ebcb41ff	test-56f35ebcb41ff	91030	91030	\N	5
410	416	test-56f35ebcb7f7d	test-56f35ebcb7f7d	299	299	\N	2
411	417	test-56f35ebcbc180	test-56f35ebcbc180	3427	3427	\N	4
412	418	test-56f35ebcc03eb	test-56f35ebcc03eb	147775	147775	\N	4
413	419	test-56f35ebcc3e6d	test-56f35ebcc3e6d	182625	310462.5	\N	5
414	420	test-56f35ebcc80cf	test-56f35ebcc80cf	90180	153306	\N	5
415	421	test-56f35ebccbc0c	test-56f35ebccbc0c	61682	61682	\N	3
416	422	test-56f35ebccfc31	test-56f35ebccfc31	198926	198926	\N	3
417	423	test-56f35ebcd3670	test-56f35ebcd3670	37386	63556.1999999999971	\N	1
418	424	test-56f35ebcd6feb	test-56f35ebcd6feb	16319	16319	\N	1
419	425	test-56f35ebcdccc8	test-56f35ebcdccc8	164563	246844.5	\N	2
420	426	test-56f35ebce097b	test-56f35ebce097b	81367	81367	\N	5
421	427	test-56f35ebce4236	test-56f35ebce4236	143296	143296	\N	5
422	428	test-56f35ebce7d25	test-56f35ebce7d25	138720	138720	\N	3
423	429	test-56f35ebceb2fd	test-56f35ebceb2fd	29511	53119.8000000000029	\N	5
424	430	test-56f35ebceedbd	test-56f35ebceedbd	101482	101482	\N	2
425	431	test-56f35ebcf2fe3	test-56f35ebcf2fe3	159977	175974.700000000012	\N	5
426	432	test-56f35ebd03119	test-56f35ebd03119	98778	98778	\N	2
427	433	test-56f35ebd06ac5	test-56f35ebd06ac5	191118	191118	\N	2
428	434	test-56f35ebd09ca5	test-56f35ebd09ca5	188416	188416	\N	1
429	435	test-56f35ebd0ec68	test-56f35ebd0ec68	196524	196524	\N	4
430	436	test-56f35ebd284b8	test-56f35ebd284b8	102119	122542.800000000003	\N	1
431	437	test-56f35ebd2ba37	test-56f35ebd2ba37	133131	133131	\N	5
432	438	test-56f35ebd32f73	test-56f35ebd32f73	101430	101430	\N	4
433	439	test-56f35ebd3615c	test-56f35ebd3615c	153689	184426.799999999988	\N	3
434	440	test-56f35ebd3d062	test-56f35ebd3d062	142101	142101	\N	5
435	441	test-56f35ebd4747b	test-56f35ebd4747b	32025	32025	\N	2
436	442	test-56f35ebd4c8e9	test-56f35ebd4c8e9	100723	100723	\N	4
437	443	test-56f35ebd576d2	test-56f35ebd576d2	127144	127144	\N	2
438	444	test-56f35ebd5be7c	test-56f35ebd5be7c	106858	106858	\N	1
439	445	test-56f35ebd625b9	test-56f35ebd625b9	68302	68302	\N	4
440	446	test-56f35ebd6b928	test-56f35ebd6b928	127290	241851	\N	4
441	447	test-56f35ebd6feed	test-56f35ebd6feed	119397	214914.600000000006	\N	3
442	448	test-56f35ebd73811	test-56f35ebd73811	173327	311988.599999999977	\N	1
443	449	test-56f35ebd76d81	test-56f35ebd76d81	76923	76923	\N	4
444	450	test-56f35ebd79fd6	test-56f35ebd79fd6	18892	18892	\N	5
445	451	test-56f35ebd81739	test-56f35ebd81739	10593	13770.8999999999996	\N	1
446	452	test-56f35ebd90869	test-56f35ebd90869	112911	112911	\N	2
447	453	test-56f35ebd95a8a	test-56f35ebd95a8a	53229	53229	\N	4
448	454	test-56f35ebd998be	test-56f35ebd998be	31645	44303	\N	1
449	455	test-56f35ebd9d76b	test-56f35ebd9d76b	197529	197529	\N	4
450	456	test-56f35ebda3b2d	test-56f35ebda3b2d	180057	180057	\N	1
451	457	test-56f35ebda7374	test-56f35ebda7374	145637	189328.100000000006	\N	3
452	458	test-56f35ebdab44f	test-56f35ebdab44f	106499	138448.700000000012	\N	4
453	459	test-56f35ebdae47b	test-56f35ebdae47b	42186	42186	\N	5
454	460	test-56f35ebdb56cd	test-56f35ebdb56cd	179904	179904	\N	2
455	461	test-56f35ebdb8dca	test-56f35ebdb8dca	161398	161398	\N	5
456	462	test-56f35ebdbc19d	test-56f35ebdbc19d	80747	80747	\N	3
457	463	test-56f35ebdbf609	test-56f35ebdbf609	95835	95835	\N	4
458	464	test-56f35ebdc58bb	test-56f35ebdc58bb	75636	75636	\N	3
459	465	test-56f35ebdc8b5c	test-56f35ebdc8b5c	59899	59899	\N	5
460	466	test-56f35ebdcd8bc	test-56f35ebdcd8bc	101435	101435	\N	4
461	467	test-56f35ebdd3fa9	test-56f35ebdd3fa9	7810	7810	\N	1
462	468	test-56f35ebdd9b24	test-56f35ebdd9b24	196817	373952.299999999988	\N	4
463	469	test-56f35ebddccc5	test-56f35ebddccc5	105716	190288.799999999988	\N	1
464	470	test-56f35ebde001c	test-56f35ebde001c	167540	201048	\N	5
465	471	test-56f35ebde323f	test-56f35ebde323f	183060	329508	\N	1
466	472	test-56f35ebde9cd0	test-56f35ebde9cd0	99143	198286	\N	2
467	473	test-56f35ebded27d	test-56f35ebded27d	107888	107888	\N	4
468	474	test-56f35ebdf08d3	test-56f35ebdf08d3	55413	55413	\N	3
469	475	test-56f35ebe1b02c	test-56f35ebe1b02c	116169	232338	\N	1
470	476	test-56f35ebe1eef1	test-56f35ebe1eef1	186439	205082.899999999994	\N	1
471	477	test-56f35ebe25d7d	test-56f35ebe25d7d	154876	154876	\N	2
472	478	test-56f35ebe291bd	test-56f35ebe291bd	165747	165747	\N	5
473	479	test-56f35ebe2d2c5	test-56f35ebe2d2c5	28927	28927	\N	3
474	480	test-56f35ebe30505	test-56f35ebe30505	40703	56984.1999999999971	\N	3
475	481	test-56f35ebe33970	test-56f35ebe33970	2358	2358	\N	4
476	482	test-56f35ebe371b8	test-56f35ebe371b8	89729	125620.600000000006	\N	2
477	483	test-56f35ebe3feca	test-56f35ebe3feca	194597	272435.799999999988	\N	2
478	484	test-56f35ebe43b1c	test-56f35ebe43b1c	5676	5676	\N	3
479	485	test-56f35ebe46da7	test-56f35ebe46da7	37104	37104	\N	2
480	486	test-56f35ebe4aa48	test-56f35ebe4aa48	21053	21053	\N	2
481	487	test-56f35ebe5066e	test-56f35ebe5066e	92674	166813.200000000012	\N	5
482	488	test-56f35ebe5386a	test-56f35ebe5386a	71902	71902	\N	1
483	489	test-56f35ebe56767	test-56f35ebe56767	72459	72459	\N	1
484	490	test-56f35ebe5a1da	test-56f35ebe5a1da	189405	340929	\N	3
485	491	test-56f35ebe603ed	test-56f35ebe603ed	160127	160127	\N	1
486	492	test-56f35ebe6367c	test-56f35ebe6367c	123894	123894	\N	5
487	493	test-56f35ebe66ef8	test-56f35ebe66ef8	136068	136068	\N	5
488	494	test-56f35ebe69fa9	test-56f35ebe69fa9	188503	377006	\N	4
489	495	test-56f35ebe6d30c	test-56f35ebe6d30c	186951	186951	\N	4
490	496	test-56f35ebe72102	test-56f35ebe72102	42266	42266	\N	1
491	497	test-56f35ebe75322	test-56f35ebe75322	124431	174203.399999999994	\N	3
492	498	test-56f35ebe7848b	test-56f35ebe7848b	76628	76628	\N	5
493	499	test-56f35ebe7bbf0	test-56f35ebe7bbf0	86593	86593	\N	1
494	500	test-56f35ebe7f0a0	test-56f35ebe7f0a0	5793	5793	\N	3
495	501	test-56f35ebe81f58	test-56f35ebe81f58	151349	151349	\N	3
496	502	test-56f35ebe879e2	test-56f35ebe879e2	176401	176401	\N	2
497	503	test-56f35ebe8f97d	test-56f35ebe8f97d	180105	216126	\N	2
498	504	test-56f35ebe9395c	test-56f35ebe9395c	100951	131236.299999999988	\N	5
499	505	test-56f35ebe9747e	test-56f35ebe9747e	25656	25656	\N	1
500	506	test-56f35ebe9ab83	test-56f35ebe9ab83	55338	83007	\N	2
501	507	test-56f35ebea1ad8	test-56f35ebea1ad8	186063	316307.099999999977	\N	1
502	508	test-56f35ebea4cb5	test-56f35ebea4cb5	25650	25650	\N	3
503	509	test-56f35ebea8664	test-56f35ebea8664	184503	184503	\N	3
504	510	test-56f35ebeae6fa	test-56f35ebeae6fa	78442	133351.399999999994	\N	2
505	511	test-56f35ebeb1d25	test-56f35ebeb1d25	179993	305988.099999999977	\N	3
506	512	test-56f35ebeb5732	test-56f35ebeb5732	175846	175846	\N	5
507	513	test-56f35ebec6461	test-56f35ebec6461	183835	183835	\N	4
508	514	test-56f35ebeca067	test-56f35ebeca067	117434	117434	\N	2
509	515	test-56f35ebecde13	test-56f35ebecde13	136526	136526	\N	5
510	516	test-56f35ebed2bb3	test-56f35ebed2bb3	153379	153379	\N	5
511	517	test-56f35ebed705f	test-56f35ebed705f	170773	170773	\N	5
512	518	test-56f35ebedcd78	test-56f35ebedcd78	147757	147757	\N	3
513	519	test-56f35ebee0d0b	test-56f35ebee0d0b	130035	130035	\N	5
514	520	test-56f35ebee4e9e	test-56f35ebee4e9e	86164	86164	\N	3
515	521	test-56f35ebee8123	test-56f35ebee8123	89565	89565	\N	3
516	522	test-56f35ebeeb920	test-56f35ebeeb920	125617	125617	\N	4
517	523	test-56f35ebf12f34	test-56f35ebf12f34	62045	62045	\N	2
518	524	test-56f35ebf18b86	test-56f35ebf18b86	61110	61110	\N	5
519	525	test-56f35ebf1ddf6	test-56f35ebf1ddf6	87201	104641.199999999997	\N	4
520	526	test-56f35ebf247a1	test-56f35ebf247a1	164458	180903.799999999988	\N	1
521	527	test-56f35ebf28734	test-56f35ebf28734	129885	259770	\N	4
522	528	test-56f35ebf30468	test-56f35ebf30468	80245	80245	\N	4
523	529	test-56f35ebf37803	test-56f35ebf37803	101490	121788	\N	2
524	530	test-56f35ebf3e2e1	test-56f35ebf3e2e1	990	990	\N	3
525	531	test-56f35ebf44714	test-56f35ebf44714	85318	85318	\N	1
526	532	test-56f35ebf4a3f6	test-56f35ebf4a3f6	142251	142251	\N	3
527	533	test-56f35ebf4ed45	test-56f35ebf4ed45	122013	183019.5	\N	2
528	534	test-56f35ebf566a6	test-56f35ebf566a6	104566	104566	\N	1
529	535	test-56f35ebf5d3ac	test-56f35ebf5d3ac	72423	72423	\N	1
530	536	test-56f35ebf63084	test-56f35ebf63084	138134	248641.200000000012	\N	1
531	537	test-56f35ebf66f71	test-56f35ebf66f71	93999	93999	\N	2
532	538	test-56f35ebf6a365	test-56f35ebf6a365	84297	101156.399999999994	\N	2
533	539	test-56f35ebf6df95	test-56f35ebf6df95	173923	208707.600000000006	\N	3
534	540	test-56f35ebf71435	test-56f35ebf71435	109657	109657	\N	2
535	541	test-56f35ebf754cd	test-56f35ebf754cd	33884	47437.5999999999985	\N	2
536	542	test-56f35ebf78d43	test-56f35ebf78d43	155343	155343	\N	2
537	543	test-56f35ebf7ce57	test-56f35ebf7ce57	117313	117313	\N	5
538	544	test-56f35ebf81391	test-56f35ebf81391	130171	130171	\N	4
539	545	test-56f35ebf8789c	test-56f35ebf8789c	70121	70121	\N	5
540	546	test-56f35ebf8d6e2	test-56f35ebf8d6e2	62104	62104	\N	2
541	547	test-56f35ebf915e3	test-56f35ebf915e3	169938	203925.600000000006	\N	4
542	548	test-56f35ebf94e69	test-56f35ebf94e69	176857	212228.399999999994	\N	2
543	549	test-56f35ebf9839c	test-56f35ebf9839c	57243	57243	\N	5
544	550	test-56f35ebf9bf3f	test-56f35ebf9bf3f	80248	80248	\N	3
545	551	test-56f35ebf9f672	test-56f35ebf9f672	121640	121640	\N	1
546	552	test-56f35ebfc543d	test-56f35ebfc543d	58747	76371.1000000000058	\N	1
547	553	test-56f35ebfc99de	test-56f35ebfc99de	146122	219183	\N	2
548	554	test-56f35ebfd5e13	test-56f35ebfd5e13	182043	182043	\N	2
549	555	test-56f35ebfda2f8	test-56f35ebfda2f8	140153	140153	\N	1
550	556	test-56f35ebfe0044	test-56f35ebfe0044	173309	173309	\N	5
551	557	test-56f35ebfe5cde	test-56f35ebfe5cde	139285	250713	\N	4
552	558	test-56f35ebfe97e2	test-56f35ebfe97e2	135521	135521	\N	3
553	559	test-56f35ebfecbef	test-56f35ebfecbef	146139	277664.099999999977	\N	3
554	560	test-56f35ebff0211	test-56f35ebff0211	93490	93490	\N	1
555	561	test-56f35ec0009a2	test-56f35ec0009a2	157332	157332	\N	2
556	562	test-56f35ec00e9df	test-56f35ec00e9df	22975	22975	\N	3
557	563	test-56f35ec01224e	test-56f35ec01224e	140918	140918	\N	5
558	564	test-56f35ec0180cf	test-56f35ec0180cf	40149	40149	\N	3
559	565	test-56f35ec01ed1d	test-56f35ec01ed1d	73456	73456	\N	5
560	566	test-56f35ec02468a	test-56f35ec02468a	125559	125559	\N	5
561	567	test-56f35ec02b133	test-56f35ec02b133	159357	159357	\N	4
562	568	test-56f35ec02e8f7	test-56f35ec02e8f7	118860	118860	\N	2
563	569	test-56f35ec03229a	test-56f35ec03229a	122479	122479	\N	4
564	570	test-56f35ec035f8b	test-56f35ec035f8b	63147	63147	\N	4
565	571	test-56f35ec03c0b4	test-56f35ec03c0b4	157751	157751	\N	1
566	572	test-56f35ec040151	test-56f35ec040151	154542	154542	\N	1
567	573	test-56f35ec0436eb	test-56f35ec0436eb	115942	150724.600000000006	\N	4
568	574	test-56f35ec046f36	test-56f35ec046f36	169157	169157	\N	1
569	575	test-56f35ec04a9c4	test-56f35ec04a9c4	147067	147067	\N	2
570	576	test-56f35ec04e457	test-56f35ec04e457	100907	100907	\N	3
571	577	test-56f35ec0519ac	test-56f35ec0519ac	91998	147196.799999999988	\N	3
572	578	test-56f35ec05538a	test-56f35ec05538a	53201	53201	\N	3
573	579	test-56f35ec05a2ef	test-56f35ec05a2ef	37892	64416.4000000000015	\N	2
574	580	test-56f35ec05ff74	test-56f35ec05ff74	41043	41043	\N	3
575	581	test-56f35ec063f10	test-56f35ec063f10	166842	166842	\N	3
576	582	test-56f35ec067f7e	test-56f35ec067f7e	185821	185821	\N	4
577	583	test-56f35ec06b613	test-56f35ec06b613	131786	131786	\N	3
578	584	test-56f35ec06ec5c	test-56f35ec06ec5c	55811	55811	\N	1
579	585	test-56f35ec072618	test-56f35ec072618	43187	43187	\N	5
580	586	test-56f35ec075bfe	test-56f35ec075bfe	138436	152279.600000000006	\N	4
581	587	test-56f35ec07a493	test-56f35ec07a493	96796	135514.399999999994	\N	5
582	588	test-56f35ec07d9a6	test-56f35ec07d9a6	11089	11089	\N	4
583	589	test-56f35ec0810ef	test-56f35ec0810ef	53877	102366.300000000003	\N	5
584	590	test-56f35ec093c82	test-56f35ec093c82	43880	43880	\N	5
585	591	test-56f35ec097687	test-56f35ec097687	62028	62028	\N	2
586	592	test-56f35ec09b2bc	test-56f35ec09b2bc	106264	106264	\N	2
587	593	test-56f35ec0ad4aa	test-56f35ec0ad4aa	20158	20158	\N	5
588	594	test-56f35ec0b4e8f	test-56f35ec0b4e8f	93310	93310	\N	4
589	595	test-56f35ec0ba4e7	test-56f35ec0ba4e7	95978	95978	\N	1
590	596	test-56f35ec0be658	test-56f35ec0be658	105008	136510.399999999994	\N	3
591	597	test-56f35ec0c1b14	test-56f35ec0c1b14	45979	45979	\N	4
592	598	test-56f35ec0c5602	test-56f35ec0c5602	19313	19313	\N	3
593	599	test-56f35ec0c8e47	test-56f35ec0c8e47	55329	55329	\N	2
594	600	test-56f35ec0cc5e7	test-56f35ec0cc5e7	10157	10157	\N	5
595	601	test-56f35ec0cf9b5	test-56f35ec0cf9b5	165331	165331	\N	4
596	602	test-56f35ec0d31a4	test-56f35ec0d31a4	62618	62618	\N	5
597	603	test-56f35ec0d6933	test-56f35ec0d6933	14267	19973.7999999999993	\N	2
598	604	test-56f35ec0d9d92	test-56f35ec0d9d92	36357	50899.8000000000029	\N	1
599	605	test-56f35ec0dd816	test-56f35ec0dd816	45882	87175.8000000000029	\N	4
600	606	test-56f35ec0e14bb	test-56f35ec0e14bb	190031	190031	\N	3
601	607	test-56f35ec0e4800	test-56f35ec0e4800	81835	81835	\N	3
602	608	test-56f35ec0e8351	test-56f35ec0e8351	118943	118943	\N	5
603	609	test-56f35ec0eb9d9	test-56f35ec0eb9d9	75147	127749.899999999994	\N	5
604	610	test-56f35ec0f0bda	test-56f35ec0f0bda	118785	130663.5	\N	4
605	611	test-56f35ec1007e9	test-56f35ec1007e9	162910	162910	\N	5
606	612	test-56f35ec103f0c	test-56f35ec103f0c	196132	353037.599999999977	\N	5
607	613	test-56f35ec107b5c	test-56f35ec107b5c	73454	124871.800000000003	\N	1
608	614	test-56f35ec10bd00	test-56f35ec10bd00	199285	199285	\N	2
609	615	test-56f35ec113d30	test-56f35ec113d30	79378	79378	\N	4
610	616	test-56f35ec118bc3	test-56f35ec118bc3	19881	19881	\N	2
611	617	test-56f35ec11c2fd	test-56f35ec11c2fd	129659	194488.5	\N	3
612	618	test-56f35ec11fbd0	test-56f35ec11fbd0	136468	136468	\N	4
613	619	test-56f35ec123c31	test-56f35ec123c31	138997	138997	\N	1
614	620	test-56f35ec127209	test-56f35ec127209	35037	35037	\N	2
615	621	test-56f35ec12a71d	test-56f35ec12a71d	180276	180276	\N	3
616	622	test-56f35ec12e036	test-56f35ec12e036	87202	174404	\N	1
617	623	test-56f35ec131725	test-56f35ec131725	78316	148800.399999999994	\N	1
618	624	test-56f35ec138100	test-56f35ec138100	92635	129689	\N	3
619	625	test-56f35ec13cc1f	test-56f35ec13cc1f	147045	147045	\N	2
620	626	test-56f35ec1405d5	test-56f35ec1405d5	191821	191821	\N	1
621	627	test-56f35ec143d08	test-56f35ec143d08	5552	5552	\N	1
622	628	test-56f35ec160220	test-56f35ec160220	141166	239982.200000000012	\N	3
623	629	test-56f35ec163e77	test-56f35ec163e77	142450	142450	\N	3
624	630	test-56f35ec1678e0	test-56f35ec1678e0	191625	191625	\N	1
625	631	test-56f35ec16d36c	test-56f35ec16d36c	89664	89664	\N	3
626	632	test-56f35ec1712c3	test-56f35ec1712c3	92203	92203	\N	3
627	633	test-56f35ec1749d0	test-56f35ec1749d0	170472	170472	\N	5
628	634	test-56f35ec17812c	test-56f35ec17812c	66981	66981	\N	2
629	635	test-56f35ec17b526	test-56f35ec17b526	5538	5538	\N	5
630	636	test-56f35ec17e6b0	test-56f35ec17e6b0	154033	154033	\N	2
631	637	test-56f35ec184579	test-56f35ec184579	178016	178016	\N	4
632	638	test-56f35ec189504	test-56f35ec189504	153162	153162	\N	5
633	639	test-56f35ec18c99f	test-56f35ec18c99f	122164	158813.200000000012	\N	4
634	640	test-56f35ec190244	test-56f35ec190244	146088	146088	\N	2
635	641	test-56f35ec193478	test-56f35ec193478	51737	51737	\N	2
636	642	test-56f35ec199f39	test-56f35ec199f39	16513	24769.5	\N	1
637	643	test-56f35ec19e13a	test-56f35ec19e13a	13436	13436	\N	5
638	644	test-56f35ec1a1a99	test-56f35ec1a1a99	38239	53534.5999999999985	\N	3
639	645	test-56f35ec1a519d	test-56f35ec1a519d	111970	111970	\N	3
640	646	test-56f35ec1a8c6f	test-56f35ec1a8c6f	196783	275496.200000000012	\N	4
641	647	test-56f35ec1af814	test-56f35ec1af814	114607	114607	\N	5
642	648	test-56f35ec1b32d9	test-56f35ec1b32d9	132128	132128	\N	4
643	649	test-56f35ec1b67ee	test-56f35ec1b67ee	5487	5487	\N	2
644	650	test-56f35ec1b9c36	test-56f35ec1b9c36	191939	211132.899999999994	\N	3
645	651	test-56f35ec1bd751	test-56f35ec1bd751	30487	45730.5	\N	1
646	652	test-56f35ec1c1531	test-56f35ec1c1531	64541	64541	\N	4
647	653	test-56f35ec1c56ac	test-56f35ec1c56ac	45464	45464	\N	5
648	654	test-56f35ec1c8c8d	test-56f35ec1c8c8d	27789	47241.3000000000029	\N	1
649	655	test-56f35ec1cc7d8	test-56f35ec1cc7d8	127683	127683	\N	5
650	656	test-56f35ec1d065e	test-56f35ec1d065e	141685	141685	\N	4
651	657	test-56f35ec1d3d95	test-56f35ec1d3d95	12915	15498	\N	5
652	658	test-56f35ec1d712a	test-56f35ec1d712a	24146	24146	\N	5
653	659	test-56f35ec1da95b	test-56f35ec1da95b	183311	219973.200000000012	\N	3
654	660	test-56f35ec1dfdcb	test-56f35ec1dfdcb	54494	54494	\N	1
655	661	test-56f35ec1e47e1	test-56f35ec1e47e1	106465	212930	\N	5
656	662	test-56f35ec1e7d90	test-56f35ec1e7d90	197857	197857	\N	2
657	663	test-56f35ec1eb35d	test-56f35ec1eb35d	129995	129995	\N	5
658	664	test-56f35ec1eea0b	test-56f35ec1eea0b	65258	78309.6000000000058	\N	1
659	665	test-56f35ec2020cf	test-56f35ec2020cf	83295	83295	\N	2
660	666	test-56f35ec2057c9	test-56f35ec2057c9	137924	137924	\N	5
661	667	test-56f35ec2217bd	test-56f35ec2217bd	47407	47407	\N	3
662	668	test-56f35ec225a92	test-56f35ec225a92	101704	101704	\N	4
663	669	test-56f35ec22992f	test-56f35ec22992f	113129	135754.799999999988	\N	4
664	670	test-56f35ec22d855	test-56f35ec22d855	171647	308964.599999999977	\N	5
665	671	test-56f35ec231a5d	test-56f35ec231a5d	170445	170445	\N	5
666	672	test-56f35ec2353a9	test-56f35ec2353a9	163063	163063	\N	5
667	673	test-56f35ec239b95	test-56f35ec239b95	34424	34424	\N	4
668	674	test-56f35ec23d63a	test-56f35ec23d63a	145880	145880	\N	1
669	675	test-56f35ec240c46	test-56f35ec240c46	33757	54011.1999999999971	\N	5
670	676	test-56f35ec244174	test-56f35ec244174	36301	61711.6999999999971	\N	1
671	677	test-56f35ec2477d8	test-56f35ec2477d8	137502	178752.600000000006	\N	3
672	678	test-56f35ec24aabd	test-56f35ec24aabd	22383	22383	\N	2
673	679	test-56f35ec24fe9c	test-56f35ec24fe9c	189944	189944	\N	2
674	680	test-56f35ec255187	test-56f35ec255187	24228	24228	\N	3
675	681	test-56f35ec259d8f	test-56f35ec259d8f	173585	173585	\N	2
676	682	test-56f35ec25d41f	test-56f35ec25d41f	128885	180439	\N	3
677	683	test-56f35ec260b10	test-56f35ec260b10	69293	138586	\N	5
678	684	test-56f35ec26445a	test-56f35ec26445a	167158	167158	\N	5
679	685	test-56f35ec268600	test-56f35ec268600	116321	116321	\N	4
680	686	test-56f35ec26c772	test-56f35ec26c772	71091	71091	\N	4
681	687	test-56f35ec27134d	test-56f35ec27134d	190238	209261.799999999988	\N	1
682	688	test-56f35ec27a7f9	test-56f35ec27a7f9	25263	25263	\N	5
683	689	test-56f35ec2a8f06	test-56f35ec2a8f06	9181	9181	\N	3
684	690	test-56f35ec2e4b36	test-56f35ec2e4b36	135760	135760	\N	5
685	691	test-56f35ec337ca4	test-56f35ec337ca4	136416	272832	\N	1
686	692	test-56f35ec36cfc8	test-56f35ec36cfc8	1241	1613.29999999999995	\N	5
687	693	test-56f35ec39bc94	test-56f35ec39bc94	89550	89550	\N	5
688	694	test-56f35ec3baff7	test-56f35ec3baff7	168384	269414.400000000023	\N	4
689	695	test-56f35ec3ddbc5	test-56f35ec3ddbc5	103185	175414.5	\N	5
690	696	test-56f35ec40d684	test-56f35ec40d684	49201	93481.8999999999942	\N	5
691	697	test-56f35ec434303	test-56f35ec434303	68641	102961.5	\N	2
692	698	test-56f35ec4505d2	test-56f35ec4505d2	66939	80326.8000000000029	\N	4
693	699	test-56f35ec474ba6	test-56f35ec474ba6	186073	297716.799999999988	\N	5
694	700	test-56f35ec4b8bd3	test-56f35ec4b8bd3	117624	211723.200000000012	\N	1
695	701	test-56f35ec4dad85	test-56f35ec4dad85	170108	170108	\N	5
696	702	test-56f35ec50f702	test-56f35ec50f702	162753	179028.299999999988	\N	5
697	703	test-56f35ec531210	test-56f35ec531210	67037	67037	\N	5
698	704	test-56f35ec55654f	test-56f35ec55654f	157811	205154.299999999988	\N	4
699	705	test-56f35ec58fd7a	test-56f35ec58fd7a	51544	56698.4000000000015	\N	4
700	706	test-56f35ec5afb54	test-56f35ec5afb54	190934	381868	\N	4
701	707	test-56f35ec5dd6db	test-56f35ec5dd6db	38766	38766	\N	4
702	708	test-56f35ec5e2868	test-56f35ec5e2868	43752	43752	\N	2
703	709	test-56f35ec5e7840	test-56f35ec5e7840	93395	93395	\N	5
704	710	test-56f35ec5eb691	test-56f35ec5eb691	7173	7173	\N	1
705	711	test-56f35ec600657	test-56f35ec600657	166338	166338	\N	4
706	712	test-56f35ec608af2	test-56f35ec608af2	118817	118817	\N	1
707	713	test-56f35ec60fb42	test-56f35ec60fb42	194171	252422.299999999988	\N	5
708	714	test-56f35ec615977	test-56f35ec615977	7810	7810	\N	5
709	715	test-56f35ec61cdf9	test-56f35ec61cdf9	174399	174399	\N	3
710	716	test-56f35ec6237d4	test-56f35ec6237d4	27687	35993.0999999999985	\N	1
711	717	test-56f35ec62c2c3	test-56f35ec62c2c3	91893	128650.199999999997	\N	2
712	718	test-56f35ec6308f1	test-56f35ec6308f1	152841	152841	\N	2
713	719	test-56f35ec635fb3	test-56f35ec635fb3	46849	46849	\N	2
714	720	test-56f35ec6412d1	test-56f35ec6412d1	184059	184059	\N	1
715	721	test-56f35ec6664bb	test-56f35ec6664bb	142202	142202	\N	5
716	722	test-56f35ec66d994	test-56f35ec66d994	19908	39816	\N	3
717	723	test-56f35ec673a45	test-56f35ec673a45	19759	19759	\N	3
718	724	test-56f35ec677f8d	test-56f35ec677f8d	49858	49858	\N	2
719	725	test-56f35ec67be3b	test-56f35ec67be3b	71283	71283	\N	2
720	726	test-56f35ec67fb7a	test-56f35ec67fb7a	23629	30717.7000000000007	\N	3
721	727	test-56f35ec683832	test-56f35ec683832	96195	134673	\N	4
722	728	test-56f35ec68711e	test-56f35ec68711e	138154	138154	\N	5
723	729	test-56f35ec68affc	test-56f35ec68affc	23912	23912	\N	4
724	730	test-56f35ec68ee97	test-56f35ec68ee97	5044	5044	\N	4
725	731	test-56f35ec6966be	test-56f35ec6966be	158537	237805.5	\N	1
726	732	test-56f35ec69b168	test-56f35ec69b168	135348	135348	\N	3
727	733	test-56f35ec69e8e4	test-56f35ec69e8e4	196278	196278	\N	2
728	734	test-56f35ec6a2a17	test-56f35ec6a2a17	57208	57208	\N	3
729	735	test-56f35ec6a6078	test-56f35ec6a6078	6302	6302	\N	2
730	736	test-56f35ec6a9c94	test-56f35ec6a9c94	79217	79217	\N	4
731	737	test-56f35ec6acfcf	test-56f35ec6acfcf	58985	58985	\N	4
732	738	test-56f35ec6b0d0c	test-56f35ec6b0d0c	131405	262810	\N	2
733	739	test-56f35ec6b41e7	test-56f35ec6b41e7	136555	136555	\N	5
734	740	test-56f35ec6b7a4e	test-56f35ec6b7a4e	37205	37205	\N	3
735	741	test-56f35ec6baf83	test-56f35ec6baf83	184366	184366	\N	1
736	742	test-56f35ec6bebef	test-56f35ec6bebef	65676	65676	\N	1
737	743	test-56f35ec6c20c8	test-56f35ec6c20c8	143818	143818	\N	2
738	744	test-56f35ec6e10d2	test-56f35ec6e10d2	140188	280376	\N	3
739	745	test-56f35ec6e575b	test-56f35ec6e575b	9005	9005	\N	5
740	746	test-56f35ec6eb100	test-56f35ec6eb100	151962	151962	\N	4
741	747	test-56f35ec6ee7e4	test-56f35ec6ee7e4	94295	160301.5	\N	3
742	748	test-56f35ec6f21fc	test-56f35ec6f21fc	140152	140152	\N	4
743	749	test-56f35ec70143c	test-56f35ec70143c	26141	26141	\N	2
744	750	test-56f35ec7049ab	test-56f35ec7049ab	18025	18025	\N	2
745	751	test-56f35ec70996e	test-56f35ec70996e	152831	290378.900000000023	\N	4
746	752	test-56f35ec70f341	test-56f35ec70f341	198299	257788.700000000012	\N	1
747	753	test-56f35ec714835	test-56f35ec714835	100226	190429.399999999994	\N	4
748	754	test-56f35ec718029	test-56f35ec718029	85525	85525	\N	3
749	755	test-56f35ec71b919	test-56f35ec71b919	172110	172110	\N	1
750	756	test-56f35ec71f147	test-56f35ec71f147	98045	137263	\N	1
751	757	test-56f35ec722db3	test-56f35ec722db3	144065	144065	\N	5
752	758	test-56f35ec726280	test-56f35ec726280	165598	215277.399999999994	\N	5
753	759	test-56f35ec72e01e	test-56f35ec72e01e	86754	86754	\N	2
754	760	test-56f35ec7325cd	test-56f35ec7325cd	124522	124522	\N	4
755	761	test-56f35ec736365	test-56f35ec736365	70058	133110.200000000012	\N	1
756	762	test-56f35ec739a44	test-56f35ec739a44	115535	115535	\N	2
757	763	test-56f35ec73d09b	test-56f35ec73d09b	57190	57190	\N	5
758	764	test-56f35ec740a17	test-56f35ec740a17	68553	68553	\N	2
759	765	test-56f35ec744453	test-56f35ec744453	154656	154656	\N	5
760	766	test-56f35ec747b5d	test-56f35ec747b5d	118791	237582	\N	1
761	767	test-56f35ec74ff81	test-56f35ec74ff81	103107	103107	\N	1
762	768	test-56f35ec7546e8	test-56f35ec7546e8	198559	198559	\N	2
763	769	test-56f35ec75829a	test-56f35ec75829a	89400	89400	\N	5
764	770	test-56f35ec75ba08	test-56f35ec75ba08	167517	167517	\N	4
765	771	test-56f35ec75f632	test-56f35ec75f632	170163	170163	\N	1
766	772	test-56f35ec766a26	test-56f35ec766a26	147257	147257	\N	3
767	773	test-56f35ec76a473	test-56f35ec76a473	193042	193042	\N	1
768	774	test-56f35ec76df28	test-56f35ec76df28	177847	195631.700000000012	\N	4
769	775	test-56f35ec771f12	test-56f35ec771f12	94398	94398	\N	4
770	776	test-56f35ec778ae5	test-56f35ec778ae5	178056	178056	\N	3
771	777	test-56f35ec77c889	test-56f35ec77c889	188185	188185	\N	4
772	778	test-56f35ec780001	test-56f35ec780001	6361	6361	\N	3
773	779	test-56f35ec78955b	test-56f35ec78955b	103409	103409	\N	1
774	780	test-56f35ec78f00c	test-56f35ec78f00c	141050	282100	\N	3
775	781	test-56f35ec79575e	test-56f35ec79575e	45331	45331	\N	2
776	782	test-56f35ec7b780b	test-56f35ec7b780b	81490	81490	\N	2
777	783	test-56f35ec7bd0fd	test-56f35ec7bd0fd	15764	15764	\N	3
778	784	test-56f35ec7c1219	test-56f35ec7c1219	189963	265948.200000000012	\N	2
779	785	test-56f35ec7c5d80	test-56f35ec7c5d80	121777	121777	\N	4
780	786	test-56f35ec7c98bb	test-56f35ec7c98bb	189746	189746	\N	2
781	787	test-56f35ec7cd7d7	test-56f35ec7cd7d7	42148	42148	\N	5
782	788	test-56f35ec7d1298	test-56f35ec7d1298	119530	167342	\N	1
783	789	test-56f35ec7d4f25	test-56f35ec7d4f25	60884	60884	\N	4
784	790	test-56f35ec7d870b	test-56f35ec7d870b	199387	199387	\N	1
785	791	test-56f35ec7dc382	test-56f35ec7dc382	88746	88746	\N	4
786	792	test-56f35ec7e29ac	test-56f35ec7e29ac	115953	115953	\N	3
787	793	test-56f35ec81880a	test-56f35ec81880a	46345	46345	\N	3
788	794	test-56f35ec835ee4	test-56f35ec835ee4	185763	185763	\N	5
789	795	test-56f35ec84a455	test-56f35ec84a455	91133	91133	\N	5
790	796	test-56f35ec84e3f1	test-56f35ec84e3f1	27215	27215	\N	1
791	797	test-56f35ec851f1a	test-56f35ec851f1a	1670	1670	\N	3
792	798	test-56f35ec855782	test-56f35ec855782	34132	34132	\N	5
793	799	test-56f35ec858987	test-56f35ec858987	101306	101306	\N	5
794	800	test-56f35ec86324d	test-56f35ec86324d	164490	164490	\N	5
795	801	test-56f35ec867914	test-56f35ec867914	140863	140863	\N	4
796	802	test-56f35ec876a7c	test-56f35ec876a7c	53750	96750	\N	2
797	803	test-56f35ec87a31f	test-56f35ec87a31f	82263	82263	\N	2
798	804	test-56f35ec87dbab	test-56f35ec87dbab	7300	8760	\N	3
799	805	test-56f35ec88158c	test-56f35ec88158c	139924	139924	\N	1
800	806	test-56f35ec8852f2	test-56f35ec8852f2	67208	80649.6000000000058	\N	4
801	807	test-56f35ec8891bb	test-56f35ec8891bb	116644	116644	\N	2
802	808	test-56f35ec88c8f6	test-56f35ec88c8f6	154578	154578	\N	5
803	809	test-56f35ec893d00	test-56f35ec893d00	70923	99292.1999999999971	\N	5
804	810	test-56f35ec8990aa	test-56f35ec8990aa	142139	142139	\N	2
805	811	test-56f35ec8a281d	test-56f35ec8a281d	197999	316798.400000000023	\N	4
806	812	test-56f35ec8aab25	test-56f35ec8aab25	193906	232687.200000000012	\N	4
807	813	test-56f35ec8af81f	test-56f35ec8af81f	87194	156949.200000000012	\N	5
808	814	test-56f35ec8b89e2	test-56f35ec8b89e2	15367	15367	\N	3
809	815	test-56f35ec8c00ae	test-56f35ec8c00ae	154281	154281	\N	2
810	816	test-56f35ec8c8a53	test-56f35ec8c8a53	112840	112840	\N	5
811	817	test-56f35ec8d1c1f	test-56f35ec8d1c1f	193702	368033.799999999988	\N	3
812	818	test-56f35ec8d60cf	test-56f35ec8d60cf	137499	137499	\N	1
813	819	test-56f35ec8d9d37	test-56f35ec8d9d37	72845	72845	\N	2
814	820	test-56f35ec8e0d0b	test-56f35ec8e0d0b	80032	80032	\N	3
815	821	test-56f35ec913ce0	test-56f35ec913ce0	193091	193091	\N	5
816	822	test-56f35ec91b0ec	test-56f35ec91b0ec	90652	90652	\N	1
817	823	test-56f35ec91f088	test-56f35ec91f088	28138	28138	\N	5
818	824	test-56f35ec922ff2	test-56f35ec922ff2	108954	108954	\N	1
819	825	test-56f35ec9269ae	test-56f35ec9269ae	90064	90064	\N	3
820	826	test-56f35ec92a257	test-56f35ec92a257	81217	81217	\N	3
821	827	test-56f35ec92de53	test-56f35ec92de53	2708	5145.19999999999982	\N	3
822	828	test-56f35ec931735	test-56f35ec931735	61625	61625	\N	2
823	829	test-56f35ec934f57	test-56f35ec934f57	77383	77383	\N	2
824	830	test-56f35ec9382d2	test-56f35ec9382d2	82158	90373.8000000000029	\N	4
825	831	test-56f35ec93be0b	test-56f35ec93be0b	98961	98961	\N	3
826	832	test-56f35ec940c74	test-56f35ec940c74	77501	77501	\N	1
827	833	test-56f35ec9447ac	test-56f35ec9447ac	196552	235862.399999999994	\N	1
828	834	test-56f35ec948ee3	test-56f35ec948ee3	78218	78218	\N	5
829	835	test-56f35ec94cc2c	test-56f35ec94cc2c	12088	22967.2000000000007	\N	1
830	836	test-56f35ec951060	test-56f35ec951060	17306	17306	\N	3
831	837	test-56f35ec954762	test-56f35ec954762	123128	197004.799999999988	\N	4
832	838	test-56f35ec957af0	test-56f35ec957af0	195035	195035	\N	4
833	839	test-56f35ec95b19d	test-56f35ec95b19d	159141	286453.799999999988	\N	2
834	840	test-56f35ec95f1b0	test-56f35ec95f1b0	11868	11868	\N	2
835	841	test-56f35ec962897	test-56f35ec962897	186796	224155.200000000012	\N	5
836	842	test-56f35ec965eac	test-56f35ec965eac	105271	105271	\N	3
837	843	test-56f35ec96a601	test-56f35ec96a601	565	565	\N	5
838	844	test-56f35ec970147	test-56f35ec970147	197032	315251.200000000012	\N	2
839	845	test-56f35ec973612	test-56f35ec973612	38588	38588	\N	3
840	846	test-56f35ec976cd4	test-56f35ec976cd4	87816	87816	\N	3
841	847	test-56f35ec97a51c	test-56f35ec97a51c	26285	26285	\N	4
842	848	test-56f35ec980340	test-56f35ec980340	88003	88003	\N	1
843	849	test-56f35ec9849ba	test-56f35ec9849ba	187679	187679	\N	5
844	850	test-56f35ec9887bc	test-56f35ec9887bc	85534	111194.199999999997	\N	5
845	851	test-56f35ec98bb5b	test-56f35ec98bb5b	159881	159881	\N	4
846	852	test-56f35ec98f3ef	test-56f35ec98f3ef	56135	56135	\N	2
847	853	test-56f35ec993b73	test-56f35ec993b73	55598	72277.3999999999942	\N	4
848	854	test-56f35ec99776b	test-56f35ec99776b	133687	133687	\N	1
849	855	test-56f35ec99ab60	test-56f35ec99ab60	141848	184402.399999999994	\N	2
850	856	test-56f35ec99e575	test-56f35ec99e575	132045	224476.5	\N	3
851	857	test-56f35ec9b7d06	test-56f35ec9b7d06	127261	254522	\N	4
852	858	test-56f35ec9bba0b	test-56f35ec9bba0b	147439	147439	\N	4
853	859	test-56f35ec9e1b4f	test-56f35ec9e1b4f	174452	279123.200000000012	\N	4
854	860	test-56f35ec9e4fb8	test-56f35ec9e4fb8	154426	154426	\N	2
855	861	test-56f35ec9e9eba	test-56f35ec9e9eba	39975	39975	\N	1
856	862	test-56f35ec9edfde	test-56f35ec9edfde	176936	194629.600000000006	\N	3
857	863	test-56f35ec9f148f	test-56f35ec9f148f	74097	74097	\N	5
858	864	test-56f35eca00a58	test-56f35eca00a58	197879	237454.799999999988	\N	3
859	865	test-56f35eca0441b	test-56f35eca0441b	119534	215161.200000000012	\N	4
860	866	test-56f35eca07d6e	test-56f35eca07d6e	52341	52341	\N	1
861	867	test-56f35eca0b390	test-56f35eca0b390	34019	61234.1999999999971	\N	5
862	868	test-56f35eca0e86e	test-56f35eca0e86e	79367	79367	\N	2
863	869	test-56f35eca1393c	test-56f35eca1393c	23119	36990.4000000000015	\N	2
864	870	test-56f35eca172c9	test-56f35eca172c9	194515	330675.5	\N	4
865	871	test-56f35eca1ab99	test-56f35eca1ab99	7040	7040	\N	4
866	872	test-56f35eca1e0cf	test-56f35eca1e0cf	174484	348968	\N	1
867	873	test-56f35eca24363	test-56f35eca24363	32203	51524.8000000000029	\N	4
868	874	test-56f35eca27899	test-56f35eca27899	20792	20792	\N	3
869	875	test-56f35eca2af1a	test-56f35eca2af1a	11305	11305	\N	2
870	876	test-56f35eca2e545	test-56f35eca2e545	63957	63957	\N	3
871	877	test-56f35eca3660f	test-56f35eca3660f	122903	122903	\N	5
872	878	test-56f35eca3a45c	test-56f35eca3a45c	147924	147924	\N	3
873	879	test-56f35eca3dddb	test-56f35eca3dddb	131599	131599	\N	1
874	880	test-56f35eca41885	test-56f35eca41885	30062	30062	\N	5
875	881	test-56f35eca44e73	test-56f35eca44e73	92381	92381	\N	1
876	882	test-56f35eca4833d	test-56f35eca4833d	167666	217965.799999999988	\N	1
877	883	test-56f35eca52b00	test-56f35eca52b00	43809	43809	\N	5
878	884	test-56f35eca5f8ed	test-56f35eca5f8ed	21929	21929	\N	4
879	885	test-56f35eca66a8a	test-56f35eca66a8a	153342	291349.799999999988	\N	3
880	886	test-56f35eca6a399	test-56f35eca6a399	142801	142801	\N	5
881	887	test-56f35eca6d95f	test-56f35eca6d95f	4186	4186	\N	5
882	888	test-56f35eca70cfb	test-56f35eca70cfb	130677	130677	\N	5
883	889	test-56f35eca741eb	test-56f35eca741eb	161335	161335	\N	2
884	890	test-56f35eca77d6a	test-56f35eca77d6a	149595	149595	\N	1
885	891	test-56f35eca7b2b4	test-56f35eca7b2b4	157253	157253	\N	1
886	892	test-56f35eca7ec43	test-56f35eca7ec43	13298	13298	\N	5
887	893	test-56f35eca861a2	test-56f35eca861a2	153714	230571	\N	1
888	894	test-56f35eca8bb59	test-56f35eca8bb59	163198	163198	\N	2
889	895	test-56f35eca8f255	test-56f35eca8f255	185795	185795	\N	3
890	896	test-56f35eca92c30	test-56f35eca92c30	127958	179141.200000000012	\N	5
891	897	test-56f35eca96564	test-56f35eca96564	89414	89414	\N	2
892	898	test-56f35ecabf506	test-56f35ecabf506	49934	49934	\N	4
893	899	test-56f35ecac59c4	test-56f35ecac59c4	171672	171672	\N	4
894	900	test-56f35ecaccb47	test-56f35ecaccb47	109092	109092	\N	1
895	901	test-56f35ecad09b2	test-56f35ecad09b2	194333	194333	\N	2
896	902	test-56f35ecad3f9e	test-56f35ecad3f9e	134897	134897	\N	3
897	903	test-56f35ecad78e3	test-56f35ecad78e3	178718	178718	\N	4
898	904	test-56f35ecadb3a0	test-56f35ecadb3a0	63066	113518.800000000003	\N	2
899	905	test-56f35ecaded40	test-56f35ecaded40	147969	147969	\N	5
900	906	test-56f35ecae1f6d	test-56f35ecae1f6d	123718	136089.799999999988	\N	5
901	907	test-56f35ecae6bdd	test-56f35ecae6bdd	90831	90831	\N	5
902	908	test-56f35ecaea25f	test-56f35ecaea25f	58004	58004	\N	4
903	909	test-56f35ecaeda56	test-56f35ecaeda56	34545	55272	\N	5
904	910	test-56f35ecaf0fec	test-56f35ecaf0fec	18564	18564	\N	4
905	911	test-56f35ecb006c3	test-56f35ecb006c3	54670	54670	\N	2
906	912	test-56f35ecb0453b	test-56f35ecb0453b	1041	1041	\N	1
907	913	test-56f35ecb08d0b	test-56f35ecb08d0b	165271	214852.299999999988	\N	5
908	914	test-56f35ecb0ca55	test-56f35ecb0ca55	71809	71809	\N	1
909	915	test-56f35ecb1036d	test-56f35ecb1036d	58374	58374	\N	5
910	916	test-56f35ecb13a98	test-56f35ecb13a98	71354	107031	\N	4
911	917	test-56f35ecb17266	test-56f35ecb17266	152580	152580	\N	1
912	918	test-56f35ecb1a635	test-56f35ecb1a635	194173	194173	\N	4
913	919	test-56f35ecb21b2c	test-56f35ecb21b2c	10821	10821	\N	4
914	920	test-56f35ecb2527e	test-56f35ecb2527e	3242	3242	\N	1
915	921	test-56f35ecb28901	test-56f35ecb28901	89100	89100	\N	2
916	922	test-56f35ecb2bfb4	test-56f35ecb2bfb4	167373	167373	\N	4
917	923	test-56f35ecb440ae	test-56f35ecb440ae	190401	266561.400000000023	\N	1
918	924	test-56f35ecb62f7d	test-56f35ecb62f7d	52749	52749	\N	4
919	925	test-56f35ecb6b3d8	test-56f35ecb6b3d8	141441	141441	\N	3
920	926	test-56f35ecb70cca	test-56f35ecb70cca	27359	41038.5	\N	4
921	927	test-56f35ecb74730	test-56f35ecb74730	60854	60854	\N	4
922	928	test-56f35ecb780af	test-56f35ecb780af	96278	96278	\N	2
923	929	test-56f35ecb7b7f2	test-56f35ecb7b7f2	51661	51661	\N	3
924	930	test-56f35ecb7f0c2	test-56f35ecb7f0c2	58346	58346	\N	5
925	931	test-56f35ecb82720	test-56f35ecb82720	52500	52500	\N	5
926	932	test-56f35ecb863cd	test-56f35ecb863cd	187385	187385	\N	5
927	933	test-56f35ecb8b92c	test-56f35ecb8b92c	176042	176042	\N	3
928	934	test-56f35ecb90764	test-56f35ecb90764	121970	121970	\N	4
929	935	test-56f35ecb942cb	test-56f35ecb942cb	85357	85357	\N	4
930	936	test-56f35ecbc39b2	test-56f35ecbc39b2	69644	69644	\N	3
931	937	test-56f35ecbc7486	test-56f35ecbc7486	29208	29208	\N	4
932	938	test-56f35ecbcab0c	test-56f35ecbcab0c	72695	72695	\N	1
933	939	test-56f35ecbce326	test-56f35ecbce326	57031	57031	\N	5
934	940	test-56f35ecbd1b0e	test-56f35ecbd1b0e	171197	171197	\N	1
935	941	test-56f35ecbd55b1	test-56f35ecbd55b1	139540	251172	\N	5
936	942	test-56f35ecbd8a7a	test-56f35ecbd8a7a	107453	107453	\N	3
937	943	test-56f35ecbdc109	test-56f35ecbdc109	98374	98374	\N	2
938	944	test-56f35ecbdf751	test-56f35ecbdf751	153318	275972.400000000023	\N	2
939	945	test-56f35ecbe296e	test-56f35ecbe296e	78541	78541	\N	5
940	946	test-56f35ecbe6150	test-56f35ecbe6150	1517	1820.40000000000009	\N	5
941	947	test-56f35ecbe9a44	test-56f35ecbe9a44	51484	51484	\N	5
942	948	test-56f35ecbed045	test-56f35ecbed045	156565	266160.5	\N	5
943	949	test-56f35ecbf0216	test-56f35ecbf0216	31013	31013	\N	2
944	950	test-56f35ecc00365	test-56f35ecc00365	74916	74916	\N	3
945	951	test-56f35ecc05b20	test-56f35ecc05b20	56532	90451.1999999999971	\N	3
946	952	test-56f35ecc09001	test-56f35ecc09001	158607	206189.100000000006	\N	2
947	953	test-56f35ecc0e26c	test-56f35ecc0e26c	165846	165846	\N	4
948	954	test-56f35ecc17cc9	test-56f35ecc17cc9	70550	84660	\N	3
949	955	test-56f35ecc1bfdb	test-56f35ecc1bfdb	148324	148324	\N	4
950	956	test-56f35ecc1faaf	test-56f35ecc1faaf	7710	7710	\N	4
951	957	test-56f35ecc22ece	test-56f35ecc22ece	126673	126673	\N	1
952	958	test-56f35ecc265a7	test-56f35ecc265a7	14183	14183	\N	5
953	959	test-56f35ecc29cde	test-56f35ecc29cde	193325	386650	\N	3
954	960	test-56f35ecc31362	test-56f35ecc31362	65821	65821	\N	1
955	961	test-56f35ecc36edb	test-56f35ecc36edb	108609	162913.5	\N	3
956	962	test-56f35ecc3cf15	test-56f35ecc3cf15	194045	232854	\N	4
957	963	test-56f35ecc42d87	test-56f35ecc42d87	30820	30820	\N	5
958	964	test-56f35ecc4654b	test-56f35ecc4654b	32274	32274	\N	1
959	965	test-56f35ecc49d93	test-56f35ecc49d93	161493	161493	\N	3
960	966	test-56f35ecc4d667	test-56f35ecc4d667	160814	241221	\N	5
961	967	test-56f35ecc51188	test-56f35ecc51188	158107	158107	\N	5
962	968	test-56f35ecc548cb	test-56f35ecc548cb	75396	75396	\N	1
963	969	test-56f35ecc580ba	test-56f35ecc580ba	77687	93224.3999999999942	\N	2
964	970	test-56f35ecc5b44b	test-56f35ecc5b44b	70217	70217	\N	3
965	971	test-56f35ecc614a5	test-56f35ecc614a5	51953	51953	\N	4
966	972	test-56f35ecc66392	test-56f35ecc66392	21627	21627	\N	4
967	973	test-56f35ecc6a2fb	test-56f35ecc6a2fb	46848	56217.5999999999985	\N	5
968	974	test-56f35ecc6db7a	test-56f35ecc6db7a	82567	82567	\N	4
969	975	test-56f35ecc998c5	test-56f35ecc998c5	70220	70220	\N	2
970	976	test-56f35ecc9d57d	test-56f35ecc9d57d	4346	6519	\N	5
971	977	test-56f35ecca1066	test-56f35ecca1066	139739	139739	\N	4
972	978	test-56f35ecca53b1	test-56f35ecca53b1	89507	89507	\N	3
973	979	test-56f35ecca9751	test-56f35ecca9751	153843	153843	\N	5
974	980	test-56f35eccad973	test-56f35eccad973	179030	179030	\N	1
975	981	test-56f35eccb7abe	test-56f35eccb7abe	188424	188424	\N	1
976	982	test-56f35eccbe714	test-56f35eccbe714	99098	178376.399999999994	\N	2
977	983	test-56f35eccc26da	test-56f35eccc26da	29810	53658	\N	2
978	984	test-56f35eccc62c9	test-56f35eccc62c9	191851	191851	\N	5
979	985	test-56f35eccce913	test-56f35eccce913	167033	167033	\N	5
980	986	test-56f35eccd28bd	test-56f35eccd28bd	118858	118858	\N	2
981	987	test-56f35eccd7c36	test-56f35eccd7c36	49128	88430.3999999999942	\N	3
982	988	test-56f35eccdb384	test-56f35eccdb384	174008	174008	\N	4
983	989	test-56f35eccdec14	test-56f35eccdec14	142057	142057	\N	3
984	990	test-56f35ecce23c4	test-56f35ecce23c4	185543	278314.5	\N	3
985	991	test-56f35ecce5cf4	test-56f35ecce5cf4	108023	108023	\N	5
986	992	test-56f35ecce9752	test-56f35ecce9752	82560	82560	\N	3
987	993	test-56f35eccf1cf9	test-56f35eccf1cf9	132642	159170.399999999994	\N	4
988	994	test-56f35ecd01eee	test-56f35ecd01eee	136203	136203	\N	2
989	995	test-56f35ecd05835	test-56f35ecd05835	88990	88990	\N	1
990	996	test-56f35ecd09026	test-56f35ecd09026	30074	60148	\N	5
991	997	test-56f35ecd0c3c0	test-56f35ecd0c3c0	198282	198282	\N	1
992	998	test-56f35ecd0fac5	test-56f35ecd0fac5	180657	216788.399999999994	\N	4
993	999	test-56f35ecd133c9	test-56f35ecd133c9	118055	165277	\N	3
994	1000	test-56f35ecd1aff1	test-56f35ecd1aff1	18464	18464	\N	1
995	1001	test-56f35ecd1ed71	test-56f35ecd1ed71	64913	64913	\N	5
996	1002	test-56f35ecd224a0	test-56f35ecd224a0	48072	48072	\N	4
997	1003	test-56f35ecd25f14	test-56f35ecd25f14	20406	20406	\N	5
998	1004	test-56f35ecd2990d	test-56f35ecd2990d	176319	176319	\N	5
999	1005	test-56f35ecd2de59	test-56f35ecd2de59	144666	144666	\N	5
1000	1006	test-56f35ecd32f20	test-56f35ecd32f20	158193	158193	\N	1
1001	1007	test-56f35ecd36684	test-56f35ecd36684	146082	146082	\N	2
1002	1008	test-56f35ecd4a66c	test-56f35ecd4a66c	104564	104564	\N	1
1003	1009	test-56f35ecd4eb58	test-56f35ecd4eb58	163777	163777	\N	1
1004	1010	test-56f35ecd5a29e	test-56f35ecd5a29e	193668	193668	\N	3
1005	1011	test-56f35ecd615b8	test-56f35ecd615b8	114966	114966	\N	1
1006	1012	test-56f35ecd672aa	test-56f35ecd672aa	148993	148993	\N	5
1007	1013	test-56f35ecd9572b	test-56f35ecd9572b	27059	27059	\N	4
1008	1014	test-56f35ecd9b6e9	test-56f35ecd9b6e9	25610	25610	\N	4
1009	1015	test-56f35ecda0bcb	test-56f35ecda0bcb	85724	85724	\N	3
1010	1016	test-56f35ecda6a60	test-56f35ecda6a60	154086	154086	\N	3
1011	1017	test-56f35ecdaa10f	test-56f35ecdaa10f	44164	44164	\N	2
1012	1018	test-56f35ecdafa16	test-56f35ecdafa16	94689	94689	\N	2
1013	1019	test-56f35ecdb4c09	test-56f35ecdb4c09	98797	98797	\N	1
1014	1020	test-56f35ecdb8861	test-56f35ecdb8861	125216	125216	\N	5
1015	1021	test-56f35ecdbc961	test-56f35ecdbc961	51698	77547	\N	3
1016	1022	test-56f35ecdc0ad0	test-56f35ecdc0ad0	127311	127311	\N	3
1017	1023	test-56f35ecdc452c	test-56f35ecdc452c	76466	107052.399999999994	\N	1
1018	1024	test-56f35ecdc79ca	test-56f35ecdc79ca	12592	12592	\N	3
1019	1025	test-56f35ecdcb206	test-56f35ecdcb206	38222	38222	\N	2
1020	1026	test-56f35ecdce87d	test-56f35ecdce87d	116199	116199	\N	3
1021	1027	test-56f35ecdd7c23	test-56f35ecdd7c23	58219	93150.3999999999942	\N	3
1022	1028	test-56f35ecddc9eb	test-56f35ecddc9eb	22052	22052	\N	2
1023	1029	test-56f35ecde05b8	test-56f35ecde05b8	107514	193525.200000000012	\N	4
1024	1030	test-56f35ecde3d08	test-56f35ecde3d08	104311	146035.399999999994	\N	1
1025	1031	test-56f35ecde7388	test-56f35ecde7388	138837	138837	\N	2
1026	1032	test-56f35ecdeed7a	test-56f35ecdeed7a	138594	194031.600000000006	\N	2
1027	1033	test-56f35ecdf3c4a	test-56f35ecdf3c4a	71814	71814	\N	3
1028	1034	test-56f35ece03193	test-56f35ece03193	59858	59858	\N	1
1029	1035	test-56f35ece08a1b	test-56f35ece08a1b	12446	12446	\N	5
1030	1036	test-56f35ece0c3ae	test-56f35ece0c3ae	127382	127382	\N	4
1031	1037	test-56f35ece0fb9f	test-56f35ece0fb9f	108253	108253	\N	4
1032	1038	test-56f35ece13506	test-56f35ece13506	156722	156722	\N	4
1033	1039	test-56f35ece16dc6	test-56f35ece16dc6	39873	39873	\N	3
1034	1040	test-56f35ece1a3b0	test-56f35ece1a3b0	2059	2059	\N	2
1035	1041	test-56f35ece1db44	test-56f35ece1db44	64586	64586	\N	1
1036	1042	test-56f35ece2129d	test-56f35ece2129d	77304	77304	\N	4
1037	1043	test-56f35ece257fa	test-56f35ece257fa	19824	27753.5999999999985	\N	5
1038	1044	test-56f35ece2be56	test-56f35ece2be56	66270	66270	\N	1
1039	1045	test-56f35ece2fec0	test-56f35ece2fec0	104079	104079	\N	4
1040	1046	test-56f35ece33634	test-56f35ece33634	69356	90162.8000000000029	\N	4
1041	1047	test-56f35ece36ca2	test-56f35ece36ca2	82399	82399	\N	5
1042	1048	test-56f35ece3a586	test-56f35ece3a586	171442	171442	\N	1
1043	1049	test-56f35ece3d9af	test-56f35ece3d9af	100711	191350.899999999994	\N	3
1044	1050	test-56f35ece42383	test-56f35ece42383	153781	276805.799999999988	\N	3
1045	1051	test-56f35ece45f87	test-56f35ece45f87	4200	5040	\N	5
1046	1052	test-56f35ece833a3	test-56f35ece833a3	181563	181563	\N	2
1047	1053	test-56f35eceaa9bd	test-56f35eceaa9bd	170263	170263	\N	4
1048	1054	test-56f35eceb091c	test-56f35eceb091c	182775	237607.5	\N	5
1049	1055	test-56f35eceb509b	test-56f35eceb509b	195018	195018	\N	5
1050	1056	test-56f35eceb8f76	test-56f35eceb8f76	62625	75150	\N	4
1051	1057	test-56f35ecebfa0e	test-56f35ecebfa0e	140916	140916	\N	4
1052	1058	test-56f35ecec588e	test-56f35ecec588e	130387	130387	\N	5
1053	1059	test-56f35ececc2e4	test-56f35ececc2e4	192526	192526	\N	3
1054	1060	test-56f35eced4acb	test-56f35eced4acb	123591	123591	\N	1
1055	1061	test-56f35ecedac34	test-56f35ecedac34	167031	283952.700000000012	\N	4
1056	1062	test-56f35ecee00cf	test-56f35ecee00cf	19997	19997	\N	5
1057	1063	test-56f35ecee5e75	test-56f35ecee5e75	115899	162258.600000000006	\N	4
1058	1064	test-56f35eceecfe9	test-56f35eceecfe9	77471	77471	\N	4
1059	1065	test-56f35ecef1c26	test-56f35ecef1c26	60301	60301	\N	4
1060	1066	test-56f35ecf00fe5	test-56f35ecf00fe5	46758	46758	\N	3
1061	1067	test-56f35ecf1af9e	test-56f35ecf1af9e	88363	88363	\N	4
1062	1068	test-56f35ecf24daf	test-56f35ecf24daf	57936	57936	\N	2
1063	1069	test-56f35ecf29448	test-56f35ecf29448	64053	64053	\N	5
1064	1070	test-56f35ecf2cf67	test-56f35ecf2cf67	58893	70671.6000000000058	\N	1
1065	1071	test-56f35ecf30918	test-56f35ecf30918	137821	137821	\N	5
1066	1072	test-56f35ecf34544	test-56f35ecf34544	125202	125202	\N	2
1067	1073	test-56f35ecf37cd2	test-56f35ecf37cd2	50400	50400	\N	5
1068	1074	test-56f35ecf3b34b	test-56f35ecf3b34b	161079	241618.5	\N	1
1069	1075	test-56f35ecf3ff01	test-56f35ecf3ff01	155134	155134	\N	5
1070	1076	test-56f35ecf4500c	test-56f35ecf4500c	30430	30430	\N	1
1071	1077	test-56f35ecf48dba	test-56f35ecf48dba	191490	191490	\N	1
1072	1078	test-56f35ecf4c428	test-56f35ecf4c428	171824	171824	\N	2
1073	1079	test-56f35ecf4fad7	test-56f35ecf4fad7	197806	197806	\N	2
1074	1080	test-56f35ecf53189	test-56f35ecf53189	103445	103445	\N	4
1075	1081	test-56f35ecf5900a	test-56f35ecf5900a	27389	27389	\N	5
1076	1082	test-56f35ecf5cf12	test-56f35ecf5cf12	77494	85243.3999999999942	\N	1
1077	1083	test-56f35ecf6076b	test-56f35ecf6076b	87953	167110.700000000012	\N	1
1078	1084	test-56f35ecf63d19	test-56f35ecf63d19	184977	184977	\N	5
1079	1085	test-56f35ecf69b67	test-56f35ecf69b67	120595	217071	\N	3
1080	1086	test-56f35ecf6f9bf	test-56f35ecf6f9bf	184524	184524	\N	5
1081	1087	test-56f35ecf736b5	test-56f35ecf736b5	63395	88753	\N	3
1082	1088	test-56f35ecf76ded	test-56f35ecf76ded	110392	110392	\N	2
1083	1089	test-56f35ecf7a675	test-56f35ecf7a675	74802	74802	\N	1
1084	1090	test-56f35ecfa93d5	test-56f35ecfa93d5	192017	192017	\N	1
1085	1091	test-56f35ecfacf37	test-56f35ecfacf37	80758	80758	\N	2
1086	1092	test-56f35ecfb4bd4	test-56f35ecfb4bd4	114235	114235	\N	3
1087	1093	test-56f35ecfbbca2	test-56f35ecfbbca2	171296	171296	\N	4
1088	1094	test-56f35ecfbf7a2	test-56f35ecfbf7a2	37405	74810	\N	4
1089	1095	test-56f35ecfc37a9	test-56f35ecfc37a9	102514	102514	\N	2
1090	1096	test-56f35ecfc998f	test-56f35ecfc998f	80823	80823	\N	3
1091	1097	test-56f35ecfd0981	test-56f35ecfd0981	25448	25448	\N	1
1092	1098	test-56f35ecfd4b7c	test-56f35ecfd4b7c	93073	120994.899999999994	\N	5
1093	1099	test-56f35ecfd83e0	test-56f35ecfd83e0	54192	54192	\N	1
1094	1100	test-56f35ecfdc96b	test-56f35ecfdc96b	14221	14221	\N	1
1095	1101	test-56f35ecfe03e6	test-56f35ecfe03e6	14436	14436	\N	4
1096	1102	test-56f35ecfe3ab0	test-56f35ecfe3ab0	62820	62820	\N	3
1097	1103	test-56f35ecfe768d	test-56f35ecfe768d	15019	15019	\N	5
1098	1104	test-56f35ecfeac2c	test-56f35ecfeac2c	103114	103114	\N	3
1099	1105	test-56f35ecfedfcf	test-56f35ecfedfcf	58708	82191.1999999999971	\N	3
1100	1106	test-56f35ecff1758	test-56f35ecff1758	133327	159992.399999999994	\N	1
1101	1107	test-56f35ed000edc	test-56f35ed000edc	30694	30694	\N	5
1102	1108	test-56f35ed00597d	test-56f35ed00597d	124518	124518	\N	5
1103	1109	test-56f35ed00c900	test-56f35ed00c900	129126	129126	\N	5
1104	1110	test-56f35ed00ff3e	test-56f35ed00ff3e	53097	53097	\N	4
1105	1111	test-56f35ed013577	test-56f35ed013577	160518	321036	\N	1
1106	1112	test-56f35ed01acf8	test-56f35ed01acf8	110445	220890	\N	3
1107	1113	test-56f35ed01ea01	test-56f35ed01ea01	152746	259668.200000000012	\N	5
1108	1114	test-56f35ed0221e6	test-56f35ed0221e6	52424	52424	\N	3
1109	1115	test-56f35ed025a75	test-56f35ed025a75	12291	12291	\N	5
1110	1116	test-56f35ed0292d5	test-56f35ed0292d5	157228	314456	\N	5
1111	1117	test-56f35ed02c9d1	test-56f35ed02c9d1	11715	21087	\N	5
1112	1118	test-56f35ed031dc9	test-56f35ed031dc9	99121	138769.399999999994	\N	2
1113	1119	test-56f35ed035522	test-56f35ed035522	176680	176680	\N	2
1114	1120	test-56f35ed038b26	test-56f35ed038b26	58080	58080	\N	3
1115	1121	test-56f35ed03c1d1	test-56f35ed03c1d1	173277	173277	\N	3
1116	1122	test-56f35ed03fd49	test-56f35ed03fd49	165172	165172	\N	1
1117	1123	test-56f35ed043008	test-56f35ed043008	6365	6365	\N	3
1118	1124	test-56f35ed04652f	test-56f35ed04652f	101918	101918	\N	3
1119	1125	test-56f35ed049c5f	test-56f35ed049c5f	14498	27546.2000000000007	\N	2
1120	1126	test-56f35ed04d342	test-56f35ed04d342	12930	12930	\N	2
1121	1127	test-56f35ed0508ac	test-56f35ed0508ac	122291	122291	\N	2
1122	1128	test-56f35ed08de06	test-56f35ed08de06	32469	32469	\N	1
1123	1129	test-56f35ed091ebc	test-56f35ed091ebc	148360	192868	\N	2
1124	1130	test-56f35ed0960c8	test-56f35ed0960c8	133640	240552	\N	4
1125	1131	test-56f35ed09e4dc	test-56f35ed09e4dc	87151	87151	\N	5
1126	1132	test-56f35ed0a1c31	test-56f35ed0a1c31	4292	4292	\N	1
1127	1133	test-56f35ed0a54e3	test-56f35ed0a54e3	153779	184534.799999999988	\N	1
1128	1134	test-56f35ed0a8beb	test-56f35ed0a8beb	21525	36592.5	\N	3
1129	1135	test-56f35ed0ad88e	test-56f35ed0ad88e	15236	16759.5999999999985	\N	5
1130	1136	test-56f35ed0b26f0	test-56f35ed0b26f0	110580	143754	\N	2
1131	1137	test-56f35ed0bb914	test-56f35ed0bb914	70435	119739.5	\N	1
1132	1138	test-56f35ed0c1d45	test-56f35ed0c1d45	122884	122884	\N	1
1133	1139	test-56f35ed0c58a4	test-56f35ed0c58a4	119495	119495	\N	2
1134	1140	test-56f35ed0c9359	test-56f35ed0c9359	174878	279804.799999999988	\N	2
1135	1141	test-56f35ed0cd96c	test-56f35ed0cd96c	29551	29551	\N	4
1136	1142	test-56f35ed0d3967	test-56f35ed0d3967	191892	191892	\N	1
1137	1143	test-56f35ed0d8e52	test-56f35ed0d8e52	76492	76492	\N	2
1138	1144	test-56f35ed0dca82	test-56f35ed0dca82	84816	84816	\N	3
1139	1145	test-56f35ed0e4a9e	test-56f35ed0e4a9e	54253	54253	\N	2
1140	1146	test-56f35ed0e8493	test-56f35ed0e8493	162891	244336.5	\N	3
1141	1147	test-56f35ed0ebc57	test-56f35ed0ebc57	24979	34970.5999999999985	\N	3
1142	1148	test-56f35ed0ef4ab	test-56f35ed0ef4ab	74586	74586	\N	3
1143	1149	test-56f35ed102b9f	test-56f35ed102b9f	181999	345798.099999999977	\N	1
1144	1150	test-56f35ed106c06	test-56f35ed106c06	24972	24972	\N	5
1145	1151	test-56f35ed10b7dc	test-56f35ed10b7dc	59259	59259	\N	5
1146	1152	test-56f35ed10f668	test-56f35ed10f668	163826	245739	\N	4
1147	1153	test-56f35ed11389e	test-56f35ed11389e	57659	57659	\N	2
1148	1154	test-56f35ed1175f1	test-56f35ed1175f1	137520	137520	\N	4
1149	1155	test-56f35ed12ffa9	test-56f35ed12ffa9	160030	320060	\N	2
1150	1156	test-56f35ed133793	test-56f35ed133793	133310	133310	\N	2
1151	1157	test-56f35ed136e85	test-56f35ed136e85	35667	35667	\N	1
1152	1158	test-56f35ed13a554	test-56f35ed13a554	20890	20890	\N	3
1153	1159	test-56f35ed13de5b	test-56f35ed13de5b	107979	194362.200000000012	\N	5
1154	1160	test-56f35ed141308	test-56f35ed141308	5608	5608	\N	2
1155	1161	test-56f35ed145010	test-56f35ed145010	176019	176019	\N	3
1156	1162	test-56f35ed1484ff	test-56f35ed1484ff	29748	59496	\N	5
1157	1163	test-56f35ed14be9f	test-56f35ed14be9f	20088	20088	\N	5
1158	1164	test-56f35ed14f466	test-56f35ed14f466	24070	24070	\N	3
1159	1165	test-56f35ed15588e	test-56f35ed15588e	27842	27842	\N	1
1160	1166	test-56f35ed159742	test-56f35ed159742	171635	171635	\N	5
1161	1167	test-56f35ed18979f	test-56f35ed18979f	12000	12000	\N	2
1162	1168	test-56f35ed18cc34	test-56f35ed18cc34	66967	113843.899999999994	\N	5
1163	1169	test-56f35ed19010c	test-56f35ed19010c	188517	245072.100000000006	\N	4
1164	1170	test-56f35ed193738	test-56f35ed193738	107916	107916	\N	1
1165	1171	test-56f35ed197855	test-56f35ed197855	24529	24529	\N	5
1166	1172	test-56f35ed19af6f	test-56f35ed19af6f	15893	15893	\N	3
1167	1173	test-56f35ed19e779	test-56f35ed19e779	119435	119435	\N	3
1168	1174	test-56f35ed1a1a4a	test-56f35ed1a1a4a	163597	163597	\N	1
1169	1175	test-56f35ed1a562d	test-56f35ed1a562d	15544	15544	\N	5
1170	1176	test-56f35ed1a8acb	test-56f35ed1a8acb	141589	141589	\N	1
1171	1177	test-56f35ed1ad769	test-56f35ed1ad769	152267	152267	\N	5
1172	1178	test-56f35ed1b10d9	test-56f35ed1b10d9	11162	12278.2000000000007	\N	3
1173	1179	test-56f35ed1b5ae0	test-56f35ed1b5ae0	29515	50175.5	\N	1
1174	1180	test-56f35ed1b9887	test-56f35ed1b9887	37078	40785.8000000000029	\N	1
1175	1181	test-56f35ed1bce5d	test-56f35ed1bce5d	67471	67471	\N	1
1176	1182	test-56f35ed1c39d7	test-56f35ed1c39d7	126104	126104	\N	3
1177	1183	test-56f35ed1cbb46	test-56f35ed1cbb46	125677	125677	\N	1
1178	1184	test-56f35ed1d0f95	test-56f35ed1d0f95	112101	112101	\N	1
1179	1185	test-56f35ed1dbb57	test-56f35ed1dbb57	117524	176286	\N	2
1180	1186	test-56f35ed1e18e5	test-56f35ed1e18e5	167552	167552	\N	2
1181	1187	test-56f35ed1e5d4a	test-56f35ed1e5d4a	102731	102731	\N	2
1182	1188	test-56f35ed1ea726	test-56f35ed1ea726	72722	72722	\N	3
1183	1189	test-56f35ed1ee039	test-56f35ed1ee039	191831	191831	\N	2
1184	1190	test-56f35ed1f18d0	test-56f35ed1f18d0	104480	156720	\N	3
1185	1191	test-56f35ed20200e	test-56f35ed20200e	83161	158005.899999999994	\N	1
1186	1192	test-56f35ed205bcc	test-56f35ed205bcc	41778	41778	\N	2
1187	1193	test-56f35ed209471	test-56f35ed209471	122872	122872	\N	2
1188	1194	test-56f35ed20ccec	test-56f35ed20ccec	131510	131510	\N	5
1189	1195	test-56f35ed2107ec	test-56f35ed2107ec	120083	120083	\N	2
1190	1196	test-56f35ed213ff4	test-56f35ed213ff4	3040	3040	\N	5
1191	1197	test-56f35ed21ac79	test-56f35ed21ac79	111670	111670	\N	3
1192	1198	test-56f35ed221c6a	test-56f35ed221c6a	44431	44431	\N	4
1193	1199	test-56f35ed228c13	test-56f35ed228c13	1846	2215.19999999999982	\N	4
1194	1200	test-56f35ed22c84b	test-56f35ed22c84b	155371	310742	\N	4
1195	1201	test-56f35ed2300ad	test-56f35ed2300ad	48219	48219	\N	3
1196	1202	test-56f35ed233de2	test-56f35ed233de2	185418	185418	\N	3
1197	1203	test-56f35ed237a60	test-56f35ed237a60	158678	158678	\N	5
1198	1204	test-56f35ed23b7e5	test-56f35ed23b7e5	62241	62241	\N	4
1199	1205	test-56f35ed295f83	test-56f35ed295f83	112268	112268	\N	1
1200	1206	test-56f35ed2c4faa	test-56f35ed2c4faa	114791	183665.600000000006	\N	1
1201	1207	test-56f35ed2cdcf5	test-56f35ed2cdcf5	134422	215075.200000000012	\N	5
1202	1208	test-56f35ed2d4a63	test-56f35ed2d4a63	70587	70587	\N	1
1203	1209	test-56f35ed3040c1	test-56f35ed3040c1	50398	50398	\N	1
1204	1210	test-56f35ed3099fe	test-56f35ed3099fe	113151	124466.100000000006	\N	2
1205	1211	test-56f35ed30cd6e	test-56f35ed30cd6e	79430	79430	\N	3
1206	1212	test-56f35ed310724	test-56f35ed310724	33863	33863	\N	2
1207	1213	test-56f35ed313f71	test-56f35ed313f71	74203	74203	\N	1
1208	1214	test-56f35ed31763a	test-56f35ed31763a	36954	36954	\N	2
1209	1215	test-56f35ed31ea16	test-56f35ed31ea16	50237	50237	\N	2
1210	1216	test-56f35ed323d92	test-56f35ed323d92	184359	184359	\N	4
1211	1217	test-56f35ed327608	test-56f35ed327608	23407	28088.4000000000015	\N	3
1212	1218	test-56f35ed32ab11	test-56f35ed32ab11	15647	15647	\N	1
1213	1219	test-56f35ed32e274	test-56f35ed32e274	76862	76862	\N	2
1214	1220	test-56f35ed332edd	test-56f35ed332edd	69822	69822	\N	1
1215	1221	test-56f35ed336644	test-56f35ed336644	57439	91902.3999999999942	\N	1
1216	1222	test-56f35ed339eb8	test-56f35ed339eb8	9739	9739	\N	1
1217	1223	test-56f35ed33d873	test-56f35ed33d873	39992	39992	\N	3
1218	1224	test-56f35ed343465	test-56f35ed343465	41641	41641	\N	5
1219	1225	test-56f35ed347f8c	test-56f35ed347f8c	66889	66889	\N	3
1220	1226	test-56f35ed34f5fb	test-56f35ed34f5fb	85624	85624	\N	3
1221	1227	test-56f35ed352c11	test-56f35ed352c11	70906	70906	\N	5
1222	1228	test-56f35ed355f04	test-56f35ed355f04	180486	180486	\N	3
1223	1229	test-56f35ed35e074	test-56f35ed35e074	35356	60105.1999999999971	\N	1
1224	1230	test-56f35ed363878	test-56f35ed363878	154754	201180.200000000012	\N	4
1225	1231	test-56f35ed367469	test-56f35ed367469	97665	97665	\N	5
1226	1232	test-56f35ed36b33d	test-56f35ed36b33d	69894	69894	\N	4
1227	1233	test-56f35ed36f7a8	test-56f35ed36f7a8	39106	43016.5999999999985	\N	1
1228	1234	test-56f35ed372fd2	test-56f35ed372fd2	74260	148520	\N	4
1229	1235	test-56f35ed378199	test-56f35ed378199	159466	175412.600000000006	\N	2
1230	1236	test-56f35ed37e406	test-56f35ed37e406	31	31	\N	5
1231	1237	test-56f35ed383844	test-56f35ed383844	39351	78702	\N	1
1232	1238	test-56f35ed3874ca	test-56f35ed3874ca	147237	147237	\N	5
1233	1239	test-56f35ed38aa63	test-56f35ed38aa63	78110	78110	\N	1
1234	1240	test-56f35ed38e57a	test-56f35ed38e57a	27203	27203	\N	4
1235	1241	test-56f35ed3919d0	test-56f35ed3919d0	153869	153869	\N	3
1236	1242	test-56f35ed395823	test-56f35ed395823	142636	142636	\N	5
1237	1243	test-56f35ed398ee9	test-56f35ed398ee9	184691	184691	\N	3
1238	1244	test-56f35ed3cad72	test-56f35ed3cad72	117877	117877	\N	1
1239	1245	test-56f35ed3d29f9	test-56f35ed3d29f9	69884	139768	\N	1
1240	1246	test-56f35ed3d859d	test-56f35ed3d859d	191201	191201	\N	4
1241	1247	test-56f35ed3dc599	test-56f35ed3dc599	11186	21253.4000000000015	\N	5
1242	1248	test-56f35ed3dfd51	test-56f35ed3dfd51	1542	1542	\N	5
1243	1249	test-56f35ed3e31a9	test-56f35ed3e31a9	194835	194835	\N	5
1244	1250	test-56f35ed3e65c3	test-56f35ed3e65c3	140001	140001	\N	5
1245	1251	test-56f35ed3ee5fe	test-56f35ed3ee5fe	18082	18082	\N	3
1246	1252	test-56f35ed3f1bc1	test-56f35ed3f1bc1	178149	178149	\N	3
1247	1253	test-56f35ed40148d	test-56f35ed40148d	148550	148550	\N	3
1248	1254	test-56f35ed405585	test-56f35ed405585	51537	51537	\N	1
1249	1255	test-56f35ed4108fa	test-56f35ed4108fa	46454	46454	\N	5
1250	1256	test-56f35ed416af8	test-56f35ed416af8	16388	16388	\N	3
1251	1257	test-56f35ed41cbc5	test-56f35ed41cbc5	41311	41311	\N	4
1252	1258	test-56f35ed421b71	test-56f35ed421b71	100740	191406	\N	4
1253	1259	test-56f35ed426d73	test-56f35ed426d73	24636	24636	\N	1
1254	1260	test-56f35ed42c18c	test-56f35ed42c18c	163833	163833	\N	2
1255	1261	test-56f35ed42fc2a	test-56f35ed42fc2a	98200	157120	\N	5
1256	1262	test-56f35ed4337bb	test-56f35ed4337bb	198017	198017	\N	1
1257	1263	test-56f35ed437d60	test-56f35ed437d60	24515	24515	\N	1
1258	1264	test-56f35ed43bb21	test-56f35ed43bb21	188888	377776	\N	3
1259	1265	test-56f35ed45ffe7	test-56f35ed45ffe7	156494	156494	\N	5
1260	1266	test-56f35ed469d53	test-56f35ed469d53	140075	140075	\N	5
1261	1267	test-56f35ed473258	test-56f35ed473258	61335	61335	\N	4
1262	1268	test-56f35ed47af68	test-56f35ed47af68	68460	68460	\N	5
1263	1269	test-56f35ed47f5a2	test-56f35ed47f5a2	136850	136850	\N	1
1264	1270	test-56f35ed4839a4	test-56f35ed4839a4	192421	288631.5	\N	5
1265	1271	test-56f35ed48813f	test-56f35ed48813f	181024	181024	\N	3
1266	1272	test-56f35ed48c3cf	test-56f35ed48c3cf	137306	205959	\N	5
1267	1273	test-56f35ed49007f	test-56f35ed49007f	146241	146241	\N	5
1268	1274	test-56f35ed494286	test-56f35ed494286	63203	63203	\N	1
1269	1275	test-56f35ed497acc	test-56f35ed497acc	45125	45125	\N	2
1270	1276	test-56f35ed49b61e	test-56f35ed49b61e	169944	169944	\N	5
1271	1277	test-56f35ed49f3e1	test-56f35ed49f3e1	174427	226755.100000000006	\N	4
1272	1278	test-56f35ed4a2be4	test-56f35ed4a2be4	148241	148241	\N	2
1273	1279	test-56f35ed4a64c9	test-56f35ed4a64c9	126122	126122	\N	5
1274	1280	test-56f35ed4b0c0b	test-56f35ed4b0c0b	137465	137465	\N	1
1275	1281	test-56f35ed4b83fd	test-56f35ed4b83fd	119494	119494	\N	1
1276	1282	test-56f35ed4ecf09	test-56f35ed4ecf09	85903	171806	\N	3
1277	1283	test-56f35ed4f0609	test-56f35ed4f0609	170471	170471	\N	3
1278	1284	test-56f35ed50057e	test-56f35ed50057e	60274	102465.800000000003	\N	3
1279	1285	test-56f35ed503b58	test-56f35ed503b58	120730	120730	\N	4
1280	1286	test-56f35ed507485	test-56f35ed507485	165106	165106	\N	4
1281	1287	test-56f35ed50d780	test-56f35ed50d780	165097	165097	\N	1
1282	1288	test-56f35ed510c0e	test-56f35ed510c0e	130401	130401	\N	1
1283	1289	test-56f35ed517061	test-56f35ed517061	74746	74746	\N	4
1284	1290	test-56f35ed51b688	test-56f35ed51b688	51758	51758	\N	2
1285	1291	test-56f35ed51ec52	test-56f35ed51ec52	126785	126785	\N	3
1286	1292	test-56f35ed5225c4	test-56f35ed5225c4	169249	304648.200000000012	\N	2
1287	1293	test-56f35ed525c99	test-56f35ed525c99	62073	62073	\N	4
1288	1294	test-56f35ed529187	test-56f35ed529187	145058	145058	\N	5
1289	1295	test-56f35ed52d0f7	test-56f35ed52d0f7	13017	13017	\N	3
1290	1296	test-56f35ed53051c	test-56f35ed53051c	80154	96184.8000000000029	\N	2
1291	1297	test-56f35ed5343b2	test-56f35ed5343b2	128296	128296	\N	2
1292	1298	test-56f35ed53767a	test-56f35ed53767a	177693	177693	\N	3
1293	1299	test-56f35ed53f19d	test-56f35ed53f19d	154194	292968.599999999977	\N	1
1294	1300	test-56f35ed542f95	test-56f35ed542f95	54722	60194.1999999999971	\N	3
1295	1301	test-56f35ed54736d	test-56f35ed54736d	161801	210341.299999999988	\N	4
1296	1302	test-56f35ed54b0ea	test-56f35ed54b0ea	190246	304393.599999999977	\N	5
1297	1303	test-56f35ed54eada	test-56f35ed54eada	88533	123946.199999999997	\N	2
1298	1304	test-56f35ed552416	test-56f35ed552416	1472	1472	\N	1
1299	1305	test-56f35ed555b68	test-56f35ed555b68	11297	11297	\N	5
1300	1306	test-56f35ed559476	test-56f35ed559476	115433	173149.5	\N	4
1301	1307	test-56f35ed55cecc	test-56f35ed55cecc	29651	29651	\N	4
1302	1308	test-56f35ed563b09	test-56f35ed563b09	44660	44660	\N	4
1303	1309	test-56f35ed567a62	test-56f35ed567a62	147628	147628	\N	2
1304	1310	test-56f35ed56f7e6	test-56f35ed56f7e6	2597	2597	\N	4
1305	1311	test-56f35ed576b3d	test-56f35ed576b3d	125435	137978.5	\N	5
1306	1312	test-56f35ed579f73	test-56f35ed579f73	71637	71637	\N	1
1307	1313	test-56f35ed59f29c	test-56f35ed59f29c	141988	227180.799999999988	\N	4
1308	1314	test-56f35ed5a3a13	test-56f35ed5a3a13	169613	169613	\N	3
1309	1315	test-56f35ed5a7d79	test-56f35ed5a7d79	83039	166078	\N	1
1310	1316	test-56f35ed5abd15	test-56f35ed5abd15	185269	185269	\N	5
1311	1317	test-56f35ed5b2d5b	test-56f35ed5b2d5b	151384	181660.799999999988	\N	5
1312	1318	test-56f35ed5b686d	test-56f35ed5b686d	103623	103623	\N	1
1313	1319	test-56f35ed5b9fea	test-56f35ed5b9fea	161421	161421	\N	1
1314	1320	test-56f35ed5bdd03	test-56f35ed5bdd03	60684	60684	\N	5
1315	1321	test-56f35ed5f2493	test-56f35ed5f2493	190944	362793.599999999977	\N	1
1316	1322	test-56f35ed601aef	test-56f35ed601aef	95727	95727	\N	1
1317	1323	test-56f35ed60547f	test-56f35ed60547f	38860	69948	\N	1
1318	1324	test-56f35ed608dd2	test-56f35ed608dd2	138495	138495	\N	1
1319	1325	test-56f35ed60c6f0	test-56f35ed60c6f0	27874	55748	\N	1
1320	1326	test-56f35ed61004d	test-56f35ed61004d	98458	98458	\N	1
1321	1327	test-56f35ed61571c	test-56f35ed61571c	159430	159430	\N	5
1322	1328	test-56f35ed61a126	test-56f35ed61a126	41888	79587.1999999999971	\N	4
1323	1329	test-56f35ed61d91f	test-56f35ed61d91f	24913	24913	\N	4
1324	1330	test-56f35ed620c91	test-56f35ed620c91	85373	85373	\N	4
1325	1331	test-56f35ed628194	test-56f35ed628194	27746	47168.1999999999971	\N	5
1326	1332	test-56f35ed62bf55	test-56f35ed62bf55	21609	28091.7000000000007	\N	2
1327	1333	test-56f35ed62f6ac	test-56f35ed62f6ac	93564	93564	\N	4
1328	1334	test-56f35ed636807	test-56f35ed636807	58052	87078	\N	3
1329	1335	test-56f35ed63aa01	test-56f35ed63aa01	111385	178216	\N	3
1330	1336	test-56f35ed63e225	test-56f35ed63e225	74146	74146	\N	2
1331	1337	test-56f35ed648b5a	test-56f35ed648b5a	135233	135233	\N	5
1332	1338	test-56f35ed64c306	test-56f35ed64c306	57971	57971	\N	5
1333	1339	test-56f35ed65020a	test-56f35ed65020a	103717	103717	\N	4
1334	1340	test-56f35ed653e8f	test-56f35ed653e8f	68584	68584	\N	1
1335	1341	test-56f35ed65778e	test-56f35ed65778e	185078	259109.200000000012	\N	2
1336	1342	test-56f35ed65b266	test-56f35ed65b266	37070	37070	\N	3
1337	1343	test-56f35ed65ebab	test-56f35ed65ebab	39693	39693	\N	1
1338	1344	test-56f35ed66233a	test-56f35ed66233a	18045	18045	\N	1
1339	1345	test-56f35ed66601c	test-56f35ed66601c	107988	118786.800000000003	\N	1
1340	1346	test-56f35ed669ca5	test-56f35ed669ca5	152054	152054	\N	2
1341	1347	test-56f35ed672a18	test-56f35ed672a18	64865	64865	\N	5
1342	1348	test-56f35ed67677a	test-56f35ed67677a	174413	174413	\N	5
1343	1349	test-56f35ed679e87	test-56f35ed679e87	73530	125001	\N	3
1344	1350	test-56f35ed67d8a4	test-56f35ed67d8a4	20114	20114	\N	5
1345	1351	test-56f35ed680fe0	test-56f35ed680fe0	130741	130741	\N	2
1346	1352	test-56f35ed6a729b	test-56f35ed6a729b	95965	95965	\N	2
1347	1353	test-56f35ed6aba1c	test-56f35ed6aba1c	40796	61194	\N	3
1348	1354	test-56f35ed6b132e	test-56f35ed6b132e	109939	142920.700000000012	\N	4
1349	1355	test-56f35ed6b7054	test-56f35ed6b7054	61918	61918	\N	1
1350	1356	test-56f35ed6ba63b	test-56f35ed6ba63b	26052	36472.8000000000029	\N	3
1351	1357	test-56f35ed6bdfc9	test-56f35ed6bdfc9	19981	19981	\N	3
1352	1358	test-56f35ed6c153d	test-56f35ed6c153d	100018	100018	\N	4
1353	1359	test-56f35ed708e59	test-56f35ed708e59	158580	158580	\N	3
1354	1360	test-56f35ed70e8bd	test-56f35ed70e8bd	173564	173564	\N	1
1355	1361	test-56f35ed717854	test-56f35ed717854	120621	156807.299999999988	\N	3
1356	1362	test-56f35ed71c2c1	test-56f35ed71c2c1	11531	11531	\N	4
1357	1363	test-56f35ed71f874	test-56f35ed71f874	32327	32327	\N	2
1358	1364	test-56f35ed7230d8	test-56f35ed7230d8	5998	5998	\N	2
1359	1365	test-56f35ed72647e	test-56f35ed72647e	158715	158715	\N	2
1360	1366	test-56f35ed729c0c	test-56f35ed729c0c	47756	47756	\N	4
1361	1367	test-56f35ed72d2a4	test-56f35ed72d2a4	12729	12729	\N	1
1362	1368	test-56f35ed731673	test-56f35ed731673	123507	209961.899999999994	\N	2
1363	1369	test-56f35ed735a9a	test-56f35ed735a9a	96749	96749	\N	5
1364	1370	test-56f35ed73998b	test-56f35ed73998b	103626	103626	\N	5
1365	1371	test-56f35ed745d66	test-56f35ed745d66	82688	82688	\N	4
1366	1372	test-56f35ed74b58e	test-56f35ed74b58e	23219	23219	\N	2
1367	1373	test-56f35ed7517a9	test-56f35ed7517a9	26956	26956	\N	3
1368	1374	test-56f35ed756846	test-56f35ed756846	185720	334296	\N	1
1369	1375	test-56f35ed75d8e1	test-56f35ed75d8e1	48917	48917	\N	5
1370	1376	test-56f35ed760ef9	test-56f35ed760ef9	165910	165910	\N	5
1371	1377	test-56f35ed7648cb	test-56f35ed7648cb	13207	25093.2999999999993	\N	2
1372	1378	test-56f35ed767f71	test-56f35ed767f71	58190	58190	\N	1
1373	1379	test-56f35ed76b6d8	test-56f35ed76b6d8	124383	124383	\N	3
1374	1380	test-56f35ed76f0c1	test-56f35ed76f0c1	3542	6021.39999999999964	\N	4
1375	1381	test-56f35ed772897	test-56f35ed772897	125247	137771.700000000012	\N	1
1376	1382	test-56f35ed798cb5	test-56f35ed798cb5	38910	38910	\N	5
1377	1383	test-56f35ed79c4c5	test-56f35ed79c4c5	55167	55167	\N	5
1378	1384	test-56f35ed7a031c	test-56f35ed7a031c	126180	126180	\N	2
1379	1385	test-56f35ed7a3b6d	test-56f35ed7a3b6d	139061	139061	\N	5
1380	1386	test-56f35ed7adab1	test-56f35ed7adab1	45242	54290.4000000000015	\N	2
1381	1387	test-56f35ed7b19b3	test-56f35ed7b19b3	117904	117904	\N	1
1382	1388	test-56f35ed7b6991	test-56f35ed7b6991	62603	62603	\N	3
1383	1389	test-56f35ed7ba0b3	test-56f35ed7ba0b3	61042	61042	\N	2
1384	1390	test-56f35ed7bd889	test-56f35ed7bd889	166387	166387	\N	1
1385	1391	test-56f35ed7c0e71	test-56f35ed7c0e71	182010	182010	\N	1
1386	1392	test-56f35ed7c47dc	test-56f35ed7c47dc	26836	48304.8000000000029	\N	4
1387	1393	test-56f35ed7c7f6d	test-56f35ed7c7f6d	63318	63318	\N	3
1388	1394	test-56f35ed7cee11	test-56f35ed7cee11	141471	141471	\N	4
1389	1395	test-56f35ed7d276d	test-56f35ed7d276d	93501	168301.799999999988	\N	3
1390	1396	test-56f35ed7d7ec6	test-56f35ed7d7ec6	60040	60040	\N	2
1391	1397	test-56f35ed7db6ec	test-56f35ed7db6ec	79154	110815.600000000006	\N	3
1392	1398	test-56f35ed81c6e9	test-56f35ed81c6e9	182026	182026	\N	5
1393	1399	test-56f35ed8203b4	test-56f35ed8203b4	51803	56983.3000000000029	\N	4
1394	1400	test-56f35ed82613b	test-56f35ed82613b	83410	83410	\N	2
1395	1401	test-56f35ed82c191	test-56f35ed82c191	56116	106620.399999999994	\N	3
1396	1402	test-56f35ed8300dd	test-56f35ed8300dd	168423	168423	\N	4
1397	1403	test-56f35ed833ab6	test-56f35ed833ab6	164020	262432	\N	1
1398	1404	test-56f35ed838790	test-56f35ed838790	24068	24068	\N	5
1399	1405	test-56f35ed8564c0	test-56f35ed8564c0	196938	196938	\N	3
1400	1406	test-56f35ed85e5ea	test-56f35ed85e5ea	103657	103657	\N	4
1401	1407	test-56f35ed8626ac	test-56f35ed8626ac	160003	176003.299999999988	\N	2
1402	1408	test-56f35ed86c608	test-56f35ed86c608	63388	126776	\N	5
1403	1409	test-56f35ed8700a5	test-56f35ed8700a5	87175	156915	\N	1
1404	1410	test-56f35ed873b67	test-56f35ed873b67	24507	24507	\N	4
1405	1411	test-56f35ed877a08	test-56f35ed877a08	176322	176322	\N	3
1406	1412	test-56f35ed87b304	test-56f35ed87b304	82168	106818.399999999994	\N	3
1407	1413	test-56f35ed87ec9d	test-56f35ed87ec9d	2120	2120	\N	5
1408	1414	test-56f35ed882bb1	test-56f35ed882bb1	82860	82860	\N	3
1409	1415	test-56f35ed889a83	test-56f35ed889a83	46102	46102	\N	3
1410	1416	test-56f35ed88d903	test-56f35ed88d903	168977	168977	\N	2
1411	1417	test-56f35ed891521	test-56f35ed891521	14780	14780	\N	4
1412	1418	test-56f35ed8952e1	test-56f35ed8952e1	173871	173871	\N	5
1413	1419	test-56f35ed898d9b	test-56f35ed898d9b	42828	42828	\N	5
1414	1420	test-56f35ed89cd94	test-56f35ed89cd94	186196	186196	\N	5
1415	1421	test-56f35ed8a08ad	test-56f35ed8a08ad	119219	119219	\N	3
1416	1422	test-56f35ed8a42d8	test-56f35ed8a42d8	28234	31057.4000000000015	\N	4
1417	1423	test-56f35ed8a79d2	test-56f35ed8a79d2	93225	93225	\N	2
1418	1424	test-56f35ed8aae71	test-56f35ed8aae71	122347	122347	\N	3
1419	1425	test-56f35ed8ae769	test-56f35ed8ae769	198115	237738	\N	2
1420	1426	test-56f35ed8b2040	test-56f35ed8b2040	176714	229728.200000000012	\N	1
1421	1427	test-56f35ed8b6731	test-56f35ed8b6731	121987	121987	\N	2
1422	1428	test-56f35ed8ba6ae	test-56f35ed8ba6ae	136155	231463.5	\N	5
1423	1429	test-56f35ed8bef87	test-56f35ed8bef87	123319	123319	\N	3
1424	1430	test-56f35ed8c27d3	test-56f35ed8c27d3	61496	104543.199999999997	\N	2
1425	1431	test-56f35ed8c5d8c	test-56f35ed8c5d8c	128543	244231.700000000012	\N	1
1426	1432	test-56f35ed8d0f73	test-56f35ed8d0f73	36047	61279.9000000000015	\N	3
1427	1433	test-56f35ed8d6c40	test-56f35ed8d6c40	64796	64796	\N	4
1428	1434	test-56f35ed8dd472	test-56f35ed8dd472	24651	24651	\N	1
1429	1435	test-56f35ed8e10d3	test-56f35ed8e10d3	80841	80841	\N	5
1430	1436	test-56f35ed92a5ef	test-56f35ed92a5ef	145377	145377	\N	3
1431	1437	test-56f35ed92e3be	test-56f35ed92e3be	52882	52882	\N	2
1432	1438	test-56f35ed931db6	test-56f35ed931db6	110760	110760	\N	5
1433	1439	test-56f35ed93548c	test-56f35ed93548c	103924	103924	\N	5
1434	1440	test-56f35ed938ea1	test-56f35ed938ea1	115734	115734	\N	4
1435	1441	test-56f35ed93c8cc	test-56f35ed93c8cc	198858	198858	\N	4
1436	1442	test-56f35ed93fefe	test-56f35ed93fefe	172000	172000	\N	2
1437	1443	test-56f35ed945465	test-56f35ed945465	170293	170293	\N	3
1438	1444	test-56f35ed94928b	test-56f35ed94928b	191068	382136	\N	5
1439	1445	test-56f35ed94cbff	test-56f35ed94cbff	2383	2383	\N	1
1440	1446	test-56f35ed952643	test-56f35ed952643	58339	58339	\N	4
1441	1447	test-56f35ed95b795	test-56f35ed95b795	53492	53492	\N	5
1442	1448	test-56f35ed95ebde	test-56f35ed95ebde	71323	71323	\N	1
1443	1449	test-56f35ed9623f2	test-56f35ed9623f2	5780	5780	\N	3
1444	1450	test-56f35ed965b33	test-56f35ed965b33	4849	6788.60000000000036	\N	5
1445	1451	test-56f35ed969307	test-56f35ed969307	156528	156528	\N	4
1446	1452	test-56f35ed96c78f	test-56f35ed96c78f	156601	156601	\N	1
1447	1453	test-56f35ed971951	test-56f35ed971951	106543	106543	\N	4
1448	1454	test-56f35ed97590b	test-56f35ed97590b	49156	49156	\N	5
1449	1455	test-56f35ed9794cd	test-56f35ed9794cd	37498	37498	\N	5
1450	1456	test-56f35ed97c930	test-56f35ed97c930	74622	104470.800000000003	\N	4
1451	1457	test-56f35ed980d0d	test-56f35ed980d0d	78331	78331	\N	4
1452	1458	test-56f35ed984160	test-56f35ed984160	62221	111997.800000000003	\N	4
1453	1459	test-56f35ed987ff2	test-56f35ed987ff2	94296	94296	\N	2
1454	1460	test-56f35ed98b59a	test-56f35ed98b59a	176397	335154.299999999988	\N	3
1455	1461	test-56f35ed99390f	test-56f35ed99390f	110023	187039.100000000006	\N	2
1456	1462	test-56f35ed99a707	test-56f35ed99a707	126184	126184	\N	5
1457	1463	test-56f35ed99dc97	test-56f35ed99dc97	157176	314352	\N	1
1458	1464	test-56f35ed9a166a	test-56f35ed9a166a	163577	163577	\N	4
1459	1465	test-56f35ed9a5108	test-56f35ed9a5108	30038	30038	\N	3
1460	1466	test-56f35ed9a8c6f	test-56f35ed9a8c6f	61747	61747	\N	4
1461	1467	test-56f35ed9adeed	test-56f35ed9adeed	137153	137153	\N	3
1462	1468	test-56f35ed9b1346	test-56f35ed9b1346	41403	41403	\N	4
1463	1469	test-56f35ed9b4ccb	test-56f35ed9b4ccb	199936	379878.400000000023	\N	5
1464	1470	test-56f35ed9b832d	test-56f35ed9b832d	70608	70608	\N	5
1465	1471	test-56f35ed9c0334	test-56f35ed9c0334	150958	181149.600000000006	\N	4
1466	1472	test-56f35ed9c6f4a	test-56f35ed9c6f4a	18494	18494	\N	5
1467	1473	test-56f35ed9cf0f5	test-56f35ed9cf0f5	51619	51619	\N	4
1468	1474	test-56f35ed9d6381	test-56f35ed9d6381	162644	162644	\N	3
1469	1475	test-56f35eda20e9b	test-56f35eda20e9b	152075	212905	\N	2
1470	1476	test-56f35eda27364	test-56f35eda27364	190514	323873.799999999988	\N	2
1471	1477	test-56f35eda2b014	test-56f35eda2b014	199971	199971	\N	1
1472	1478	test-56f35eda2ebeb	test-56f35eda2ebeb	73955	73955	\N	1
1473	1479	test-56f35eda32103	test-56f35eda32103	3191	3191	\N	3
1474	1480	test-56f35eda3f818	test-56f35eda3f818	15848	15848	\N	5
1475	1481	test-56f35eda43554	test-56f35eda43554	187300	187300	\N	3
1476	1482	test-56f35eda4787a	test-56f35eda4787a	156054	234081	\N	4
1477	1483	test-56f35eda4b220	test-56f35eda4b220	21277	23404.7000000000007	\N	1
1478	1484	test-56f35eda4eef1	test-56f35eda4eef1	9269	12976.6000000000004	\N	5
1479	1485	test-56f35eda5291d	test-56f35eda5291d	109385	109385	\N	1
1480	1486	test-56f35eda5617c	test-56f35eda5617c	110895	110895	\N	5
1481	1487	test-56f35eda5cc3b	test-56f35eda5cc3b	7899	7899	\N	4
1482	1488	test-56f35eda60d8a	test-56f35eda60d8a	141719	283438	\N	2
1483	1489	test-56f35eda649e6	test-56f35eda649e6	63188	113738.399999999994	\N	5
1484	1490	test-56f35eda681e8	test-56f35eda681e8	64537	64537	\N	2
1485	1491	test-56f35eda6b9d2	test-56f35eda6b9d2	61979	61979	\N	5
1486	1492	test-56f35eda6f5dc	test-56f35eda6f5dc	24659	46852.0999999999985	\N	2
1487	1493	test-56f35eda733b9	test-56f35eda733b9	103726	134843.799999999988	\N	1
1488	1494	test-56f35eda7b7ab	test-56f35eda7b7ab	26978	26978	\N	4
1489	1495	test-56f35eda82bb0	test-56f35eda82bb0	188606	226327.200000000012	\N	4
1490	1496	test-56f35eda87784	test-56f35eda87784	100928	151392	\N	4
1491	1497	test-56f35eda8fd7a	test-56f35eda8fd7a	87721	140353.600000000006	\N	4
1492	1498	test-56f35eda95ad7	test-56f35eda95ad7	12246	13470.6000000000004	\N	3
1493	1499	test-56f35eda9ba15	test-56f35eda9ba15	118100	118100	\N	3
1494	1500	test-56f35edaa1cbe	test-56f35edaa1cbe	109356	120291.600000000006	\N	1
1495	1501	test-56f35edaa9100	test-56f35edaa9100	174238	174238	\N	4
1496	1502	test-56f35edaaef74	test-56f35edaaef74	102142	173641.399999999994	\N	1
1497	1503	test-56f35edab4ac3	test-56f35edab4ac3	107131	182122.700000000012	\N	4
1498	1504	test-56f35edabbac4	test-56f35edabbac4	36233	36233	\N	4
1499	1505	test-56f35edac12ae	test-56f35edac12ae	132182	132182	\N	2
1500	1506	test-56f35edac4ed5	test-56f35edac4ed5	117243	117243	\N	5
1501	1507	test-56f35edac8dc7	test-56f35edac8dc7	197742	197742	\N	1
1502	1508	test-56f35edacd098	test-56f35edacd098	156363	156363	\N	2
1503	1509	test-56f35edaeb170	test-56f35edaeb170	189310	189310	\N	1
1504	1510	test-56f35edaeec41	test-56f35edaeec41	101712	101712	\N	5
1505	1511	test-56f35edaf25d8	test-56f35edaf25d8	47435	47435	\N	4
1506	1512	test-56f35edb020f5	test-56f35edb020f5	182357	182357	\N	4
1507	1513	test-56f35edb5deca	test-56f35edb5deca	4433	4876.30000000000018	\N	4
1508	1514	test-56f35edb61f92	test-56f35edb61f92	132193	132193	\N	1
1509	1515	test-56f35edb656ad	test-56f35edb656ad	59057	59057	\N	4
1510	1516	test-56f35edb695a3	test-56f35edb695a3	19025	19025	\N	2
1511	1517	test-56f35edb6d0e8	test-56f35edb6d0e8	11883	14259.6000000000004	\N	4
1512	1518	test-56f35edb7119a	test-56f35edb7119a	190156	190156	\N	3
1513	1519	test-56f35edb74d8e	test-56f35edb74d8e	48750	92625	\N	3
1514	1520	test-56f35edb7890f	test-56f35edb7890f	121809	219256.200000000012	\N	5
1515	1521	test-56f35edb7c144	test-56f35edb7c144	101921	163073.600000000006	\N	2
1516	1522	test-56f35edb7fcdf	test-56f35edb7fcdf	132704	132704	\N	4
1517	1523	test-56f35edb837ce	test-56f35edb837ce	81533	163066	\N	1
1518	1524	test-56f35edb87315	test-56f35edb87315	138158	234868.600000000006	\N	2
1519	1525	test-56f35edb8af1c	test-56f35edb8af1c	128541	244227.899999999994	\N	4
1520	1526	test-56f35edb8e5fd	test-56f35edb8e5fd	120223	228423.700000000012	\N	2
1521	1527	test-56f35edb92264	test-56f35edb92264	146131	146131	\N	4
1522	1528	test-56f35edba1dec	test-56f35edba1dec	187837	187837	\N	2
1523	1529	test-56f35edba5c98	test-56f35edba5c98	112946	112946	\N	3
1524	1530	test-56f35edbaa959	test-56f35edbaa959	74094	74094	\N	5
1525	1531	test-56f35edbb19e5	test-56f35edbb19e5	102507	205014	\N	3
1526	1532	test-56f35edbb59a2	test-56f35edbb59a2	19163	32577.0999999999985	\N	4
1527	1533	test-56f35edbb9a29	test-56f35edbb9a29	269	269	\N	1
1528	1534	test-56f35edbbcfd1	test-56f35edbbcfd1	188688	188688	\N	2
1529	1535	test-56f35edbc0cce	test-56f35edbc0cce	78208	148595.200000000012	\N	1
1530	1536	test-56f35edbc5b0f	test-56f35edbc5b0f	61484	61484	\N	1
1531	1537	test-56f35edbc9299	test-56f35edbc9299	50819	50819	\N	3
1532	1538	test-56f35edbcccf5	test-56f35edbcccf5	194512	350121.599999999977	\N	5
1533	1539	test-56f35edbd0b19	test-56f35edbd0b19	58142	58142	\N	4
1534	1540	test-56f35edbd5cee	test-56f35edbd5cee	52806	79209	\N	3
1535	1541	test-56f35edbe6760	test-56f35edbe6760	143933	143933	\N	5
1536	1542	test-56f35edbeff65	test-56f35edbeff65	113860	113860	\N	2
1537	1543	test-56f35edc00f0b	test-56f35edc00f0b	177508	177508	\N	4
1538	1544	test-56f35edc0e6f1	test-56f35edc0e6f1	148419	148419	\N	4
1539	1545	test-56f35edc180e7	test-56f35edc180e7	108596	108596	\N	1
1540	1546	test-56f35edc1e5d4	test-56f35edc1e5d4	78989	142180.200000000012	\N	3
1541	1547	test-56f35edc2a176	test-56f35edc2a176	91786	110143.199999999997	\N	5
1542	1548	test-56f35edc34b3b	test-56f35edc34b3b	39256	39256	\N	3
1543	1549	test-56f35edc3dca8	test-56f35edc3dca8	76995	76995	\N	2
1544	1550	test-56f35edc462d4	test-56f35edc462d4	173108	173108	\N	3
1545	1551	test-56f35edc4c7ac	test-56f35edc4c7ac	24167	31417.0999999999985	\N	2
1546	1552	test-56f35edc8e3bf	test-56f35edc8e3bf	108058	205310.200000000012	\N	1
1547	1553	test-56f35edc93282	test-56f35edc93282	190765	228918	\N	1
1548	1554	test-56f35edc97081	test-56f35edc97081	129329	129329	\N	4
1549	1555	test-56f35edc9aae3	test-56f35edc9aae3	81016	81016	\N	5
1550	1556	test-56f35edc9e8b6	test-56f35edc9e8b6	76776	76776	\N	1
1551	1557	test-56f35edca251d	test-56f35edca251d	98886	98886	\N	3
1552	1558	test-56f35edcaca59	test-56f35edcaca59	81432	81432	\N	4
1553	1559	test-56f35edcb3d7c	test-56f35edcb3d7c	4724	5196.39999999999964	\N	1
1554	1560	test-56f35edcb997a	test-56f35edcb997a	86587	86587	\N	2
1555	1561	test-56f35edcc5e4e	test-56f35edcc5e4e	53770	53770	\N	5
1556	1562	test-56f35edccdc78	test-56f35edccdc78	23971	23971	\N	1
1557	1563	test-56f35edcd375b	test-56f35edcd375b	109472	142313.600000000006	\N	2
1558	1564	test-56f35edcd7549	test-56f35edcd7549	37496	37496	\N	2
1559	1565	test-56f35edcddbbe	test-56f35edcddbbe	181182	181182	\N	5
1560	1566	test-56f35edce4393	test-56f35edce4393	87487	87487	\N	3
1561	1567	test-56f35edce8022	test-56f35edce8022	45027	45027	\N	1
1562	1568	test-56f35edcec2c0	test-56f35edcec2c0	101916	101916	\N	2
1563	1569	test-56f35edcf161d	test-56f35edcf161d	165283	165283	\N	4
1564	1570	test-56f35edd00d48	test-56f35edd00d48	140523	281046	\N	5
1565	1571	test-56f35edd04632	test-56f35edd04632	157569	157569	\N	3
1566	1572	test-56f35edd07f50	test-56f35edd07f50	36529	36529	\N	5
1567	1573	test-56f35edd0cc9a	test-56f35edd0cc9a	75528	143503.200000000012	\N	5
1568	1574	test-56f35edd13580	test-56f35edd13580	49546	49546	\N	5
1569	1575	test-56f35edd18e9e	test-56f35edd18e9e	95883	95883	\N	3
1570	1576	test-56f35edd1eefc	test-56f35edd1eefc	35997	35997	\N	3
1571	1577	test-56f35edd24f33	test-56f35edd24f33	111351	111351	\N	5
1572	1578	test-56f35edd2974c	test-56f35edd2974c	50377	50377	\N	1
1573	1579	test-56f35edd2efdd	test-56f35edd2efdd	142838	142838	\N	5
1574	1580	test-56f35edd500e9	test-56f35edd500e9	79836	79836	\N	3
1575	1581	test-56f35edd53be5	test-56f35edd53be5	141702	141702	\N	5
1576	1582	test-56f35edd57d30	test-56f35edd57d30	125068	125068	\N	5
1577	1583	test-56f35edd5b9a3	test-56f35edd5b9a3	178287	178287	\N	3
1578	1584	test-56f35edd61348	test-56f35edd61348	133142	133142	\N	3
1579	1585	test-56f35edd64acd	test-56f35edd64acd	60534	60534	\N	2
1580	1586	test-56f35edd6878f	test-56f35edd6878f	121494	145792.799999999988	\N	2
1581	1587	test-56f35edd6bdbc	test-56f35edd6bdbc	177051	177051	\N	3
1582	1588	test-56f35edd6f2f4	test-56f35edd6f2f4	56983	91172.8000000000029	\N	5
1583	1589	test-56f35edd72d9e	test-56f35edd72d9e	31529	31529	\N	5
1584	1590	test-56f35eddb4cb5	test-56f35eddb4cb5	60140	60140	\N	3
1585	1591	test-56f35eddb84c7	test-56f35eddb84c7	154798	154798	\N	1
1586	1592	test-56f35eddbbd16	test-56f35eddbbd16	22925	22925	\N	3
1587	1593	test-56f35eddbfdb8	test-56f35eddbfdb8	48302	82113.3999999999942	\N	1
1588	1594	test-56f35eddc428c	test-56f35eddc428c	155104	232656	\N	4
1589	1595	test-56f35eddc7c43	test-56f35eddc7c43	132388	132388	\N	4
1590	1596	test-56f35eddcb51e	test-56f35eddcb51e	24391	24391	\N	5
1591	1597	test-56f35eddcf9a5	test-56f35eddcf9a5	155376	155376	\N	2
1592	1598	test-56f35eddd3739	test-56f35eddd3739	67429	67429	\N	4
1593	1599	test-56f35eddd7941	test-56f35eddd7941	64480	64480	\N	4
1594	1600	test-56f35edddb325	test-56f35edddb325	114472	114472	\N	2
1595	1601	test-56f35edddef4d	test-56f35edddef4d	52416	52416	\N	5
1596	1602	test-56f35edde2868	test-56f35edde2868	74740	74740	\N	5
1597	1603	test-56f35edde6110	test-56f35edde6110	140335	252603	\N	1
1598	1604	test-56f35edde9c70	test-56f35edde9c70	5142	7198.80000000000018	\N	2
1599	1605	test-56f35eddeee62	test-56f35eddeee62	32801	32801	\N	2
1600	1606	test-56f35eddf40f0	test-56f35eddf40f0	100147	100147	\N	1
1601	1607	test-56f35ede0410e	test-56f35ede0410e	10870	10870	\N	4
1602	1608	test-56f35ede0a18b	test-56f35ede0a18b	185946	185946	\N	1
1603	1609	test-56f35ede0f9c3	test-56f35ede0f9c3	132385	158862	\N	4
1604	1610	test-56f35ede13580	test-56f35ede13580	198146	356662.799999999988	\N	5
1605	1611	test-56f35ede16960	test-56f35ede16960	98007	137209.799999999988	\N	4
1606	1612	test-56f35ede1a0bc	test-56f35ede1a0bc	53153	53153	\N	3
1607	1613	test-56f35ede1d718	test-56f35ede1d718	107060	128472	\N	1
1608	1614	test-56f35ede22d1a	test-56f35ede22d1a	169013	169013	\N	4
1609	1615	test-56f35ede27fd7	test-56f35ede27fd7	101349	162158.399999999994	\N	4
1610	1616	test-56f35ede2c01c	test-56f35ede2c01c	113690	193273	\N	1
1611	1617	test-56f35ede34073	test-56f35ede34073	188691	188691	\N	5
1612	1618	test-56f35ede377ee	test-56f35ede377ee	150541	150541	\N	3
1613	1619	test-56f35ede3b01d	test-56f35ede3b01d	88674	115276.199999999997	\N	4
1614	1620	test-56f35ede3f0d2	test-56f35ede3f0d2	199676	339449.200000000012	\N	3
1615	1621	test-56f35ede42b78	test-56f35ede42b78	12436	12436	\N	1
1616	1622	test-56f35ede461a9	test-56f35ede461a9	28878	28878	\N	5
1617	1623	test-56f35ede49848	test-56f35ede49848	36905	36905	\N	4
1618	1624	test-56f35ede4cc1c	test-56f35ede4cc1c	10778	10778	\N	2
1619	1625	test-56f35ede53e94	test-56f35ede53e94	93226	93226	\N	4
1620	1626	test-56f35ede575fb	test-56f35ede575fb	58047	58047	\N	4
1621	1627	test-56f35ede5ac0f	test-56f35ede5ac0f	17102	23942.7999999999993	\N	5
1622	1628	test-56f35edea46f2	test-56f35edea46f2	92561	120329.300000000003	\N	4
1623	1629	test-56f35edead3db	test-56f35edead3db	153819	261492.299999999988	\N	4
1624	1630	test-56f35edeb0da8	test-56f35edeb0da8	118526	118526	\N	4
1625	1631	test-56f35edeb4e8b	test-56f35edeb4e8b	45610	77537	\N	1
1626	1632	test-56f35edeb8c5f	test-56f35edeb8c5f	159850	207805	\N	5
1627	1633	test-56f35edebce76	test-56f35edebce76	133085	199627.5	\N	3
1628	1634	test-56f35edec0206	test-56f35edec0206	152273	228409.5	\N	3
1629	1635	test-56f35edec7558	test-56f35edec7558	33207	33207	\N	2
1630	1636	test-56f35edecaefd	test-56f35edecaefd	117133	117133	\N	5
1631	1637	test-56f35edece4c5	test-56f35edece4c5	48989	48989	\N	4
1632	1638	test-56f35eded1ceb	test-56f35eded1ceb	11104	11104	\N	4
1633	1639	test-56f35eded56d9	test-56f35eded56d9	157823	157823	\N	1
1634	1640	test-56f35eded8e26	test-56f35eded8e26	20315	20315	\N	4
1635	1641	test-56f35ededc2ef	test-56f35ededc2ef	39054	39054	\N	3
1636	1642	test-56f35edee3b65	test-56f35edee3b65	164858	164858	\N	3
1637	1643	test-56f35edee8b9d	test-56f35edee8b9d	182305	182305	\N	4
1638	1644	test-56f35edeecf16	test-56f35edeecf16	61146	67260.6000000000058	\N	5
1639	1645	test-56f35edef2e18	test-56f35edef2e18	128179	153814.799999999988	\N	3
1640	1646	test-56f35edf03362	test-56f35edf03362	97089	97089	\N	5
1641	1647	test-56f35edf06e9b	test-56f35edf06e9b	60724	109303.199999999997	\N	4
1642	1648	test-56f35edf0bd53	test-56f35edf0bd53	161324	161324	\N	3
1643	1649	test-56f35edf15798	test-56f35edf15798	29934	29934	\N	5
1644	1650	test-56f35edf1bc99	test-56f35edf1bc99	97670	146505	\N	5
1645	1651	test-56f35edf1f8c2	test-56f35edf1f8c2	10843	10843	\N	2
1646	1652	test-56f35edf238b1	test-56f35edf238b1	188502	188502	\N	1
1647	1653	test-56f35edf27f03	test-56f35edf27f03	43664	82961.6000000000058	\N	1
1648	1654	test-56f35edf2ffd7	test-56f35edf2ffd7	91610	91610	\N	5
1649	1655	test-56f35edf37f6a	test-56f35edf37f6a	150105	150105	\N	5
1650	1656	test-56f35edf3cece	test-56f35edf3cece	120897	120897	\N	3
1651	1657	test-56f35edf40746	test-56f35edf40746	72657	72657	\N	2
1652	1658	test-56f35edf43e72	test-56f35edf43e72	7515	7515	\N	4
1653	1659	test-56f35edf47b3c	test-56f35edf47b3c	62911	62911	\N	5
1654	1660	test-56f35edf4b495	test-56f35edf4b495	98637	98637	\N	4
1655	1661	test-56f35edf4f203	test-56f35edf4f203	50753	55828.3000000000029	\N	1
1656	1662	test-56f35edf52435	test-56f35edf52435	181955	272932.5	\N	5
1657	1663	test-56f35edf560a1	test-56f35edf560a1	95811	95811	\N	5
1658	1664	test-56f35edf59469	test-56f35edf59469	124841	124841	\N	3
1659	1665	test-56f35edf5f024	test-56f35edf5f024	14882	26787.5999999999985	\N	4
1660	1666	test-56f35edf62ac4	test-56f35edf62ac4	38854	46624.8000000000029	\N	4
1661	1667	test-56f35edfc2850	test-56f35edfc2850	67287	74015.6999999999971	\N	4
1662	1668	test-56f35edfc8d40	test-56f35edfc8d40	190444	190444	\N	4
1663	1669	test-56f35edfd1f31	test-56f35edfd1f31	60570	60570	\N	1
1664	1670	test-56f35edfd5c90	test-56f35edfd5c90	95062	95062	\N	1
1665	1671	test-56f35edfd9827	test-56f35edfd9827	70542	70542	\N	3
1666	1672	test-56f35edfdd2da	test-56f35edfdd2da	63012	69313.1999999999971	\N	5
1667	1673	test-56f35edfe0c06	test-56f35edfe0c06	190291	361552.900000000023	\N	2
1668	1674	test-56f35edfe8e27	test-56f35edfe8e27	71315	71315	\N	2
1669	1675	test-56f35edfeddc2	test-56f35edfeddc2	79756	87731.6000000000058	\N	1
1670	1676	test-56f35ee000c12	test-56f35ee000c12	123224	160191.200000000012	\N	2
1671	1677	test-56f35ee00593b	test-56f35ee00593b	4994	6991.60000000000036	\N	2
1672	1678	test-56f35ee0097eb	test-56f35ee0097eb	178291	178291	\N	3
1673	1679	test-56f35ee00d4ff	test-56f35ee00d4ff	180702	234912.600000000006	\N	5
1674	1680	test-56f35ee010c99	test-56f35ee010c99	28615	28615	\N	5
1675	1681	test-56f35ee0146e7	test-56f35ee0146e7	197202	197202	\N	2
1676	1682	test-56f35ee01821a	test-56f35ee01821a	87969	167141.100000000006	\N	3
1677	1683	test-56f35ee01bbc1	test-56f35ee01bbc1	69051	69051	\N	2
1678	1684	test-56f35ee01f678	test-56f35ee01f678	198843	198843	\N	5
1679	1685	test-56f35ee02868a	test-56f35ee02868a	171341	342682	\N	3
1680	1686	test-56f35ee031f6e	test-56f35ee031f6e	16504	23105.5999999999985	\N	4
1681	1687	test-56f35ee03b391	test-56f35ee03b391	124345	124345	\N	2
1682	1688	test-56f35ee044323	test-56f35ee044323	11810	11810	\N	2
1683	1689	test-56f35ee0486ac	test-56f35ee0486ac	77263	77263	\N	3
1684	1690	test-56f35ee050d0c	test-56f35ee050d0c	68862	75748.1999999999971	\N	1
1685	1691	test-56f35ee05536a	test-56f35ee05536a	14549	14549	\N	5
1686	1692	test-56f35ee05ce36	test-56f35ee05ce36	40857	40857	\N	5
1687	1693	test-56f35ee06441f	test-56f35ee06441f	139957	139957	\N	3
1688	1694	test-56f35ee06c663	test-56f35ee06c663	31642	31642	\N	2
1689	1695	test-56f35ee07169a	test-56f35ee07169a	127214	127214	\N	3
1690	1696	test-56f35ee07a1f7	test-56f35ee07a1f7	8694	8694	\N	1
1691	1697	test-56f35ee08076d	test-56f35ee08076d	180688	180688	\N	5
1692	1698	test-56f35ee085997	test-56f35ee085997	52971	52971	\N	5
1693	1699	test-56f35ee08ec8f	test-56f35ee08ec8f	194321	194321	\N	4
1694	1700	test-56f35ee09384f	test-56f35ee09384f	171181	171181	\N	3
1695	1701	test-56f35ee098a04	test-56f35ee098a04	98299	98299	\N	1
1696	1702	test-56f35ee0a0818	test-56f35ee0a0818	177066	247892.399999999994	\N	3
1697	1703	test-56f35ee0a6a4d	test-56f35ee0a6a4d	152838	152838	\N	5
1698	1704	test-56f35ee0ad98d	test-56f35ee0ad98d	93661	93661	\N	2
1699	1705	test-56f35ee0f36b4	test-56f35ee0f36b4	65832	65832	\N	3
1700	1706	test-56f35ee106e40	test-56f35ee106e40	67838	67838	\N	5
1701	1707	test-56f35ee13b466	test-56f35ee13b466	20844	31266	\N	4
1702	1708	test-56f35ee146fdb	test-56f35ee146fdb	184610	184610	\N	3
1703	1709	test-56f35ee150e08	test-56f35ee150e08	42452	42452	\N	3
1704	1710	test-56f35ee15c079	test-56f35ee15c079	84022	84022	\N	3
1705	1711	test-56f35ee161ba8	test-56f35ee161ba8	195413	195413	\N	1
1706	1712	test-56f35ee16b756	test-56f35ee16b756	171608	291733.599999999977	\N	2
1707	1713	test-56f35ee170d08	test-56f35ee170d08	30253	30253	\N	4
1708	1714	test-56f35ee174514	test-56f35ee174514	1149	1149	\N	5
1709	1715	test-56f35ee177c4a	test-56f35ee177c4a	180618	180618	\N	4
1710	1716	test-56f35ee17ba1a	test-56f35ee17ba1a	71827	71827	\N	5
1711	1717	test-56f35ee17f93d	test-56f35ee17f93d	196500	196500	\N	4
1712	1718	test-56f35ee182dbe	test-56f35ee182dbe	116829	116829	\N	1
1713	1719	test-56f35ee18673f	test-56f35ee18673f	47765	47765	\N	1
1714	1720	test-56f35ee189e5d	test-56f35ee189e5d	11257	14634.1000000000004	\N	2
1715	1721	test-56f35ee1934f8	test-56f35ee1934f8	126860	126860	\N	2
1716	1722	test-56f35ee196e39	test-56f35ee196e39	97170	97170	\N	1
1717	1723	test-56f35ee19a99c	test-56f35ee19a99c	58162	58162	\N	3
1718	1724	test-56f35ee19e14b	test-56f35ee19e14b	2127	2127	\N	5
1719	1725	test-56f35ee1a1eae	test-56f35ee1a1eae	190269	190269	\N	3
1720	1726	test-56f35ee1a5791	test-56f35ee1a5791	124648	124648	\N	4
1721	1727	test-56f35ee1a8bc8	test-56f35ee1a8bc8	179554	179554	\N	3
1722	1728	test-56f35ee1b3843	test-56f35ee1b3843	71546	135937.399999999994	\N	3
1723	1729	test-56f35ee1b7692	test-56f35ee1b7692	79347	79347	\N	4
1724	1730	test-56f35ee1bc2b1	test-56f35ee1bc2b1	58503	105305.399999999994	\N	4
1725	1731	test-56f35ee1c00d6	test-56f35ee1c00d6	47995	47995	\N	2
1726	1732	test-56f35ee1c3f87	test-56f35ee1c3f87	19510	19510	\N	5
1727	1733	test-56f35ee1c747d	test-56f35ee1c747d	184640	184640	\N	3
1728	1734	test-56f35ee1cb087	test-56f35ee1cb087	128084	128084	\N	3
1729	1735	test-56f35ee1ce466	test-56f35ee1ce466	98147	98147	\N	1
1730	1736	test-56f35ee1d1cab	test-56f35ee1d1cab	76245	76245	\N	4
1731	1737	test-56f35ee1d543e	test-56f35ee1d543e	45226	72361.6000000000058	\N	1
1732	1738	test-56f35ee1d8e85	test-56f35ee1d8e85	38979	38979	\N	3
1733	1739	test-56f35ee1e0fc7	test-56f35ee1e0fc7	100091	100091	\N	3
1734	1740	test-56f35ee1e4bac	test-56f35ee1e4bac	167331	167331	\N	5
1735	1741	test-56f35ee1e84cf	test-56f35ee1e84cf	137406	137406	\N	4
1736	1742	test-56f35ee1eb88b	test-56f35ee1eb88b	8986	8986	\N	5
1737	1743	test-56f35ee1f18fe	test-56f35ee1f18fe	12022	16830.7999999999993	\N	5
1738	1744	test-56f35ee26c26e	test-56f35ee26c26e	165830	232162	\N	3
1739	1745	test-56f35ee27239e	test-56f35ee27239e	197536	197536	\N	2
1740	1746	test-56f35ee276b68	test-56f35ee276b68	91590	91590	\N	2
1741	1747	test-56f35ee27a606	test-56f35ee27a606	26987	26987	\N	1
1742	1748	test-56f35ee27e194	test-56f35ee27e194	123426	160453.799999999988	\N	2
1743	1749	test-56f35ee282506	test-56f35ee282506	53555	53555	\N	5
1744	1750	test-56f35ee286e66	test-56f35ee286e66	63380	63380	\N	1
1745	1751	test-56f35ee28abdd	test-56f35ee28abdd	162666	195199.200000000012	\N	1
1746	1752	test-56f35ee28ec20	test-56f35ee28ec20	4417	8392.29999999999927	\N	3
1747	1753	test-56f35ee29246d	test-56f35ee29246d	51094	76641	\N	3
1748	1754	test-56f35ee295d6f	test-56f35ee295d6f	20553	20553	\N	3
1749	1755	test-56f35ee29914d	test-56f35ee29914d	191536	248996.799999999988	\N	4
1750	1756	test-56f35ee29cb3d	test-56f35ee29cb3d	75637	121019.199999999997	\N	1
1751	1757	test-56f35ee2a0061	test-56f35ee2a0061	198857	198857	\N	3
1752	1758	test-56f35ee2a6a8a	test-56f35ee2a6a8a	25119	25119	\N	5
1753	1759	test-56f35ee2ab84f	test-56f35ee2ab84f	198854	198854	\N	3
1754	1760	test-56f35ee2b2b6c	test-56f35ee2b2b6c	35267	35267	\N	2
1755	1761	test-56f35ee2b764e	test-56f35ee2b764e	139689	139689	\N	3
1756	1762	test-56f35ee2bc19a	test-56f35ee2bc19a	101120	111232	\N	3
1757	1763	test-56f35ee2bf663	test-56f35ee2bf663	69631	69631	\N	1
1758	1764	test-56f35ee2c3075	test-56f35ee2c3075	145287	145287	\N	5
1759	1765	test-56f35ee2c7113	test-56f35ee2c7113	61601	61601	\N	4
1760	1766	test-56f35ee2ca955	test-56f35ee2ca955	82910	82910	\N	5
1761	1767	test-56f35ee2cdee9	test-56f35ee2cdee9	190292	190292	\N	2
1762	1768	test-56f35ee2d18dd	test-56f35ee2d18dd	64172	64172	\N	3
1763	1769	test-56f35ee2d4ed9	test-56f35ee2d4ed9	142106	170527.200000000012	\N	3
1764	1770	test-56f35ee2d88cf	test-56f35ee2d88cf	16522	16522	\N	2
1765	1771	test-56f35ee2de903	test-56f35ee2de903	68176	68176	\N	5
1766	1772	test-56f35ee2e3e89	test-56f35ee2e3e89	58105	58105	\N	3
1767	1773	test-56f35ee2e7b78	test-56f35ee2e7b78	170758	170758	\N	4
1768	1774	test-56f35ee2ef4fa	test-56f35ee2ef4fa	165056	165056	\N	3
1769	1775	test-56f35ee2f2d9b	test-56f35ee2f2d9b	28941	28941	\N	5
1770	1776	test-56f35ee305add	test-56f35ee305add	169218	169218	\N	3
1771	1777	test-56f35ee30ba3e	test-56f35ee30ba3e	190751	190751	\N	4
1772	1778	test-56f35ee312c25	test-56f35ee312c25	104166	104166	\N	3
1773	1779	test-56f35ee317d9b	test-56f35ee317d9b	140555	140555	\N	2
1774	1780	test-56f35ee31f038	test-56f35ee31f038	186598	186598	\N	3
1775	1781	test-56f35ee32706d	test-56f35ee32706d	33817	33817	\N	1
1776	1782	test-56f35ee401377	test-56f35ee401377	89663	98629.3000000000029	\N	1
1777	1783	test-56f35ee416534	test-56f35ee416534	155625	155625	\N	1
1778	1784	test-56f35ee422594	test-56f35ee422594	102389	102389	\N	5
1779	1785	test-56f35ee4281ee	test-56f35ee4281ee	113005	180808	\N	1
1780	1786	test-56f35ee434be4	test-56f35ee434be4	44225	44225	\N	3
1781	1787	test-56f35ee43f9c4	test-56f35ee43f9c4	48300	53130	\N	5
1782	1788	test-56f35ee454c75	test-56f35ee454c75	161286	209671.799999999988	\N	1
1783	1789	test-56f35ee45ec14	test-56f35ee45ec14	25737	25737	\N	3
1784	1790	test-56f35ee468a82	test-56f35ee468a82	168648	168648	\N	1
1785	1791	test-56f35ee47af11	test-56f35ee47af11	148038	236860.799999999988	\N	5
1786	1792	test-56f35ee484def	test-56f35ee484def	29215	29215	\N	1
1787	1793	test-56f35ee492218	test-56f35ee492218	174580	174580	\N	5
1788	1794	test-56f35ee4a7ada	test-56f35ee4a7ada	26105	39157.5	\N	1
1789	1795	test-56f35ee4b1abe	test-56f35ee4b1abe	67889	67889	\N	2
1790	1796	test-56f35ee4be225	test-56f35ee4be225	196131	196131	\N	5
1791	1797	test-56f35ee4c6a11	test-56f35ee4c6a11	187884	225460.799999999988	\N	1
1792	1798	test-56f35ee4d10ae	test-56f35ee4d10ae	166005	166005	\N	4
1793	1799	test-56f35ee4dbf6c	test-56f35ee4dbf6c	54508	54508	\N	5
1794	1800	test-56f35ee4e18c1	test-56f35ee4e18c1	66006	79207.1999999999971	\N	3
1795	1801	test-56f35ee4e931c	test-56f35ee4e931c	24483	24483	\N	4
1796	1802	test-56f35ee4ed6d1	test-56f35ee4ed6d1	166799	166799	\N	5
1797	1803	test-56f35ee4f3f1d	test-56f35ee4f3f1d	43444	43444	\N	3
1798	1804	test-56f35ee505b07	test-56f35ee505b07	139703	209554.5	\N	5
1799	1805	test-56f35ee50dd74	test-56f35ee50dd74	65121	65121	\N	1
1800	1806	test-56f35ee515ab6	test-56f35ee515ab6	29048	29048	\N	1
1801	1807	test-56f35ee51a7b8	test-56f35ee51a7b8	191171	267639.400000000023	\N	4
1802	1808	test-56f35ee51e3ce	test-56f35ee51e3ce	786	786	\N	5
1803	1809	test-56f35ee521fc3	test-56f35ee521fc3	71019	71019	\N	4
1804	1810	test-56f35ee525aa6	test-56f35ee525aa6	176995	176995	\N	2
1805	1811	test-56f35ee52a7d4	test-56f35ee52a7d4	65323	65323	\N	2
1806	1812	test-56f35ee52df22	test-56f35ee52df22	118439	118439	\N	2
1807	1813	test-56f35ee531be5	test-56f35ee531be5	48255	48255	\N	5
1808	1814	test-56f35ee535484	test-56f35ee535484	19657	19657	\N	5
1809	1815	test-56f35ee53de56	test-56f35ee53de56	139461	139461	\N	2
1810	1816	test-56f35ee542826	test-56f35ee542826	42918	42918	\N	5
1811	1817	test-56f35ee546d5f	test-56f35ee546d5f	105735	105735	\N	1
1812	1818	test-56f35ee54a4c0	test-56f35ee54a4c0	48558	48558	\N	3
1813	1819	test-56f35ee54daa2	test-56f35ee54daa2	122176	122176	\N	1
1814	1820	test-56f35ee551333	test-56f35ee551333	23457	35185.5	\N	2
1815	1821	test-56f35ee59d182	test-56f35ee59d182	140223	140223	\N	5
1816	1822	test-56f35ee5a1124	test-56f35ee5a1124	54523	92689.1000000000058	\N	5
1817	1823	test-56f35ee5a50b0	test-56f35ee5a50b0	118677	118677	\N	3
1818	1824	test-56f35ee5a9747	test-56f35ee5a9747	61098	97756.8000000000029	\N	4
1819	1825	test-56f35ee5ad0f0	test-56f35ee5ad0f0	73752	73752	\N	4
1820	1826	test-56f35ee5b0b66	test-56f35ee5b0b66	195674	195674	\N	4
1821	1827	test-56f35ee5b48a5	test-56f35ee5b48a5	176954	300821.799999999988	\N	1
1822	1828	test-56f35ee5b9245	test-56f35ee5b9245	64605	64605	\N	1
1823	1829	test-56f35ee5beaf0	test-56f35ee5beaf0	130426	130426	\N	3
1824	1830	test-56f35ee5c38a5	test-56f35ee5c38a5	170645	187709.5	\N	3
1825	1831	test-56f35ee5cbc58	test-56f35ee5cbc58	197277	197277	\N	3
1826	1832	test-56f35ee5d024d	test-56f35ee5d024d	186866	298985.599999999977	\N	3
1827	1833	test-56f35ee5d79c8	test-56f35ee5d79c8	8040	8040	\N	4
1828	1834	test-56f35ee5de7fa	test-56f35ee5de7fa	104605	125526	\N	4
1829	1835	test-56f35ee5e230b	test-56f35ee5e230b	193787	213165.700000000012	\N	2
1830	1836	test-56f35ee5e595a	test-56f35ee5e595a	131983	131983	\N	2
1831	1837	test-56f35ee5eb22b	test-56f35ee5eb22b	178045	178045	\N	5
1832	1838	test-56f35ee5ef346	test-56f35ee5ef346	23799	23799	\N	2
1833	1839	test-56f35ee5f329c	test-56f35ee5f329c	96076	96076	\N	1
1834	1840	test-56f35ee602972	test-56f35ee602972	22971	22971	\N	5
1835	1841	test-56f35ee605f26	test-56f35ee605f26	74852	74852	\N	4
1836	1842	test-56f35ee609550	test-56f35ee609550	146489	146489	\N	2
1837	1843	test-56f35ee60dd50	test-56f35ee60dd50	183053	183053	\N	4
1838	1844	test-56f35ee613e66	test-56f35ee613e66	49284	49284	\N	4
1839	1845	test-56f35ee617958	test-56f35ee617958	167600	167600	\N	2
1840	1846	test-56f35ee61cc9e	test-56f35ee61cc9e	150579	150579	\N	4
1841	1847	test-56f35ee621497	test-56f35ee621497	45251	45251	\N	2
1842	1848	test-56f35ee6253c8	test-56f35ee6253c8	50023	70032.1999999999971	\N	2
1843	1849	test-56f35ee629223	test-56f35ee629223	27899	27899	\N	3
1844	1850	test-56f35ee62cf71	test-56f35ee62cf71	2326	2326	\N	2
1845	1851	test-56f35ee6343b9	test-56f35ee6343b9	44880	44880	\N	4
1846	1852	test-56f35ee63bfa2	test-56f35ee63bfa2	150089	150089	\N	5
1847	1853	test-56f35ee640ee0	test-56f35ee640ee0	192	192	\N	5
1848	1854	test-56f35ee644a76	test-56f35ee644a76	114792	114792	\N	5
1849	1855	test-56f35ee6486a3	test-56f35ee6486a3	78438	94125.6000000000058	\N	5
1850	1856	test-56f35ee65180e	test-56f35ee65180e	92183	92183	\N	5
1851	1857	test-56f35ee6556b9	test-56f35ee6556b9	93630	93630	\N	3
1852	1858	test-56f35ee6593c2	test-56f35ee6593c2	121393	121393	\N	1
1853	1859	test-56f35ee6dcf30	test-56f35ee6dcf30	29712	50510.4000000000015	\N	5
1854	1860	test-56f35ee6e0e08	test-56f35ee6e0e08	197659	197659	\N	1
1855	1861	test-56f35ee6ee241	test-56f35ee6ee241	50096	50096	\N	4
1856	1862	test-56f35ee6f2f8b	test-56f35ee6f2f8b	125572	163243.600000000006	\N	5
1857	1863	test-56f35ee703bb6	test-56f35ee703bb6	44809	67213.5	\N	4
1858	1864	test-56f35ee708cc1	test-56f35ee708cc1	185957	185957	\N	4
1859	1865	test-56f35ee70ce7a	test-56f35ee70ce7a	4534	4534	\N	4
1860	1866	test-56f35ee742809	test-56f35ee742809	126775	126775	\N	1
1861	1867	test-56f35ee7465fc	test-56f35ee7465fc	174713	227126.899999999994	\N	3
1862	1868	test-56f35ee749e26	test-56f35ee749e26	161196	161196	\N	3
1863	1869	test-56f35ee74ddd9	test-56f35ee74ddd9	156967	156967	\N	5
1864	1870	test-56f35ee7515d9	test-56f35ee7515d9	97052	97052	\N	5
1865	1871	test-56f35ee7554fa	test-56f35ee7554fa	62680	119092	\N	3
1866	1872	test-56f35ee75a390	test-56f35ee75a390	128555	231399	\N	3
1867	1873	test-56f35ee75dd12	test-56f35ee75dd12	38728	54219.1999999999971	\N	3
1868	1874	test-56f35ee761831	test-56f35ee761831	184179	184179	\N	2
1869	1875	test-56f35ee765477	test-56f35ee765477	70929	70929	\N	3
1870	1876	test-56f35ee768e0f	test-56f35ee768e0f	170880	170880	\N	5
1871	1877	test-56f35ee76c6b0	test-56f35ee76c6b0	108396	108396	\N	4
1872	1878	test-56f35ee770117	test-56f35ee770117	101259	101259	\N	1
1873	1879	test-56f35ee77386c	test-56f35ee77386c	146172	146172	\N	1
1874	1880	test-56f35ee7792a0	test-56f35ee7792a0	71215	71215	\N	2
1875	1881	test-56f35ee77d1fc	test-56f35ee77d1fc	96451	96451	\N	1
1876	1882	test-56f35ee7811c1	test-56f35ee7811c1	188130	225756	\N	1
1877	1883	test-56f35ee7857f8	test-56f35ee7857f8	100847	131101.100000000006	\N	5
1878	1884	test-56f35ee78a3ef	test-56f35ee78a3ef	64951	97426.5	\N	4
1879	1885	test-56f35ee78eb66	test-56f35ee78eb66	32114	38536.8000000000029	\N	5
1880	1886	test-56f35ee795474	test-56f35ee795474	127941	127941	\N	1
1881	1887	test-56f35ee7994a9	test-56f35ee7994a9	7797	7797	\N	1
1882	1888	test-56f35ee79cd54	test-56f35ee79cd54	43501	43501	\N	1
1883	1889	test-56f35ee7a0aa4	test-56f35ee7a0aa4	103014	103014	\N	3
1884	1890	test-56f35ee7a5bb1	test-56f35ee7a5bb1	113429	113429	\N	5
1885	1891	test-56f35ee7a961d	test-56f35ee7a961d	183410	183410	\N	2
1886	1892	test-56f35ee7ad72c	test-56f35ee7ad72c	71872	71872	\N	1
1887	1893	test-56f35ee7b1084	test-56f35ee7b1084	191767	383534	\N	1
1888	1894	test-56f35ee7b59a1	test-56f35ee7b59a1	37939	37939	\N	3
1889	1895	test-56f35ee7b964d	test-56f35ee7b964d	198868	198868	\N	2
1890	1896	test-56f35ee7bd151	test-56f35ee7bd151	165252	165252	\N	4
1891	1897	test-56f35ee7c0ad7	test-56f35ee7c0ad7	38631	42494.0999999999985	\N	3
1892	1898	test-56f35ee81bae8	test-56f35ee81bae8	61354	61354	\N	1
1893	1899	test-56f35ee81fef0	test-56f35ee81fef0	39733	59599.5	\N	4
1894	1900	test-56f35ee84c198	test-56f35ee84c198	87327	96059.6999999999971	\N	4
1895	1901	test-56f35ee86623f	test-56f35ee86623f	37678	75356	\N	2
1896	1902	test-56f35ee86b7a2	test-56f35ee86b7a2	136663	136663	\N	1
1897	1903	test-56f35ee874306	test-56f35ee874306	56014	56014	\N	5
1898	1904	test-56f35ee878547	test-56f35ee878547	58948	58948	\N	4
1899	1905	test-56f35ee87ebc0	test-56f35ee87ebc0	45259	45259	\N	3
1900	1906	test-56f35ee8864a3	test-56f35ee8864a3	165502	264803.200000000012	\N	5
1901	1907	test-56f35ee88a36e	test-56f35ee88a36e	172985	172985	\N	4
1902	1908	test-56f35ee88e802	test-56f35ee88e802	59795	59795	\N	5
1903	1909	test-56f35ee8927c6	test-56f35ee8927c6	29561	29561	\N	3
1904	1910	test-56f35ee8962c7	test-56f35ee8962c7	111919	167878.5	\N	2
1905	1911	test-56f35ee899813	test-56f35ee899813	159860	159860	\N	3
1906	1912	test-56f35ee89d2f9	test-56f35ee89d2f9	116125	174187.5	\N	4
1907	1913	test-56f35ee8a0a0b	test-56f35ee8a0a0b	110827	110827	\N	1
1908	1914	test-56f35ee8a4425	test-56f35ee8a4425	143300	157630	\N	5
1909	1915	test-56f35ee8a7814	test-56f35ee8a7814	187934	187934	\N	3
1910	1916	test-56f35ee8adf94	test-56f35ee8adf94	9405	17869.5	\N	1
1911	1917	test-56f35ee8b18a6	test-56f35ee8b18a6	105942	105942	\N	5
1912	1918	test-56f35ee8b66c3	test-56f35ee8b66c3	156067	156067	\N	3
1913	1919	test-56f35ee8ba781	test-56f35ee8ba781	41244	41244	\N	5
1914	1920	test-56f35ee8bdc34	test-56f35ee8bdc34	64716	64716	\N	3
1915	1921	test-56f35ee8c17ba	test-56f35ee8c17ba	133063	133063	\N	2
1916	1922	test-56f35ee8c4dc9	test-56f35ee8c4dc9	40672	40672	\N	3
1917	1923	test-56f35ee8c9228	test-56f35ee8c9228	92070	92070	\N	1
1918	1924	test-56f35ee8cf0e5	test-56f35ee8cf0e5	117011	210619.799999999988	\N	5
1919	1925	test-56f35ee8d2ca7	test-56f35ee8d2ca7	108679	108679	\N	3
1920	1926	test-56f35ee8d893d	test-56f35ee8d893d	15683	15683	\N	4
1921	1927	test-56f35ee8dc061	test-56f35ee8dc061	117955	117955	\N	2
1922	1928	test-56f35ee8df8bc	test-56f35ee8df8bc	139109	139109	\N	2
1923	1929	test-56f35ee8e2d59	test-56f35ee8e2d59	173952	173952	\N	1
1924	1930	test-56f35ee8e6567	test-56f35ee8e6567	35506	35506	\N	5
1925	1931	test-56f35ee8e9b81	test-56f35ee8e9b81	10541	10541	\N	4
1926	1932	test-56f35ee902a3d	test-56f35ee902a3d	24010	24010	\N	4
1927	1933	test-56f35ee90693f	test-56f35ee90693f	100818	100818	\N	5
1928	1934	test-56f35ee90a7ca	test-56f35ee90a7ca	88125	88125	\N	1
1929	1935	test-56f35ee90e2ee	test-56f35ee90e2ee	173383	173383	\N	4
1930	1936	test-56f35ee96c1a8	test-56f35ee96c1a8	59666	89499	\N	5
1931	1937	test-56f35ee9b6441	test-56f35ee9b6441	93886	93886	\N	5
1932	1938	test-56f35ee9baa6c	test-56f35ee9baa6c	87903	87903	\N	5
1933	1939	test-56f35ee9c1cda	test-56f35ee9c1cda	195969	195969	\N	2
1934	1940	test-56f35ee9c54b0	test-56f35ee9c54b0	92983	92983	\N	4
1935	1941	test-56f35ee9ccac2	test-56f35ee9ccac2	58840	88260	\N	4
1936	1942	test-56f35ee9d1958	test-56f35ee9d1958	166521	266433.599999999977	\N	3
1937	1943	test-56f35ee9d8168	test-56f35ee9d8168	64759	103614.399999999994	\N	1
1938	1944	test-56f35ee9dc2ca	test-56f35ee9dc2ca	16309	21201.7000000000007	\N	5
1939	1945	test-56f35ee9e044c	test-56f35ee9e044c	102796	113075.600000000006	\N	1
1940	1946	test-56f35ee9e3d46	test-56f35ee9e3d46	17921	17921	\N	4
1941	1947	test-56f35ee9e76d9	test-56f35ee9e76d9	89292	89292	\N	2
1942	1948	test-56f35ee9eb484	test-56f35ee9eb484	196385	294577.5	\N	2
1943	1949	test-56f35ee9eee6b	test-56f35ee9eee6b	78566	117849	\N	5
1944	1950	test-56f35ee9f2ae4	test-56f35ee9f2ae4	23603	25963.2999999999993	\N	3
1945	1951	test-56f35eea05fcb	test-56f35eea05fcb	125872	138459.200000000012	\N	5
1946	1952	test-56f35eea28223	test-56f35eea28223	147435	235896	\N	2
1947	1953	test-56f35eea57ec5	test-56f35eea57ec5	50680	50680	\N	5
1948	1954	test-56f35eea5e0fa	test-56f35eea5e0fa	62478	62478	\N	4
1949	1955	test-56f35eea69b1f	test-56f35eea69b1f	126249	126249	\N	3
1950	1956	test-56f35eea7e2a4	test-56f35eea7e2a4	25891	25891	\N	4
1951	1957	test-56f35eea837dd	test-56f35eea837dd	110582	110582	\N	1
1952	1958	test-56f35eea878a1	test-56f35eea878a1	12896	12896	\N	1
1953	1959	test-56f35eea8b3f6	test-56f35eea8b3f6	41103	41103	\N	5
1954	1960	test-56f35eea8ec6d	test-56f35eea8ec6d	143832	143832	\N	5
1955	1961	test-56f35eea925c3	test-56f35eea925c3	36952	36952	\N	5
1956	1962	test-56f35eea966db	test-56f35eea966db	145476	145476	\N	5
1957	1963	test-56f35eea99e49	test-56f35eea99e49	171129	171129	\N	4
1958	1964	test-56f35eea9d44a	test-56f35eea9d44a	120222	120222	\N	4
1959	1965	test-56f35eeaa0ef4	test-56f35eeaa0ef4	90736	90736	\N	5
1960	1966	test-56f35eeaa4567	test-56f35eeaa4567	144281	201993.399999999994	\N	4
1961	1967	test-56f35eeaaa5eb	test-56f35eeaaa5eb	127113	152535.600000000006	\N	1
1962	1968	test-56f35eeaadc7e	test-56f35eeaadc7e	49667	49667	\N	5
1963	1969	test-56f35eeab26c2	test-56f35eeab26c2	99715	99715	\N	1
1964	1970	test-56f35eeab78c8	test-56f35eeab78c8	40657	40657	\N	1
1965	1971	test-56f35eeac0bbd	test-56f35eeac0bbd	184884	184884	\N	3
1966	1972	test-56f35eeac5ff8	test-56f35eeac5ff8	108223	108223	\N	3
1967	1973	test-56f35eeac9bc5	test-56f35eeac9bc5	52925	52925	\N	3
1968	1974	test-56f35eeacd194	test-56f35eeacd194	125323	125323	\N	1
1969	1975	test-56f35eeb2beb4	test-56f35eeb2beb4	71386	71386	\N	5
1970	1976	test-56f35eeb304d7	test-56f35eeb304d7	63085	63085	\N	1
1971	1977	test-56f35eeb3452a	test-56f35eeb3452a	2031	2031	\N	2
1972	1978	test-56f35eeb3c0ce	test-56f35eeb3c0ce	40040	64064	\N	5
1973	1979	test-56f35eeb4357d	test-56f35eeb4357d	81736	81736	\N	3
1974	1980	test-56f35eeb4d189	test-56f35eeb4d189	33582	33582	\N	3
1975	1981	test-56f35eeb516f0	test-56f35eeb516f0	91254	91254	\N	3
1976	1982	test-56f35eeb59065	test-56f35eeb59065	61126	61126	\N	4
1977	1983	test-56f35eeb5c8e0	test-56f35eeb5c8e0	186410	372820	\N	2
1978	1984	test-56f35eeb6217d	test-56f35eeb6217d	37867	68160.6000000000058	\N	3
1979	1985	test-56f35eeb68101	test-56f35eeb68101	193189	251145.700000000012	\N	2
1980	1986	test-56f35eeb6f0d6	test-56f35eeb6f0d6	137255	137255	\N	2
1981	1987	test-56f35eeb75695	test-56f35eeb75695	37998	37998	\N	2
1982	1988	test-56f35eeb7a55d	test-56f35eeb7a55d	19023	19023	\N	5
1983	1989	test-56f35eeb7de1d	test-56f35eeb7de1d	36770	51478	\N	1
1984	1990	test-56f35eeb81c2e	test-56f35eeb81c2e	127256	229060.799999999988	\N	4
1985	1991	test-56f35eeb85f3c	test-56f35eeb85f3c	84584	84584	\N	1
1986	1992	test-56f35eeb8d758	test-56f35eeb8d758	10312	12374.3999999999996	\N	1
1987	1993	test-56f35eeb9209c	test-56f35eeb9209c	104025	104025	\N	5
1988	1994	test-56f35eeb96653	test-56f35eeb96653	80629	80629	\N	4
1989	1995	test-56f35eeb9c25e	test-56f35eeb9c25e	72746	72746	\N	5
1990	1996	test-56f35eeba9db8	test-56f35eeba9db8	34024	34024	\N	4
1991	1997	test-56f35eebaf9d4	test-56f35eebaf9d4	128723	128723	\N	3
1992	1998	test-56f35eebbca45	test-56f35eebbca45	26741	26741	\N	2
1993	1999	test-56f35eebc3ce0	test-56f35eebc3ce0	128010	128010	\N	5
1994	2000	test-56f35eebccbcf	test-56f35eebccbcf	30853	30853	\N	1
1995	2001	test-56f35eebd47ea	test-56f35eebd47ea	160087	160087	\N	4
1996	2002	test-56f35eec06570	test-56f35eec06570	58633	58633	\N	3
1997	2003	test-56f35eec0a09d	test-56f35eec0a09d	181991	181991	\N	2
1998	2004	test-56f35eec0dc70	test-56f35eec0dc70	62620	87668	\N	4
1999	2005	test-56f35eec11737	test-56f35eec11737	191619	191619	\N	3
2000	2006	test-56f35eec14c96	test-56f35eec14c96	95804	95804	\N	3
2001	2007	test-56f35eec18137	test-56f35eec18137	47449	47449	\N	4
2002	2008	test-56f35eec1bc67	test-56f35eec1bc67	136470	136470	\N	1
2003	2009	test-56f35eec1f558	test-56f35eec1f558	38726	38726	\N	3
2004	2010	test-56f35eec22bb2	test-56f35eec22bb2	45598	45598	\N	3
2005	2011	test-56f35eec26207	test-56f35eec26207	173468	173468	\N	4
2006	2012	test-56f35eec29a00	test-56f35eec29a00	157761	157761	\N	4
2007	2013	test-56f35eec7abe4	test-56f35eec7abe4	162593	162593	\N	4
2008	2014	test-56f35eec80507	test-56f35eec80507	48778	53655.8000000000029	\N	3
2009	2015	test-56f35eec8521e	test-56f35eec8521e	90517	90517	\N	3
2010	2016	test-56f35eec8c84c	test-56f35eec8c84c	13535	13535	\N	4
2011	2017	test-56f35eec903d0	test-56f35eec903d0	172813	293782.099999999977	\N	3
2012	2018	test-56f35eec937fd	test-56f35eec937fd	12694	12694	\N	5
2013	2019	test-56f35eec96c9f	test-56f35eec96c9f	43745	43745	\N	1
2014	2020	test-56f35eec9e543	test-56f35eec9e543	187519	187519	\N	1
2015	2021	test-56f35eeca23bb	test-56f35eeca23bb	146726	146726	\N	2
2016	2022	test-56f35eeca5795	test-56f35eeca5795	30310	30310	\N	2
2017	2023	test-56f35eeca8f06	test-56f35eeca8f06	184454	368908	\N	4
2018	2024	test-56f35eecac4f1	test-56f35eecac4f1	159884	159884	\N	5
2019	2025	test-56f35eecafca4	test-56f35eecafca4	82125	156037.5	\N	1
2020	2026	test-56f35eecb4a1f	test-56f35eecb4a1f	157458	157458	\N	4
2021	2027	test-56f35eecb86e1	test-56f35eecb86e1	141984	141984	\N	5
2022	2028	test-56f35eecbc17c	test-56f35eecbc17c	171160	171160	\N	5
2023	2029	test-56f35eecbff49	test-56f35eecbff49	147776	192108.799999999988	\N	4
2024	2030	test-56f35eecc57ed	test-56f35eecc57ed	177031	177031	\N	2
2025	2031	test-56f35eecc8c15	test-56f35eecc8c15	87552	87552	\N	5
2026	2032	test-56f35eeccc3b8	test-56f35eeccc3b8	25611	25611	\N	4
2027	2033	test-56f35eeccf87e	test-56f35eeccf87e	41080	65728	\N	5
2028	2034	test-56f35eecd3cde	test-56f35eecd3cde	35794	35794	\N	2
2029	2035	test-56f35eecd8041	test-56f35eecd8041	30457	30457	\N	5
2030	2036	test-56f35eece2d4f	test-56f35eece2d4f	129639	155566.799999999988	\N	1
2031	2037	test-56f35eece6b63	test-56f35eece6b63	14240	22784	\N	3
2032	2038	test-56f35eeceb982	test-56f35eeceb982	75702	136263.600000000006	\N	3
2033	2039	test-56f35eecefb3c	test-56f35eecefb3c	65105	84636.5	\N	5
2034	2040	test-56f35eecf36c4	test-56f35eecf36c4	102133	163412.799999999988	\N	4
2035	2041	test-56f35eed02fa2	test-56f35eed02fa2	125104	125104	\N	5
2036	2042	test-56f35eed06785	test-56f35eed06785	196008	196008	\N	3
2037	2043	test-56f35eed0ea73	test-56f35eed0ea73	17989	17989	\N	1
2038	2044	test-56f35eed13e30	test-56f35eed13e30	141254	141254	\N	4
2039	2045	test-56f35eed17e30	test-56f35eed17e30	136377	259116.299999999988	\N	2
2040	2046	test-56f35eed1cfda	test-56f35eed1cfda	163375	163375	\N	2
2041	2047	test-56f35eed21bd3	test-56f35eed21bd3	28040	28040	\N	4
2042	2048	test-56f35eed3e6dc	test-56f35eed3e6dc	131111	131111	\N	2
2043	2049	test-56f35eed554d3	test-56f35eed554d3	71555	71555	\N	1
2044	2050	test-56f35eed63d7e	test-56f35eed63d7e	159370	254992	\N	1
2045	2051	test-56f35eed684e7	test-56f35eed684e7	77371	77371	\N	2
2046	2052	test-56f35eee0038c	test-56f35eee0038c	84077	84077	\N	4
2047	2053	test-56f35eee0fca1	test-56f35eee0fca1	130957	130957	\N	1
2048	2054	test-56f35eee1412b	test-56f35eee1412b	48697	48697	\N	5
2049	2055	test-56f35eee17823	test-56f35eee17823	172148	258222	\N	5
2050	2056	test-56f35eee21ef4	test-56f35eee21ef4	66539	66539	\N	4
2051	2057	test-56f35eee27e86	test-56f35eee27e86	70511	98715.3999999999942	\N	3
2052	2058	test-56f35eee2c1d4	test-56f35eee2c1d4	188773	264282.200000000012	\N	4
2053	2059	test-56f35eee2fd12	test-56f35eee2fd12	10115	10115	\N	4
2054	2060	test-56f35eee32f42	test-56f35eee32f42	37328	37328	\N	3
2055	2061	test-56f35eee367b9	test-56f35eee367b9	124815	124815	\N	3
2056	2062	test-56f35eee3a014	test-56f35eee3a014	118185	130003.5	\N	3
2057	2063	test-56f35eee3d9d4	test-56f35eee3d9d4	31759	31759	\N	2
2058	2064	test-56f35eee413a1	test-56f35eee413a1	172560	172560	\N	1
2059	2065	test-56f35eee44845	test-56f35eee44845	134740	161688	\N	2
2060	2066	test-56f35eee48138	test-56f35eee48138	41227	41227	\N	5
2061	2067	test-56f35eee4b9dc	test-56f35eee4b9dc	114948	114948	\N	3
2062	2068	test-56f35eee52c8b	test-56f35eee52c8b	168130	168130	\N	4
2063	2069	test-56f35eee5644f	test-56f35eee5644f	95041	95041	\N	2
2064	2070	test-56f35eee5a533	test-56f35eee5a533	107146	117860.600000000006	\N	1
2065	2071	test-56f35eee5dc00	test-56f35eee5dc00	78944	78944	\N	1
2066	2072	test-56f35eee61609	test-56f35eee61609	176549	176549	\N	3
2067	2073	test-56f35eee64e59	test-56f35eee64e59	153415	214781	\N	1
2068	2074	test-56f35eee68698	test-56f35eee68698	35632	35632	\N	3
2069	2075	test-56f35eee6bf06	test-56f35eee6bf06	84691	118567.399999999994	\N	2
2070	2076	test-56f35eee6ff42	test-56f35eee6ff42	15712	15712	\N	3
2071	2077	test-56f35eee79032	test-56f35eee79032	93342	140013	\N	2
2072	2078	test-56f35eee7e1f6	test-56f35eee7e1f6	61112	61112	\N	2
2073	2079	test-56f35eee86c48	test-56f35eee86c48	42919	42919	\N	4
2074	2080	test-56f35eee92b4b	test-56f35eee92b4b	167626	184388.600000000006	\N	5
2075	2081	test-56f35eee9b53c	test-56f35eee9b53c	189893	189893	\N	1
2076	2082	test-56f35eeea46cd	test-56f35eeea46cd	165576	264921.599999999977	\N	3
2077	2083	test-56f35eeeae48f	test-56f35eeeae48f	127797	204475.200000000012	\N	4
2078	2084	test-56f35eeeb454c	test-56f35eeeb454c	58145	58145	\N	3
2079	2085	test-56f35eeeba7a7	test-56f35eeeba7a7	87726	87726	\N	2
2080	2086	test-56f35eeec29dd	test-56f35eeec29dd	148103	148103	\N	1
2081	2087	test-56f35eeec994b	test-56f35eeec994b	56419	56419	\N	3
2082	2088	test-56f35eeed3ad0	test-56f35eeed3ad0	114618	114618	\N	2
2083	2089	test-56f35eeedcda5	test-56f35eeedcda5	159727	159727	\N	3
2084	2090	test-56f35eefe1d8d	test-56f35eefe1d8d	52875	52875	\N	1
2085	2091	test-56f35eefe89eb	test-56f35eefe89eb	178638	267957	\N	3
2086	2092	test-56f35ef000cc0	test-56f35ef000cc0	135084	135084	\N	5
2087	2093	test-56f35ef00f701	test-56f35ef00f701	138287	138287	\N	4
2088	2094	test-56f35ef014fa4	test-56f35ef014fa4	53602	53602	\N	1
2089	2095	test-56f35ef01b0c4	test-56f35ef01b0c4	2988	3884.40000000000009	\N	3
2090	2096	test-56f35ef0235cd	test-56f35ef0235cd	28467	28467	\N	4
2091	2097	test-56f35ef02fd6a	test-56f35ef02fd6a	83935	83935	\N	3
2092	2098	test-56f35ef038c67	test-56f35ef038c67	175431	175431	\N	2
2093	2099	test-56f35ef03fd87	test-56f35ef03fd87	32030	32030	\N	4
2094	2100	test-56f35ef047dae	test-56f35ef047dae	26806	26806	\N	1
2095	2101	test-56f35ef051e5c	test-56f35ef051e5c	197104	197104	\N	1
2096	2102	test-56f35ef05ce9f	test-56f35ef05ce9f	171229	171229	\N	3
2097	2103	test-56f35ef063ecd	test-56f35ef063ecd	121694	121694	\N	5
2098	2104	test-56f35ef0686d4	test-56f35ef0686d4	119310	119310	\N	3
2099	2105	test-56f35ef06ffca	test-56f35ef06ffca	36392	36392	\N	3
2100	2106	test-56f35ef07846f	test-56f35ef07846f	113038	113038	\N	3
2101	2107	test-56f35ef080278	test-56f35ef080278	4107	6981.89999999999964	\N	1
2102	2108	test-56f35ef085160	test-56f35ef085160	198651	297976.5	\N	5
2103	2109	test-56f35ef08bb69	test-56f35ef08bb69	198282	198282	\N	4
2104	2110	test-56f35ef0942b9	test-56f35ef0942b9	74038	148076	\N	5
2105	2111	test-56f35ef099283	test-56f35ef099283	108491	108491	\N	1
2106	2112	test-56f35ef09e6e3	test-56f35ef09e6e3	180079	198086.899999999994	\N	2
2107	2113	test-56f35ef0a390e	test-56f35ef0a390e	139270	278540	\N	3
2108	2114	test-56f35ef0a7df7	test-56f35ef0a7df7	51087	61304.4000000000015	\N	5
2109	2115	test-56f35ef0abc56	test-56f35ef0abc56	36252	36252	\N	3
2110	2116	test-56f35ef0b121e	test-56f35ef0b121e	84233	84233	\N	5
2111	2117	test-56f35ef0b63d2	test-56f35ef0b63d2	168154	168154	\N	3
2112	2118	test-56f35ef0c35b4	test-56f35ef0c35b4	90957	90957	\N	3
2113	2119	test-56f35ef0ce8d6	test-56f35ef0ce8d6	127494	242238.600000000006	\N	3
2114	2120	test-56f35ef0d9725	test-56f35ef0d9725	63020	63020	\N	5
2115	2121	test-56f35ef0e0b37	test-56f35ef0e0b37	135815	135815	\N	2
2116	2122	test-56f35ef0e98bd	test-56f35ef0e98bd	60962	60962	\N	1
2117	2123	test-56f35ef0f2bfd	test-56f35ef0f2bfd	134986	148484.600000000006	\N	4
2118	2124	test-56f35ef107736	test-56f35ef107736	82489	115484.600000000006	\N	2
2119	2125	test-56f35ef10eab4	test-56f35ef10eab4	181591	181591	\N	2
2120	2126	test-56f35ef112c0b	test-56f35ef112c0b	61161	61161	\N	2
2121	2127	test-56f35ef116d1c	test-56f35ef116d1c	165179	165179	\N	5
2122	2128	test-56f35ef188904	test-56f35ef188904	178939	178939	\N	2
2123	2129	test-56f35ef18f27d	test-56f35ef18f27d	178132	178132	\N	5
2124	2130	test-56f35ef1961cb	test-56f35ef1961cb	746	746	\N	1
2125	2131	test-56f35ef1a0168	test-56f35ef1a0168	65541	65541	\N	4
2126	2132	test-56f35ef1a585b	test-56f35ef1a585b	152024	273643.200000000012	\N	2
2127	2133	test-56f35ef1ad433	test-56f35ef1ad433	101805	111985.5	\N	2
2128	2134	test-56f35ef1b3681	test-56f35ef1b3681	140341	140341	\N	1
2129	2135	test-56f35ef1ba3a5	test-56f35ef1ba3a5	171677	291850.900000000023	\N	2
2130	2136	test-56f35ef1c244a	test-56f35ef1c244a	136083	272166	\N	5
2131	2137	test-56f35ef1cc471	test-56f35ef1cc471	54851	104216.899999999994	\N	2
2132	2138	test-56f35ef1d2da3	test-56f35ef1d2da3	123645	136009.5	\N	4
2133	2139	test-56f35ef1db7ff	test-56f35ef1db7ff	139801	139801	\N	4
2134	2140	test-56f35ef1e049b	test-56f35ef1e049b	1175	1175	\N	3
2135	2141	test-56f35ef1e452c	test-56f35ef1e452c	132271	185179.399999999994	\N	4
2136	2142	test-56f35ef1e7fb1	test-56f35ef1e7fb1	66775	73452.5	\N	4
2137	2143	test-56f35ef1ec2f1	test-56f35ef1ec2f1	38554	38554	\N	5
2138	2144	test-56f35ef1f0a6e	test-56f35ef1f0a6e	85542	85542	\N	3
2139	2145	test-56f35ef2010ce	test-56f35ef2010ce	37131	74262	\N	2
2140	2146	test-56f35ef20d852	test-56f35ef20d852	143393	172071.600000000006	\N	3
2141	2147	test-56f35ef215912	test-56f35ef215912	79507	119260.5	\N	1
2142	2148	test-56f35ef21cc5e	test-56f35ef21cc5e	146329	146329	\N	4
2143	2149	test-56f35ef225926	test-56f35ef225926	15394	30788	\N	1
2144	2150	test-56f35ef22a67a	test-56f35ef22a67a	108753	108753	\N	2
2145	2151	test-56f35ef22dff5	test-56f35ef22dff5	22625	22625	\N	3
2146	2152	test-56f35ef236d7f	test-56f35ef236d7f	80090	80090	\N	4
2147	2153	test-56f35ef23fd39	test-56f35ef23fd39	125503	251006	\N	3
2148	2154	test-56f35ef243e56	test-56f35ef243e56	185243	314913.099999999977	\N	5
2149	2155	test-56f35ef248c22	test-56f35ef248c22	191402	191402	\N	5
2150	2156	test-56f35ef24eba4	test-56f35ef24eba4	163858	163858	\N	1
2151	2157	test-56f35ef256aef	test-56f35ef256aef	135142	135142	\N	1
2152	2158	test-56f35ef25cdc9	test-56f35ef25cdc9	84428	84428	\N	4
2153	2159	test-56f35ef265ca6	test-56f35ef265ca6	154153	154153	\N	1
2154	2160	test-56f35ef26df8e	test-56f35ef26df8e	127437	191155.5	\N	3
2155	2161	test-56f35ef272378	test-56f35ef272378	17914	17914	\N	3
2156	2162	test-56f35ef279249	test-56f35ef279249	81701	147061.799999999988	\N	5
2157	2163	test-56f35ef282dfe	test-56f35ef282dfe	159292	159292	\N	2
2158	2164	test-56f35ef28d00e	test-56f35ef28d00e	28729	43093.5	\N	4
2159	2165	test-56f35ef29421e	test-56f35ef29421e	98277	98277	\N	3
2160	2166	test-56f35ef29b2de	test-56f35ef29b2de	51810	51810	\N	4
2161	2167	test-56f35ef37e0ed	test-56f35ef37e0ed	59047	59047	\N	5
2162	2168	test-56f35ef395f90	test-56f35ef395f90	95521	95521	\N	4
2163	2169	test-56f35ef3a3499	test-56f35ef3a3499	95720	95720	\N	3
2164	2170	test-56f35ef3a8351	test-56f35ef3a8351	120840	145008	\N	1
2165	2171	test-56f35ef3ac190	test-56f35ef3ac190	117659	117659	\N	5
2166	2172	test-56f35ef3afefe	test-56f35ef3afefe	175992	175992	\N	4
2167	2173	test-56f35ef3b796d	test-56f35ef3b796d	165326	165326	\N	1
2168	2174	test-56f35ef3bbca1	test-56f35ef3bbca1	8648	8648	\N	3
2169	2175	test-56f35ef3bf240	test-56f35ef3bf240	169273	169273	\N	3
2170	2176	test-56f35ef3c3365	test-56f35ef3c3365	151622	151622	\N	5
2171	2177	test-56f35ef3c70a7	test-56f35ef3c70a7	104037	114440.699999999997	\N	3
2172	2178	test-56f35ef3cd6cf	test-56f35ef3cd6cf	199333	199333	\N	2
2173	2179	test-56f35ef3d1ca9	test-56f35ef3d1ca9	155233	310466	\N	5
2174	2180	test-56f35ef3d5c40	test-56f35ef3d5c40	188367	339060.599999999977	\N	4
2175	2181	test-56f35ef3db6c5	test-56f35ef3db6c5	112898	124187.800000000003	\N	5
2176	2182	test-56f35ef3e2588	test-56f35ef3e2588	22846	22846	\N	1
2177	2183	test-56f35ef3e6e85	test-56f35ef3e6e85	142215	142215	\N	1
2178	2184	test-56f35ef3eaca0	test-56f35ef3eaca0	193407	193407	\N	1
2179	2185	test-56f35ef3ef1eb	test-56f35ef3ef1eb	199453	199453	\N	2
2180	2186	test-56f35ef3f3870	test-56f35ef3f3870	38991	38991	\N	4
2181	2187	test-56f35ef40984a	test-56f35ef40984a	102203	102203	\N	4
2182	2188	test-56f35ef40f7c4	test-56f35ef40f7c4	13608	13608	\N	2
2183	2189	test-56f35ef4183d7	test-56f35ef4183d7	49584	49584	\N	2
2184	2190	test-56f35ef421c43	test-56f35ef421c43	121781	121781	\N	4
2185	2191	test-56f35ef4540cd	test-56f35ef4540cd	161218	161218	\N	2
2186	2192	test-56f35ef45e8fa	test-56f35ef45e8fa	147587	191863.100000000006	\N	4
2187	2193	test-56f35ef464382	test-56f35ef464382	67092	67092	\N	3
2188	2194	test-56f35ef46de30	test-56f35ef46de30	80895	145611	\N	3
2189	2195	test-56f35ef4740a2	test-56f35ef4740a2	2133	2133	\N	1
2190	2196	test-56f35ef47b44d	test-56f35ef47b44d	110508	110508	\N	2
2191	2197	test-56f35ef48186b	test-56f35ef48186b	160461	160461	\N	5
2192	2198	test-56f35ef48c197	test-56f35ef48c197	147108	147108	\N	2
2193	2199	test-56f35ef4941a2	test-56f35ef4941a2	121647	121647	\N	1
2194	2200	test-56f35ef49abdb	test-56f35ef49abdb	158227	158227	\N	3
2195	2201	test-56f35ef4a14f3	test-56f35ef4a14f3	20904	20904	\N	4
2196	2202	test-56f35ef4ac1c6	test-56f35ef4ac1c6	8412	8412	\N	5
2197	2203	test-56f35ef4b3182	test-56f35ef4b3182	184069	184069	\N	4
2198	2204	test-56f35ef4b6df1	test-56f35ef4b6df1	189763	189763	\N	1
2199	2205	test-56f35ef55cf62	test-56f35ef55cf62	65128	65128	\N	3
2200	2206	test-56f35ef561dac	test-56f35ef561dac	87731	87731	\N	4
2201	2207	test-56f35ef5661c3	test-56f35ef5661c3	19159	21074.9000000000015	\N	4
2202	2208	test-56f35ef56b053	test-56f35ef56b053	14283	22852.7999999999993	\N	1
2203	2209	test-56f35ef56ecf1	test-56f35ef56ecf1	179460	340974	\N	2
2204	2210	test-56f35ef5753bb	test-56f35ef5753bb	8820	8820	\N	3
2205	2211	test-56f35ef57abf4	test-56f35ef57abf4	3293	3293	\N	5
2206	2212	test-56f35ef57ed80	test-56f35ef57ed80	147309	162039.899999999994	\N	2
2207	2213	test-56f35ef582f67	test-56f35ef582f67	183264	183264	\N	5
2208	2214	test-56f35ef58901c	test-56f35ef58901c	146424	190351.200000000012	\N	5
2209	2215	test-56f35ef58d240	test-56f35ef58d240	77059	123294.399999999994	\N	5
2210	2216	test-56f35ef591297	test-56f35ef591297	45981	45981	\N	1
2211	2217	test-56f35ef597e73	test-56f35ef597e73	100451	120541.199999999997	\N	2
2212	2218	test-56f35ef59baff	test-56f35ef59baff	146226	146226	\N	2
2213	2219	test-56f35ef59f7b2	test-56f35ef59f7b2	190266	190266	\N	3
2214	2220	test-56f35ef5a61d4	test-56f35ef5a61d4	164160	164160	\N	2
2215	2221	test-56f35ef5a9657	test-56f35ef5a9657	109835	153769	\N	1
2216	2222	test-56f35ef5aceb4	test-56f35ef5aceb4	51242	51242	\N	2
2217	2223	test-56f35ef5b089f	test-56f35ef5b089f	134724	134724	\N	4
2218	2224	test-56f35ef5b4e2f	test-56f35ef5b4e2f	17255	24157	\N	2
2219	2225	test-56f35ef5bf9af	test-56f35ef5bf9af	153582	153582	\N	4
2220	2226	test-56f35ef5c3f72	test-56f35ef5c3f72	185047	185047	\N	2
2221	2227	test-56f35ef5c9582	test-56f35ef5c9582	27905	27905	\N	2
2222	2228	test-56f35ef5cd6ed	test-56f35ef5cd6ed	137708	137708	\N	3
2223	2229	test-56f35ef5d50db	test-56f35ef5d50db	32438	32438	\N	1
2224	2230	test-56f35ef5dce16	test-56f35ef5dce16	22940	22940	\N	1
2225	2231	test-56f35ef5e1c2e	test-56f35ef5e1c2e	36754	36754	\N	4
2226	2232	test-56f35ef5e5b21	test-56f35ef5e5b21	59794	59794	\N	1
2227	2233	test-56f35ef5e935a	test-56f35ef5e935a	22401	22401	\N	2
2228	2234	test-56f35ef5ed03f	test-56f35ef5ed03f	112599	112599	\N	1
2229	2235	test-56f35ef5f0aad	test-56f35ef5f0aad	140153	140153	\N	2
2230	2236	test-56f35ef600dd3	test-56f35ef600dd3	50645	50645	\N	4
2231	2237	test-56f35ef60ba40	test-56f35ef60ba40	149894	149894	\N	1
2232	2238	test-56f35ef616529	test-56f35ef616529	60125	60125	\N	3
2233	2239	test-56f35ef623bf7	test-56f35ef623bf7	113939	113939	\N	4
2234	2240	test-56f35ef62f8a2	test-56f35ef62f8a2	125086	125086	\N	2
2235	2241	test-56f35ef639d7f	test-56f35ef639d7f	75409	105572.600000000006	\N	2
2236	2242	test-56f35ef64873d	test-56f35ef64873d	183858	257401.200000000012	\N	3
2237	2243	test-56f35ef64ec9a	test-56f35ef64ec9a	1911	1911	\N	2
2238	2244	test-56f35ef6b2c29	test-56f35ef6b2c29	154152	154152	\N	4
2239	2245	test-56f35ef6b8d8f	test-56f35ef6b8d8f	157456	157456	\N	5
2240	2246	test-56f35ef6be313	test-56f35ef6be313	60531	60531	\N	2
2241	2247	test-56f35ef6c51ae	test-56f35ef6c51ae	110385	132462	\N	3
2242	2248	test-56f35ef6c92a0	test-56f35ef6c92a0	180251	180251	\N	3
2243	2249	test-56f35ef6cca2d	test-56f35ef6cca2d	185056	185056	\N	3
2244	2250	test-56f35ef6d287d	test-56f35ef6d287d	131458	131458	\N	5
2245	2251	test-56f35ef6d6afd	test-56f35ef6d6afd	80253	104328.899999999994	\N	5
2246	2252	test-56f35ef6daad6	test-56f35ef6daad6	146849	205588.600000000006	\N	4
2247	2253	test-56f35ef6e2870	test-56f35ef6e2870	115791	115791	\N	5
2248	2254	test-56f35ef6e7999	test-56f35ef6e7999	96651	96651	\N	4
2249	2255	test-56f35ef6ee691	test-56f35ef6ee691	133270	133270	\N	2
2250	2256	test-56f35ef703579	test-56f35ef703579	18050	18050	\N	5
2251	2257	test-56f35ef70a5b3	test-56f35ef70a5b3	35778	35778	\N	1
2252	2258	test-56f35ef70eb7a	test-56f35ef70eb7a	147324	265183.200000000012	\N	3
2253	2259	test-56f35ef71289c	test-56f35ef71289c	58529	58529	\N	4
2254	2260	test-56f35ef716694	test-56f35ef716694	163648	163648	\N	2
2255	2261	test-56f35ef71a629	test-56f35ef71a629	138837	138837	\N	5
2256	2262	test-56f35ef71f8d6	test-56f35ef71f8d6	38808	38808	\N	2
2257	2263	test-56f35ef7271e0	test-56f35ef7271e0	45606	77530.1999999999971	\N	4
2258	2264	test-56f35ef72ca03	test-56f35ef72ca03	186150	186150	\N	1
2259	2265	test-56f35ef7300e0	test-56f35ef7300e0	113252	113252	\N	5
2260	2266	test-56f35ef7391f1	test-56f35ef7391f1	145809	145809	\N	5
2261	2267	test-56f35ef740938	test-56f35ef740938	103950	103950	\N	1
2262	2268	test-56f35ef7447f6	test-56f35ef7447f6	179123	179123	\N	2
2263	2269	test-56f35ef74ea35	test-56f35ef74ea35	136327	136327	\N	2
2264	2270	test-56f35ef754ab7	test-56f35ef754ab7	21647	21647	\N	3
2265	2271	test-56f35ef75a97f	test-56f35ef75a97f	175009	175009	\N	3
2266	2272	test-56f35ef75eaed	test-56f35ef75eaed	179986	179986	\N	5
2267	2273	test-56f35ef76304d	test-56f35ef76304d	167112	167112	\N	2
2268	2274	test-56f35ef7672c6	test-56f35ef7672c6	161810	161810	\N	5
2269	2275	test-56f35ef76ad18	test-56f35ef76ad18	68183	68183	\N	5
2270	2276	test-56f35ef771981	test-56f35ef771981	151087	271956.599999999977	\N	4
2271	2277	test-56f35ef7767d3	test-56f35ef7767d3	167152	167152	\N	3
2272	2278	test-56f35ef77cad4	test-56f35ef77cad4	117864	223941.600000000006	\N	5
2273	2279	test-56f35ef78355c	test-56f35ef78355c	136888	136888	\N	2
2274	2280	test-56f35ef787337	test-56f35ef787337	1593	1593	\N	4
2275	2281	test-56f35ef78f85d	test-56f35ef78f85d	65311	84904.3000000000029	\N	2
2276	2282	test-56f35ef8056f4	test-56f35ef8056f4	35616	35616	\N	2
2277	2283	test-56f35ef80f4a1	test-56f35ef80f4a1	88164	88164	\N	4
2278	2284	test-56f35ef817799	test-56f35ef817799	187149	187149	\N	2
2279	2285	test-56f35ef81f66b	test-56f35ef81f66b	87982	87982	\N	1
2280	2286	test-56f35ef826104	test-56f35ef826104	100435	170739.5	\N	3
2281	2287	test-56f35ef82da1b	test-56f35ef82da1b	66159	86006.6999999999971	\N	5
2282	2288	test-56f35ef834996	test-56f35ef834996	87945	87945	\N	1
2283	2289	test-56f35ef83e7bf	test-56f35ef83e7bf	48259	48259	\N	4
2284	2290	test-56f35ef84737d	test-56f35ef84737d	94479	113374.800000000003	\N	1
2285	2291	test-56f35ef84aff5	test-56f35ef84aff5	101339	101339	\N	4
2286	2292	test-56f35ef8667e9	test-56f35ef8667e9	156442	156442	\N	2
2287	2293	test-56f35ef88ea46	test-56f35ef88ea46	39485	39485	\N	2
2288	2294	test-56f35ef8decce	test-56f35ef8decce	46080	46080	\N	2
2289	2295	test-56f35ef8e643e	test-56f35ef8e643e	180516	234670.799999999988	\N	4
2290	2296	test-56f35ef8ec00a	test-56f35ef8ec00a	35631	35631	\N	3
2291	2297	test-56f35ef8f251f	test-56f35ef8f251f	154462	154462	\N	5
2292	2298	test-56f35ef902013	test-56f35ef902013	88375	159075	\N	5
2293	2299	test-56f35ef905a93	test-56f35ef905a93	84413	84413	\N	2
2294	2300	test-56f35ef908f42	test-56f35ef908f42	134765	188671	\N	4
2295	2301	test-56f35ef90c910	test-56f35ef90c910	187581	187581	\N	4
2296	2302	test-56f35ef910629	test-56f35ef910629	175443	175443	\N	5
2297	2303	test-56f35ef914189	test-56f35ef914189	35473	67398.6999999999971	\N	2
2298	2304	test-56f35ef917ba3	test-56f35ef917ba3	52267	104534	\N	5
2299	2305	test-56f35ef91b38e	test-56f35ef91b38e	25352	48168.8000000000029	\N	1
2300	2306	test-56f35ef91f06b	test-56f35ef91f06b	60216	60216	\N	4
2301	2307	test-56f35ef922c6c	test-56f35ef922c6c	117934	117934	\N	3
2302	2308	test-56f35ef9272ed	test-56f35ef9272ed	168831	168831	\N	1
2303	2309	test-56f35ef92c9c8	test-56f35ef92c9c8	60748	60748	\N	3
2304	2310	test-56f35ef93089c	test-56f35ef93089c	138808	166569.600000000006	\N	1
2305	2311	test-56f35ef9381cf	test-56f35ef9381cf	170110	170110	\N	5
2306	2312	test-56f35ef941605	test-56f35ef941605	169074	169074	\N	5
2307	2313	test-56f35ef948855	test-56f35ef948855	89780	89780	\N	3
2308	2314	test-56f35ef94f85a	test-56f35ef94f85a	58232	58232	\N	1
2309	2315	test-56f35ef956a89	test-56f35ef956a89	198938	338194.599999999977	\N	5
2310	2316	test-56f35ef95bca9	test-56f35ef95bca9	85452	85452	\N	1
2311	2317	test-56f35ef961fc1	test-56f35ef961fc1	15982	15982	\N	4
2312	2318	test-56f35ef9674a3	test-56f35ef9674a3	35100	35100	\N	5
2313	2319	test-56f35ef96b508	test-56f35ef96b508	26955	26955	\N	3
2314	2320	test-56f35ef96ff50	test-56f35ef96ff50	26260	26260	\N	1
2315	2321	test-56f35ef9dd642	test-56f35ef9dd642	162778	162778	\N	2
2316	2322	test-56f35ef9ef5eb	test-56f35ef9ef5eb	58251	58251	\N	1
2317	2323	test-56f35efa0386b	test-56f35efa0386b	96642	96642	\N	5
2318	2324	test-56f35efa08a4a	test-56f35efa08a4a	40336	40336	\N	2
2319	2325	test-56f35efa0d050	test-56f35efa0d050	82587	82587	\N	4
2320	2326	test-56f35efa12a0f	test-56f35efa12a0f	117188	117188	\N	1
2321	2327	test-56f35efa1738a	test-56f35efa1738a	2281	4562	\N	2
2322	2328	test-56f35efa1c0d0	test-56f35efa1c0d0	43226	43226	\N	1
2323	2329	test-56f35efa206cf	test-56f35efa206cf	11418	19410.5999999999985	\N	1
2324	2330	test-56f35efa243eb	test-56f35efa243eb	88443	88443	\N	3
2325	2331	test-56f35efa28b59	test-56f35efa28b59	140583	140583	\N	1
2326	2332	test-56f35efa2c65d	test-56f35efa2c65d	3134	3134	\N	5
2327	2333	test-56f35efa309b4	test-56f35efa309b4	131094	131094	\N	5
2328	2334	test-56f35efa34518	test-56f35efa34518	48838	48838	\N	4
2329	2335	test-56f35efa3c01c	test-56f35efa3c01c	70600	70600	\N	5
2330	2336	test-56f35efa41f80	test-56f35efa41f80	164888	164888	\N	4
2331	2337	test-56f35efa497d2	test-56f35efa497d2	97306	97306	\N	1
2332	2338	test-56f35efa4ddf0	test-56f35efa4ddf0	103492	103492	\N	1
2333	2339	test-56f35efa52181	test-56f35efa52181	154316	154316	\N	2
2334	2340	test-56f35efa56995	test-56f35efa56995	163898	229457.200000000012	\N	2
2335	2341	test-56f35efa5f53e	test-56f35efa5f53e	3449	5518.39999999999964	\N	5
2336	2342	test-56f35efa64bd1	test-56f35efa64bd1	176776	176776	\N	2
2337	2343	test-56f35efa6a03b	test-56f35efa6a03b	132671	132671	\N	2
2338	2344	test-56f35efa7263f	test-56f35efa7263f	83097	83097	\N	4
2339	2345	test-56f35efa79b9e	test-56f35efa79b9e	36148	36148	\N	2
2340	2346	test-56f35efa7dbac	test-56f35efa7dbac	60672	60672	\N	3
2341	2347	test-56f35efa83cd5	test-56f35efa83cd5	135854	135854	\N	4
2342	2348	test-56f35efa885e8	test-56f35efa885e8	146438	146438	\N	2
2343	2349	test-56f35efa8cc35	test-56f35efa8cc35	87120	139392	\N	4
2344	2350	test-56f35efa91035	test-56f35efa91035	166	166	\N	5
2345	2351	test-56f35efa9ab01	test-56f35efa9ab01	17946	30508.2000000000007	\N	1
2346	2352	test-56f35efaa1380	test-56f35efaa1380	5950	5950	\N	5
2347	2353	test-56f35efaa5767	test-56f35efaa5767	108674	108674	\N	4
2348	2354	test-56f35efaaebea	test-56f35efaaebea	10289	18520.2000000000007	\N	5
2349	2355	test-56f35efab4ca4	test-56f35efab4ca4	152295	197983.5	\N	1
2350	2356	test-56f35efab8a37	test-56f35efab8a37	182726	182726	\N	5
2351	2357	test-56f35efabd041	test-56f35efabd041	88845	106614	\N	2
2352	2359	test-56f35f1b3e232	test-56f35f1b3e232	85202	85202	\N	3
2353	2360	test-56f35f1b4fdf3	test-56f35f1b4fdf3	175033	210039.600000000006	\N	1
2354	2361	test-56f35f1b53e43	test-56f35f1b53e43	117174	117174	\N	5
2355	2362	test-56f35f1b5789f	test-56f35f1b5789f	57900	57900	\N	2
2356	2363	test-56f35f1b5d960	test-56f35f1b5d960	135705	135705	\N	2
2357	2364	test-56f35f1b63c54	test-56f35f1b63c54	169	169	\N	4
2358	2365	test-56f35f1b6760f	test-56f35f1b6760f	131981	131981	\N	5
2359	2366	test-56f35f1b6afb1	test-56f35f1b6afb1	125625	138187.5	\N	4
2360	2367	test-56f35f1b6e985	test-56f35f1b6e985	39738	59607	\N	3
2361	2368	test-56f35f1b72bb2	test-56f35f1b72bb2	145552	145552	\N	1
2362	2369	test-56f35f1b76886	test-56f35f1b76886	95875	172575	\N	1
2363	2370	test-56f35f1b79f0e	test-56f35f1b79f0e	192112	384224	\N	1
2364	2371	test-56f35f1b805f1	test-56f35f1b805f1	120479	120479	\N	1
2365	2372	test-56f35f1b85bc8	test-56f35f1b85bc8	2036	2036	\N	2
2366	2373	test-56f35f1b8c192	test-56f35f1b8c192	125077	175107.799999999988	\N	5
2367	2374	test-56f35f1b9185c	test-56f35f1b9185c	64447	96670.5	\N	4
2368	2375	test-56f35f1b976f7	test-56f35f1b976f7	144986	144986	\N	3
2369	2376	test-56f35f1b9b614	test-56f35f1b9b614	169707	169707	\N	2
2370	2377	test-56f35f1b9f2be	test-56f35f1b9f2be	24694	24694	\N	2
2371	2378	test-56f35f1ba20e5	test-56f35f1ba20e5	197047	374389.299999999988	\N	1
2372	2379	test-56f35f1ba533b	test-56f35f1ba533b	94407	151051.200000000012	\N	5
2373	2380	test-56f35f1ba9220	test-56f35f1ba9220	170052	187057.200000000012	\N	4
2374	2381	test-56f35f1bad2af	test-56f35f1bad2af	85668	85668	\N	4
2375	2382	test-56f35f1bb7b06	test-56f35f1bb7b06	173840	173840	\N	5
2376	2383	test-56f35f1bc0dc9	test-56f35f1bc0dc9	196769	314830.400000000023	\N	4
2377	2384	test-56f35f1bcae25	test-56f35f1bcae25	130758	130758	\N	4
2378	2385	test-56f35f1bcff79	test-56f35f1bcff79	98322	98322	\N	1
2379	2386	test-56f35f1bd4f17	test-56f35f1bd4f17	102685	102685	\N	5
2380	2387	test-56f35f1bd8e0d	test-56f35f1bd8e0d	190510	342918	\N	4
2381	2388	test-56f35f1bdf489	test-56f35f1bdf489	100662	100662	\N	1
2382	2389	test-56f35f1be29d8	test-56f35f1be29d8	3271	3271	\N	3
2383	2390	test-56f35f1be5980	test-56f35f1be5980	161140	161140	\N	2
2384	2391	test-56f35f1beb732	test-56f35f1beb732	125308	125308	\N	1
2385	2392	test-56f35f1beeb77	test-56f35f1beeb77	156371	156371	\N	3
2386	2393	test-56f35f1bf222b	test-56f35f1bf222b	98490	98490	\N	5
2387	2394	test-56f35f1c00c9e	test-56f35f1c00c9e	1775	1952.5	\N	4
2388	2395	test-56f35f1c04029	test-56f35f1c04029	142451	142451	\N	3
2389	2396	test-56f35f1c0d9b3	test-56f35f1c0d9b3	122769	122769	\N	2
2390	2397	test-56f35f1c10e10	test-56f35f1c10e10	73722	73722	\N	5
2391	2398	test-56f35f1c141c5	test-56f35f1c141c5	114641	114641	\N	4
2392	2399	test-56f35f1c171aa	test-56f35f1c171aa	5878	9992.60000000000036	\N	4
2393	2400	test-56f35f1c1a48d	test-56f35f1c1a48d	12918	12918	\N	1
2394	2401	test-56f35f1c1d4e4	test-56f35f1c1d4e4	115028	115028	\N	3
2395	2402	test-56f35f1c2e28a	test-56f35f1c2e28a	118409	118409	\N	4
2396	2403	test-56f35f1c3310c	test-56f35f1c3310c	89819	89819	\N	1
2397	2404	test-56f35f1c35feb	test-56f35f1c35feb	32284	32284	\N	5
2398	2405	test-56f35f1c39445	test-56f35f1c39445	143921	143921	\N	2
2399	2406	test-56f35f1c3ce1e	test-56f35f1c3ce1e	128934	128934	\N	1
2400	2407	test-56f35f1c4001d	test-56f35f1c4001d	31839	31839	\N	1
2401	2408	test-56f35f1c4335c	test-56f35f1c4335c	95449	143173.5	\N	1
2402	2409	test-56f35f1c46419	test-56f35f1c46419	177542	177542	\N	4
2403	2410	test-56f35f1c4b433	test-56f35f1c4b433	34015	44219.5	\N	5
2404	2411	test-56f35f1c4ef42	test-56f35f1c4ef42	168975	168975	\N	5
2405	2412	test-56f35f1c5214e	test-56f35f1c5214e	149858	149858	\N	4
2406	2413	test-56f35f1c54f6d	test-56f35f1c54f6d	94233	94233	\N	4
2407	2414	test-56f35f1c58e33	test-56f35f1c58e33	171570	188727	\N	3
2408	2415	test-56f35f1c5d03d	test-56f35f1c5d03d	138419	138419	\N	5
2409	2416	test-56f35f1c60223	test-56f35f1c60223	22471	38200.6999999999971	\N	4
2410	2417	test-56f35f1c6344c	test-56f35f1c6344c	63875	63875	\N	3
2411	2418	test-56f35f1c69d0d	test-56f35f1c69d0d	171401	171401	\N	3
2412	2419	test-56f35f1c715bb	test-56f35f1c715bb	38764	73651.6000000000058	\N	4
2413	2420	test-56f35f1c75de9	test-56f35f1c75de9	109146	109146	\N	3
2414	2421	test-56f35f1c81d63	test-56f35f1c81d63	50937	50937	\N	3
2415	2422	test-56f35f1c859b8	test-56f35f1c859b8	158885	285993	\N	2
2416	2423	test-56f35f1c88e07	test-56f35f1c88e07	78627	78627	\N	3
2417	2424	test-56f35f1c8ca46	test-56f35f1c8ca46	104905	104905	\N	3
2418	2425	test-56f35f1c9002c	test-56f35f1c9002c	179756	179756	\N	4
2419	2426	test-56f35f1c9413d	test-56f35f1c9413d	23717	30832.0999999999985	\N	5
2420	2427	test-56f35f1c984c1	test-56f35f1c984c1	189029	207931.899999999994	\N	5
2421	2428	test-56f35f1c9d21e	test-56f35f1c9d21e	182839	182839	\N	1
2422	2429	test-56f35f1ca354b	test-56f35f1ca354b	58215	64036.5	\N	4
2423	2430	test-56f35f1ca935e	test-56f35f1ca935e	67610	67610	\N	1
2424	2431	test-56f35f1cb2897	test-56f35f1cb2897	63506	63506	\N	2
2425	2432	test-56f35f1cb9735	test-56f35f1cb9735	35378	42453.5999999999985	\N	4
2426	2433	test-56f35f1cbe35d	test-56f35f1cbe35d	82703	82703	\N	2
2427	2434	test-56f35f1cc24ac	test-56f35f1cc24ac	78449	109828.600000000006	\N	4
2428	2435	test-56f35f1cc69a0	test-56f35f1cc69a0	192595	192595	\N	4
2429	2436	test-56f35f1cce16e	test-56f35f1cce16e	114650	160510	\N	1
2430	2437	test-56f35f1cd459c	test-56f35f1cd459c	95306	95306	\N	1
2431	2438	test-56f35f1cd75e2	test-56f35f1cd75e2	177475	177475	\N	1
2432	2439	test-56f35f1cda33f	test-56f35f1cda33f	53798	53798	\N	1
2433	2440	test-56f35f1cdd46d	test-56f35f1cdd46d	3743	3743	\N	3
2434	2441	test-56f35f1ce0788	test-56f35f1ce0788	31793	31793	\N	4
2435	2442	test-56f35f1ce3d57	test-56f35f1ce3d57	74935	142376.5	\N	4
2436	2443	test-56f35f1ce7ba5	test-56f35f1ce7ba5	31619	60076.0999999999985	\N	4
2437	2444	test-56f35f1ceaf8e	test-56f35f1ceaf8e	74003	74003	\N	5
2438	2445	test-56f35f1cedffb	test-56f35f1cedffb	100548	100548	\N	2
2439	2446	test-56f35f1cf3485	test-56f35f1cf3485	15885	17473.5	\N	2
2440	2447	test-56f35f1d020c2	test-56f35f1d020c2	11586	11586	\N	2
2441	2448	test-56f35f1d057f0	test-56f35f1d057f0	162402	162402	\N	2
2442	2449	test-56f35f1d08c16	test-56f35f1d08c16	176654	247315.600000000006	\N	1
2443	2450	test-56f35f1d0bf29	test-56f35f1d0bf29	186475	186475	\N	2
2444	2451	test-56f35f1d0f655	test-56f35f1d0f655	116944	116944	\N	3
2445	2452	test-56f35f1d164d4	test-56f35f1d164d4	194082	194082	\N	1
2446	2453	test-56f35f1d197c7	test-56f35f1d197c7	57302	74492.6000000000058	\N	5
2447	2454	test-56f35f1d1cc5b	test-56f35f1d1cc5b	83027	83027	\N	1
2448	2455	test-56f35f1d207d7	test-56f35f1d207d7	141353	141353	\N	1
2449	2456	test-56f35f1d23c47	test-56f35f1d23c47	70365	70365	\N	5
2450	2457	test-56f35f1d296e5	test-56f35f1d296e5	199550	199550	\N	5
2451	2458	test-56f35f1d2e462	test-56f35f1d2e462	12761	15313.2000000000007	\N	4
2452	2459	test-56f35f1d315ed	test-56f35f1d315ed	159951	159951	\N	4
2453	2460	test-56f35f1d348a9	test-56f35f1d348a9	88446	88446	\N	3
2454	2461	test-56f35f1d3894e	test-56f35f1d3894e	178630	178630	\N	2
2455	2462	test-56f35f1d3c34c	test-56f35f1d3c34c	1287	2316.59999999999991	\N	5
2456	2463	test-56f35f1d3f98d	test-56f35f1d3f98d	14358	14358	\N	5
2457	2464	test-56f35f1d429b3	test-56f35f1d429b3	44344	44344	\N	4
2458	2465	test-56f35f1d46302	test-56f35f1d46302	113725	113725	\N	5
2459	2466	test-56f35f1d49428	test-56f35f1d49428	67507	67507	\N	2
2460	2467	test-56f35f1d4e6b8	test-56f35f1d4e6b8	83176	83176	\N	3
2461	2468	test-56f35f1d58822	test-56f35f1d58822	52668	105336	\N	4
2462	2469	test-56f35f1d5cc16	test-56f35f1d5cc16	56391	90225.6000000000058	\N	5
2463	2470	test-56f35f1d603ca	test-56f35f1d603ca	134014	268028	\N	3
2464	2471	test-56f35f1d638b7	test-56f35f1d638b7	117206	117206	\N	5
2465	2472	test-56f35f1d67a47	test-56f35f1d67a47	199630	199630	\N	4
2466	2473	test-56f35f1d6b8c9	test-56f35f1d6b8c9	185070	259098	\N	2
2467	2474	test-56f35f1d6f9cb	test-56f35f1d6f9cb	135689	135689	\N	4
2468	2475	test-56f35f1d730a9	test-56f35f1d730a9	26256	42009.5999999999985	\N	5
2469	2476	test-56f35f1d7fcc4	test-56f35f1d7fcc4	81730	81730	\N	3
2470	2477	test-56f35f1d83efc	test-56f35f1d83efc	169632	322300.799999999988	\N	3
2471	2478	test-56f35f1d8765a	test-56f35f1d8765a	78987	78987	\N	4
2472	2479	test-56f35f1d8abd0	test-56f35f1d8abd0	191560	191560	\N	5
2473	2480	test-56f35f1d8e382	test-56f35f1d8e382	177839	302326.299999999988	\N	4
2474	2481	test-56f35f1d91b57	test-56f35f1d91b57	82281	82281	\N	2
2475	2482	test-56f35f1d95197	test-56f35f1d95197	60217	60217	\N	4
2476	2483	test-56f35f1d9883c	test-56f35f1d9883c	122287	122287	\N	2
2477	2484	test-56f35f1d9bb3c	test-56f35f1d9bb3c	144563	144563	\N	3
2478	2485	test-56f35f1da0f43	test-56f35f1da0f43	175323	298049.099999999977	\N	2
2479	2486	test-56f35f1da4228	test-56f35f1da4228	107998	107998	\N	4
2480	2487	test-56f35f1da74d9	test-56f35f1da74d9	126541	126541	\N	2
2481	2488	test-56f35f1daae0d	test-56f35f1daae0d	2110	2110	\N	2
2482	2489	test-56f35f1dae3db	test-56f35f1dae3db	61820	61820	\N	2
2483	2490	test-56f35f1db238f	test-56f35f1db238f	144567	144567	\N	1
2484	2491	test-56f35f1db57af	test-56f35f1db57af	1783	1783	\N	3
2485	2492	test-56f35f1db91f4	test-56f35f1db91f4	131905	131905	\N	3
2486	2493	test-56f35f1dbccc9	test-56f35f1dbccc9	46988	65783.1999999999971	\N	1
2487	2494	test-56f35f1dbfeaf	test-56f35f1dbfeaf	76642	137955.600000000006	\N	4
2488	2495	test-56f35f1dc61af	test-56f35f1dc61af	126479	126479	\N	2
2489	2496	test-56f35f1dce37c	test-56f35f1dce37c	50077	55084.6999999999971	\N	4
2490	2497	test-56f35f1dd33ca	test-56f35f1dd33ca	101324	192515.600000000006	\N	1
2491	2498	test-56f35f1dd736e	test-56f35f1dd736e	160099	176108.899999999994	\N	3
2492	2499	test-56f35f1ddab58	test-56f35f1ddab58	54063	108126	\N	3
2493	2500	test-56f35f1dde10b	test-56f35f1dde10b	94975	94975	\N	5
2494	2501	test-56f35f1de11f5	test-56f35f1de11f5	174801	174801	\N	1
2495	2502	test-56f35f1de54c2	test-56f35f1de54c2	188703	377406	\N	5
2496	2503	test-56f35f1de8aaf	test-56f35f1de8aaf	134368	228425.600000000006	\N	5
2497	2504	test-56f35f1dec28f	test-56f35f1dec28f	59830	59830	\N	3
2498	2505	test-56f35f1def7d3	test-56f35f1def7d3	137193	137193	\N	5
2499	2506	test-56f35f1df35a3	test-56f35f1df35a3	155347	217485.799999999988	\N	4
2500	2507	test-56f35f1e02a1c	test-56f35f1e02a1c	22668	22668	\N	2
2501	2508	test-56f35f1e06058	test-56f35f1e06058	108970	108970	\N	3
2502	2509	test-56f35f1e09379	test-56f35f1e09379	174296	174296	\N	1
2503	2510	test-56f35f1e0cb54	test-56f35f1e0cb54	137106	150816.600000000006	\N	1
2504	2511	test-56f35f1e15616	test-56f35f1e15616	178145	249403	\N	5
2505	2512	test-56f35f1e1ad03	test-56f35f1e1ad03	99157	188398.299999999988	\N	4
2506	2513	test-56f35f1e1ffc6	test-56f35f1e1ffc6	118337	165671.799999999988	\N	1
2507	2514	test-56f35f1e23f61	test-56f35f1e23f61	4373	4373	\N	2
2508	2515	test-56f35f1e2716f	test-56f35f1e2716f	54480	54480	\N	4
2509	2516	test-56f35f1e2bdb7	test-56f35f1e2bdb7	122515	147018	\N	1
2510	2517	test-56f35f1e2f2af	test-56f35f1e2f2af	156465	156465	\N	1
2511	2518	test-56f35f1e3389f	test-56f35f1e3389f	70997	70997	\N	2
2512	2519	test-56f35f1e3717a	test-56f35f1e3717a	125206	125206	\N	2
2513	2520	test-56f35f1e3ad3a	test-56f35f1e3ad3a	170278	170278	\N	1
2514	2521	test-56f35f1e3e125	test-56f35f1e3e125	49600	49600	\N	5
2515	2522	test-56f35f1e4151d	test-56f35f1e4151d	65220	97830	\N	2
2516	2523	test-56f35f1e44a87	test-56f35f1e44a87	167664	285028.799999999988	\N	1
2517	2524	test-56f35f1e4b8f5	test-56f35f1e4b8f5	31530	31530	\N	4
2518	2525	test-56f35f1e54f4d	test-56f35f1e54f4d	40606	40606	\N	2
2519	2526	test-56f35f1e5aa58	test-56f35f1e5aa58	17176	27481.5999999999985	\N	3
2520	2527	test-56f35f1e5fb81	test-56f35f1e5fb81	40713	40713	\N	1
2521	2528	test-56f35f1e638f5	test-56f35f1e638f5	99075	178335	\N	2
2522	2529	test-56f35f1e67587	test-56f35f1e67587	148513	148513	\N	5
2523	2530	test-56f35f1e6ab33	test-56f35f1e6ab33	194208	194208	\N	1
2524	2531	test-56f35f1e6e66b	test-56f35f1e6e66b	25475	25475	\N	1
2525	2532	test-56f35f1e79461	test-56f35f1e79461	102596	174413.200000000012	\N	5
2526	2533	test-56f35f1e7e57b	test-56f35f1e7e57b	14237	14237	\N	5
2527	2534	test-56f35f1e8239b	test-56f35f1e8239b	173060	173060	\N	1
2528	2535	test-56f35f1e8590c	test-56f35f1e8590c	62002	99203.1999999999971	\N	5
2529	2536	test-56f35f1e898e3	test-56f35f1e898e3	98252	98252	\N	2
2530	2537	test-56f35f1e8cbe1	test-56f35f1e8cbe1	161107	161107	\N	2
2531	2538	test-56f35f1e92d6e	test-56f35f1e92d6e	155424	155424	\N	1
2532	2539	test-56f35f1e960ce	test-56f35f1e960ce	74070	74070	\N	5
2533	2540	test-56f35f1e99fa3	test-56f35f1e99fa3	129305	129305	\N	3
2534	2541	test-56f35f1e9d380	test-56f35f1e9d380	196630	373597	\N	2
2535	2542	test-56f35f1ea097c	test-56f35f1ea097c	5379	5379	\N	1
2536	2543	test-56f35f1ea39d5	test-56f35f1ea39d5	17695	28312	\N	3
2537	2544	test-56f35f1ea6cf1	test-56f35f1ea6cf1	42515	51018	\N	5
2538	2545	test-56f35f1ea9d3d	test-56f35f1ea9d3d	70714	70714	\N	3
2539	2546	test-56f35f1eacd10	test-56f35f1eacd10	99561	99561	\N	4
2540	2547	test-56f35f1eb03a4	test-56f35f1eb03a4	137689	137689	\N	4
2541	2548	test-56f35f1eb3d0f	test-56f35f1eb3d0f	60802	60802	\N	3
2542	2549	test-56f35f1eba24d	test-56f35f1eba24d	177743	337711.700000000012	\N	4
2543	2550	test-56f35f1ebe618	test-56f35f1ebe618	138665	207997.5	\N	4
2544	2551	test-56f35f1ec19ac	test-56f35f1ec19ac	178138	178138	\N	3
2545	2552	test-56f35f1ec4d4d	test-56f35f1ec4d4d	170254	221330.200000000012	\N	1
2546	2553	test-56f35f1ec9c3e	test-56f35f1ec9c3e	141490	141490	\N	3
2547	2554	test-56f35f1ecd08a	test-56f35f1ecd08a	188480	188480	\N	5
2548	2555	test-56f35f1ed0d43	test-56f35f1ed0d43	114853	195250.100000000006	\N	5
2549	2556	test-56f35f1ed42aa	test-56f35f1ed42aa	66934	127174.600000000006	\N	4
2550	2557	test-56f35f1ed76f2	test-56f35f1ed76f2	75792	75792	\N	2
2551	2558	test-56f35f1edace5	test-56f35f1edace5	42405	42405	\N	2
2552	2559	test-56f35f1ede1a6	test-56f35f1ede1a6	48791	48791	\N	4
2553	2560	test-56f35f1ee10f7	test-56f35f1ee10f7	109527	109527	\N	3
2554	2561	test-56f35f1ee4909	test-56f35f1ee4909	168976	270361.599999999977	\N	5
2555	2562	test-56f35f1ee7987	test-56f35f1ee7987	18833	18833	\N	5
2556	2563	test-56f35f1eee256	test-56f35f1eee256	73441	73441	\N	1
2557	2564	test-56f35f1ef165f	test-56f35f1ef165f	61635	61635	\N	4
2558	2565	test-56f35f1f00337	test-56f35f1f00337	132724	132724	\N	4
2559	2566	test-56f35f1f09d3b	test-56f35f1f09d3b	125948	138542.799999999988	\N	3
2560	2567	test-56f35f1f0e317	test-56f35f1f0e317	194289	388578	\N	1
2561	2568	test-56f35f1f111f9	test-56f35f1f111f9	85558	85558	\N	2
2562	2569	test-56f35f1f19798	test-56f35f1f19798	151438	151438	\N	3
2563	2570	test-56f35f1f1ea24	test-56f35f1f1ea24	59936	59936	\N	2
2564	2571	test-56f35f1f2212d	test-56f35f1f2212d	90540	99594	\N	3
2565	2572	test-56f35f1f264da	test-56f35f1f264da	134380	134380	\N	3
2566	2573	test-56f35f1f2a78c	test-56f35f1f2a78c	17992	30586.4000000000015	\N	2
2567	2574	test-56f35f1f2dc7d	test-56f35f1f2dc7d	156594	156594	\N	3
2568	2575	test-56f35f1f317ca	test-56f35f1f317ca	96356	192712	\N	1
2569	2576	test-56f35f1f347ca	test-56f35f1f347ca	122216	232210.399999999994	\N	3
2570	2577	test-56f35f1f37d14	test-56f35f1f37d14	189257	321736.900000000023	\N	3
2571	2578	test-56f35f1f3b684	test-56f35f1f3b684	12243	13467.2999999999993	\N	3
2572	2579	test-56f35f1f3e6a7	test-56f35f1f3e6a7	123416	123416	\N	3
2573	2580	test-56f35f1f4477e	test-56f35f1f4477e	116708	116708	\N	4
2574	2581	test-56f35f1f47e03	test-56f35f1f47e03	98991	98991	\N	2
2575	2582	test-56f35f1f4ebdb	test-56f35f1f4ebdb	63484	63484	\N	5
2576	2583	test-56f35f1f52f12	test-56f35f1f52f12	27496	27496	\N	5
2577	2584	test-56f35f1f5725c	test-56f35f1f5725c	53786	53786	\N	4
2578	2585	test-56f35f1f5bc22	test-56f35f1f5bc22	157918	189501.600000000006	\N	5
2579	2586	test-56f35f1f64f0d	test-56f35f1f64f0d	196526	216178.600000000006	\N	1
2580	2587	test-56f35f1f67e35	test-56f35f1f67e35	85025	110532.5	\N	2
2581	2588	test-56f35f1f6cd9b	test-56f35f1f6cd9b	21901	21901	\N	2
2582	2589	test-56f35f1f71afe	test-56f35f1f71afe	13087	13087	\N	5
2583	2590	test-56f35f1f75206	test-56f35f1f75206	31676	31676	\N	3
2584	2591	test-56f35f1f7850d	test-56f35f1f7850d	42044	42044	\N	5
2585	2592	test-56f35f1f7b85b	test-56f35f1f7b85b	152541	152541	\N	5
2586	2593	test-56f35f1f7fe82	test-56f35f1f7fe82	16358	16358	\N	2
2587	2594	test-56f35f1f833ca	test-56f35f1f833ca	86363	86363	\N	4
2588	2595	test-56f35f1f86896	test-56f35f1f86896	162669	162669	\N	2
2589	2596	test-56f35f1f8cc7a	test-56f35f1f8cc7a	147658	147658	\N	1
2590	2597	test-56f35f1f902b9	test-56f35f1f902b9	31803	47704.5	\N	5
2591	2598	test-56f35f1f9aa70	test-56f35f1f9aa70	15310	15310	\N	5
2592	2599	test-56f35f1f9fd2a	test-56f35f1f9fd2a	28786	28786	\N	4
2593	2600	test-56f35f1fa350f	test-56f35f1fa350f	132423	238361.399999999994	\N	4
2594	2601	test-56f35f1fad541	test-56f35f1fad541	126427	202283.200000000012	\N	5
2595	2602	test-56f35f1fb22ee	test-56f35f1fb22ee	178331	178331	\N	2
2596	2603	test-56f35f1fbd225	test-56f35f1fbd225	195606	195606	\N	4
2597	2604	test-56f35f1fc7297	test-56f35f1fc7297	119500	119500	\N	3
2598	2605	test-56f35f1fd3d48	test-56f35f1fd3d48	135923	135923	\N	4
2599	2606	test-56f35f1fdb594	test-56f35f1fdb594	139269	208903.5	\N	1
2600	2607	test-56f35f1fdeb70	test-56f35f1fdeb70	109596	142474.799999999988	\N	2
2601	2608	test-56f35f1fe31a9	test-56f35f1fe31a9	123195	135514.5	\N	2
2602	2609	test-56f35f1fe635f	test-56f35f1fe635f	126218	126218	\N	3
2603	2610	test-56f35f1fe9752	test-56f35f1fe9752	191434	191434	\N	1
2604	2611	test-56f35f1fec987	test-56f35f1fec987	97959	97959	\N	1
2605	2612	test-56f35f1ff2969	test-56f35f1ff2969	153436	153436	\N	4
2606	2613	test-56f35f2002105	test-56f35f2002105	40456	44501.5999999999985	\N	3
2607	2614	test-56f35f2005e10	test-56f35f2005e10	90195	180390	\N	4
2608	2615	test-56f35f2009fd1	test-56f35f2009fd1	120377	156490.100000000006	\N	3
2609	2616	test-56f35f2014728	test-56f35f2014728	107917	107917	\N	4
2610	2617	test-56f35f201930f	test-56f35f201930f	171618	171618	\N	2
2611	2618	test-56f35f2024b7d	test-56f35f2024b7d	30864	30864	\N	4
2612	2619	test-56f35f2027f39	test-56f35f2027f39	12625	17675	\N	2
2613	2620	test-56f35f202b25b	test-56f35f202b25b	175707	228419.100000000006	\N	3
2614	2621	test-56f35f20337c6	test-56f35f20337c6	152294	274129.200000000012	\N	5
2615	2622	test-56f35f2036c33	test-56f35f2036c33	169156	169156	\N	4
2616	2623	test-56f35f203c843	test-56f35f203c843	107389	214778	\N	4
2617	2624	test-56f35f203fc63	test-56f35f203fc63	11415	18264	\N	2
2618	2625	test-56f35f2042ec0	test-56f35f2042ec0	4046	4046	\N	3
2619	2626	test-56f35f204ee5e	test-56f35f204ee5e	194429	194429	\N	3
2620	2627	test-56f35f20522cb	test-56f35f20522cb	92801	92801	\N	4
2621	2628	test-56f35f205599e	test-56f35f205599e	137298	164757.600000000006	\N	5
2622	2629	test-56f35f2058da5	test-56f35f2058da5	67006	127311.399999999994	\N	4
2623	2630	test-56f35f205dddd	test-56f35f205dddd	108363	205889.700000000012	\N	3
2624	2631	test-56f35f2061a02	test-56f35f2061a02	159295	159295	\N	4
2625	2632	test-56f35f2064d02	test-56f35f2064d02	139494	223190.399999999994	\N	3
2626	2633	test-56f35f2067fa3	test-56f35f2067fa3	87239	87239	\N	2
2627	2634	test-56f35f206dd2c	test-56f35f206dd2c	37036	37036	\N	1
2628	2635	test-56f35f2071875	test-56f35f2071875	126171	151405.200000000012	\N	1
2629	2636	test-56f35f2074f71	test-56f35f2074f71	120078	120078	\N	4
2630	2637	test-56f35f2078744	test-56f35f2078744	65084	65084	\N	2
2631	2638	test-56f35f207b9ff	test-56f35f207b9ff	55616	83424	\N	2
2632	2639	test-56f35f207ee34	test-56f35f207ee34	25868	51736	\N	5
2633	2640	test-56f35f2084804	test-56f35f2084804	187447	187447	\N	1
2634	2641	test-56f35f2087bdb	test-56f35f2087bdb	153915	153915	\N	5
2635	2642	test-56f35f208be41	test-56f35f208be41	199946	199946	\N	1
2636	2643	test-56f35f208fc8b	test-56f35f208fc8b	16997	16997	\N	3
2637	2644	test-56f35f2092c49	test-56f35f2092c49	104704	104704	\N	1
2638	2645	test-56f35f2095c8e	test-56f35f2095c8e	138572	138572	\N	3
2639	2646	test-56f35f20990e8	test-56f35f20990e8	44054	83702.6000000000058	\N	4
2640	2647	test-56f35f209c26d	test-56f35f209c26d	117217	140660.399999999994	\N	5
2641	2648	test-56f35f209fc25	test-56f35f209fc25	15034	15034	\N	3
2642	2649	test-56f35f20a3dcd	test-56f35f20a3dcd	62026	62026	\N	2
2643	2650	test-56f35f20a75b3	test-56f35f20a75b3	145677	145677	\N	5
2644	2651	test-56f35f20aa4a1	test-56f35f20aa4a1	168651	168651	\N	2
2645	2652	test-56f35f20adc95	test-56f35f20adc95	36691	40360.0999999999985	\N	5
2646	2653	test-56f35f20b0c2b	test-56f35f20b0c2b	133566	133566	\N	2
2647	2654	test-56f35f20b3eb7	test-56f35f20b3eb7	135334	135334	\N	4
2648	2655	test-56f35f20b6edf	test-56f35f20b6edf	30120	30120	\N	4
2649	2656	test-56f35f20ba0fc	test-56f35f20ba0fc	131242	131242	\N	3
2650	2657	test-56f35f20bd050	test-56f35f20bd050	186432	186432	\N	3
2651	2658	test-56f35f20c1b90	test-56f35f20c1b90	57492	86238	\N	1
2652	2659	test-56f35f20c4e9b	test-56f35f20c4e9b	127541	127541	\N	2
2653	2660	test-56f35f20c7f7c	test-56f35f20c7f7c	73519	73519	\N	4
2654	2661	test-56f35f20cb2cf	test-56f35f20cb2cf	53341	53341	\N	5
2655	2662	test-56f35f20cded3	test-56f35f20cded3	142757	142757	\N	5
2656	2663	test-56f35f20d11bc	test-56f35f20d11bc	54610	54610	\N	5
2657	2664	test-56f35f20d47a4	test-56f35f20d47a4	52012	52012	\N	3
2658	2665	test-56f35f20e0d52	test-56f35f20e0d52	77787	77787	\N	1
2659	2666	test-56f35f20e4113	test-56f35f20e4113	87288	174576	\N	3
2660	2667	test-56f35f20e735b	test-56f35f20e735b	151465	151465	\N	3
2661	2668	test-56f35f20ea65d	test-56f35f20ea65d	99987	159979.200000000012	\N	4
2662	2669	test-56f35f20edce2	test-56f35f20edce2	3088	3396.80000000000018	\N	5
2663	2670	test-56f35f20f1a8c	test-56f35f20f1a8c	21207	21207	\N	4
2664	2671	test-56f35f2100fed	test-56f35f2100fed	146513	146513	\N	4
2665	2672	test-56f35f2104205	test-56f35f2104205	71382	71382	\N	4
2666	2673	test-56f35f21071bc	test-56f35f21071bc	131194	157432.799999999988	\N	1
2667	2674	test-56f35f210a996	test-56f35f210a996	38515	77030	\N	5
2668	2675	test-56f35f210d893	test-56f35f210d893	104601	209202	\N	5
2669	2676	test-56f35f2110bf9	test-56f35f2110bf9	127364	127364	\N	5
2670	2677	test-56f35f2113e1d	test-56f35f2113e1d	149283	149283	\N	2
2671	2678	test-56f35f211718c	test-56f35f211718c	29388	29388	\N	5
2672	2679	test-56f35f211ceaa	test-56f35f211ceaa	118547	118547	\N	2
2673	2680	test-56f35f2120372	test-56f35f2120372	30267	30267	\N	5
2674	2681	test-56f35f2124796	test-56f35f2124796	137565	137565	\N	4
2675	2682	test-56f35f2129628	test-56f35f2129628	170581	170581	\N	4
2676	2683	test-56f35f212c990	test-56f35f212c990	52666	52666	\N	1
2677	2684	test-56f35f212fef1	test-56f35f212fef1	45799	45799	\N	4
2678	2685	test-56f35f2132ed8	test-56f35f2132ed8	159164	222829.600000000006	\N	1
2679	2686	test-56f35f21368eb	test-56f35f21368eb	67912	129032.800000000003	\N	1
2680	2687	test-56f35f21398e4	test-56f35f21398e4	167403	167403	\N	2
2681	2688	test-56f35f213d473	test-56f35f213d473	198024	277233.599999999977	\N	4
2682	2689	test-56f35f2140821	test-56f35f2140821	87775	87775	\N	1
2683	2690	test-56f35f2145048	test-56f35f2145048	159399	159399	\N	5
2684	2691	test-56f35f214898f	test-56f35f214898f	56971	56971	\N	2
2685	2692	test-56f35f214c0c8	test-56f35f214c0c8	187803	244143.899999999994	\N	4
2686	2693	test-56f35f214f7be	test-56f35f214f7be	89466	169985.399999999994	\N	1
2687	2694	test-56f35f2152889	test-56f35f2152889	61449	61449	\N	4
2688	2695	test-56f35f2155b36	test-56f35f2155b36	106956	117651.600000000006	\N	2
2689	2696	test-56f35f2158e37	test-56f35f2158e37	41305	49566	\N	3
2690	2697	test-56f35f215c519	test-56f35f215c519	164361	312285.900000000023	\N	1
2691	2698	test-56f35f2162ea9	test-56f35f2162ea9	67189	67189	\N	3
2692	2699	test-56f35f2168e24	test-56f35f2168e24	124037	124037	\N	5
2693	2700	test-56f35f216f305	test-56f35f216f305	8432	8432	\N	2
2694	2701	test-56f35f217736c	test-56f35f217736c	102721	102721	\N	5
2695	2702	test-56f35f2180bad	test-56f35f2180bad	120733	120733	\N	5
2696	2703	test-56f35f219ac1e	test-56f35f219ac1e	59637	59637	\N	2
2697	2704	test-56f35f21a1230	test-56f35f21a1230	126431	126431	\N	3
2698	2705	test-56f35f21a6fea	test-56f35f21a6fea	129954	129954	\N	3
2699	2706	test-56f35f21b0e96	test-56f35f21b0e96	75351	105491.399999999994	\N	5
2700	2707	test-56f35f21b5c2a	test-56f35f21b5c2a	121350	121350	\N	1
2701	2708	test-56f35f21bb5b7	test-56f35f21bb5b7	168559	219126.700000000012	\N	1
2702	2709	test-56f35f21bf035	test-56f35f21bf035	140665	140665	\N	5
2703	2710	test-56f35f21cf5a5	test-56f35f21cf5a5	196296	196296	\N	2
2704	2711	test-56f35f21d2503	test-56f35f21d2503	63961	63961	\N	2
2705	2712	test-56f35f21d584e	test-56f35f21d584e	166307	166307	\N	5
2706	2713	test-56f35f21d8a2e	test-56f35f21d8a2e	183561	183561	\N	2
2707	2714	test-56f35f21e0ba0	test-56f35f21e0ba0	5910	5910	\N	5
2708	2715	test-56f35f21e4553	test-56f35f21e4553	104770	104770	\N	5
2709	2716	test-56f35f21e7a4b	test-56f35f21e7a4b	94449	103893.899999999994	\N	1
2710	2717	test-56f35f21eb470	test-56f35f21eb470	100081	100081	\N	5
2711	2718	test-56f35f21ee8c9	test-56f35f21ee8c9	99154	99154	\N	4
2712	2719	test-56f35f21f1be6	test-56f35f21f1be6	33681	33681	\N	2
2713	2720	test-56f35f2205650	test-56f35f2205650	134312	228330.399999999994	\N	2
2714	2721	test-56f35f2208968	test-56f35f2208968	69205	69205	\N	5
2715	2722	test-56f35f220bdb3	test-56f35f220bdb3	173874	173874	\N	2
2716	2723	test-56f35f220f8c6	test-56f35f220f8c6	55983	55983	\N	5
2717	2724	test-56f35f2213741	test-56f35f2213741	122161	122161	\N	1
2718	2725	test-56f35f221a303	test-56f35f221a303	109287	109287	\N	2
2719	2726	test-56f35f221ed5b	test-56f35f221ed5b	33457	33457	\N	3
2720	2727	test-56f35f2222883	test-56f35f2222883	151640	151640	\N	5
2721	2728	test-56f35f2225be5	test-56f35f2225be5	78378	78378	\N	5
2722	2729	test-56f35f2228dbf	test-56f35f2228dbf	10071	10071	\N	2
2723	2730	test-56f35f222c1b2	test-56f35f222c1b2	32576	32576	\N	4
2724	2731	test-56f35f222f536	test-56f35f222f536	158921	158921	\N	5
2725	2732	test-56f35f223347a	test-56f35f223347a	151635	303270	\N	1
2726	2733	test-56f35f22363b1	test-56f35f22363b1	86779	86779	\N	1
2727	2734	test-56f35f2239622	test-56f35f2239622	127620	127620	\N	5
2728	2735	test-56f35f223e15c	test-56f35f223e15c	41032	45135.1999999999971	\N	1
2729	2736	test-56f35f2241441	test-56f35f2241441	35042	45554.5999999999985	\N	1
2730	2737	test-56f35f22446b6	test-56f35f22446b6	85763	137220.799999999988	\N	3
2731	2738	test-56f35f2247ef5	test-56f35f2247ef5	80048	104062.399999999994	\N	3
2732	2739	test-56f35f224b215	test-56f35f224b215	186719	186719	\N	1
2733	2740	test-56f35f224e6f3	test-56f35f224e6f3	146807	146807	\N	5
2734	2741	test-56f35f2251e56	test-56f35f2251e56	163185	163185	\N	4
2735	2742	test-56f35f22603ed	test-56f35f22603ed	178952	178952	\N	5
2736	2743	test-56f35f22634a2	test-56f35f22634a2	135062	135062	\N	3
2737	2744	test-56f35f226698f	test-56f35f226698f	99789	99789	\N	3
2738	2745	test-56f35f2269c72	test-56f35f2269c72	61986	117773.399999999994	\N	3
2739	2746	test-56f35f226ebd3	test-56f35f226ebd3	143140	143140	\N	3
2740	2747	test-56f35f2277103	test-56f35f2277103	143905	143905	\N	2
2741	2748	test-56f35f227cea8	test-56f35f227cea8	122828	233373.200000000012	\N	3
2742	2749	test-56f35f228183a	test-56f35f228183a	107725	150815	\N	1
2743	2750	test-56f35f22865c1	test-56f35f22865c1	161876	161876	\N	1
2744	2751	test-56f35f228ac88	test-56f35f228ac88	100100	100100	\N	4
2745	2752	test-56f35f228f551	test-56f35f228f551	40330	40330	\N	1
2746	2753	test-56f35f22939bd	test-56f35f22939bd	120114	228216.600000000006	\N	5
2747	2754	test-56f35f2296fdd	test-56f35f2296fdd	88224	88224	\N	4
2748	2755	test-56f35f229a59d	test-56f35f229a59d	106573	106573	\N	1
2749	2756	test-56f35f229dab0	test-56f35f229dab0	132871	132871	\N	3
2750	2757	test-56f35f22a0da9	test-56f35f22a0da9	114011	114011	\N	5
2751	2758	test-56f35f22a3e53	test-56f35f22a3e53	151071	151071	\N	1
2752	2759	test-56f35f22a74e2	test-56f35f22a74e2	132892	132892	\N	5
2753	2760	test-56f35f22aa668	test-56f35f22aa668	35736	35736	\N	4
2754	2761	test-56f35f22adf01	test-56f35f22adf01	22691	22691	\N	4
2755	2762	test-56f35f22b1672	test-56f35f22b1672	143618	143618	\N	5
2756	2763	test-56f35f22b4919	test-56f35f22b4919	109061	141779.299999999988	\N	2
2757	2764	test-56f35f22b8c95	test-56f35f22b8c95	148238	148238	\N	4
2758	2765	test-56f35f22bccec	test-56f35f22bccec	85358	170716	\N	2
2759	2766	test-56f35f22bfd8b	test-56f35f22bfd8b	177705	177705	\N	2
2760	2767	test-56f35f22c324d	test-56f35f22c324d	181360	181360	\N	3
2761	2768	test-56f35f22c6c25	test-56f35f22c6c25	93989	93989	\N	5
2762	2769	test-56f35f22ca4be	test-56f35f22ca4be	91156	91156	\N	2
2763	2770	test-56f35f22cda38	test-56f35f22cda38	43113	43113	\N	2
2764	2771	test-56f35f22d4b91	test-56f35f22d4b91	74210	74210	\N	1
2765	2772	test-56f35f22d7f30	test-56f35f22d7f30	122690	122690	\N	5
2766	2773	test-56f35f22dbbd5	test-56f35f22dbbd5	78682	78682	\N	5
2767	2774	test-56f35f22dedf9	test-56f35f22dedf9	84866	84866	\N	4
2768	2775	test-56f35f22e224d	test-56f35f22e224d	61049	79363.6999999999971	\N	2
2769	2776	test-56f35f22e59b8	test-56f35f22e59b8	20307	20307	\N	4
2770	2777	test-56f35f22e89db	test-56f35f22e89db	32005	32005	\N	3
2771	2778	test-56f35f22ebb1a	test-56f35f22ebb1a	185434	352324.599999999977	\N	5
2772	2779	test-56f35f22eef26	test-56f35f22eef26	5896	5896	\N	3
2773	2780	test-56f35f2313ea0	test-56f35f2313ea0	96684	96684	\N	5
2774	2781	test-56f35f231724e	test-56f35f231724e	12437	12437	\N	4
2775	2782	test-56f35f231c04b	test-56f35f231c04b	51405	71967	\N	4
2776	2783	test-56f35f231f6dc	test-56f35f231f6dc	108629	108629	\N	4
2777	2784	test-56f35f232332e	test-56f35f232332e	18465	18465	\N	4
2778	2785	test-56f35f23265b2	test-56f35f23265b2	37286	37286	\N	1
2779	2786	test-56f35f2329a4c	test-56f35f2329a4c	121041	121041	\N	3
2780	2787	test-56f35f232d220	test-56f35f232d220	122308	122308	\N	2
2781	2788	test-56f35f232ffa8	test-56f35f232ffa8	52226	83561.6000000000058	\N	5
2782	2789	test-56f35f2333b26	test-56f35f2333b26	147422	147422	\N	2
2783	2790	test-56f35f2336d17	test-56f35f2336d17	133720	147092	\N	1
2784	2791	test-56f35f2339f85	test-56f35f2339f85	93011	158118.700000000012	\N	5
2785	2792	test-56f35f233f5fb	test-56f35f233f5fb	78750	78750	\N	1
2786	2793	test-56f35f2342df4	test-56f35f2342df4	161241	161241	\N	3
2787	2794	test-56f35f2347187	test-56f35f2347187	117311	222890.899999999994	\N	5
2788	2795	test-56f35f234aac1	test-56f35f234aac1	100521	120625.199999999997	\N	4
2789	2796	test-56f35f234f5f1	test-56f35f234f5f1	11718	19920.5999999999985	\N	5
2790	2797	test-56f35f23527d1	test-56f35f23527d1	118851	154506.299999999988	\N	5
2791	2798	test-56f35f2356023	test-56f35f2356023	157477	157477	\N	2
2792	2799	test-56f35f2359409	test-56f35f2359409	38389	38389	\N	4
2793	2800	test-56f35f235cb04	test-56f35f235cb04	80081	80081	\N	4
2794	2801	test-56f35f2360012	test-56f35f2360012	57872	57872	\N	2
2795	2802	test-56f35f236332c	test-56f35f236332c	103038	103038	\N	5
2796	2803	test-56f35f2367d01	test-56f35f2367d01	77517	77517	\N	5
2797	2804	test-56f35f236b192	test-56f35f236b192	16062	16062	\N	5
2798	2805	test-56f35f236e4b6	test-56f35f236e4b6	61023	61023	\N	5
2799	2806	test-56f35f2371966	test-56f35f2371966	184721	221665.200000000012	\N	3
2800	2807	test-56f35f237551f	test-56f35f237551f	178889	178889	\N	4
2801	2808	test-56f35f23784f5	test-56f35f23784f5	100285	100285	\N	5
2802	2809	test-56f35f237bcb4	test-56f35f237bcb4	146991	146991	\N	3
2803	2810	test-56f35f2386fcd	test-56f35f2386fcd	156423	156423	\N	4
2804	2811	test-56f35f238d77e	test-56f35f238d77e	158652	158652	\N	4
2805	2812	test-56f35f239126b	test-56f35f239126b	155603	295645.700000000012	\N	1
2806	2813	test-56f35f2394925	test-56f35f2394925	97739	156382.399999999994	\N	3
2807	2814	test-56f35f2398b51	test-56f35f2398b51	162854	162854	\N	1
2808	2815	test-56f35f239c106	test-56f35f239c106	98854	98854	\N	5
2809	2816	test-56f35f239fb49	test-56f35f239fb49	43592	43592	\N	1
2810	2817	test-56f35f23a3225	test-56f35f23a3225	6186	6186	\N	2
2811	2818	test-56f35f23a654c	test-56f35f23a654c	134697	134697	\N	1
2812	2819	test-56f35f23bdf95	test-56f35f23bdf95	187058	355410.200000000012	\N	4
2813	2820	test-56f35f23c1259	test-56f35f23c1259	75207	75207	\N	5
2814	2821	test-56f35f23c480c	test-56f35f23c480c	108064	205321.600000000006	\N	1
2815	2822	test-56f35f23c9394	test-56f35f23c9394	137957	137957	\N	3
2816	2823	test-56f35f23ccdd8	test-56f35f23ccdd8	189442	189442	\N	3
2817	2824	test-56f35f23d01c9	test-56f35f23d01c9	196279	196279	\N	4
2818	2825	test-56f35f23d3a7f	test-56f35f23d3a7f	686	686	\N	1
2819	2826	test-56f35f23d7040	test-56f35f23d7040	108917	196050.600000000006	\N	4
2820	2827	test-56f35f23db4d5	test-56f35f23db4d5	43753	43753	\N	5
2821	2828	test-56f35f23de7d2	test-56f35f23de7d2	196544	196544	\N	3
2822	2829	test-56f35f23e2083	test-56f35f23e2083	145854	218781	\N	2
2823	2830	test-56f35f23e4f98	test-56f35f23e4f98	153049	198963.700000000012	\N	3
2824	2831	test-56f35f23e9c7f	test-56f35f23e9c7f	56113	56113	\N	3
2825	2832	test-56f35f23ecbf6	test-56f35f23ecbf6	130371	130371	\N	1
2826	2833	test-56f35f23f01c4	test-56f35f23f01c4	53921	53921	\N	1
2827	2834	test-56f35f23f33a4	test-56f35f23f33a4	74339	74339	\N	1
2828	2835	test-56f35f24029ba	test-56f35f24029ba	182503	182503	\N	2
2829	2836	test-56f35f240d896	test-56f35f240d896	175068	245095.200000000012	\N	1
2830	2837	test-56f35f2412207	test-56f35f2412207	174551	174551	\N	4
2831	2838	test-56f35f2416aef	test-56f35f2416aef	126242	126242	\N	5
2832	2839	test-56f35f241c53c	test-56f35f241c53c	35550	39105	\N	2
2833	2840	test-56f35f242db34	test-56f35f242db34	74981	74981	\N	5
2834	2841	test-56f35f24324f1	test-56f35f24324f1	183349	238353.700000000012	\N	5
2835	2842	test-56f35f243bb6d	test-56f35f243bb6d	127843	127843	\N	3
2836	2843	test-56f35f2443e74	test-56f35f2443e74	103377	103377	\N	2
2837	2844	test-56f35f2448220	test-56f35f2448220	32072	32072	\N	4
2838	2845	test-56f35f244c9b6	test-56f35f244c9b6	48440	48440	\N	2
2839	2846	test-56f35f244ffb7	test-56f35f244ffb7	62014	68215.3999999999942	\N	4
2840	2847	test-56f35f2453c05	test-56f35f2453c05	76811	115216.5	\N	5
2841	2848	test-56f35f2456f2d	test-56f35f2456f2d	11507	11507	\N	5
2842	2849	test-56f35f245ad27	test-56f35f245ad27	75926	75926	\N	5
2843	2850	test-56f35f245f987	test-56f35f245f987	78217	78217	\N	2
2844	2851	test-56f35f2464463	test-56f35f2464463	20197	20197	\N	5
2845	2852	test-56f35f2468618	test-56f35f2468618	135461	135461	\N	4
2846	2853	test-56f35f246bfd7	test-56f35f246bfd7	194755	194755	\N	4
2847	2854	test-56f35f246f8be	test-56f35f246f8be	76165	76165	\N	4
2848	2855	test-56f35f2473232	test-56f35f2473232	21260	21260	\N	3
2849	2856	test-56f35f2476496	test-56f35f2476496	78990	134283	\N	1
2850	2857	test-56f35f248aaf6	test-56f35f248aaf6	180764	180764	\N	1
2851	2858	test-56f35f24906d8	test-56f35f24906d8	158044	284479.200000000012	\N	1
2852	2859	test-56f35f2495786	test-56f35f2495786	108084	151317.600000000006	\N	4
2853	2860	test-56f35f2499a63	test-56f35f2499a63	138052	138052	\N	5
2854	2861	test-56f35f249dc4b	test-56f35f249dc4b	72331	72331	\N	5
2855	2862	test-56f35f24a16f2	test-56f35f24a16f2	134249	134249	\N	5
2856	2863	test-56f35f24a502b	test-56f35f24a502b	163393	163393	\N	2
2857	2864	test-56f35f24a8755	test-56f35f24a8755	160207	160207	\N	5
2858	2865	test-56f35f24ac175	test-56f35f24ac175	73046	102264.399999999994	\N	3
2859	2866	test-56f35f24c9786	test-56f35f24c9786	79140	126624	\N	1
2860	2867	test-56f35f2504f69	test-56f35f2504f69	37782	52894.8000000000029	\N	4
2861	2868	test-56f35f251293f	test-56f35f251293f	65574	65574	\N	1
2862	2869	test-56f35f251badb	test-56f35f251badb	98669	197338	\N	1
2863	2870	test-56f35f25244b9	test-56f35f25244b9	127830	127830	\N	1
2864	2871	test-56f35f2528f7d	test-56f35f2528f7d	180538	180538	\N	4
2865	2872	test-56f35f252c77b	test-56f35f252c77b	111655	111655	\N	4
2866	2873	test-56f35f2530e62	test-56f35f2530e62	132488	132488	\N	2
2867	2874	test-56f35f2534a96	test-56f35f2534a96	62442	62442	\N	5
2868	2875	test-56f35f25383e8	test-56f35f25383e8	97373	185008.700000000012	\N	5
2869	2876	test-56f35f253c416	test-56f35f253c416	25484	35677.5999999999985	\N	5
2870	2877	test-56f35f2544394	test-56f35f2544394	12546	22582.7999999999993	\N	4
2871	2878	test-56f35f2547ecc	test-56f35f2547ecc	54240	54240	\N	1
2872	2879	test-56f35f254c06f	test-56f35f254c06f	137858	137858	\N	5
2873	2880	test-56f35f255033f	test-56f35f255033f	148857	148857	\N	3
2874	2881	test-56f35f2554563	test-56f35f2554563	189980	189980	\N	5
2875	2882	test-56f35f2557d58	test-56f35f2557d58	106718	202764.200000000012	\N	2
2876	2883	test-56f35f255b606	test-56f35f255b606	128708	180191.200000000012	\N	2
2877	2884	test-56f35f2564239	test-56f35f2564239	156210	156210	\N	3
2878	2885	test-56f35f2568b9f	test-56f35f2568b9f	153130	183756	\N	3
2879	2886	test-56f35f256d30d	test-56f35f256d30d	20709	20709	\N	4
2880	2887	test-56f35f25723f8	test-56f35f25723f8	15465	15465	\N	3
2881	2888	test-56f35f25759e7	test-56f35f25759e7	104937	167899.200000000012	\N	2
2882	2889	test-56f35f25791c4	test-56f35f25791c4	157199	235798.5	\N	1
2883	2890	test-56f35f257c65a	test-56f35f257c65a	22792	38746.4000000000015	\N	1
2884	2891	test-56f35f258175d	test-56f35f258175d	196568	255538.399999999994	\N	1
2885	2892	test-56f35f2585a2c	test-56f35f2585a2c	15045	15045	\N	5
2886	2893	test-56f35f2588ef1	test-56f35f2588ef1	35479	67410.1000000000058	\N	1
2887	2894	test-56f35f258c48f	test-56f35f258c48f	167984	167984	\N	5
2888	2895	test-56f35f258ffc3	test-56f35f258ffc3	56917	56917	\N	2
2889	2896	test-56f35f25a18da	test-56f35f25a18da	179146	179146	\N	2
2890	2897	test-56f35f25a52b8	test-56f35f25a52b8	154014	154014	\N	5
2891	2898	test-56f35f25a88ea	test-56f35f25a88ea	122962	159850.600000000006	\N	3
2892	2899	test-56f35f25ac972	test-56f35f25ac972	23251	23251	\N	3
2893	2900	test-56f35f25b3609	test-56f35f25b3609	48285	48285	\N	5
2894	2901	test-56f35f25b71b6	test-56f35f25b71b6	138616	138616	\N	5
2895	2902	test-56f35f25ba9c1	test-56f35f25ba9c1	176105	176105	\N	3
2896	2903	test-56f35f25bdd2b	test-56f35f25bdd2b	172937	172937	\N	5
2897	2904	test-56f35f25c131a	test-56f35f25c131a	118349	224863.100000000006	\N	2
2898	2905	test-56f35f25c53ad	test-56f35f25c53ad	177739	302156.299999999988	\N	1
2899	2906	test-56f35f25d28be	test-56f35f25d28be	12233	12233	\N	4
2900	2907	test-56f35f25d5d81	test-56f35f25d5d81	26174	26174	\N	3
2901	2908	test-56f35f25d94bf	test-56f35f25d94bf	165393	248089.5	\N	5
2902	2909	test-56f35f25dc8ed	test-56f35f25dc8ed	190901	190901	\N	1
2903	2910	test-56f35f25e4529	test-56f35f25e4529	125272	125272	\N	3
2904	2911	test-56f35f25e8b56	test-56f35f25e8b56	58622	58622	\N	1
2905	2912	test-56f35f25ebef6	test-56f35f25ebef6	117060	152178	\N	5
2906	2913	test-56f35f25ef84e	test-56f35f25ef84e	9597	11516.3999999999996	\N	2
2907	2914	test-56f35f25f299a	test-56f35f25f299a	165940	315286	\N	1
2908	2915	test-56f35f2617a5b	test-56f35f2617a5b	180893	180893	\N	4
2909	2916	test-56f35f262cee7	test-56f35f262cee7	11677	11677	\N	3
2910	2917	test-56f35f263629e	test-56f35f263629e	93073	93073	\N	2
2911	2918	test-56f35f2641389	test-56f35f2641389	13154	15784.7999999999993	\N	4
2912	2919	test-56f35f2647c49	test-56f35f2647c49	176024	176024	\N	1
2913	2920	test-56f35f2659ee7	test-56f35f2659ee7	33783	33783	\N	5
2914	2921	test-56f35f266e6d1	test-56f35f266e6d1	112073	190524.100000000006	\N	2
2915	2922	test-56f35f26db6d7	test-56f35f26db6d7	102887	102887	\N	4
2916	2923	test-56f35f26e0f7a	test-56f35f26e0f7a	64399	64399	\N	2
2917	2924	test-56f35f26e4c42	test-56f35f26e4c42	146992	235187.200000000012	\N	1
2918	2925	test-56f35f26e86d7	test-56f35f26e86d7	62760	62760	\N	1
2919	2926	test-56f35f26ec4e6	test-56f35f26ec4e6	127570	127570	\N	2
2920	2927	test-56f35f26f3f0c	test-56f35f26f3f0c	126323	126323	\N	4
2921	2928	test-56f35f27035ff	test-56f35f27035ff	73538	88245.6000000000058	\N	3
2922	2929	test-56f35f270763c	test-56f35f270763c	187807	319271.900000000023	\N	3
2923	2930	test-56f35f270b809	test-56f35f270b809	183169	183169	\N	3
2924	2931	test-56f35f270f1cd	test-56f35f270f1cd	65518	72069.8000000000029	\N	1
2925	2932	test-56f35f27137fe	test-56f35f27137fe	163291	163291	\N	4
2926	2933	test-56f35f2717438	test-56f35f2717438	3232	3232	\N	3
2927	2934	test-56f35f2729634	test-56f35f2729634	20823	20823	\N	4
2928	2935	test-56f35f272d7f0	test-56f35f272d7f0	139740	139740	\N	5
2929	2936	test-56f35f2734ab7	test-56f35f2734ab7	164402	164402	\N	4
2930	2937	test-56f35f27500bd	test-56f35f27500bd	133308	159969.600000000006	\N	2
2931	2938	test-56f35f2753904	test-56f35f2753904	197199	197199	\N	3
2932	2939	test-56f35f275760e	test-56f35f275760e	97569	97569	\N	3
2933	2940	test-56f35f275b1f0	test-56f35f275b1f0	58162	58162	\N	4
2934	2941	test-56f35f2763025	test-56f35f2763025	26123	26123	\N	5
2935	2942	test-56f35f27670ba	test-56f35f27670ba	14478	28956	\N	2
2936	2943	test-56f35f276e0c2	test-56f35f276e0c2	115701	115701	\N	4
2937	2944	test-56f35f2773f3c	test-56f35f2773f3c	131253	131253	\N	1
2938	2945	test-56f35f277a5b9	test-56f35f277a5b9	123226	123226	\N	3
2939	2946	test-56f35f277e13a	test-56f35f277e13a	138183	152001.299999999988	\N	4
2940	2947	test-56f35f2782788	test-56f35f2782788	111064	111064	\N	1
2941	2948	test-56f35f278919a	test-56f35f278919a	90539	181078	\N	3
2942	2949	test-56f35f278d459	test-56f35f278d459	59081	59081	\N	4
2943	2950	test-56f35f279122f	test-56f35f279122f	127097	127097	\N	2
2944	2951	test-56f35f279525b	test-56f35f279525b	93373	93373	\N	5
2945	2952	test-56f35f2799041	test-56f35f2799041	121035	121035	\N	1
2946	2953	test-56f35f279d1af	test-56f35f279d1af	150084	150084	\N	1
2947	2954	test-56f35f27a08ae	test-56f35f27a08ae	14542	14542	\N	1
2948	2955	test-56f35f27a54fb	test-56f35f27a54fb	67899	67899	\N	5
2949	2956	test-56f35f27a97dd	test-56f35f27a97dd	194850	194850	\N	2
2950	2957	test-56f35f27acc6c	test-56f35f27acc6c	13902	13902	\N	1
2951	2958	test-56f35f27b7c08	test-56f35f27b7c08	16064	19276.7999999999993	\N	3
2952	2959	test-56f35f27bb743	test-56f35f27bb743	50855	50855	\N	1
2953	2960	test-56f35f27bf2ec	test-56f35f27bf2ec	87231	87231	\N	5
2954	2961	test-56f35f27c29f7	test-56f35f27c29f7	75636	83199.6000000000058	\N	1
2955	2962	test-56f35f27c640d	test-56f35f27c640d	77051	77051	\N	2
2956	2963	test-56f35f27c9fb6	test-56f35f27c9fb6	13931	27862	\N	3
2957	2964	test-56f35f27cd941	test-56f35f27cd941	15934	15934	\N	1
2958	2965	test-56f35f27d11d7	test-56f35f27d11d7	23084	23084	\N	5
2959	2966	test-56f35f27d4b25	test-56f35f27d4b25	130148	130148	\N	4
2960	2967	test-56f35f27d82de	test-56f35f27d82de	174103	313385.400000000023	\N	1
2961	2968	test-56f35f27dbdc8	test-56f35f27dbdc8	30080	30080	\N	4
2962	2969	test-56f35f27df5f5	test-56f35f27df5f5	184626	313864.200000000012	\N	4
2963	2970	test-56f35f27e2ca1	test-56f35f27e2ca1	24876	24876	\N	1
2964	2971	test-56f35f27e9cba	test-56f35f27e9cba	38972	38972	\N	2
2965	2972	test-56f35f281754f	test-56f35f281754f	111647	133976.399999999994	\N	2
2966	2973	test-56f35f281bd23	test-56f35f281bd23	109126	120038.600000000006	\N	4
2967	2974	test-56f35f28208f4	test-56f35f28208f4	10267	10267	\N	5
2968	2975	test-56f35f282442f	test-56f35f282442f	1383	1383	\N	3
2969	2976	test-56f35f28277f4	test-56f35f28277f4	51695	51695	\N	2
2970	2977	test-56f35f282cbde	test-56f35f282cbde	33014	33014	\N	5
2971	2978	test-56f35f2832ace	test-56f35f2832ace	141703	283406	\N	1
2972	2979	test-56f35f2836446	test-56f35f2836446	141433	141433	\N	2
2973	2980	test-56f35f2839b89	test-56f35f2839b89	24034	24034	\N	4
2974	2981	test-56f35f283fc7d	test-56f35f283fc7d	1617	1617	\N	2
2975	2982	test-56f35f2843afe	test-56f35f2843afe	175583	175583	\N	1
2976	2983	test-56f35f2847b9a	test-56f35f2847b9a	116430	116430	\N	3
2977	2984	test-56f35f284ba0c	test-56f35f284ba0c	172140	189354	\N	2
2978	2985	test-56f35f284f446	test-56f35f284f446	199485	199485	\N	5
2979	2986	test-56f35f2852b80	test-56f35f2852b80	148439	296878	\N	2
2980	2987	test-56f35f2856731	test-56f35f2856731	150397	150397	\N	1
2981	2988	test-56f35f285a153	test-56f35f285a153	58205	58205	\N	3
2982	2989	test-56f35f285dfb1	test-56f35f285dfb1	126348	126348	\N	3
2983	2990	test-56f35f2868b78	test-56f35f2868b78	100694	140971.600000000006	\N	3
2984	2991	test-56f35f286de81	test-56f35f286de81	104102	187383.600000000006	\N	5
2985	2992	test-56f35f287361c	test-56f35f287361c	130494	130494	\N	3
2986	2993	test-56f35f287c004	test-56f35f287c004	102869	102869	\N	3
2987	2994	test-56f35f28837f2	test-56f35f28837f2	146332	146332	\N	1
2988	2995	test-56f35f2887896	test-56f35f2887896	69660	69660	\N	2
2989	2996	test-56f35f288b584	test-56f35f288b584	4826	4826	\N	1
2990	2997	test-56f35f288f7d9	test-56f35f288f7d9	65962	131924	\N	4
2991	2998	test-56f35f2892e70	test-56f35f2892e70	44554	44554	\N	1
2992	2999	test-56f35f289c5d4	test-56f35f289c5d4	78144	78144	\N	3
2993	3000	test-56f35f289fe85	test-56f35f289fe85	56252	56252	\N	5
2994	3001	test-56f35f28a3622	test-56f35f28a3622	174702	192172.200000000012	\N	5
2995	3002	test-56f35f28a73fc	test-56f35f28a73fc	4310	4741	\N	1
2996	3003	test-56f35f28aad10	test-56f35f28aad10	12040	12040	\N	2
2997	3004	test-56f35f28ae677	test-56f35f28ae677	172217	258325.5	\N	3
2998	3005	test-56f35f28b1b61	test-56f35f28b1b61	25312	27843.2000000000007	\N	2
2999	3006	test-56f35f28b4e88	test-56f35f28b4e88	131838	131838	\N	2
3000	3007	test-56f35f28bd387	test-56f35f28bd387	147455	147455	\N	2
3001	3008	test-56f35f28c13f5	test-56f35f28c13f5	136216	136216	\N	4
3002	3009	test-56f35f28c4f4c	test-56f35f28c4f4c	52792	95025.6000000000058	\N	4
3003	3010	test-56f35f28c85a1	test-56f35f28c85a1	7482	7482	\N	4
3004	3011	test-56f35f28e86c2	test-56f35f28e86c2	139590	139590	\N	1
3005	3012	test-56f35f28ed6fb	test-56f35f28ed6fb	114886	114886	\N	1
3006	3013	test-56f35f290051d	test-56f35f290051d	117593	117593	\N	5
3007	3014	test-56f35f290604e	test-56f35f290604e	186287	186287	\N	2
3008	3015	test-56f35f2909969	test-56f35f2909969	65331	78397.1999999999971	\N	3
3009	3016	test-56f35f290d4e9	test-56f35f290d4e9	95685	95685	\N	3
3010	3017	test-56f35f291170e	test-56f35f291170e	58656	58656	\N	5
3011	3018	test-56f35f2914f78	test-56f35f2914f78	22168	22168	\N	4
3012	3019	test-56f35f291a064	test-56f35f291a064	6489	7786.80000000000018	\N	1
3013	3020	test-56f35f291d982	test-56f35f291d982	41716	41716	\N	2
3014	3021	test-56f35f2920db4	test-56f35f2920db4	30615	39799.5	\N	2
3015	3022	test-56f35f29243f1	test-56f35f29243f1	91885	91885	\N	5
3016	3023	test-56f35f2927c31	test-56f35f2927c31	2266	2266	\N	1
3017	3024	test-56f35f292b735	test-56f35f292b735	142165	142165	\N	3
3018	3025	test-56f35f2934d2e	test-56f35f2934d2e	2533	2533	\N	4
3019	3026	test-56f35f2938eb5	test-56f35f2938eb5	184606	184606	\N	5
3020	3027	test-56f35f293caf2	test-56f35f293caf2	95706	95706	\N	5
3021	3028	test-56f35f29405c6	test-56f35f29405c6	60318	60318	\N	4
3022	3029	test-56f35f2943e9a	test-56f35f2943e9a	162574	162574	\N	1
3023	3030	test-56f35f2947572	test-56f35f2947572	155114	155114	\N	3
3024	3031	test-56f35f294ab59	test-56f35f294ab59	38067	53293.8000000000029	\N	4
3025	3032	test-56f35f294dc97	test-56f35f294dc97	66851	133702	\N	1
3026	3033	test-56f35f29517e3	test-56f35f29517e3	122142	122142	\N	2
3027	3034	test-56f35f2954dde	test-56f35f2954dde	35040	35040	\N	3
3028	3035	test-56f35f29585b4	test-56f35f29585b4	16645	16645	\N	3
3029	3036	test-56f35f295be86	test-56f35f295be86	14866	14866	\N	1
3030	3037	test-56f35f295f708	test-56f35f295f708	48274	48274	\N	3
3031	3038	test-56f35f2962cac	test-56f35f2962cac	165311	165311	\N	1
3032	3039	test-56f35f296b89f	test-56f35f296b89f	184819	184819	\N	1
3033	3040	test-56f35f296f130	test-56f35f296f130	175275	175275	\N	5
3034	3041	test-56f35f29726a8	test-56f35f29726a8	10116	10116	\N	2
3035	3042	test-56f35f2976042	test-56f35f2976042	91591	164863.799999999988	\N	3
3036	3043	test-56f35f29797a8	test-56f35f29797a8	57810	104058	\N	1
3037	3044	test-56f35f297cdf4	test-56f35f297cdf4	107036	107036	\N	5
3038	3045	test-56f35f298423d	test-56f35f298423d	66857	133714	\N	4
3039	3046	test-56f35f29876e0	test-56f35f29876e0	97696	97696	\N	4
3040	3047	test-56f35f298e0dd	test-56f35f298e0dd	185471	185471	\N	4
3041	3048	test-56f35f2994079	test-56f35f2994079	31940	31940	\N	4
3042	3049	test-56f35f29b301a	test-56f35f29b301a	2377	2377	\N	4
3043	3050	test-56f35f29b84d8	test-56f35f29b84d8	106413	106413	\N	4
3044	3051	test-56f35f29bf56b	test-56f35f29bf56b	110706	110706	\N	5
3045	3052	test-56f35f29c4beb	test-56f35f29c4beb	37300	44760	\N	3
3046	3053	test-56f35f29cb563	test-56f35f29cb563	57960	92736	\N	5
3047	3054	test-56f35f29d09ed	test-56f35f29d09ed	152176	152176	\N	2
3048	3055	test-56f35f29d66bf	test-56f35f29d66bf	138134	234827.799999999988	\N	4
3049	3056	test-56f35f29dd786	test-56f35f29dd786	61232	61232	\N	3
3050	3057	test-56f35f29e276b	test-56f35f29e276b	38810	69858	\N	4
3051	3058	test-56f35f29e5a77	test-56f35f29e5a77	74235	74235	\N	3
3052	3059	test-56f35f29ed993	test-56f35f29ed993	150620	150620	\N	5
3053	3060	test-56f35f29f2f69	test-56f35f29f2f69	66012	66012	\N	3
3054	3061	test-56f35f2a0223c	test-56f35f2a0223c	12475	12475	\N	5
3055	3062	test-56f35f2a05a95	test-56f35f2a05a95	58983	58983	\N	2
3056	3063	test-56f35f2a093e2	test-56f35f2a093e2	156086	202911.799999999988	\N	2
3057	3064	test-56f35f2a1375b	test-56f35f2a1375b	68819	68819	\N	1
3058	3065	test-56f35f2a3e048	test-56f35f2a3e048	95908	143862	\N	5
3059	3066	test-56f35f2a49c27	test-56f35f2a49c27	77514	124022.399999999994	\N	4
3060	3067	test-56f35f2a4deec	test-56f35f2a4deec	35353	56564.8000000000029	\N	5
3061	3068	test-56f35f2a51da9	test-56f35f2a51da9	1460	1460	\N	5
3062	3069	test-56f35f2a56d08	test-56f35f2a56d08	4246	4246	\N	1
3063	3070	test-56f35f2a5f023	test-56f35f2a5f023	167089	167089	\N	2
3064	3071	test-56f35f2a65488	test-56f35f2a65488	109847	208709.299999999988	\N	5
3065	3072	test-56f35f2a6ba9f	test-56f35f2a6ba9f	159808	159808	\N	4
3066	3073	test-56f35f2a7127b	test-56f35f2a7127b	94794	123232.199999999997	\N	3
3067	3074	test-56f35f2a75348	test-56f35f2a75348	87199	87199	\N	2
3068	3075	test-56f35f2a790c6	test-56f35f2a790c6	143804	143804	\N	2
3069	3076	test-56f35f2a7e1a5	test-56f35f2a7e1a5	26482	26482	\N	3
3070	3077	test-56f35f2a840a3	test-56f35f2a840a3	179284	250997.600000000006	\N	2
3071	3078	test-56f35f2a893c7	test-56f35f2a893c7	101327	101327	\N	4
3072	3079	test-56f35f2a8cb79	test-56f35f2a8cb79	130281	234505.799999999988	\N	5
3073	3080	test-56f35f2a90a6d	test-56f35f2a90a6d	16969	18665.9000000000015	\N	2
3074	3081	test-56f35f2a9411d	test-56f35f2a9411d	11655	13986	\N	4
3075	3082	test-56f35f2a975d0	test-56f35f2a975d0	46487	46487	\N	5
3076	3083	test-56f35f2a9acf3	test-56f35f2a9acf3	80624	80624	\N	1
3077	3084	test-56f35f2a9e90f	test-56f35f2a9e90f	94994	189988	\N	2
3078	3085	test-56f35f2aa2770	test-56f35f2aa2770	68424	68424	\N	2
3079	3086	test-56f35f2aa628f	test-56f35f2aa628f	118084	118084	\N	3
3080	3087	test-56f35f2aa98d3	test-56f35f2aa98d3	106564	138533.200000000012	\N	3
3081	3088	test-56f35f2ac94e6	test-56f35f2ac94e6	122940	122940	\N	5
3082	3089	test-56f35f2acf74d	test-56f35f2acf74d	174015	174015	\N	5
3083	3090	test-56f35f2ad4691	test-56f35f2ad4691	179772	179772	\N	2
3084	3091	test-56f35f2ad9813	test-56f35f2ad9813	30307	30307	\N	2
3085	3092	test-56f35f2adf75d	test-56f35f2adf75d	46866	46866	\N	1
3086	3093	test-56f35f2ae7909	test-56f35f2ae7909	170368	170368	\N	2
3087	3094	test-56f35f2aec864	test-56f35f2aec864	160136	160136	\N	2
3088	3095	test-56f35f2af089f	test-56f35f2af089f	37317	44780.4000000000015	\N	5
3089	3096	test-56f35f2b00bd4	test-56f35f2b00bd4	87697	87697	\N	4
3090	3097	test-56f35f2b0472c	test-56f35f2b0472c	58928	94284.8000000000029	\N	3
3091	3098	test-56f35f2b07bf7	test-56f35f2b07bf7	163049	211963.700000000012	\N	4
3092	3099	test-56f35f2b0b1ba	test-56f35f2b0b1ba	46977	46977	\N	1
3093	3100	test-56f35f2b0ee9c	test-56f35f2b0ee9c	186106	334990.799999999988	\N	2
3094	3101	test-56f35f2b12db4	test-56f35f2b12db4	7022	9830.79999999999927	\N	5
3095	3102	test-56f35f2b16c14	test-56f35f2b16c14	1502	1502	\N	3
3096	3103	test-56f35f2b1a86a	test-56f35f2b1a86a	117656	152952.799999999988	\N	4
3097	3104	test-56f35f2b22a26	test-56f35f2b22a26	38109	60974.4000000000015	\N	2
3098	3105	test-56f35f2b27e0e	test-56f35f2b27e0e	13901	13901	\N	5
3099	3106	test-56f35f2b2bea9	test-56f35f2b2bea9	31751	31751	\N	2
3100	3107	test-56f35f2b31111	test-56f35f2b31111	176856	176856	\N	4
3101	3108	test-56f35f2b34b7b	test-56f35f2b34b7b	22377	22377	\N	5
3102	3109	test-56f35f2b38e7c	test-56f35f2b38e7c	108648	108648	\N	3
3103	3110	test-56f35f2b3c4b5	test-56f35f2b3c4b5	174119	174119	\N	4
3104	3111	test-56f35f2b40886	test-56f35f2b40886	14033	14033	\N	2
3105	3112	test-56f35f2b44247	test-56f35f2b44247	134308	134308	\N	4
3106	3113	test-56f35f2b478f0	test-56f35f2b478f0	145206	246850.200000000012	\N	3
3107	3114	test-56f35f2b4b9f4	test-56f35f2b4b9f4	31346	31346	\N	2
3108	3115	test-56f35f2b4f9a4	test-56f35f2b4f9a4	50243	85413.1000000000058	\N	3
3109	3116	test-56f35f2b547c6	test-56f35f2b547c6	197374	197374	\N	5
3110	3117	test-56f35f2b58476	test-56f35f2b58476	17962	17962	\N	2
3111	3118	test-56f35f2b61ddd	test-56f35f2b61ddd	127585	127585	\N	1
3112	3119	test-56f35f2b6546a	test-56f35f2b6546a	5484	5484	\N	5
3113	3120	test-56f35f2b68a40	test-56f35f2b68a40	146743	220114.5	\N	4
3114	3121	test-56f35f2b6c66c	test-56f35f2b6c66c	175364	350728	\N	3
3115	3122	test-56f35f2b70021	test-56f35f2b70021	60650	60650	\N	4
3116	3123	test-56f35f2b738bb	test-56f35f2b738bb	164532	180985.200000000012	\N	2
3117	3124	test-56f35f2b76fd3	test-56f35f2b76fd3	113330	124663	\N	3
3118	3125	test-56f35f2b7a89b	test-56f35f2b7a89b	81	81	\N	1
3119	3126	test-56f35f2b988ef	test-56f35f2b988ef	18822	18822	\N	3
3120	3127	test-56f35f2b9f165	test-56f35f2b9f165	11610	11610	\N	1
3121	3128	test-56f35f2ba659e	test-56f35f2ba659e	49000	49000	\N	3
3122	3129	test-56f35f2bab6f5	test-56f35f2bab6f5	50497	90894.6000000000058	\N	5
3123	3130	test-56f35f2bb026f	test-56f35f2bb026f	151714	151714	\N	3
3124	3131	test-56f35f2bb662b	test-56f35f2bb662b	179425	179425	\N	1
3125	3132	test-56f35f2bbe1fb	test-56f35f2bbe1fb	192505	192505	\N	2
3126	3133	test-56f35f2bc3773	test-56f35f2bc3773	110032	110032	\N	5
3127	3134	test-56f35f2bc73ed	test-56f35f2bc73ed	71479	71479	\N	4
3128	3135	test-56f35f2bcafb4	test-56f35f2bcafb4	170048	170048	\N	2
3129	3136	test-56f35f2bdc70c	test-56f35f2bdc70c	121103	121103	\N	4
3130	3137	test-56f35f2c010d8	test-56f35f2c010d8	142417	142417	\N	1
3131	3138	test-56f35f2c07657	test-56f35f2c07657	108119	140554.700000000012	\N	1
3132	3139	test-56f35f2c0ad97	test-56f35f2c0ad97	14235	14235	\N	2
3133	3140	test-56f35f2c0e4fb	test-56f35f2c0e4fb	30813	30813	\N	4
3134	3141	test-56f35f2c120c3	test-56f35f2c120c3	21396	21396	\N	5
3135	3142	test-56f35f2c1547f	test-56f35f2c1547f	184656	184656	\N	4
3136	3143	test-56f35f2c18d92	test-56f35f2c18d92	140285	140285	\N	4
3137	3144	test-56f35f2c1db9f	test-56f35f2c1db9f	47847	47847	\N	5
3138	3145	test-56f35f2c21ba6	test-56f35f2c21ba6	133916	147307.600000000006	\N	1
3139	3146	test-56f35f2c2548a	test-56f35f2c2548a	96984	96984	\N	4
3140	3147	test-56f35f2c2a7b6	test-56f35f2c2a7b6	30273	30273	\N	2
3141	3148	test-56f35f2c2f6a1	test-56f35f2c2f6a1	7215	7215	\N	1
3142	3149	test-56f35f2c349aa	test-56f35f2c349aa	83487	83487	\N	3
3143	3150	test-56f35f2c3875d	test-56f35f2c3875d	76510	76510	\N	4
3144	3151	test-56f35f2c3c558	test-56f35f2c3c558	104999	104999	\N	2
3145	3152	test-56f35f2c3fd93	test-56f35f2c3fd93	161451	274466.700000000012	\N	1
3146	3153	test-56f35f2c4375e	test-56f35f2c4375e	13703	26035.7000000000007	\N	4
3147	3154	test-56f35f2c46d4b	test-56f35f2c46d4b	25626	25626	\N	2
3148	3155	test-56f35f2c4a52b	test-56f35f2c4a52b	25298	37947	\N	2
3149	3156	test-56f35f2c4ddbf	test-56f35f2c4ddbf	101094	131422.200000000012	\N	5
3150	3157	test-56f35f2c513e6	test-56f35f2c513e6	137697	137697	\N	2
3151	3158	test-56f35f2c55cf5	test-56f35f2c55cf5	56015	56015	\N	2
3152	3159	test-56f35f2c59ec0	test-56f35f2c59ec0	78976	78976	\N	4
3153	3160	test-56f35f2c5d8c7	test-56f35f2c5d8c7	145293	246998.100000000006	\N	5
3154	3161	test-56f35f2c61ea1	test-56f35f2c61ea1	87092	104510.399999999994	\N	5
3155	3162	test-56f35f2c6604b	test-56f35f2c6604b	133265	133265	\N	3
3156	3163	test-56f35f2c6afd7	test-56f35f2c6afd7	118550	118550	\N	5
3157	3164	test-56f35f2c72dd4	test-56f35f2c72dd4	41589	41589	\N	1
3158	3165	test-56f35f2c96248	test-56f35f2c96248	33356	33356	\N	3
3159	3166	test-56f35f2c9a092	test-56f35f2c9a092	14493	14493	\N	1
3160	3167	test-56f35f2c9e3ed	test-56f35f2c9e3ed	5046	5046	\N	5
3161	3168	test-56f35f2ca3fb6	test-56f35f2ca3fb6	146295	146295	\N	1
3162	3169	test-56f35f2ca784a	test-56f35f2ca784a	169197	304554.599999999977	\N	4
3163	3170	test-56f35f2cab029	test-56f35f2cab029	10190	10190	\N	2
3164	3171	test-56f35f2cae965	test-56f35f2cae965	129850	129850	\N	3
3165	3172	test-56f35f2cb73ad	test-56f35f2cb73ad	161917	161917	\N	2
3166	3173	test-56f35f2cbd029	test-56f35f2cbd029	73494	73494	\N	1
3167	3174	test-56f35f2cc0930	test-56f35f2cc0930	83095	83095	\N	5
3168	3175	test-56f35f2cc3eba	test-56f35f2cc3eba	147080	147080	\N	3
3169	3176	test-56f35f2cc7b6c	test-56f35f2cc7b6c	18608	18608	\N	5
3170	3177	test-56f35f2ccb232	test-56f35f2ccb232	36016	36016	\N	5
3171	3178	test-56f35f2ccf51e	test-56f35f2ccf51e	171345	171345	\N	1
3172	3179	test-56f35f2cd2ca3	test-56f35f2cd2ca3	73065	73065	\N	2
3173	3180	test-56f35f2cd6375	test-56f35f2cd6375	156649	156649	\N	5
3174	3181	test-56f35f2cdeadc	test-56f35f2cdeadc	183871	183871	\N	5
3175	3182	test-56f35f2ce2026	test-56f35f2ce2026	17824	17824	\N	2
3176	3183	test-56f35f2ce5962	test-56f35f2ce5962	25074	27581.4000000000015	\N	1
3177	3184	test-56f35f2ce8e5e	test-56f35f2ce8e5e	148746	252868.200000000012	\N	1
3178	3185	test-56f35f2ced403	test-56f35f2ced403	27817	50070.5999999999985	\N	3
3179	3186	test-56f35f2d01a8a	test-56f35f2d01a8a	29768	29768	\N	4
3180	3187	test-56f35f2d075e7	test-56f35f2d075e7	103029	103029	\N	3
3181	3188	test-56f35f2d0d687	test-56f35f2d0d687	45006	45006	\N	2
3182	3189	test-56f35f2d137b2	test-56f35f2d137b2	12098	12098	\N	4
3183	3190	test-56f35f2d18a6c	test-56f35f2d18a6c	138695	138695	\N	5
3184	3191	test-56f35f2d1d971	test-56f35f2d1d971	198773	198773	\N	3
3185	3192	test-56f35f2d211f0	test-56f35f2d211f0	162147	162147	\N	3
3186	3193	test-56f35f2d2586f	test-56f35f2d2586f	167066	167066	\N	5
3187	3194	test-56f35f2d2cb67	test-56f35f2d2cb67	160544	160544	\N	2
3188	3195	test-56f35f2d304fd	test-56f35f2d304fd	124768	124768	\N	4
3189	3196	test-56f35f2d33f97	test-56f35f2d33f97	146296	146296	\N	5
3190	3197	test-56f35f2d3795a	test-56f35f2d3795a	57268	57268	\N	4
3191	3198	test-56f35f2d3b001	test-56f35f2d3b001	155550	155550	\N	5
3192	3199	test-56f35f2d42fa1	test-56f35f2d42fa1	71189	71189	\N	2
3193	3200	test-56f35f2d468b0	test-56f35f2d468b0	53775	53775	\N	3
3194	3201	test-56f35f2d63280	test-56f35f2d63280	59905	95848	\N	1
3195	3202	test-56f35f2d6726d	test-56f35f2d6726d	136553	136553	\N	1
3196	3203	test-56f35f2d8b201	test-56f35f2d8b201	76708	76708	\N	3
3197	3204	test-56f35f2d8ed8d	test-56f35f2d8ed8d	27789	27789	\N	3
3198	3205	test-56f35f2d9224c	test-56f35f2d9224c	177987	284779.200000000012	\N	3
3199	3206	test-56f35f2d959f9	test-56f35f2d959f9	103871	103871	\N	3
3200	3207	test-56f35f2d99523	test-56f35f2d99523	41887	54453.0999999999985	\N	4
3201	3208	test-56f35f2d9cfe4	test-56f35f2d9cfe4	86548	86548	\N	2
3202	3209	test-56f35f2da05e5	test-56f35f2da05e5	73864	73864	\N	5
3203	3210	test-56f35f2da3f8c	test-56f35f2da3f8c	123279	123279	\N	2
3204	3211	test-56f35f2da76af	test-56f35f2da76af	124889	237289.100000000006	\N	3
3205	3212	test-56f35f2dad308	test-56f35f2dad308	1779	1779	\N	5
3206	3213	test-56f35f2db32db	test-56f35f2db32db	67027	87135.1000000000058	\N	1
3207	3214	test-56f35f2db744c	test-56f35f2db744c	7365	7365	\N	1
3208	3215	test-56f35f2dbb30e	test-56f35f2dbb30e	180002	180002	\N	5
3209	3216	test-56f35f2dbe892	test-56f35f2dbe892	9655	9655	\N	1
3210	3217	test-56f35f2dc25b9	test-56f35f2dc25b9	86823	86823	\N	3
3211	3218	test-56f35f2dc589e	test-56f35f2dc589e	73474	73474	\N	5
3212	3219	test-56f35f2dc918a	test-56f35f2dc918a	14811	14811	\N	1
3213	3220	test-56f35f2dcc898	test-56f35f2dcc898	90015	90015	\N	2
3214	3221	test-56f35f2dd2900	test-56f35f2dd2900	73325	73325	\N	4
3215	3222	test-56f35f2dd6ce9	test-56f35f2dd6ce9	186569	186569	\N	4
3216	3223	test-56f35f2dda53a	test-56f35f2dda53a	131956	131956	\N	1
3217	3224	test-56f35f2ddde86	test-56f35f2ddde86	9445	9445	\N	2
3218	3225	test-56f35f2de180f	test-56f35f2de180f	48221	48221	\N	4
3219	3226	test-56f35f2de51c0	test-56f35f2de51c0	85526	111183.800000000003	\N	2
3220	3227	test-56f35f2de8efe	test-56f35f2de8efe	83715	83715	\N	1
3221	3228	test-56f35f2dec8b7	test-56f35f2dec8b7	135047	175561.100000000006	\N	2
3222	3229	test-56f35f2e015e8	test-56f35f2e015e8	91421	91421	\N	1
3223	3230	test-56f35f2e0503b	test-56f35f2e0503b	17690	17690	\N	2
3224	3231	test-56f35f2e08961	test-56f35f2e08961	114850	114850	\N	2
3225	3232	test-56f35f2e0bf1e	test-56f35f2e0bf1e	148692	148692	\N	5
3226	3233	test-56f35f2e0fae8	test-56f35f2e0fae8	103029	103029	\N	1
3227	3234	test-56f35f2e13125	test-56f35f2e13125	146491	249034.700000000012	\N	2
3228	3235	test-56f35f2e16cd4	test-56f35f2e16cd4	39079	39079	\N	1
3229	3236	test-56f35f2e1a0ca	test-56f35f2e1a0ca	44188	75119.6000000000058	\N	5
3230	3237	test-56f35f2e21706	test-56f35f2e21706	43806	43806	\N	3
3231	3238	test-56f35f2e2685b	test-56f35f2e2685b	195204	195204	\N	4
3232	3239	test-56f35f2e2bbc2	test-56f35f2e2bbc2	12775	17885	\N	1
3233	3240	test-56f35f2e2fc92	test-56f35f2e2fc92	79427	79427	\N	1
3234	3241	test-56f35f2e335b6	test-56f35f2e335b6	14456	14456	\N	3
3235	3242	test-56f35f2e5fd23	test-56f35f2e5fd23	154628	154628	\N	1
3236	3243	test-56f35f2e63684	test-56f35f2e63684	42307	42307	\N	1
3237	3244	test-56f35f2e671f6	test-56f35f2e671f6	55405	55405	\N	1
3238	3245	test-56f35f2e6a902	test-56f35f2e6a902	8999	8999	\N	1
3239	3246	test-56f35f2e6e986	test-56f35f2e6e986	49730	49730	\N	4
3240	3247	test-56f35f2e71fc9	test-56f35f2e71fc9	57082	57082	\N	4
3241	3248	test-56f35f2e75a47	test-56f35f2e75a47	160104	160104	\N	1
3242	3249	test-56f35f2e79271	test-56f35f2e79271	149097	149097	\N	5
3243	3250	test-56f35f2e7e1df	test-56f35f2e7e1df	36365	36365	\N	1
3244	3251	test-56f35f2e84ee8	test-56f35f2e84ee8	194722	194722	\N	4
3245	3252	test-56f35f2e8b25e	test-56f35f2e8b25e	52984	95371.1999999999971	\N	2
3246	3253	test-56f35f2e904cc	test-56f35f2e904cc	22831	22831	\N	3
3247	3254	test-56f35f2e9509f	test-56f35f2e9509f	107977	107977	\N	2
3248	3255	test-56f35f2e9a540	test-56f35f2e9a540	160511	272868.700000000012	\N	5
3249	3256	test-56f35f2ea0ddb	test-56f35f2ea0ddb	143316	143316	\N	3
3250	3257	test-56f35f2ea6293	test-56f35f2ea6293	123623	148347.600000000006	\N	5
3251	3258	test-56f35f2eab4aa	test-56f35f2eab4aa	10249	10249	\N	3
3252	3259	test-56f35f2eb060e	test-56f35f2eb060e	169054	169054	\N	1
3253	3260	test-56f35f2eb5339	test-56f35f2eb5339	190249	228298.799999999988	\N	5
3254	3261	test-56f35f2ebb9b2	test-56f35f2ebb9b2	139571	139571	\N	2
3255	3262	test-56f35f2ec0bb8	test-56f35f2ec0bb8	36271	36271	\N	1
3256	3263	test-56f35f2ec4298	test-56f35f2ec4298	118003	118003	\N	2
3257	3264	test-56f35f2ec7b4a	test-56f35f2ec7b4a	151601	151601	\N	3
3258	3265	test-56f35f2ecad78	test-56f35f2ecad78	102964	102964	\N	3
3259	3266	test-56f35f2ed24c2	test-56f35f2ed24c2	132259	132259	\N	5
3260	3267	test-56f35f2ed5ff8	test-56f35f2ed5ff8	32000	44800	\N	2
3261	3268	test-56f35f2ed9992	test-56f35f2ed9992	135940	135940	\N	1
3262	3269	test-56f35f2edfb74	test-56f35f2edfb74	110795	110795	\N	2
3263	3270	test-56f35f2ee4235	test-56f35f2ee4235	176255	264382.5	\N	4
3264	3271	test-56f35f2ee862e	test-56f35f2ee862e	62888	100620.800000000003	\N	2
3265	3272	test-56f35f2eebcc0	test-56f35f2eebcc0	155649	155649	\N	2
3266	3273	test-56f35f2eef0c9	test-56f35f2eef0c9	109859	142816.700000000012	\N	5
3267	3274	test-56f35f2ef2c83	test-56f35f2ef2c83	38102	38102	\N	1
3268	3275	test-56f35f2f01ff9	test-56f35f2f01ff9	140162	224259.200000000012	\N	2
3269	3276	test-56f35f2f0a0f0	test-56f35f2f0a0f0	4534	8161.19999999999982	\N	2
3270	3277	test-56f35f2f0db69	test-56f35f2f0db69	128288	128288	\N	3
3271	3278	test-56f35f2f12764	test-56f35f2f12764	619	742.799999999999955	\N	1
3272	3279	test-56f35f2f169fc	test-56f35f2f169fc	83415	83415	\N	5
3273	3280	test-56f35f2f4abb6	test-56f35f2f4abb6	68562	68562	\N	4
3274	3281	test-56f35f2f51573	test-56f35f2f51573	130753	209204.799999999988	\N	4
3275	3282	test-56f35f2f57866	test-56f35f2f57866	194601	194601	\N	4
3276	3283	test-56f35f2f5d835	test-56f35f2f5d835	141761	141761	\N	1
3277	3284	test-56f35f2f6307b	test-56f35f2f6307b	119442	119442	\N	1
3278	3285	test-56f35f2f690da	test-56f35f2f690da	183808	183808	\N	5
3279	3286	test-56f35f2f72e36	test-56f35f2f72e36	76342	152684	\N	2
3280	3287	test-56f35f2f7c155	test-56f35f2f7c155	79388	79388	\N	5
3281	3288	test-56f35f2f8715e	test-56f35f2f8715e	91318	91318	\N	2
3282	3289	test-56f35f2f8d045	test-56f35f2f8d045	118496	118496	\N	4
3283	3290	test-56f35f2f92297	test-56f35f2f92297	135163	135163	\N	4
3284	3291	test-56f35f2f983f8	test-56f35f2f983f8	192441	192441	\N	3
3285	3292	test-56f35f2f9fcbd	test-56f35f2f9fcbd	52759	68586.6999999999971	\N	4
3286	3293	test-56f35f2fa372e	test-56f35f2fa372e	16279	32558	\N	1
3287	3294	test-56f35f2fa9d12	test-56f35f2fa9d12	33994	33994	\N	4
3288	3295	test-56f35f2fade03	test-56f35f2fade03	31904	31904	\N	4
3289	3296	test-56f35f2fb2040	test-56f35f2fb2040	197410	197410	\N	2
3290	3297	test-56f35f2fb59f9	test-56f35f2fb59f9	150459	225688.5	\N	2
3291	3298	test-56f35f2fb9e38	test-56f35f2fb9e38	193146	193146	\N	5
3292	3299	test-56f35f2fbd559	test-56f35f2fbd559	100273	140382.200000000012	\N	4
3293	3300	test-56f35f2fc0fb8	test-56f35f2fc0fb8	15234	28944.5999999999985	\N	3
3294	3301	test-56f35f2fc6217	test-56f35f2fc6217	166787	166787	\N	4
3295	3302	test-56f35f2fca015	test-56f35f2fca015	161335	209735.5	\N	4
3296	3303	test-56f35f2fcd9a4	test-56f35f2fcd9a4	80195	152370.5	\N	1
3297	3304	test-56f35f2fd470d	test-56f35f2fd470d	43260	43260	\N	2
3298	3305	test-56f35f2fda760	test-56f35f2fda760	67486	67486	\N	4
3299	3306	test-56f35f2fe31e3	test-56f35f2fe31e3	108501	108501	\N	1
3300	3307	test-56f35f2fe8fe1	test-56f35f2fe8fe1	118181	118181	\N	1
3301	3308	test-56f35f2fee1a0	test-56f35f2fee1a0	113862	113862	\N	3
3302	3309	test-56f35f2ff195f	test-56f35f2ff195f	128330	128330	\N	3
3303	3310	test-56f35f300106b	test-56f35f300106b	193437	212780.700000000012	\N	5
3304	3311	test-56f35f3004952	test-56f35f3004952	54284	70569.1999999999971	\N	4
3305	3312	test-56f35f3007c57	test-56f35f3007c57	144209	144209	\N	3
3306	3313	test-56f35f300c078	test-56f35f300c078	147755	147755	\N	3
3307	3314	test-56f35f300f85d	test-56f35f300f85d	14034	14034	\N	3
3308	3315	test-56f35f3013033	test-56f35f3013033	186269	298030.400000000023	\N	4
3309	3316	test-56f35f301698d	test-56f35f301698d	45759	45759	\N	5
3310	3317	test-56f35f3019fc1	test-56f35f3019fc1	50493	85838.1000000000058	\N	5
3311	3318	test-56f35f301dccb	test-56f35f301dccb	183855	257397	\N	2
3312	3319	test-56f35f304c19d	test-56f35f304c19d	132118	171753.399999999994	\N	5
3313	3320	test-56f35f304fe62	test-56f35f304fe62	103681	103681	\N	1
3314	3321	test-56f35f3056385	test-56f35f3056385	119200	119200	\N	5
3315	3322	test-56f35f3059d52	test-56f35f3059d52	89820	89820	\N	3
3316	3323	test-56f35f305d546	test-56f35f305d546	89456	143129.600000000006	\N	5
3317	3324	test-56f35f3060d08	test-56f35f3060d08	199270	298905	\N	2
3318	3325	test-56f35f3064541	test-56f35f3064541	183825	183825	\N	3
3319	3326	test-56f35f3067d90	test-56f35f3067d90	15132	15132	\N	4
3320	3327	test-56f35f306b72d	test-56f35f306b72d	29985	29985	\N	5
3321	3328	test-56f35f306f6c3	test-56f35f306f6c3	148679	193282.700000000012	\N	4
3322	3329	test-56f35f3073013	test-56f35f3073013	20261	28365.4000000000015	\N	3
3323	3330	test-56f35f30768cd	test-56f35f30768cd	191678	191678	\N	3
3324	3331	test-56f35f307a144	test-56f35f307a144	142497	142497	\N	1
3325	3332	test-56f35f308138a	test-56f35f308138a	185663	185663	\N	4
3326	3333	test-56f35f308a8c9	test-56f35f308a8c9	147197	147197	\N	3
3327	3334	test-56f35f308ed0a	test-56f35f308ed0a	125830	125830	\N	5
3328	3335	test-56f35f3094028	test-56f35f3094028	150510	270918	\N	5
3329	3336	test-56f35f30979e5	test-56f35f30979e5	143139	143139	\N	5
3330	3337	test-56f35f309b379	test-56f35f309b379	97970	97970	\N	2
3331	3338	test-56f35f309ed15	test-56f35f309ed15	171316	205579.200000000012	\N	3
3332	3339	test-56f35f30a249d	test-56f35f30a249d	58030	58030	\N	3
3333	3340	test-56f35f30a64e9	test-56f35f30a64e9	81254	81254	\N	3
3334	3341	test-56f35f30acd3e	test-56f35f30acd3e	70550	141100	\N	1
3335	3342	test-56f35f30b2bf5	test-56f35f30b2bf5	21900	26280	\N	4
3336	3343	test-56f35f30b6931	test-56f35f30b6931	145198	145198	\N	3
3337	3344	test-56f35f30bc7bb	test-56f35f30bc7bb	110861	110861	\N	3
3338	3345	test-56f35f30c2d57	test-56f35f30c2d57	94518	94518	\N	4
3339	3346	test-56f35f30c67c9	test-56f35f30c67c9	83398	83398	\N	1
3340	3347	test-56f35f30c9b80	test-56f35f30c9b80	93113	93113	\N	4
3341	3348	test-56f35f30cd6d5	test-56f35f30cd6d5	84874	169748	\N	1
3342	3349	test-56f35f30d0aae	test-56f35f30d0aae	97799	97799	\N	5
3343	3350	test-56f35f30d8cf6	test-56f35f30d8cf6	31814	31814	\N	5
3344	3351	test-56f35f30eb660	test-56f35f30eb660	176322	229218.600000000006	\N	5
3345	3352	test-56f35f30ef07e	test-56f35f30ef07e	176363	176363	\N	3
3346	3353	test-56f35f30f2c03	test-56f35f30f2c03	103155	195994.5	\N	2
3347	3354	test-56f35f31021a8	test-56f35f31021a8	45548	50102.8000000000029	\N	2
3348	3355	test-56f35f3105fa6	test-56f35f3105fa6	148648	148648	\N	5
3349	3356	test-56f35f3109819	test-56f35f3109819	151197	151197	\N	2
3350	3357	test-56f35f313c7dd	test-56f35f313c7dd	82875	82875	\N	3
3351	3358	test-56f35f3144544	test-56f35f3144544	20694	20694	\N	5
3352	3359	test-56f361737f6bf	test-56f361737f6bf	61810	61810	\N	3
3353	3360	test-56f3617393d00	test-56f3617393d00	93297	139945.5	\N	2
3354	3361	test-56f361739866f	test-56f361739866f	37219	37219	\N	2
3355	3362	test-56f36173a1851	test-56f36173a1851	183605	183605	\N	5
3356	3363	test-56f36173a7870	test-56f36173a7870	143366	143366	\N	4
3357	3364	test-56f36173b2211	test-56f36173b2211	79898	143816.399999999994	\N	5
3358	3365	test-56f36173b6ac9	test-56f36173b6ac9	10584	16934.4000000000015	\N	1
3359	3366	test-56f36173bb27d	test-56f36173bb27d	158016	158016	\N	1
3360	3367	test-56f36173c4113	test-56f36173c4113	95175	95175	\N	1
3361	3368	test-56f36173caacb	test-56f36173caacb	165824	281900.799999999988	\N	5
3362	3369	test-56f36173d0db1	test-56f36173d0db1	157655	157655	\N	4
3363	3370	test-56f36173d7bc6	test-56f36173d7bc6	42602	42602	\N	5
3364	3371	test-56f36173de565	test-56f36173de565	143565	143565	\N	4
3365	3372	test-56f36173e4442	test-56f36173e4442	119157	119157	\N	1
3366	3373	test-56f36173e8330	test-56f36173e8330	68209	68209	\N	4
3367	3374	test-56f36173ebfea	test-56f36173ebfea	78861	102519.300000000003	\N	3
3368	3375	test-56f36173ef952	test-56f36173ef952	18304	18304	\N	1
3369	3376	test-56f36173f318d	test-56f36173f318d	159706	303441.400000000023	\N	2
3370	3377	test-56f36174022fe	test-56f36174022fe	132127	158552.399999999994	\N	3
3371	3378	test-56f3617408348	test-56f3617408348	98420	108262	\N	5
3372	3379	test-56f361740b8fe	test-56f361740b8fe	28594	28594	\N	1
3373	3380	test-56f361740f538	test-56f361740f538	107685	107685	\N	2
3374	3381	test-56f36174127fb	test-56f36174127fb	180257	180257	\N	5
3375	3382	test-56f3617415e85	test-56f3617415e85	144905	275319.5	\N	5
3376	3383	test-56f361741951e	test-56f361741951e	45430	49973	\N	5
3377	3384	test-56f361741e461	test-56f361741e461	21087	42174	\N	3
3378	3385	test-56f361742450e	test-56f361742450e	125300	137830	\N	2
3379	3386	test-56f361742a5c1	test-56f361742a5c1	101693	152539.5	\N	3
3380	3387	test-56f361742eb30	test-56f361742eb30	86423	86423	\N	1
3381	3388	test-56f3617434331	test-56f3617434331	158751	158751	\N	5
3382	3389	test-56f36174383ae	test-56f36174383ae	177543	177543	\N	2
3383	3390	test-56f361743ec07	test-56f361743ec07	88263	167699.700000000012	\N	3
3384	3391	test-56f36174425f3	test-56f36174425f3	14894	14894	\N	5
3385	3392	test-56f3617445d32	test-56f3617445d32	10438	10438	\N	1
3386	3393	test-56f361744989e	test-56f361744989e	191866	364545.400000000023	\N	5
3387	3394	test-56f361744d058	test-56f361744d058	114122	114122	\N	3
3388	3395	test-56f3617450a6b	test-56f3617450a6b	173760	173760	\N	1
3389	3396	test-56f36174545fb	test-56f36174545fb	163204	163204	\N	1
3390	3397	test-56f361745848d	test-56f361745848d	125076	237644.399999999994	\N	3
3391	3398	test-56f361745bbe0	test-56f361745bbe0	72942	87530.3999999999942	\N	4
3392	3399	test-56f361745fb96	test-56f361745fb96	41531	41531	\N	4
3393	3400	test-56f361746656d	test-56f361746656d	39298	39298	\N	4
3394	3401	test-56f361746c4f5	test-56f361746c4f5	81567	106037.100000000006	\N	4
3395	3402	test-56f3617472631	test-56f3617472631	28745	28745	\N	4
3396	3403	test-56f3617476648	test-56f3617476648	171539	188692.899999999994	\N	3
3397	3404	test-56f361747ea1a	test-56f361747ea1a	143546	200964.399999999994	\N	2
3398	3405	test-56f3617488b39	test-56f3617488b39	146902	190972.600000000006	\N	5
3399	3406	test-56f361748e9e7	test-56f361748e9e7	198445	257978.5	\N	5
3400	3407	test-56f3617493abd	test-56f3617493abd	96995	96995	\N	4
3401	3408	test-56f361749b12d	test-56f361749b12d	141425	141425	\N	5
3402	3409	test-56f36174a1af0	test-56f36174a1af0	16208	25932.7999999999993	\N	2
3403	3410	test-56f36174aca28	test-56f36174aca28	101580	101580	\N	5
3404	3411	test-56f36174b3363	test-56f36174b3363	107689	204609.100000000006	\N	3
3405	3412	test-56f36174ba39f	test-56f36174ba39f	142340	270446	\N	2
3406	3413	test-56f36174bef7c	test-56f36174bef7c	179800	179800	\N	2
3407	3414	test-56f36174c3acd	test-56f36174c3acd	139869	223790.399999999994	\N	3
3408	3415	test-56f36174cb4d6	test-56f36174cb4d6	118682	118682	\N	3
3409	3416	test-56f36174cece9	test-56f36174cece9	62651	119036.899999999994	\N	4
3410	3417	test-56f36174d2fef	test-56f36174d2fef	159163	159163	\N	2
3411	3418	test-56f36174d8ce1	test-56f36174d8ce1	60683	103161.100000000006	\N	4
3412	3419	test-56f36174e0b4b	test-56f36174e0b4b	50928	50928	\N	2
3413	3420	test-56f36174e8eb1	test-56f36174e8eb1	49600	59520	\N	4
3414	3421	test-56f36174f2f71	test-56f36174f2f71	143485	143485	\N	1
3415	3422	test-56f3617504e5a	test-56f3617504e5a	30029	45043.5	\N	1
3416	3423	test-56f3617509a17	test-56f3617509a17	53297	69286.1000000000058	\N	2
3417	3424	test-56f3617514fba	test-56f3617514fba	115186	115186	\N	2
3418	3425	test-56f361751a104	test-56f361751a104	180580	180580	\N	4
3419	3426	test-56f3617523010	test-56f3617523010	167016	167016	\N	3
3420	3427	test-56f3617528fbf	test-56f3617528fbf	98156	98156	\N	4
3421	3428	test-56f361752cf7a	test-56f361752cf7a	117338	199474.600000000006	\N	4
3422	3429	test-56f361753013b	test-56f361753013b	128155	128155	\N	3
3423	3430	test-56f36175334a8	test-56f36175334a8	78793	157586	\N	3
3424	3431	test-56f3617536f50	test-56f3617536f50	63243	63243	\N	1
3425	3432	test-56f361754026f	test-56f361754026f	114895	114895	\N	4
3426	3433	test-56f361754b1fb	test-56f361754b1fb	17717	17717	\N	4
3427	3434	test-56f361755464a	test-56f361755464a	116585	116585	\N	3
3428	3435	test-56f361755c83b	test-56f361755c83b	37449	56173.5	\N	1
3429	3436	test-56f3617563c28	test-56f3617563c28	17982	17982	\N	2
3430	3437	test-56f361756a739	test-56f361756a739	177947	177947	\N	5
3431	3438	test-56f361758c160	test-56f361758c160	122703	134973.299999999988	\N	3
3432	3439	test-56f36175b4401	test-56f36175b4401	106275	106275	\N	1
3433	3440	test-56f36175b9ea6	test-56f36175b9ea6	125084	187626	\N	2
3434	3441	test-56f36175bf12a	test-56f36175bf12a	69696	90604.8000000000029	\N	2
3435	3442	test-56f36175c4a05	test-56f36175c4a05	36788	62539.5999999999985	\N	1
3436	3443	test-56f36175cca8c	test-56f36175cca8c	88546	88546	\N	4
3437	3444	test-56f36175d4780	test-56f36175d4780	119732	119732	\N	3
3438	3445	test-56f36175dad5d	test-56f36175dad5d	153738	153738	\N	5
3439	3446	test-56f36175e8b4f	test-56f36175e8b4f	199244	199244	\N	3
3440	3447	test-56f3617602620	test-56f3617602620	193510	193510	\N	1
3441	3448	test-56f3617614d7c	test-56f3617614d7c	180813	343544.700000000012	\N	2
3442	3449	test-56f3617620ea8	test-56f3617620ea8	238	238	\N	5
3443	3450	test-56f36176296ac	test-56f36176296ac	73050	73050	\N	3
3444	3451	test-56f361762dee7	test-56f361762dee7	100327	100327	\N	1
3445	3452	test-56f361763be55	test-56f361763be55	116921	116921	\N	4
3446	3453	test-56f361764cc4e	test-56f361764cc4e	76752	153504	\N	2
3447	3454	test-56f361766066a	test-56f361766066a	125142	125142	\N	4
3448	3455	test-56f361766e7e5	test-56f361766e7e5	97725	97725	\N	1
3449	3456	test-56f3617677845	test-56f3617677845	123577	185365.5	\N	3
3450	3457	test-56f361768265a	test-56f361768265a	197603	395206	\N	4
3451	3458	test-56f3617688680	test-56f3617688680	82642	82642	\N	3
3452	3459	test-56f3617692880	test-56f3617692880	79456	95347.1999999999971	\N	1
3453	3460	test-56f3617698cf6	test-56f3617698cf6	119726	119726	\N	4
3454	3461	test-56f36176a0d1d	test-56f36176a0d1d	65932	65932	\N	3
3455	3462	test-56f36176ac96b	test-56f36176ac96b	64862	103779.199999999997	\N	5
3456	3463	test-56f36176b29c9	test-56f36176b29c9	9803	9803	\N	2
3457	3464	test-56f36176b8ca6	test-56f36176b8ca6	60562	60562	\N	3
3458	3465	test-56f36176bc911	test-56f36176bc911	61463	79901.8999999999942	\N	4
3459	3466	test-56f36176c0b41	test-56f36176c0b41	169935	220915.5	\N	2
3460	3467	test-56f36176c6f9c	test-56f36176c6f9c	138719	138719	\N	5
3461	3468	test-56f36176cc9d5	test-56f36176cc9d5	16627	16627	\N	1
3462	3469	test-56f36176d00de	test-56f36176d00de	148928	148928	\N	1
3463	3470	test-56f36176d3985	test-56f36176d3985	105054	199602.600000000006	\N	5
3464	3471	test-56f36176d6d15	test-56f36176d6d15	62731	100369.600000000006	\N	4
3465	3472	test-56f36176dac0d	test-56f36176dac0d	88618	88618	\N	4
3466	3473	test-56f36176e1f27	test-56f36176e1f27	185786	185786	\N	2
3467	3474	test-56f36176e5232	test-56f36176e5232	164272	295689.599999999977	\N	1
3468	3475	test-56f36176e886a	test-56f36176e886a	152824	275083.200000000012	\N	1
3469	3476	test-56f36176efd48	test-56f36176efd48	136060	136060	\N	3
3470	3477	test-56f36176f344a	test-56f36176f344a	167635	234689	\N	3
3471	3478	test-56f361770283f	test-56f361770283f	165238	165238	\N	2
3472	3479	test-56f3617705c0e	test-56f3617705c0e	160834	160834	\N	5
3473	3480	test-56f3617708da5	test-56f3617708da5	14429	24529.2999999999993	\N	5
3474	3481	test-56f361770cd47	test-56f361770cd47	153759	153759	\N	4
3475	3482	test-56f36177121f6	test-56f36177121f6	197542	197542	\N	4
3476	3483	test-56f3617717e35	test-56f3617717e35	24490	24490	\N	3
3477	3484	test-56f361771c267	test-56f361771c267	92715	92715	\N	1
3478	3485	test-56f3617720f53	test-56f3617720f53	56950	56950	\N	3
3479	3486	test-56f361772478c	test-56f361772478c	39046	39046	\N	3
3480	3487	test-56f36177279d1	test-56f36177279d1	172420	172420	\N	4
3481	3488	test-56f361772d0a3	test-56f361772d0a3	61153	61153	\N	1
3482	3489	test-56f36177304a0	test-56f36177304a0	142588	142588	\N	2
3483	3490	test-56f3617733c0e	test-56f3617733c0e	4596	4596	\N	5
3484	3491	test-56f36177370a8	test-56f36177370a8	46468	46468	\N	3
3485	3492	test-56f3617739e4a	test-56f3617739e4a	128163	243509.700000000012	\N	5
3486	3493	test-56f361773d2d9	test-56f361773d2d9	23976	23976	\N	4
3487	3494	test-56f361774132e	test-56f361774132e	144946	260902.799999999988	\N	2
3488	3495	test-56f3617744c34	test-56f3617744c34	77984	116976	\N	4
3489	3496	test-56f3617747dc4	test-56f3617747dc4	154231	154231	\N	1
3490	3497	test-56f361774bb1e	test-56f361774bb1e	148677	148677	\N	4
3491	3498	test-56f361774ec78	test-56f361774ec78	187308	280962	\N	4
3492	3499	test-56f3617753494	test-56f3617753494	120627	120627	\N	2
3493	3500	test-56f3617756508	test-56f3617756508	67831	94963.3999999999942	\N	2
3494	3501	test-56f3617759364	test-56f3617759364	176044	176044	\N	3
3495	3502	test-56f361775c933	test-56f361775c933	138505	138505	\N	3
3496	3503	test-56f361775fbe1	test-56f361775fbe1	96945	96945	\N	3
3497	3504	test-56f3617766943	test-56f3617766943	82185	82185	\N	5
3498	3505	test-56f361776ab75	test-56f361776ab75	19970	19970	\N	1
3499	3506	test-56f361776f984	test-56f361776f984	107389	107389	\N	3
3500	3507	test-56f3617773076	test-56f3617773076	83854	83854	\N	3
3501	3508	test-56f36177763bf	test-56f36177763bf	31179	31179	\N	1
3502	3509	test-56f361777a39f	test-56f361777a39f	109850	109850	\N	5
3503	3510	test-56f3617781a33	test-56f3617781a33	144664	202529.600000000006	\N	2
3504	3511	test-56f3617788b1e	test-56f3617788b1e	191530	344754	\N	5
3505	3512	test-56f361778d7c8	test-56f361778d7c8	96317	192634	\N	2
3506	3513	test-56f361779152a	test-56f361779152a	65805	78966	\N	5
3507	3514	test-56f3617794e3c	test-56f3617794e3c	186856	186856	\N	4
3508	3515	test-56f361779822e	test-56f361779822e	67773	67773	\N	3
3509	3516	test-56f361779ba71	test-56f361779ba71	58551	58551	\N	1
3510	3517	test-56f36177a035c	test-56f36177a035c	169862	169862	\N	4
3511	3518	test-56f36177a3d2f	test-56f36177a3d2f	123073	159994.899999999994	\N	3
3512	3519	test-56f36177a70af	test-56f36177a70af	132098	158517.600000000006	\N	5
3513	3520	test-56f36177ab01f	test-56f36177ab01f	196005	196005	\N	3
3514	3521	test-56f36177b0c02	test-56f36177b0c02	89684	89684	\N	3
3515	3522	test-56f36177b5c3c	test-56f36177b5c3c	143486	143486	\N	5
3516	3523	test-56f36177b9558	test-56f36177b9558	117180	234360	\N	1
3517	3524	test-56f36177bf34e	test-56f36177bf34e	40606	40606	\N	1
3518	3525	test-56f36177c9b3d	test-56f36177c9b3d	103664	103664	\N	5
3519	3526	test-56f36177cd416	test-56f36177cd416	149861	224791.5	\N	2
3520	3527	test-56f36177d0c99	test-56f36177d0c99	161552	290793.599999999977	\N	3
3521	3528	test-56f36177d42f6	test-56f36177d42f6	15487	27876.5999999999985	\N	4
3522	3529	test-56f36177d7f25	test-56f36177d7f25	68906	117140.199999999997	\N	4
3523	3530	test-56f36177dc1c2	test-56f36177dc1c2	8551	16246.8999999999996	\N	5
3524	3531	test-56f36177e20ba	test-56f36177e20ba	184265	184265	\N	5
3525	3532	test-56f36177e597c	test-56f36177e597c	12253	12253	\N	3
3526	3533	test-56f36177e8e50	test-56f36177e8e50	11075	22150	\N	3
3527	3534	test-56f36177ec4bd	test-56f36177ec4bd	13914	13914	\N	5
3528	3535	test-56f36177f12bd	test-56f36177f12bd	66126	112414.199999999997	\N	4
3529	3536	test-56f3617801043	test-56f3617801043	176728	176728	\N	1
3530	3537	test-56f3617804762	test-56f3617804762	191286	191286	\N	3
3531	3538	test-56f36178080e9	test-56f36178080e9	15842	15842	\N	3
3532	3539	test-56f361780b5ec	test-56f361780b5ec	152812	152812	\N	3
3533	3540	test-56f361780f15f	test-56f361780f15f	54760	82140	\N	5
3534	3541	test-56f36178126e9	test-56f36178126e9	99284	99284	\N	3
3535	3542	test-56f3617815fce	test-56f3617815fce	114570	114570	\N	2
3536	3543	test-56f3617819baa	test-56f3617819baa	163199	163199	\N	4
3537	3544	test-56f3617820e80	test-56f3617820e80	80707	80707	\N	5
3538	3545	test-56f3617825da8	test-56f3617825da8	171326	171326	\N	2
3539	3546	test-56f3617829aea	test-56f3617829aea	172101	275361.599999999977	\N	3
3540	3547	test-56f361782ce36	test-56f361782ce36	11889	15455.7000000000007	\N	3
3541	3548	test-56f3617836672	test-56f3617836672	172102	292573.400000000023	\N	2
3542	3549	test-56f361783e602	test-56f361783e602	56518	56518	\N	3
3543	3550	test-56f36178426bc	test-56f36178426bc	138042	179454.600000000006	\N	4
3544	3551	test-56f3617846575	test-56f3617846575	70405	70405	\N	4
3545	3552	test-56f361784b462	test-56f361784b462	116528	116528	\N	2
3546	3553	test-56f3617851497	test-56f3617851497	187284	187284	\N	4
3547	3554	test-56f3617856483	test-56f3617856483	154465	154465	\N	3
3548	3555	test-56f361786136c	test-56f361786136c	12142	12142	\N	5
3549	3556	test-56f361786f36f	test-56f361786f36f	135028	135028	\N	4
3550	3557	test-56f36178747fd	test-56f36178747fd	101296	101296	\N	1
3551	3558	test-56f361787a45c	test-56f361787a45c	199000	199000	\N	5
3552	3559	test-56f36178848d6	test-56f36178848d6	63514	63514	\N	5
3553	3560	test-56f361788c713	test-56f361788c713	179108	179108	\N	2
3554	3561	test-56f3617897c16	test-56f3617897c16	171709	343418	\N	4
3555	3562	test-56f361789c74a	test-56f361789c74a	144899	144899	\N	2
3556	3563	test-56f36178a006d	test-56f36178a006d	190221	190221	\N	2
3557	3564	test-56f36178a6073	test-56f36178a6073	120272	120272	\N	5
3558	3565	test-56f36178a9626	test-56f36178a9626	38182	38182	\N	1
3559	3566	test-56f36178b3eea	test-56f36178b3eea	99345	99345	\N	3
3560	3567	test-56f36178b799c	test-56f36178b799c	86065	94671.5	\N	3
3561	3568	test-56f36178bb662	test-56f36178bb662	174239	174239	\N	5
3562	3569	test-56f36178bee17	test-56f36178bee17	67101	114071.699999999997	\N	5
3563	3570	test-56f36178c2534	test-56f36178c2534	160595	273011.5	\N	2
3564	3571	test-56f36178c6125	test-56f36178c6125	187323	187323	\N	5
3565	3572	test-56f36178c9c50	test-56f36178c9c50	179957	233944.100000000006	\N	3
3566	3573	test-56f36178cf16a	test-56f36178cf16a	170812	170812	\N	4
3567	3574	test-56f36178d5b6e	test-56f36178d5b6e	68575	68575	\N	2
3568	3575	test-56f36178dfd1a	test-56f36178dfd1a	184426	184426	\N	2
3569	3576	test-56f36178e5d9f	test-56f36178e5d9f	175280	227864	\N	3
3570	3577	test-56f36178e95da	test-56f36178e95da	175898	175898	\N	2
3571	3578	test-56f36178ee232	test-56f36178ee232	128903	193354.5	\N	3
3572	3579	test-56f36178f2f2c	test-56f36178f2f2c	57619	57619	\N	1
3573	3580	test-56f3617902d8e	test-56f3617902d8e	96975	164857.5	\N	3
3574	3581	test-56f3617906e06	test-56f3617906e06	46683	46683	\N	5
3575	3582	test-56f361790a862	test-56f361790a862	134065	134065	\N	3
3576	3583	test-56f361790e137	test-56f361790e137	127559	140314.899999999994	\N	2
3577	3584	test-56f3617911aae	test-56f3617911aae	89457	89457	\N	5
3578	3585	test-56f361791774e	test-56f361791774e	193983	193983	\N	3
3579	3586	test-56f361791b779	test-56f361791b779	163032	211941.600000000006	\N	5
3580	3587	test-56f361791fb0a	test-56f361791fb0a	144426	144426	\N	5
3581	3588	test-56f361792a2df	test-56f361792a2df	160533	305012.700000000012	\N	2
3582	3589	test-56f361792ef85	test-56f361792ef85	13426	13426	\N	5
3583	3590	test-56f361793642c	test-56f361793642c	169778	169778	\N	2
3584	3591	test-56f361793b254	test-56f361793b254	46148	64607.1999999999971	\N	1
3585	3592	test-56f361793f3c4	test-56f361793f3c4	164727	164727	\N	4
3586	3593	test-56f3617943403	test-56f3617943403	13551	24391.7999999999993	\N	5
3587	3594	test-56f36179490b7	test-56f36179490b7	117097	117097	\N	5
3588	3595	test-56f361794d09c	test-56f361794d09c	39371	39371	\N	2
3589	3596	test-56f361795059f	test-56f361795059f	171947	171947	\N	4
3590	3597	test-56f3617953a25	test-56f3617953a25	101902	152853	\N	2
3591	3598	test-56f361795e17f	test-56f361795e17f	5988	6586.80000000000018	\N	5
3592	3599	test-56f361796200a	test-56f361796200a	173260	173260	\N	1
3593	3600	test-56f36179657f4	test-56f36179657f4	83440	83440	\N	2
3594	3601	test-56f3617968eab	test-56f3617968eab	7319	14638	\N	1
3595	3602	test-56f361796c9ca	test-56f361796c9ca	189796	189796	\N	4
3596	3603	test-56f361796fe34	test-56f361796fe34	179875	179875	\N	5
3597	3604	test-56f3617973501	test-56f3617973501	17967	21560.4000000000015	\N	1
3598	3605	test-56f3617979c00	test-56f3617979c00	122422	122422	\N	4
3599	3606	test-56f361797e17d	test-56f361797e17d	83090	83090	\N	5
3600	3607	test-56f36179817c2	test-56f36179817c2	168267	168267	\N	2
3601	3608	test-56f361798509e	test-56f361798509e	72900	72900	\N	1
3602	3609	test-56f36179886cb	test-56f36179886cb	193686	193686	\N	2
3603	3610	test-56f361798f388	test-56f361798f388	53280	53280	\N	3
3604	3611	test-56f3617992a91	test-56f3617992a91	19403	19403	\N	5
3605	3612	test-56f3617996289	test-56f3617996289	30063	39081.9000000000015	\N	2
3606	3613	test-56f3617999c00	test-56f3617999c00	162156	324312	\N	2
3607	3614	test-56f361799d924	test-56f361799d924	162989	162989	\N	1
3608	3615	test-56f36179a1384	test-56f36179a1384	116651	116651	\N	3
3609	3616	test-56f36179a4900	test-56f36179a4900	199327	199327	\N	3
3610	3617	test-56f36179a7d93	test-56f36179a7d93	158121	158121	\N	2
3611	3618	test-56f36179ab7ad	test-56f36179ab7ad	9176	9176	\N	3
3612	3619	test-56f36179af09e	test-56f36179af09e	8600	8600	\N	2
3613	3620	test-56f36179b27aa	test-56f36179b27aa	166170	166170	\N	2
3614	3621	test-56f36179b5cb8	test-56f36179b5cb8	158069	252910.399999999994	\N	3
3615	3622	test-56f36179b9214	test-56f36179b9214	116705	116705	\N	4
3616	3623	test-56f36179bc63f	test-56f36179bc63f	107631	107631	\N	4
3617	3624	test-56f36179bfe4b	test-56f36179bfe4b	44151	44151	\N	1
3618	3625	test-56f36179c5dad	test-56f36179c5dad	180014	324025.200000000012	\N	3
3619	3626	test-56f36179d3970	test-56f36179d3970	187091	187091	\N	5
3620	3627	test-56f36179ef953	test-56f36179ef953	85622	85622	\N	3
3621	3628	test-56f3617a06e0b	test-56f3617a06e0b	184538	184538	\N	1
3622	3629	test-56f3617a0b61d	test-56f3617a0b61d	34129	34129	\N	2
3623	3630	test-56f3617a2e62e	test-56f3617a2e62e	196504	373357.599999999977	\N	4
3624	3631	test-56f3617a35fd8	test-56f3617a35fd8	141764	141764	\N	1
3625	3632	test-56f3617a3dc05	test-56f3617a3dc05	72169	72169	\N	3
3626	3633	test-56f3617a41a2a	test-56f3617a41a2a	126576	126576	\N	4
3627	3634	test-56f3617a466d5	test-56f3617a466d5	118175	118175	\N	4
3628	3635	test-56f3617a49d34	test-56f3617a49d34	176072	176072	\N	1
3629	3636	test-56f3617a4d05a	test-56f3617a4d05a	149138	149138	\N	2
3630	3637	test-56f3617a50124	test-56f3617a50124	26228	26228	\N	5
3631	3638	test-56f3617a53743	test-56f3617a53743	24148	36222	\N	4
3632	3639	test-56f3617a56b10	test-56f3617a56b10	118644	118644	\N	1
3633	3640	test-56f3617a5c139	test-56f3617a5c139	111114	111114	\N	2
3634	3641	test-56f3617a639c8	test-56f3617a639c8	148080	148080	\N	2
3635	3642	test-56f3617a6861e	test-56f3617a6861e	18474	18474	\N	2
3636	3643	test-56f3617a6db2c	test-56f3617a6db2c	65642	111591.399999999994	\N	3
3637	3644	test-56f3617a71fb2	test-56f3617a71fb2	168156	168156	\N	1
3638	3645	test-56f3617a7534e	test-56f3617a7534e	145160	145160	\N	1
3639	3646	test-56f3617a78826	test-56f3617a78826	165911	165911	\N	4
3640	3647	test-56f3617a80a45	test-56f3617a80a45	63861	63861	\N	4
3641	3648	test-56f3617a8489e	test-56f3617a8489e	174250	226525	\N	3
3642	3649	test-56f3617a8843c	test-56f3617a8843c	93506	93506	\N	4
3643	3650	test-56f3617a8b4f9	test-56f3617a8b4f9	17249	17249	\N	1
3644	3651	test-56f3617a929af	test-56f3617a929af	63952	70347.1999999999971	\N	1
3645	3652	test-56f3617a97bb9	test-56f3617a97bb9	138720	138720	\N	2
3646	3653	test-56f3617a9b20e	test-56f3617a9b20e	78212	140781.600000000006	\N	4
3647	3654	test-56f3617a9e177	test-56f3617a9e177	196260	196260	\N	3
3648	3655	test-56f3617aa169d	test-56f3617aa169d	75525	75525	\N	3
3649	3656	test-56f3617aa6439	test-56f3617aa6439	139787	139787	\N	3
3650	3657	test-56f3617aa9324	test-56f3617aa9324	5586	5586	\N	3
3651	3658	test-56f3617aae786	test-56f3617aae786	55142	55142	\N	1
3652	3659	test-56f3617ab1a66	test-56f3617ab1a66	25912	25912	\N	2
3653	3660	test-56f3617ab4db6	test-56f3617ab4db6	92788	92788	\N	4
3654	3661	test-56f3617aba892	test-56f3617aba892	85302	162073.799999999988	\N	2
3655	3662	test-56f3617ac1194	test-56f3617ac1194	19877	19877	\N	2
3656	3663	test-56f3617acb007	test-56f3617acb007	125097	125097	\N	3
3657	3664	test-56f3617ace6c6	test-56f3617ace6c6	134606	134606	\N	3
3658	3665	test-56f3617adb13e	test-56f3617adb13e	159431	159431	\N	5
3659	3666	test-56f3617ade586	test-56f3617ade586	12495	12495	\N	2
3660	3667	test-56f3617ae744b	test-56f3617ae744b	38480	38480	\N	3
3661	3668	test-56f3617aed42d	test-56f3617aed42d	23758	23758	\N	3
3662	3669	test-56f3617af3510	test-56f3617af3510	103623	103623	\N	2
3663	3670	test-56f3617b0721a	test-56f3617b0721a	183052	274578	\N	5
3664	3671	test-56f3617b0d855	test-56f3617b0d855	140818	140818	\N	5
3665	3672	test-56f3617b152f3	test-56f3617b152f3	107079	107079	\N	3
3666	3673	test-56f3617b1b054	test-56f3617b1b054	112263	213299.700000000012	\N	2
3667	3674	test-56f3617b2357d	test-56f3617b2357d	168611	168611	\N	3
3668	3675	test-56f3617b28814	test-56f3617b28814	147291	147291	\N	3
3669	3676	test-56f3617b2f47d	test-56f3617b2f47d	162273	194727.600000000006	\N	4
3670	3677	test-56f3617b37671	test-56f3617b37671	100595	181071	\N	3
3671	3678	test-56f3617b3c882	test-56f3617b3c882	152001	152001	\N	3
3672	3679	test-56f3617b4592d	test-56f3617b4592d	145994	145994	\N	3
3673	3680	test-56f3617b4b1e5	test-56f3617b4b1e5	4556	4556	\N	5
3674	3681	test-56f3617b53450	test-56f3617b53450	188646	188646	\N	4
3675	3682	test-56f3617b57e5e	test-56f3617b57e5e	159140	254624	\N	4
3676	3683	test-56f3617b5ea7a	test-56f3617b5ea7a	152382	152382	\N	2
3677	3684	test-56f3617b64acb	test-56f3617b64acb	160618	160618	\N	4
3678	3685	test-56f3617b6ce06	test-56f3617b6ce06	31335	59536.5	\N	3
3679	3686	test-56f3617b75c45	test-56f3617b75c45	110324	110324	\N	1
3680	3687	test-56f3617b7d438	test-56f3617b7d438	39244	39244	\N	1
3681	3688	test-56f3617b84fa3	test-56f3617b84fa3	133060	133060	\N	2
3682	3689	test-56f3617b8cf01	test-56f3617b8cf01	42538	42538	\N	5
3683	3690	test-56f3617b91bd2	test-56f3617b91bd2	141476	254656.799999999988	\N	2
3684	3691	test-56f3617b9ae7b	test-56f3617b9ae7b	160370	160370	\N	5
3685	3692	test-56f3617ba0583	test-56f3617ba0583	5934	5934	\N	3
3686	3693	test-56f3617ba7931	test-56f3617ba7931	96671	96671	\N	2
3687	3694	test-56f3617baf86e	test-56f3617baf86e	135887	135887	\N	2
3688	3695	test-56f3617bb533d	test-56f3617bb533d	156988	188385.600000000006	\N	2
3689	3696	test-56f3617bbdb03	test-56f3617bbdb03	126193	126193	\N	2
3690	3697	test-56f3617bc462f	test-56f3617bc462f	44525	44525	\N	2
3691	3698	test-56f3617bca029	test-56f3617bca029	606	1212	\N	5
3692	3699	test-56f3617bdc29f	test-56f3617bdc29f	131184	131184	\N	4
3693	3700	test-56f3617be5b78	test-56f3617be5b78	150318	210445.200000000012	\N	5
3694	3701	test-56f3617c01a2a	test-56f3617c01a2a	30984	40279.1999999999971	\N	3
3695	3702	test-56f3617c08984	test-56f3617c08984	149236	149236	\N	5
3696	3703	test-56f3617c29fac	test-56f3617c29fac	65450	65450	\N	5
3697	3704	test-56f3617c38d13	test-56f3617c38d13	178431	178431	\N	4
3698	3705	test-56f3617c4c22e	test-56f3617c4c22e	70962	70962	\N	1
3699	3706	test-56f3617c5af0b	test-56f3617c5af0b	115163	115163	\N	4
3700	3707	test-56f3617c61ec7	test-56f3617c61ec7	70509	70509	\N	4
3701	3708	test-56f3617c6d121	test-56f3617c6d121	97079	97079	\N	5
3702	3709	test-56f3617c72031	test-56f3617c72031	7643	7643	\N	3
3703	3710	test-56f3617c8db08	test-56f3617c8db08	88692	88692	\N	1
3704	3711	test-56f3617c98f70	test-56f3617c98f70	66427	66427	\N	5
3705	3712	test-56f3617ca15ca	test-56f3617ca15ca	165848	165848	\N	1
3706	3713	test-56f3617caaf6c	test-56f3617caaf6c	8558	8558	\N	4
3707	3714	test-56f3617cb655d	test-56f3617cb655d	169742	169742	\N	2
3708	3715	test-56f3617cbe2c8	test-56f3617cbe2c8	147516	147516	\N	5
3709	3716	test-56f3617cc3632	test-56f3617cc3632	114186	137023.200000000012	\N	3
3710	3717	test-56f3617cca65a	test-56f3617cca65a	99980	99980	\N	1
3711	3718	test-56f3617cd1d53	test-56f3617cd1d53	57974	57974	\N	3
3712	3719	test-56f3617cdcf81	test-56f3617cdcf81	18202	21842.4000000000015	\N	4
3713	3720	test-56f3617ce6939	test-56f3617ce6939	34713	34713	\N	2
3714	3721	test-56f3617ced317	test-56f3617ced317	123230	172522	\N	2
3715	3722	test-56f3617cf2a88	test-56f3617cf2a88	51453	51453	\N	2
3716	3723	test-56f3617d052c9	test-56f3617d052c9	78294	140929.200000000012	\N	3
3717	3724	test-56f3617d0af78	test-56f3617d0af78	23459	37534.4000000000015	\N	2
3718	3725	test-56f3617d11751	test-56f3617d11751	104360	104360	\N	5
3719	3726	test-56f3617d15c8c	test-56f3617d15c8c	173266	173266	\N	3
3720	3727	test-56f3617d19ded	test-56f3617d19ded	122715	159529.5	\N	2
3721	3728	test-56f3617d20a9f	test-56f3617d20a9f	3757	4884.10000000000036	\N	4
3722	3729	test-56f3617d273f9	test-56f3617d273f9	84561	84561	\N	1
3723	3730	test-56f3617d2aa56	test-56f3617d2aa56	39958	39958	\N	5
3724	3731	test-56f3617d2de65	test-56f3617d2de65	105584	211168	\N	2
3725	3732	test-56f3617d31370	test-56f3617d31370	158726	158726	\N	5
3726	3733	test-56f3617d3546c	test-56f3617d3546c	198140	198140	\N	4
3727	3734	test-56f3617d38f72	test-56f3617d38f72	116678	116678	\N	3
3728	3735	test-56f3617d4dcb0	test-56f3617d4dcb0	49537	49537	\N	2
3729	3736	test-56f3617d56e74	test-56f3617d56e74	36538	47499.4000000000015	\N	3
3730	3737	test-56f3617d5ab74	test-56f3617d5ab74	133124	133124	\N	5
3731	3738	test-56f3617d5f110	test-56f3617d5f110	182478	255469.200000000012	\N	3
3732	3739	test-56f3617d62b39	test-56f3617d62b39	37858	37858	\N	4
3733	3740	test-56f3617d6a8c4	test-56f3617d6a8c4	191913	364634.700000000012	\N	2
3734	3741	test-56f3617d6ef87	test-56f3617d6ef87	117030	117030	\N	3
3735	3742	test-56f3617d804fc	test-56f3617d804fc	190251	266351.400000000023	\N	1
3736	3743	test-56f3617d83c00	test-56f3617d83c00	168034	268854.400000000023	\N	1
3737	3744	test-56f3617d8af3f	test-56f3617d8af3f	146501	146501	\N	3
3738	3745	test-56f3617d93338	test-56f3617d93338	52037	57240.6999999999971	\N	4
3739	3746	test-56f3617d99ae2	test-56f3617d99ae2	176366	176366	\N	3
3740	3747	test-56f3617d9f86b	test-56f3617d9f86b	122915	196664	\N	3
3741	3748	test-56f3617da5d87	test-56f3617da5d87	154428	154428	\N	4
3742	3749	test-56f3617dab059	test-56f3617dab059	71436	71436	\N	2
3743	3750	test-56f3617dafc85	test-56f3617dafc85	120699	120699	\N	2
3744	3751	test-56f3617db6165	test-56f3617db6165	164686	329372	\N	2
3745	3752	test-56f3617dbae78	test-56f3617dbae78	40516	52670.8000000000029	\N	3
3746	3753	test-56f3617dc0b1e	test-56f3617dc0b1e	132839	146122.899999999994	\N	4
3747	3754	test-56f3617dc95da	test-56f3617dc95da	23838	23838	\N	1
3748	3755	test-56f3617dd1b3a	test-56f3617dd1b3a	129958	233924.399999999994	\N	2
3749	3756	test-56f3617dd7600	test-56f3617dd7600	127895	217421.5	\N	1
3750	3757	test-56f3617ddb1cb	test-56f3617ddb1cb	42933	42933	\N	3
3751	3758	test-56f3617de1aa8	test-56f3617de1aa8	126379	126379	\N	3
3752	3759	test-56f3617dea5a8	test-56f3617dea5a8	14034	22454.4000000000015	\N	3
3753	3760	test-56f3617df2685	test-56f3617df2685	55360	55360	\N	4
3754	3761	test-56f3617e01aa8	test-56f3617e01aa8	33044	33044	\N	3
3755	3762	test-56f3617e059ff	test-56f3617e059ff	170867	170867	\N	3
3756	3763	test-56f3617e0a2f5	test-56f3617e0a2f5	156419	156419	\N	2
3757	3764	test-56f3617e0e200	test-56f3617e0e200	45978	45978	\N	5
3758	3765	test-56f3617e1329b	test-56f3617e1329b	22785	45570	\N	5
3759	3766	test-56f3617e17747	test-56f3617e17747	146645	146645	\N	3
3760	3767	test-56f3617e1b01d	test-56f3617e1b01d	120757	120757	\N	2
3761	3768	test-56f3617e1e48f	test-56f3617e1e48f	127138	127138	\N	3
3762	3769	test-56f3617e216bc	test-56f3617e216bc	28678	28678	\N	4
3763	3770	test-56f3617e25352	test-56f3617e25352	5024	5024	\N	1
3764	3771	test-56f3617e2a841	test-56f3617e2a841	58651	58651	\N	1
3765	3772	test-56f3617e2dea6	test-56f3617e2dea6	176137	334660.299999999988	\N	1
3766	3773	test-56f3617e312d9	test-56f3617e312d9	122987	122987	\N	4
3767	3774	test-56f3617e3448e	test-56f3617e3448e	150252	165277.200000000012	\N	3
3768	3775	test-56f3617e3c651	test-56f3617e3c651	173871	173871	\N	4
3769	3776	test-56f3617e4023c	test-56f3617e4023c	130500	130500	\N	3
3770	3777	test-56f3617e435aa	test-56f3617e435aa	107825	107825	\N	3
3771	3778	test-56f3617e46891	test-56f3617e46891	176095	176095	\N	2
3772	3779	test-56f3617e4a0f3	test-56f3617e4a0f3	163571	261713.600000000006	\N	2
3773	3780	test-56f3617e69d1b	test-56f3617e69d1b	161941	194329.200000000012	\N	5
3774	3781	test-56f3617e6e483	test-56f3617e6e483	70577	70577	\N	2
3775	3782	test-56f3617e7ad67	test-56f3617e7ad67	30250	30250	\N	3
3776	3783	test-56f3617e87086	test-56f3617e87086	190759	190759	\N	4
3777	3784	test-56f3617e8b96b	test-56f3617e8b96b	31454	31454	\N	4
3778	3785	test-56f3617e930c0	test-56f3617e930c0	91290	91290	\N	3
3779	3786	test-56f3617ea72c4	test-56f3617ea72c4	59855	59855	\N	1
3780	3787	test-56f3617eaca5d	test-56f3617eaca5d	118546	142255.200000000012	\N	2
3781	3788	test-56f3617eb4550	test-56f3617eb4550	40558	40558	\N	3
3782	3789	test-56f3617ebc32a	test-56f3617ebc32a	14036	16843.2000000000007	\N	4
3783	3790	test-56f3617ec3b0e	test-56f3617ec3b0e	138734	221974.399999999994	\N	1
3784	3791	test-56f3617ec7758	test-56f3617ec7758	159463	255140.799999999988	\N	2
3785	3792	test-56f3617ecb586	test-56f3617ecb586	14616	14616	\N	4
3786	3793	test-56f3617ecfc72	test-56f3617ecfc72	159977	191972.399999999994	\N	4
3787	3794	test-56f3617ed87ac	test-56f3617ed87ac	126862	126862	\N	4
3788	3795	test-56f3617edcf8b	test-56f3617edcf8b	141596	141596	\N	2
3789	3796	test-56f3617f49b42	test-56f3617f49b42	103039	154558.5	\N	3
3790	3797	test-56f3617f6e4ff	test-56f3617f6e4ff	22474	22474	\N	5
3791	3798	test-56f3617f84b3d	test-56f3617f84b3d	150433	150433	\N	1
3792	3799	test-56f3617fadc67	test-56f3617fadc67	11531	11531	\N	1
3793	3800	test-56f3617fb2718	test-56f3617fb2718	184893	184893	\N	3
3794	3801	test-56f3617fb83e9	test-56f3617fb83e9	115651	115651	\N	3
3795	3802	test-56f3617fbd1de	test-56f3617fbd1de	36	43.2000000000000028	\N	2
3796	3803	test-56f3617fc1b45	test-56f3617fc1b45	173847	173847	\N	1
3797	3804	test-56f3617fc7805	test-56f3617fc7805	135745	135745	\N	1
3798	3805	test-56f3617fd442c	test-56f3617fd442c	169755	186730.5	\N	3
3799	3806	test-56f3617fd9156	test-56f3617fd9156	3530	3530	\N	3
3800	3807	test-56f3617fe0523	test-56f3617fe0523	185233	185233	\N	2
3801	3808	test-56f3617ff1275	test-56f3617ff1275	110335	187569.5	\N	1
3802	3809	test-56f3618025cc1	test-56f3618025cc1	190508	190508	\N	2
3803	3810	test-56f3618037843	test-56f3618037843	85544	119761.600000000006	\N	1
3804	3811	test-56f361804857f	test-56f361804857f	157870	268379	\N	2
3805	3812	test-56f3618054bd5	test-56f3618054bd5	181592	181592	\N	1
3806	3813	test-56f3618060496	test-56f3618060496	171500	171500	\N	1
3807	3814	test-56f361806fb91	test-56f361806fb91	63249	75898.8000000000029	\N	1
3808	3815	test-56f361807c749	test-56f361807c749	6594	6594	\N	1
3809	3816	test-56f361808dee4	test-56f361808dee4	115894	115894	\N	1
3810	3817	test-56f3618097f76	test-56f3618097f76	101103	101103	\N	3
3811	3818	test-56f361809ecb5	test-56f361809ecb5	95198	95198	\N	2
3812	3819	test-56f36180c51d5	test-56f36180c51d5	27459	54918	\N	5
3813	3820	test-56f36180ce32c	test-56f36180ce32c	160956	225338.399999999994	\N	2
3814	3821	test-56f36180d357f	test-56f36180d357f	17769	17769	\N	2
3815	3822	test-56f36180dda29	test-56f36180dda29	98814	118576.800000000003	\N	4
3816	3823	test-56f3618110a90	test-56f3618110a90	69677	69677	\N	4
3817	3824	test-56f3618127496	test-56f3618127496	61817	61817	\N	3
3818	3825	test-56f3618136cb0	test-56f3618136cb0	197701	197701	\N	4
3819	3826	test-56f361813ea8c	test-56f361813ea8c	101183	101183	\N	2
3820	3827	test-56f36181496c0	test-56f36181496c0	60383	90574.5	\N	3
3821	3828	test-56f361814f824	test-56f361814f824	139014	152915.399999999994	\N	4
3822	3829	test-56f3618154d68	test-56f3618154d68	26781	50883.9000000000015	\N	4
3823	3830	test-56f361815820c	test-56f361815820c	30804	30804	\N	1
3824	3831	test-56f361815b5c3	test-56f361815b5c3	80515	80515	\N	5
3825	3832	test-56f361815ebf9	test-56f361815ebf9	184324	184324	\N	5
3826	3833	test-56f361816386f	test-56f361816386f	14914	29828	\N	3
3827	3834	test-56f3618167a35	test-56f3618167a35	171793	171793	\N	4
3828	3835	test-56f361816b1d9	test-56f361816b1d9	183154	183154	\N	5
3829	3836	test-56f3618171b47	test-56f3618171b47	39969	59953.5	\N	2
3830	3837	test-56f3618175def	test-56f3618175def	20224	20224	\N	2
3831	3838	test-56f3618179524	test-56f3618179524	54913	54913	\N	5
3832	3839	test-56f361817cf28	test-56f361817cf28	166431	216360.299999999988	\N	2
3833	3840	test-56f3618180afe	test-56f3618180afe	47101	47101	\N	4
3834	3841	test-56f36181849a0	test-56f36181849a0	186003	186003	\N	5
3835	3842	test-56f3618188457	test-56f3618188457	7649	7649	\N	1
3836	3843	test-56f361818c075	test-56f361818c075	138164	138164	\N	1
3837	3844	test-56f361818fb50	test-56f361818fb50	18257	18257	\N	2
3838	3845	test-56f3618194518	test-56f3618194518	185911	223093.200000000012	\N	2
3839	3846	test-56f36181987d2	test-56f36181987d2	78097	78097	\N	2
3840	3847	test-56f361819c5ec	test-56f361819c5ec	7157	10735.5	\N	4
3841	3848	test-56f361819fa2c	test-56f361819fa2c	153345	153345	\N	1
3842	3849	test-56f36181a29ab	test-56f36181a29ab	70157	70157	\N	1
3843	3850	test-56f36181a5f5f	test-56f36181a5f5f	18473	18473	\N	5
3844	3851	test-56f36181a9192	test-56f36181a9192	115294	115294	\N	2
3845	3852	test-56f36181ac907	test-56f36181ac907	48526	58231.1999999999971	\N	2
3846	3853	test-56f36181afac2	test-56f36181afac2	59047	59047	\N	1
3847	3854	test-56f36181b5e8a	test-56f36181b5e8a	68239	68239	\N	5
3848	3855	test-56f36181b928e	test-56f36181b928e	127436	191154	\N	1
3849	3856	test-56f36181be0eb	test-56f36181be0eb	20434	40868	\N	5
3850	3857	test-56f36181cfb51	test-56f36181cfb51	194665	194665	\N	3
3851	3858	test-56f36181d2f26	test-56f36181d2f26	83727	92099.6999999999971	\N	2
3852	3859	test-56f36181d65af	test-56f36181d65af	166045	166045	\N	4
3853	3860	test-56f36181d990c	test-56f36181d990c	142681	142681	\N	4
3854	3861	test-56f36181dd1cb	test-56f36181dd1cb	134068	227915.600000000006	\N	1
3855	3862	test-56f36181e0a61	test-56f36181e0a61	182288	182288	\N	1
3856	3863	test-56f36181e40bd	test-56f36181e40bd	18908	18908	\N	3
3857	3864	test-56f36181e750c	test-56f36181e750c	110588	110588	\N	2
3858	3865	test-56f36181ea9a6	test-56f36181ea9a6	51699	51699	\N	3
3859	3866	test-56f36181f27e3	test-56f36181f27e3	100231	100231	\N	3
3860	3867	test-56f361821046e	test-56f361821046e	32071	35278.0999999999985	\N	3
3861	3868	test-56f361821641e	test-56f361821641e	57135	57135	\N	3
3862	3869	test-56f361821b1c6	test-56f361821b1c6	145620	145620	\N	2
3863	3870	test-56f36182233d5	test-56f36182233d5	96038	172868.399999999994	\N	2
3864	3871	test-56f3618226c2d	test-56f3618226c2d	152609	152609	\N	5
3865	3872	test-56f361822a7e3	test-56f361822a7e3	108765	108765	\N	3
3866	3873	test-56f361822dfcb	test-56f361822dfcb	190473	190473	\N	5
3867	3874	test-56f3618231d4d	test-56f3618231d4d	39326	39326	\N	4
3868	3875	test-56f361823747c	test-56f361823747c	84133	84133	\N	2
3869	3876	test-56f361823c80d	test-56f361823c80d	79317	79317	\N	4
3870	3877	test-56f3618244955	test-56f3618244955	105675	105675	\N	3
3871	3878	test-56f3618248ae5	test-56f3618248ae5	5347	5347	\N	5
3872	3879	test-56f361824c471	test-56f361824c471	185972	185972	\N	5
3873	3880	test-56f361824fd5b	test-56f361824fd5b	63903	63903	\N	3
3874	3881	test-56f36182539e4	test-56f36182539e4	78150	78150	\N	4
3875	3882	test-56f3618256eeb	test-56f3618256eeb	48315	48315	\N	3
3876	3883	test-56f361825a61b	test-56f361825a61b	17736	17736	\N	4
3877	3884	test-56f361825dbb6	test-56f361825dbb6	24964	47431.5999999999985	\N	5
3878	3885	test-56f36182638e0	test-56f36182638e0	125102	125102	\N	5
3879	3886	test-56f3618267406	test-56f3618267406	85322	93854.1999999999971	\N	3
3880	3887	test-56f361826a9ba	test-56f361826a9ba	140235	140235	\N	4
3881	3888	test-56f361826de90	test-56f361826de90	68864	68864	\N	3
3882	3889	test-56f36182728a2	test-56f36182728a2	50097	50097	\N	5
3883	3890	test-56f3618277b59	test-56f3618277b59	34524	34524	\N	5
3884	3891	test-56f361827b236	test-56f361827b236	123790	160927	\N	4
3885	3892	test-56f361827eb93	test-56f361827eb93	119817	119817	\N	4
3886	3893	test-56f3618286b73	test-56f3618286b73	82900	82900	\N	3
3887	3894	test-56f361828a4c4	test-56f361828a4c4	94639	94639	\N	5
3888	3895	test-56f361828dcee	test-56f361828dcee	53726	53726	\N	1
3889	3896	test-56f36182a5d1d	test-56f36182a5d1d	153904	292417.599999999977	\N	2
3890	3897	test-56f36182ad507	test-56f36182ad507	48780	48780	\N	3
3891	3898	test-56f36182b1225	test-56f36182b1225	60701	60701	\N	4
3892	3899	test-56f36182b4654	test-56f36182b4654	179571	179571	\N	1
3893	3900	test-56f36182b7ec3	test-56f36182b7ec3	179301	179301	\N	3
3894	3901	test-56f36182c0eb5	test-56f36182c0eb5	5152	6697.60000000000036	\N	1
3895	3902	test-56f36182cb230	test-56f36182cb230	108243	108243	\N	5
3896	3903	test-56f36182d15c3	test-56f36182d15c3	65356	84962.8000000000029	\N	3
3897	3904	test-56f36182de4d2	test-56f36182de4d2	11355	11355	\N	1
3898	3905	test-56f36182e6da6	test-56f36182e6da6	116037	116037	\N	1
3899	3906	test-56f361830793d	test-56f361830793d	174739	174739	\N	4
3900	3907	test-56f361830af58	test-56f361830af58	75176	75176	\N	2
3901	3908	test-56f361830e578	test-56f361830e578	63525	63525	\N	3
3902	3909	test-56f3618311d5d	test-56f3618311d5d	125359	125359	\N	5
3903	3910	test-56f36183180fc	test-56f36183180fc	147119	147119	\N	4
3904	3911	test-56f361831e5c7	test-56f361831e5c7	43486	60880.4000000000015	\N	1
3905	3912	test-56f3618324342	test-56f3618324342	32332	32332	\N	4
3906	3913	test-56f361832a264	test-56f361832a264	184544	184544	\N	2
3907	3914	test-56f361832dd61	test-56f361832dd61	123124	233935.600000000006	\N	3
3908	3915	test-56f361833243a	test-56f361833243a	27278	27278	\N	3
3909	3916	test-56f36183361a8	test-56f36183361a8	129561	129561	\N	3
3910	3917	test-56f361833f695	test-56f361833f695	19379	32944.3000000000029	\N	5
3911	3918	test-56f361834397f	test-56f361834397f	27889	27889	\N	3
3912	3919	test-56f3618347b4b	test-56f3618347b4b	137427	137427	\N	4
3913	3920	test-56f361834b5c9	test-56f361834b5c9	47970	71955	\N	4
3914	3921	test-56f361834ef87	test-56f361834ef87	113017	113017	\N	1
3915	3922	test-56f3618352613	test-56f3618352613	142398	142398	\N	4
3916	3923	test-56f3618355d00	test-56f3618355d00	63140	63140	\N	4
3917	3924	test-56f3618359419	test-56f3618359419	162970	162970	\N	2
3918	3925	test-56f361835ca4e	test-56f361835ca4e	116845	222005.5	\N	5
3919	3926	test-56f36183644e6	test-56f36183644e6	180789	180789	\N	2
3920	3927	test-56f361836d852	test-56f361836d852	112090	179344	\N	1
3921	3928	test-56f36183736a4	test-56f36183736a4	48797	97594	\N	1
3922	3929	test-56f3618377b10	test-56f3618377b10	143052	143052	\N	5
3923	3930	test-56f361837de60	test-56f361837de60	90517	90517	\N	5
3924	3931	test-56f36183830d0	test-56f36183830d0	169910	169910	\N	2
3925	3932	test-56f3618386ca3	test-56f3618386ca3	119603	119603	\N	5
3926	3933	test-56f361838a609	test-56f361838a609	24810	24810	\N	3
3927	3934	test-56f361839fd3b	test-56f361839fd3b	68829	68829	\N	4
3928	3935	test-56f36183a6263	test-56f36183a6263	96868	96868	\N	3
3929	3936	test-56f36183aa8f1	test-56f36183aa8f1	159139	159139	\N	1
3930	3937	test-56f36183be9bb	test-56f36183be9bb	104455	104455	\N	4
3931	3938	test-56f36183c2aa5	test-56f36183c2aa5	16403	16403	\N	1
3932	3939	test-56f36183c652e	test-56f36183c652e	136875	136875	\N	2
3933	3940	test-56f36183c9a65	test-56f36183c9a65	120553	120553	\N	2
3934	3941	test-56f36183cd801	test-56f36183cd801	90812	90812	\N	3
3935	3942	test-56f36183d1410	test-56f36183d1410	13338	18673.2000000000007	\N	4
3936	3943	test-56f36183d4d75	test-56f36183d4d75	9015	18030	\N	3
3937	3944	test-56f36183d8530	test-56f36183d8530	131215	131215	\N	5
3938	3945	test-56f36183dbe72	test-56f36183dbe72	35304	35304	\N	2
3939	3946	test-56f36183df602	test-56f36183df602	78558	133548.600000000006	\N	4
3940	3947	test-56f36183e2edf	test-56f36183e2edf	52148	52148	\N	2
3941	3948	test-56f36183e6a51	test-56f36183e6a51	41157	69966.8999999999942	\N	4
3942	3949	test-56f36183ea8ed	test-56f36183ea8ed	121729	219112.200000000012	\N	5
3943	3950	test-56f36183edee0	test-56f36183edee0	130397	130397	\N	1
3944	3951	test-56f36184027da	test-56f36184027da	146491	146491	\N	3
3945	3952	test-56f3618407f6d	test-56f3618407f6d	66669	106670.399999999994	\N	4
3946	3953	test-56f361840c789	test-56f361840c789	59720	59720	\N	5
3947	3954	test-56f3618410a04	test-56f3618410a04	25575	48592.5	\N	4
3948	3955	test-56f3618414f8f	test-56f3618414f8f	18478	18478	\N	3
3949	3956	test-56f36184190b9	test-56f36184190b9	132472	132472	\N	4
3950	3957	test-56f361841d082	test-56f361841d082	74241	141057.899999999994	\N	5
3951	3958	test-56f3618424474	test-56f3618424474	14556	14556	\N	1
3952	3959	test-56f36184283f2	test-56f36184283f2	93268	93268	\N	2
3953	3960	test-56f361842c06e	test-56f361842c06e	153947	277104.599999999977	\N	4
3954	3961	test-56f361843039d	test-56f361843039d	68767	68767	\N	1
3955	3962	test-56f36184340bc	test-56f36184340bc	37680	37680	\N	3
3956	3963	test-56f3618437adc	test-56f3618437adc	95552	95552	\N	2
3957	3964	test-56f361843b76e	test-56f361843b76e	55383	55383	\N	4
3958	3965	test-56f361843f8ab	test-56f361843f8ab	45822	45822	\N	4
3959	3966	test-56f36184486c6	test-56f36184486c6	37190	37190	\N	4
3960	3967	test-56f361844c41e	test-56f361844c41e	10514	10514	\N	5
3961	3968	test-56f361845050b	test-56f361845050b	56314	56314	\N	4
3962	3969	test-56f36184546b5	test-56f36184546b5	152088	152088	\N	5
3963	3970	test-56f361845a5f5	test-56f361845a5f5	6342	6342	\N	1
3964	3971	test-56f3618461757	test-56f3618461757	199306	199306	\N	4
3965	3972	test-56f36184873b0	test-56f36184873b0	130017	130017	\N	4
3966	3973	test-56f361848dbb7	test-56f361848dbb7	44746	44746	\N	4
3967	3974	test-56f361849167c	test-56f361849167c	41494	74689.1999999999971	\N	2
3968	3975	test-56f3618494e6c	test-56f3618494e6c	37520	37520	\N	2
3969	3976	test-56f3618499a2b	test-56f3618499a2b	130985	157182	\N	5
3970	3977	test-56f361849fd61	test-56f361849fd61	81983	81983	\N	4
3971	3978	test-56f36184a5be5	test-56f36184a5be5	66398	66398	\N	4
3972	3979	test-56f36184adef4	test-56f36184adef4	193352	193352	\N	1
3973	3980	test-56f36184b3ec7	test-56f36184b3ec7	194254	194254	\N	3
3974	3981	test-56f36184b7674	test-56f36184b7674	16090	16090	\N	4
3975	3982	test-56f36184bae7c	test-56f36184bae7c	57205	57205	\N	1
3976	3983	test-56f36184be418	test-56f36184be418	184787	184787	\N	4
3977	3984	test-56f36184c1b04	test-56f36184c1b04	57898	57898	\N	4
3978	3985	test-56f36184c550f	test-56f36184c550f	149792	299584	\N	3
3979	3986	test-56f36184ca198	test-56f36184ca198	39135	39135	\N	4
3980	3987	test-56f36184cdad4	test-56f36184cdad4	11589	11589	\N	2
3981	3988	test-56f36184d17ac	test-56f36184d17ac	24655	24655	\N	4
3982	3989	test-56f36184d4e7f	test-56f36184d4e7f	3476	4171.19999999999982	\N	2
3983	3990	test-56f36184dcfc1	test-56f36184dcfc1	132829	185960.600000000006	\N	5
3984	3991	test-56f36184e21cd	test-56f36184e21cd	12423	12423	\N	4
3985	3992	test-56f36184eb124	test-56f36184eb124	120031	120031	\N	3
3986	3993	test-56f36184f2329	test-56f36184f2329	149821	149821	\N	5
3987	3994	test-56f36185050cc	test-56f36185050cc	79693	79693	\N	2
3988	3995	test-56f36185094e3	test-56f36185094e3	101837	101837	\N	3
3989	3996	test-56f36185111a1	test-56f36185111a1	93328	102660.800000000003	\N	2
3990	3997	test-56f361851640e	test-56f361851640e	80444	80444	\N	4
3991	3998	test-56f361851e666	test-56f361851e666	33232	33232	\N	1
3992	3999	test-56f361852f859	test-56f361852f859	171212	205454.399999999994	\N	1
3993	4000	test-56f3618538589	test-56f3618538589	82259	82259	\N	5
3994	4001	test-56f361853d339	test-56f361853d339	100430	100430	\N	4
3995	4002	test-56f36185447f0	test-56f36185447f0	14716	14716	\N	2
3996	4003	test-56f36185494db	test-56f36185494db	10784	10784	\N	3
3997	4004	test-56f361855170b	test-56f361855170b	90431	108517.199999999997	\N	2
3998	4005	test-56f3618556677	test-56f3618556677	8520	8520	\N	3
3999	4006	test-56f361855e856	test-56f361855e856	19197	19197	\N	4
4000	4007	test-56f3618567753	test-56f3618567753	122551	159316.299999999988	\N	1
4001	4008	test-56f361856bb11	test-56f361856bb11	33564	46989.5999999999985	\N	1
4002	4009	test-56f36185708ee	test-56f36185708ee	172036	344072	\N	4
4003	4010	test-56f3618574f43	test-56f3618574f43	17542	17542	\N	5
4004	4011	test-56f361859388e	test-56f361859388e	6917	6917	\N	4
4005	4012	test-56f3618598f3a	test-56f3618598f3a	174016	191417.600000000006	\N	1
4006	4013	test-56f361859ed48	test-56f361859ed48	189813	189813	\N	4
4007	4014	test-56f36185a4c33	test-56f36185a4c33	70254	70254	\N	5
4008	4015	test-56f36185a8742	test-56f36185a8742	70011	70011	\N	4
4009	4016	test-56f36185b1ee0	test-56f36185b1ee0	159484	159484	\N	3
4010	4017	test-56f36185b6e5c	test-56f36185b6e5c	11505	11505	\N	2
4011	4018	test-56f36185becb9	test-56f36185becb9	12671	13938.1000000000004	\N	3
4012	4019	test-56f36185c710a	test-56f36185c710a	40965	40965	\N	3
4013	4020	test-56f36185ce11a	test-56f36185ce11a	135420	135420	\N	5
4014	4021	test-56f36185d60d6	test-56f36185d60d6	43472	43472	\N	5
4015	4022	test-56f36185dcf2a	test-56f36185dcf2a	82396	82396	\N	5
4016	4023	test-56f36185e60ff	test-56f36185e60ff	7059	7059	\N	2
4017	4024	test-56f36185eb58a	test-56f36185eb58a	100207	130269.100000000006	\N	1
4018	4025	test-56f36185ef571	test-56f36185ef571	98196	98196	\N	2
4019	4026	test-56f36186001f0	test-56f36186001f0	96973	96973	\N	5
4020	4027	test-56f361860493b	test-56f361860493b	15356	15356	\N	2
4021	4028	test-56f3618608465	test-56f3618608465	117470	117470	\N	5
4022	4029	test-56f361860c479	test-56f361860c479	186963	186963	\N	1
4023	4030	test-56f3618612100	test-56f3618612100	143655	143655	\N	2
4024	4031	test-56f36186167f0	test-56f36186167f0	34058	34058	\N	2
4025	4032	test-56f361861b5ee	test-56f361861b5ee	75540	128418	\N	2
4026	4033	test-56f361862239d	test-56f361862239d	141982	141982	\N	2
4027	4034	test-56f3618627efe	test-56f3618627efe	143472	143472	\N	1
4028	4035	test-56f361862c592	test-56f361862c592	11057	11057	\N	4
4029	4036	test-56f3618630b0d	test-56f3618630b0d	49095	49095	\N	2
4030	4037	test-56f361863649c	test-56f361863649c	64736	64736	\N	3
4031	4038	test-56f361863b435	test-56f361863b435	132340	132340	\N	2
4032	4039	test-56f3618644657	test-56f3618644657	152448	152448	\N	5
4033	4040	test-56f3618648aba	test-56f3618648aba	77874	77874	\N	1
4034	4041	test-56f361864cdbf	test-56f361864cdbf	93202	121162.600000000006	\N	1
4035	4042	test-56f3618650fe6	test-56f3618650fe6	125737	125737	\N	2
4036	4043	test-56f3618658943	test-56f3618658943	40219	80438	\N	1
4037	4044	test-56f361865f6bf	test-56f361865f6bf	89866	89866	\N	5
4038	4045	test-56f3618665b4d	test-56f3618665b4d	140136	140136	\N	4
4039	4046	test-56f361866e92f	test-56f361866e92f	51613	51613	\N	5
4040	4047	test-56f3618673953	test-56f3618673953	186155	186155	\N	4
4041	4048	test-56f3618679ad7	test-56f3618679ad7	187027	187027	\N	1
4042	4049	test-56f361869ff93	test-56f361869ff93	117648	117648	\N	5
4043	4050	test-56f36186b4f9b	test-56f36186b4f9b	158758	158758	\N	5
4044	4051	test-56f36186b930a	test-56f36186b930a	43359	52030.8000000000029	\N	4
4045	4052	test-56f36186bf27a	test-56f36186bf27a	99222	99222	\N	4
4046	4053	test-56f36186c7194	test-56f36186c7194	159105	222747	\N	4
4047	4054	test-56f36186cb418	test-56f36186cb418	79593	79593	\N	1
4048	4055	test-56f36186d1c39	test-56f36186d1c39	135917	135917	\N	1
4049	4056	test-56f36186d9616	test-56f36186d9616	82204	82204	\N	1
4050	4057	test-56f36186df0d0	test-56f36186df0d0	9968	19936	\N	5
4051	4058	test-56f36186e5e58	test-56f36186e5e58	64583	71041.3000000000029	\N	2
4052	4059	test-56f36186ec0d6	test-56f36186ec0d6	17841	21409.2000000000007	\N	2
4053	4060	test-56f36186f4004	test-56f36186f4004	164494	164494	\N	2
4054	4061	test-56f361870629e	test-56f361870629e	6342	8878.79999999999927	\N	2
4055	4062	test-56f361870c509	test-56f361870c509	88690	88690	\N	2
4056	4063	test-56f3618732687	test-56f3618732687	103273	123927.600000000006	\N	3
4057	4064	test-56f361874b780	test-56f361874b780	24522	31878.5999999999985	\N	3
4058	4065	test-56f3618767c44	test-56f3618767c44	16081	16081	\N	5
4059	4066	test-56f361876f7c2	test-56f361876f7c2	14363	14363	\N	1
4060	4067	test-56f36187761ba	test-56f36187761ba	41915	41915	\N	4
4061	4068	test-56f361877a799	test-56f361877a799	32339	32339	\N	4
4062	4069	test-56f361877df02	test-56f361877df02	67889	67889	\N	1
4063	4070	test-56f361878297f	test-56f361878297f	199931	199931	\N	3
4064	4071	test-56f3618786490	test-56f3618786490	84066	84066	\N	4
4065	4072	test-56f361878d5b8	test-56f361878d5b8	76964	76964	\N	1
4066	4073	test-56f3618793735	test-56f3618793735	52192	52192	\N	1
4067	4074	test-56f3618798914	test-56f3618798914	77372	77372	\N	1
4068	4075	test-56f361879c8ba	test-56f361879c8ba	13592	13592	\N	4
4069	4076	test-56f36187a08dd	test-56f36187a08dd	96095	96095	\N	4
4070	4077	test-56f36187a444a	test-56f36187a444a	97055	97055	\N	5
4071	4078	test-56f36187a8169	test-56f36187a8169	4724	7086	\N	4
4072	4079	test-56f36187ab9ed	test-56f36187ab9ed	118183	118183	\N	2
4073	4080	test-56f36187af179	test-56f36187af179	156114	156114	\N	5
4074	4081	test-56f36187b2aab	test-56f36187b2aab	75594	75594	\N	2
4075	4082	test-56f36187b6743	test-56f36187b6743	134904	229336.799999999988	\N	5
4076	4083	test-56f36187ba20b	test-56f36187ba20b	151224	151224	\N	1
4077	4084	test-56f36187bda49	test-56f36187bda49	95995	95995	\N	3
4078	4085	test-56f36187c1250	test-56f36187c1250	18378	18378	\N	4
4079	4086	test-56f36187c4d43	test-56f36187c4d43	72550	72550	\N	3
4080	4087	test-56f36187c8faa	test-56f36187c8faa	124371	248742	\N	1
4081	4088	test-56f36187ee549	test-56f36187ee549	63932	127864	\N	2
4082	4089	test-56f3618804c7f	test-56f3618804c7f	457	457	\N	2
4083	4090	test-56f361880e4df	test-56f361880e4df	131180	131180	\N	2
4084	4091	test-56f3618818f65	test-56f3618818f65	122485	122485	\N	4
4085	4092	test-56f3618822378	test-56f3618822378	59726	59726	\N	4
4086	4093	test-56f361882c4e4	test-56f361882c4e4	192115	288172.5	\N	4
4087	4094	test-56f36188344fb	test-56f36188344fb	105538	105538	\N	1
4088	4095	test-56f3618839257	test-56f3618839257	106575	181177.5	\N	3
4089	4096	test-56f361883cb15	test-56f361883cb15	75550	113325	\N	1
4090	4097	test-56f3618840773	test-56f3618840773	43738	43738	\N	2
4091	4098	test-56f3618845091	test-56f3618845091	50247	50247	\N	5
4092	4099	test-56f361884a5ff	test-56f361884a5ff	51986	62383.1999999999971	\N	3
4093	4100	test-56f361884e0bc	test-56f361884e0bc	49651	49651	\N	4
4094	4101	test-56f36188520fd	test-56f36188520fd	95381	95381	\N	1
4095	4102	test-56f3618855850	test-56f3618855850	63748	108371.600000000006	\N	2
4096	4103	test-56f3618859da0	test-56f3618859da0	101730	101730	\N	2
4097	4104	test-56f361885d67d	test-56f361885d67d	24220	26642	\N	4
4098	4105	test-56f361886564d	test-56f361886564d	82763	91039.3000000000029	\N	5
4099	4106	test-56f361886ac39	test-56f361886ac39	117777	117777	\N	1
4100	4107	test-56f361886fd1b	test-56f361886fd1b	59386	59386	\N	5
4101	4108	test-56f36188768e0	test-56f36188768e0	136062	231305.399999999994	\N	4
4102	4109	test-56f361887d7a3	test-56f361887d7a3	178709	321676.200000000012	\N	3
4103	4110	test-56f361888398c	test-56f361888398c	25755	51510	\N	5
4104	4111	test-56f36188899a8	test-56f36188899a8	132855	132855	\N	1
4105	4112	test-56f361888fa78	test-56f361888fa78	193726	193726	\N	4
4106	4113	test-56f3618896936	test-56f3618896936	181767	181767	\N	1
4107	4114	test-56f361889ccb6	test-56f361889ccb6	159379	159379	\N	5
4108	4115	test-56f36188a19b0	test-56f36188a19b0	84725	84725	\N	5
4109	4116	test-56f36188a8d1b	test-56f36188a8d1b	67470	67470	\N	4
4110	4117	test-56f36188adb8f	test-56f36188adb8f	160954	289717.200000000012	\N	4
4111	4118	test-56f36188b3c66	test-56f36188b3c66	123204	123204	\N	1
4112	4119	test-56f36188b9bc5	test-56f36188b9bc5	25098	25098	\N	3
4113	4120	test-56f36188bd0bf	test-56f36188bd0bf	54053	54053	\N	5
4114	4121	test-56f36188d288a	test-56f36188d288a	101670	101670	\N	3
4115	4122	test-56f36188ed263	test-56f36188ed263	94149	103563.899999999994	\N	4
4116	4123	test-56f361890362e	test-56f361890362e	20233	20233	\N	3
4117	4124	test-56f3618907a5e	test-56f3618907a5e	97509	97509	\N	3
4118	4125	test-56f361890bf0f	test-56f361890bf0f	77476	77476	\N	4
4119	4126	test-56f36189339de	test-56f36189339de	174953	174953	\N	4
4120	4127	test-56f3618938181	test-56f3618938181	120166	216298.799999999988	\N	3
4121	4128	test-56f361893d866	test-56f361893d866	79144	79144	\N	4
4122	4129	test-56f3618941e67	test-56f3618941e67	100582	150873	\N	1
4123	4130	test-56f361894a568	test-56f361894a568	112532	112532	\N	4
4124	4131	test-56f361894f8ca	test-56f361894f8ca	90627	145003.200000000012	\N	4
4125	4132	test-56f36189558e8	test-56f36189558e8	133721	173837.299999999988	\N	2
4126	4133	test-56f361895a5c8	test-56f361895a5c8	170198	170198	\N	4
4127	4134	test-56f3618964106	test-56f3618964106	11973	11973	\N	2
4128	4135	test-56f361896a1af	test-56f361896a1af	6834	13668	\N	4
4129	4136	test-56f361896e540	test-56f361896e540	128268	128268	\N	3
4130	4137	test-56f3618988618	test-56f3618988618	112811	112811	\N	2
4131	4138	test-56f361898be71	test-56f361898be71	78073	101494.899999999994	\N	2
4132	4139	test-56f36189b5f2c	test-56f36189b5f2c	191104	248435.200000000012	\N	4
4133	4140	test-56f36189d0df1	test-56f36189d0df1	87151	87151	\N	4
4134	4141	test-56f36189db33a	test-56f36189db33a	134514	134514	\N	1
4135	4142	test-56f36189e0f25	test-56f36189e0f25	78367	78367	\N	1
4136	4143	test-56f36189e705c	test-56f36189e705c	21987	21987	\N	5
4137	4144	test-56f36189ec6a2	test-56f36189ec6a2	193495	193495	\N	4
4138	4145	test-56f36189f04e0	test-56f36189f04e0	53898	64677.5999999999985	\N	1
4139	4146	test-56f3618a00f5d	test-56f3618a00f5d	15480	15480	\N	4
4140	4147	test-56f3618a06280	test-56f3618a06280	174975	174975	\N	5
4141	4148	test-56f3618a0cdcd	test-56f3618a0cdcd	93040	93040	\N	2
4142	4149	test-56f3618a12b2e	test-56f3618a12b2e	163163	163163	\N	5
4143	4150	test-56f3618a19381	test-56f3618a19381	108513	108513	\N	1
4144	4151	test-56f3618a1f459	test-56f3618a1f459	154939	309878	\N	2
4145	4152	test-56f3618a26b9d	test-56f3618a26b9d	189959	189959	\N	1
4146	4153	test-56f3618a2c1c3	test-56f3618a2c1c3	70904	120536.800000000003	\N	5
4147	4154	test-56f3618a34565	test-56f3618a34565	60122	60122	\N	2
4148	4155	test-56f3618a3820e	test-56f3618a3820e	119219	154984.700000000012	\N	1
4149	4156	test-56f3618a3e8d3	test-56f3618a3e8d3	158755	158755	\N	5
4150	4157	test-56f3618a425b0	test-56f3618a425b0	124673	124673	\N	2
4151	4158	test-56f3618a4a585	test-56f3618a4a585	36688	62369.5999999999985	\N	4
4152	4159	test-56f3618a4f267	test-56f3618a4f267	115327	115327	\N	2
4153	4160	test-56f3618a5725f	test-56f3618a5725f	79646	79646	\N	4
4154	4161	test-56f3618a5d505	test-56f3618a5d505	46116	46116	\N	2
4155	4162	test-56f3618a62be4	test-56f3618a62be4	4749	8548.20000000000073	\N	3
4156	4163	test-56f3618a69a16	test-56f3618a69a16	39477	39477	\N	3
4157	4164	test-56f3618a731d2	test-56f3618a731d2	60960	60960	\N	1
4158	4165	test-56f3618aaadf8	test-56f3618aaadf8	91759	91759	\N	2
4159	4166	test-56f3618ab0ce9	test-56f3618ab0ce9	156280	187536	\N	4
4160	4167	test-56f3618abaeeb	test-56f3618abaeeb	4256	4256	\N	3
4161	4168	test-56f3618abf20c	test-56f3618abf20c	103948	145527.200000000012	\N	4
4162	4169	test-56f3618ac3473	test-56f3618ac3473	115201	115201	\N	5
4163	4170	test-56f3618ac6d36	test-56f3618ac6d36	108754	108754	\N	5
4164	4171	test-56f3618acbf5b	test-56f3618acbf5b	80505	80505	\N	2
4165	4172	test-56f3618ad58f1	test-56f3618ad58f1	46142	46142	\N	4
4166	4173	test-56f3618adce9e	test-56f3618adce9e	36397	36397	\N	1
4167	4174	test-56f3618ae3ab4	test-56f3618ae3ab4	5859	5859	\N	5
4168	4175	test-56f3618aea309	test-56f3618aea309	170490	323931	\N	3
4169	4176	test-56f3618aedd30	test-56f3618aedd30	49532	64391.5999999999985	\N	3
4170	4177	test-56f3618af21c4	test-56f3618af21c4	52021	52021	\N	5
4171	4178	test-56f3618b01d95	test-56f3618b01d95	32307	32307	\N	1
4172	4179	test-56f3618b08f8a	test-56f3618b08f8a	184023	184023	\N	5
4173	4180	test-56f3618b0e0c3	test-56f3618b0e0c3	30065	36078	\N	4
4174	4181	test-56f3618b1317e	test-56f3618b1317e	163091	244636.5	\N	3
4175	4182	test-56f3618b17fbf	test-56f3618b17fbf	172960	172960	\N	1
4176	4183	test-56f3618b1d780	test-56f3618b1d780	39457	39457	\N	5
4177	4184	test-56f3618b215fa	test-56f3618b215fa	172113	172113	\N	5
4178	4185	test-56f3618b29bd0	test-56f3618b29bd0	814	814	\N	1
4179	4186	test-56f3618b312d2	test-56f3618b312d2	135710	203565	\N	4
4180	4187	test-56f3618b37e13	test-56f3618b37e13	198634	198634	\N	3
4181	4188	test-56f3618b3c00d	test-56f3618b3c00d	190578	362098.200000000012	\N	1
4182	4189	test-56f3618b423b3	test-56f3618b423b3	94213	94213	\N	5
4183	4190	test-56f3618b476bf	test-56f3618b476bf	11328	18124.7999999999993	\N	2
4184	4191	test-56f3618b4b521	test-56f3618b4b521	77925	77925	\N	4
4185	4192	test-56f3618b509a3	test-56f3618b509a3	95830	95830	\N	4
4186	4193	test-56f3618b56cd9	test-56f3618b56cd9	15709	15709	\N	2
4187	4194	test-56f3618b5cbca	test-56f3618b5cbca	193569	348424.200000000012	\N	1
4188	4195	test-56f3618b606c5	test-56f3618b606c5	145464	276381.599999999977	\N	3
4189	4196	test-56f3618b64715	test-56f3618b64715	133291	266582	\N	1
4190	4197	test-56f3618b683c8	test-56f3618b683c8	61730	61730	\N	2
4191	4198	test-56f3618b6c30e	test-56f3618b6c30e	131652	184312.799999999988	\N	1
4192	4199	test-56f3618b70a5b	test-56f3618b70a5b	161807	161807	\N	1
4193	4200	test-56f3618b74d6d	test-56f3618b74d6d	12058	12058	\N	1
4194	4201	test-56f3618b94c05	test-56f3618b94c05	147750	162525	\N	1
4195	4202	test-56f3618b9d64a	test-56f3618b9d64a	48974	68563.6000000000058	\N	2
4196	4203	test-56f3618bc5e03	test-56f3618bc5e03	5678	8517	\N	2
4197	4204	test-56f3618bccd36	test-56f3618bccd36	7341	7341	\N	5
4198	4205	test-56f3618bd4014	test-56f3618bd4014	95226	95226	\N	1
4199	4206	test-56f3618bd92dd	test-56f3618bd92dd	99627	169365.899999999994	\N	1
4200	4207	test-56f3618bdceb4	test-56f3618bdceb4	75382	90458.3999999999942	\N	5
4201	4208	test-56f3618be0f9c	test-56f3618be0f9c	3528	3528	\N	2
4202	4209	test-56f3618be5504	test-56f3618be5504	158553	301250.700000000012	\N	4
4203	4210	test-56f3618bece06	test-56f3618bece06	189838	189838	\N	4
4204	4211	test-56f3618bf3275	test-56f3618bf3275	60769	60769	\N	4
4205	4212	test-56f3618c035d4	test-56f3618c035d4	75781	75781	\N	2
4206	4213	test-56f3618c074e0	test-56f3618c074e0	160465	176511.5	\N	5
4207	4214	test-56f3618c0f52d	test-56f3618c0f52d	190796	190796	\N	4
4208	4215	test-56f3618c1612a	test-56f3618c1612a	176473	176473	\N	5
4209	4216	test-56f3618c1cd1d	test-56f3618c1cd1d	85373	119522.199999999997	\N	5
4210	4217	test-56f3618c242eb	test-56f3618c242eb	80994	80994	\N	2
4211	4218	test-56f3618c28980	test-56f3618c28980	53405	74767	\N	5
4212	4219	test-56f3618c2cab6	test-56f3618c2cab6	134469	134469	\N	2
4213	4220	test-56f3618c3107e	test-56f3618c3107e	51544	51544	\N	5
4214	4221	test-56f3618c38728	test-56f3618c38728	163079	163079	\N	3
4215	4222	test-56f3618c3c5ad	test-56f3618c3c5ad	132835	252386.5	\N	5
4216	4223	test-56f3618c44744	test-56f3618c44744	104769	104769	\N	5
4217	4224	test-56f3618c4812f	test-56f3618c4812f	32984	32984	\N	1
4218	4225	test-56f3618c4bf58	test-56f3618c4bf58	77014	77014	\N	5
4219	4226	test-56f3618c524c8	test-56f3618c524c8	96078	96078	\N	2
4220	4227	test-56f3618c5ae4f	test-56f3618c5ae4f	97448	97448	\N	4
4221	4228	test-56f3618c6423a	test-56f3618c6423a	31905	44667	\N	1
4222	4229	test-56f3618c69640	test-56f3618c69640	32022	60841.8000000000029	\N	1
4223	4230	test-56f3618c70d02	test-56f3618c70d02	147302	147302	\N	1
4224	4231	test-56f3618c80530	test-56f3618c80530	137828	137828	\N	2
4225	4232	test-56f3618c8534e	test-56f3618c8534e	126359	176902.600000000006	\N	1
4226	4233	test-56f3618c8e95a	test-56f3618c8e95a	140857	140857	\N	1
4227	4234	test-56f3618c923db	test-56f3618c923db	198803	198803	\N	4
4228	4235	test-56f3618c96361	test-56f3618c96361	129712	129712	\N	4
4229	4236	test-56f3618c998ee	test-56f3618c998ee	73728	73728	\N	4
4230	4237	test-56f3618ca8b9e	test-56f3618ca8b9e	86678	86678	\N	1
4231	4238	test-56f3618caf13c	test-56f3618caf13c	150047	150047	\N	1
4232	4239	test-56f3618cb2f8a	test-56f3618cb2f8a	155779	171356.899999999994	\N	1
4233	4240	test-56f3618cbc971	test-56f3618cbc971	49649	49649	\N	1
4234	4241	test-56f3618cc473d	test-56f3618cc473d	43069	43069	\N	5
4235	4242	test-56f3618cf039b	test-56f3618cf039b	124025	124025	\N	5
4236	4243	test-56f3618cf3ffb	test-56f3618cf3ffb	75321	75321	\N	4
4237	4244	test-56f3618d0364a	test-56f3618d0364a	87007	87007	\N	1
4238	4245	test-56f3618d070d1	test-56f3618d070d1	16976	16976	\N	3
4239	4246	test-56f3618d0add2	test-56f3618d0add2	62311	124622	\N	4
4240	4247	test-56f3618d0ebe0	test-56f3618d0ebe0	116779	186846.399999999994	\N	4
4241	4248	test-56f3618d14878	test-56f3618d14878	169938	169938	\N	3
4242	4249	test-56f3618d194a5	test-56f3618d194a5	57597	74876.1000000000058	\N	5
4243	4250	test-56f3618d1e26b	test-56f3618d1e26b	113251	113251	\N	5
4244	4251	test-56f3618d250eb	test-56f3618d250eb	25594	25594	\N	1
4245	4252	test-56f3618d2f517	test-56f3618d2f517	128743	128743	\N	5
4246	4253	test-56f3618d39bf4	test-56f3618d39bf4	149677	149677	\N	3
4247	4254	test-56f3618d4559a	test-56f3618d4559a	35534	35534	\N	4
4248	4255	test-56f3618d4def1	test-56f3618d4def1	119067	119067	\N	3
4249	4256	test-56f3618d54f40	test-56f3618d54f40	192595	192595	\N	3
4250	4257	test-56f3618d5d375	test-56f3618d5d375	65964	65964	\N	3
4251	4258	test-56f3618d6394e	test-56f3618d6394e	73215	117144	\N	1
4252	4259	test-56f3618d6b705	test-56f3618d6b705	34862	34862	\N	5
4253	4260	test-56f3618d6f86b	test-56f3618d6f86b	169594	169594	\N	3
4254	4261	test-56f3618d737fa	test-56f3618d737fa	41503	41503	\N	3
4255	4262	test-56f3618d797b1	test-56f3618d797b1	57942	57942	\N	2
4256	4263	test-56f3618d81895	test-56f3618d81895	114521	114521	\N	2
4257	4264	test-56f3618d87e9a	test-56f3618d87e9a	199325	199325	\N	5
4258	4265	test-56f3618d8c3d5	test-56f3618d8c3d5	42784	42784	\N	3
4259	4266	test-56f3618d903e4	test-56f3618d903e4	67299	67299	\N	5
4260	4267	test-56f3618d95bba	test-56f3618d95bba	104557	104557	\N	1
4261	4268	test-56f3618d9bbb4	test-56f3618d9bbb4	26567	26567	\N	5
4262	4269	test-56f3618da1aae	test-56f3618da1aae	109844	109844	\N	2
4263	4270	test-56f3618da6f0d	test-56f3618da6f0d	138293	138293	\N	3
4264	4271	test-56f3618dafb71	test-56f3618dafb71	43212	51854.4000000000015	\N	1
4265	4272	test-56f3618db3bce	test-56f3618db3bce	37483	37483	\N	5
4266	4273	test-56f3618dbbcd8	test-56f3618dbbcd8	136526	136526	\N	3
4267	4274	test-56f3618dbfa29	test-56f3618dbfa29	61517	61517	\N	5
4268	4275	test-56f3618dc385a	test-56f3618dc385a	50059	55064.9000000000015	\N	5
4269	4276	test-56f3618dc75e8	test-56f3618dc75e8	98993	178187.399999999994	\N	4
4270	4277	test-56f3618dcf692	test-56f3618dcf692	14990	14990	\N	2
4271	4278	test-56f3618dd50c2	test-56f3618dd50c2	103108	103108	\N	2
4272	4279	test-56f3618ddb980	test-56f3618ddb980	195014	195014	\N	5
4273	4280	test-56f3618e11fce	test-56f3618e11fce	125912	125912	\N	2
4274	4281	test-56f3618e15961	test-56f3618e15961	109216	131059.199999999997	\N	1
4275	4282	test-56f3618e195ee	test-56f3618e195ee	8040	8040	\N	3
4276	4283	test-56f3618e21342	test-56f3618e21342	25951	25951	\N	5
4277	4284	test-56f3618e24a64	test-56f3618e24a64	101537	192920.299999999988	\N	1
4278	4285	test-56f3618e28b19	test-56f3618e28b19	187901	187901	\N	3
4279	4286	test-56f3618e2c229	test-56f3618e2c229	81453	114034.199999999997	\N	2
4280	4287	test-56f3618e32263	test-56f3618e32263	181671	181671	\N	4
4281	4288	test-56f3618e38343	test-56f3618e38343	138747	138747	\N	3
4282	4289	test-56f3618e4034a	test-56f3618e4034a	155754	311508	\N	4
4283	4290	test-56f3618e4670b	test-56f3618e4670b	66434	66434	\N	4
4284	4291	test-56f3618e50a82	test-56f3618e50a82	69471	69471	\N	3
4285	4292	test-56f3618e5b6ab	test-56f3618e5b6ab	67219	67219	\N	5
4286	4293	test-56f3618e6680f	test-56f3618e6680f	70587	70587	\N	2
4287	4294	test-56f3618e72b64	test-56f3618e72b64	180417	180417	\N	4
4288	4295	test-56f3618e7cf81	test-56f3618e7cf81	137695	275390	\N	4
4289	4296	test-56f3618e87265	test-56f3618e87265	19221	19221	\N	5
4290	4297	test-56f3618e8fb15	test-56f3618e8fb15	175700	175700	\N	4
4291	4298	test-56f3618e98c81	test-56f3618e98c81	63003	69303.3000000000029	\N	1
4292	4299	test-56f3618e9eac6	test-56f3618e9eac6	81165	113631	\N	5
4293	4300	test-56f3618ea5423	test-56f3618ea5423	40289	40289	\N	2
4294	4301	test-56f3618ea940d	test-56f3618ea940d	124935	124935	\N	4
4295	4302	test-56f3618ead117	test-56f3618ead117	17599	17599	\N	5
4296	4303	test-56f3618eb0905	test-56f3618eb0905	28034	28034	\N	5
4297	4304	test-56f3618eb4626	test-56f3618eb4626	42443	42443	\N	5
4298	4305	test-56f3618eb7c97	test-56f3618eb7c97	80282	80282	\N	2
4299	4306	test-56f3618ebbada	test-56f3618ebbada	60558	84781.1999999999971	\N	4
4300	4307	test-56f3618ebf278	test-56f3618ebf278	194232	194232	\N	4
4301	4308	test-56f3618ec305f	test-56f3618ec305f	192757	192757	\N	2
4302	4309	test-56f3618eca040	test-56f3618eca040	196041	196041	\N	5
4303	4310	test-56f3618ed00c8	test-56f3618ed00c8	81011	81011	\N	2
4304	4311	test-56f3618ed39ca	test-56f3618ed39ca	58426	58426	\N	5
4305	4312	test-56f3618edaec4	test-56f3618edaec4	53015	53015	\N	5
4306	4313	test-56f3618edf5ce	test-56f3618edf5ce	188744	188744	\N	4
4307	4314	test-56f3618ee3d88	test-56f3618ee3d88	1063	1275.59999999999991	\N	4
4308	4315	test-56f3618eecd7a	test-56f3618eecd7a	174420	174420	\N	2
4309	4316	test-56f3618ef36b4	test-56f3618ef36b4	141888	241209.600000000006	\N	4
4310	4317	test-56f3618f03c1a	test-56f3618f03c1a	42185	42185	\N	3
4311	4318	test-56f3618f07434	test-56f3618f07434	125932	125932	\N	2
4312	4319	test-56f3618f37380	test-56f3618f37380	122691	122691	\N	2
4313	4320	test-56f3618f3b6ce	test-56f3618f3b6ce	109311	131173.200000000012	\N	2
4314	4321	test-56f3618f41608	test-56f3618f41608	75037	75037	\N	4
4315	4322	test-56f3618f461ea	test-56f3618f461ea	164620	230468	\N	2
4316	4323	test-56f3618f4b3fa	test-56f3618f4b3fa	101334	101334	\N	2
4317	4324	test-56f3618f52060	test-56f3618f52060	139026	139026	\N	1
4318	4325	test-56f3618f55fc0	test-56f3618f55fc0	154013	154013	\N	5
4319	4326	test-56f3618f5a844	test-56f3618f5a844	32245	32245	\N	3
4320	4327	test-56f3618f5f277	test-56f3618f5f277	7298	7298	\N	2
4321	4328	test-56f3618f669c4	test-56f3618f669c4	4681	4681	\N	4
4322	4329	test-56f3618f6c943	test-56f3618f6c943	190301	228361.200000000012	\N	2
4323	4330	test-56f3618f74a85	test-56f3618f74a85	111449	111449	\N	3
4324	4331	test-56f3618f784b2	test-56f3618f784b2	77592	77592	\N	4
4325	4332	test-56f3618f7da67	test-56f3618f7da67	169141	219883.299999999988	\N	2
4326	4333	test-56f3618f84345	test-56f3618f84345	163390	294102	\N	1
4327	4334	test-56f3618f89f5a	test-56f3618f89f5a	184744	351013.599999999977	\N	3
4328	4335	test-56f3618f903a8	test-56f3618f903a8	31980	63960	\N	5
4329	4336	test-56f3618fb96b6	test-56f3618fb96b6	166899	216968.700000000012	\N	5
4330	4337	test-56f3618fda0a5	test-56f3618fda0a5	78082	124931.199999999997	\N	2
4331	4338	test-56f3618fdf653	test-56f3618fdf653	146689	146689	\N	2
4332	4339	test-56f3618fe5199	test-56f3618fe5199	134321	147753.100000000006	\N	5
4333	4340	test-56f3618feae4c	test-56f3618feae4c	191311	344359.799999999988	\N	5
4334	4341	test-56f3618ff073f	test-56f3618ff073f	155424	170966.399999999994	\N	5
4335	4342	test-56f3619001e66	test-56f3619001e66	44247	44247	\N	2
4336	4343	test-56f3619005971	test-56f3619005971	178092	178092	\N	1
4337	4344	test-56f361900b0cc	test-56f361900b0cc	122906	122906	\N	5
4338	4345	test-56f361901247c	test-56f361901247c	53610	91137	\N	4
4339	4346	test-56f3619016a6c	test-56f3619016a6c	105459	189826.200000000012	\N	1
4340	4347	test-56f361901d121	test-56f361901d121	135210	135210	\N	1
4341	4348	test-56f361902351c	test-56f361902351c	45186	90372	\N	3
4342	4349	test-56f361902a79b	test-56f361902a79b	3838	7292.19999999999982	\N	5
4343	4350	test-56f361902e8a3	test-56f361902e8a3	91286	136929	\N	2
4344	4351	test-56f361903240e	test-56f361903240e	26998	26998	\N	3
4345	4352	test-56f36190369e0	test-56f36190369e0	51671	51671	\N	3
4346	4353	test-56f361903c3c8	test-56f361903c3c8	147606	147606	\N	2
4347	4354	test-56f36190407df	test-56f36190407df	170792	170792	\N	4
4348	4355	test-56f36190476ec	test-56f36190476ec	98923	98923	\N	2
4349	4356	test-56f361904d44e	test-56f361904d44e	130866	248645.399999999994	\N	1
4350	4357	test-56f361907e126	test-56f361907e126	20056	20056	\N	4
4351	4358	test-56f3619081afb	test-56f3619081afb	172528	172528	\N	1
\.


--
-- Name: product_variant_product_variant_id_seq; Type: SEQUENCE SET; Schema: public; Owner: postgres
--

SELECT pg_catalog.setval('product_variant_product_variant_id_seq', 4351, true);


--
-- Data for Name: relation; Type: TABLE DATA; Schema: public; Owner: postgres
--

COPY relation (alias, entity1_id, entity2_id) FROM stdin;
\.


--
-- Data for Name: tax_group; Type: TABLE DATA; Schema: public; Owner: postgres
--

COPY tax_group (tax_group_id, alias, name, description, module, hierarchical, settings) FROM stdin;
3	tolsina-metalla-mm	Толщина металла, мм		float	f	\N
\.


--
-- Name: tax_group_tax_group_id_seq; Type: SEQUENCE SET; Schema: public; Owner: postgres
--

SELECT pg_catalog.setval('tax_group_tax_group_id_seq', 3, true);


--
-- Data for Name: tax_group_to_group; Type: TABLE DATA; Schema: public; Owner: postgres
--

COPY tax_group_to_group (tax_group1_id, tax_group2_id, alias, sort) FROM stdin;
\.


--
-- Data for Name: tax_option; Type: TABLE DATA; Schema: public; Owner: postgres
--

COPY tax_option (tax_option_id, tax_group_id, parent_id, depth, sort, default_value, alias, path_int) FROM stdin;
161	3	0	0	0	1	04	{161}
162	3	0	0	0	2	045	{162}
163	3	0	0	0	3	05	{163}
\.


--
-- Name: tax_option_tax_option_id_seq; Type: SEQUENCE SET; Schema: public; Owner: postgres
--

SELECT pg_catalog.setval('tax_option_tax_option_id_seq', 163, true);


--
-- Data for Name: tax_option_to_group; Type: TABLE DATA; Schema: public; Owner: postgres
--

COPY tax_option_to_group (tax_option_id, tax_group_id, alias, sort) FROM stdin;
\.


--
-- Data for Name: tax_option_to_option; Type: TABLE DATA; Schema: public; Owner: postgres
--

COPY tax_option_to_option (tax_option1_id, tax_option2_id, alias, sort) FROM stdin;
\.


--
-- Data for Name: tax_value_float; Type: TABLE DATA; Schema: public; Owner: postgres
--

COPY tax_value_float (tax_value_id, tax_option_id, value) FROM stdin;
1	161	0.400000000000000022
2	162	0.450000000000000011
3	163	0.5
\.


--
-- Name: tax_value_float_tax_value_id_seq; Type: SEQUENCE SET; Schema: public; Owner: postgres
--

SELECT pg_catalog.setval('tax_value_float_tax_value_id_seq', 3, true);


--
-- Data for Name: tax_value_int; Type: TABLE DATA; Schema: public; Owner: postgres
--

COPY tax_value_int (tax_value_id, tax_option_id, value) FROM stdin;
\.


--
-- Name: tax_value_int_tax_value_id_seq; Type: SEQUENCE SET; Schema: public; Owner: postgres
--

SELECT pg_catalog.setval('tax_value_int_tax_value_id_seq', 1, false);


--
-- Data for Name: tax_value_link; Type: TABLE DATA; Schema: public; Owner: postgres
--

COPY tax_value_link (tax_value_id, tax_option_id, name, link) FROM stdin;
\.


--
-- Name: tax_value_link_tax_value_id_seq; Type: SEQUENCE SET; Schema: public; Owner: postgres
--

SELECT pg_catalog.setval('tax_value_link_tax_value_id_seq', 1, false);


--
-- Data for Name: tax_value_string; Type: TABLE DATA; Schema: public; Owner: postgres
--

COPY tax_value_string (tax_value_id, tax_option_id, value) FROM stdin;
\.


--
-- Name: tax_value_string_tax_value_id_seq; Type: SEQUENCE SET; Schema: public; Owner: postgres
--

SELECT pg_catalog.setval('tax_value_string_tax_value_id_seq', 157, true);


--
-- Data for Name: tax_value_text; Type: TABLE DATA; Schema: public; Owner: postgres
--

COPY tax_value_text (tax_value_id, tax_option_id, value) FROM stdin;
\.


--
-- Name: tax_value_text_tax_value_id_seq; Type: SEQUENCE SET; Schema: public; Owner: postgres
--

SELECT pg_catalog.setval('tax_value_text_tax_value_id_seq', 1, false);


--
-- Data for Name: user; Type: TABLE DATA; Schema: public; Owner: postgres
--

COPY "user" (id, username, auth_key, password_hash, password_reset_token, email, status, created_at, updated_at) FROM stdin;
1	admin	bzN2_QgGFN-9tRYp9yAF3UDh33Z5rnqH	$2y$13$libWSy8k9519AxTvAnC7.Os/UBneomt.5h3Zeubvq/VdG2r0gHCsm	\N	karnovsky.a@gmail.com	10	1457062050	1457062050
\.


--
-- Name: user_id_seq; Type: SEQUENCE SET; Schema: public; Owner: postgres
--

SELECT pg_catalog.setval('user_id_seq', 1, true);


--
-- Name: blog_pkey; Type: CONSTRAINT; Schema: public; Owner: postgres; Tablespace: 
--

ALTER TABLE ONLY blog
    ADD CONSTRAINT blog_pkey PRIMARY KEY (blog_id);


--
-- Name: brand_name_pkey; Type: CONSTRAINT; Schema: public; Owner: postgres; Tablespace: 
--

ALTER TABLE ONLY brand_name
    ADD CONSTRAINT brand_name_pkey PRIMARY KEY (brand_name_id);


--
-- Name: brand_pkey; Type: CONSTRAINT; Schema: public; Owner: postgres; Tablespace: 
--

ALTER TABLE ONLY brand
    ADD CONSTRAINT brand_pkey PRIMARY KEY (brand_id);


--
-- Name: category_name_pkey; Type: CONSTRAINT; Schema: public; Owner: postgres; Tablespace: 
--

ALTER TABLE ONLY category_name
    ADD CONSTRAINT category_name_pkey PRIMARY KEY (category_name_id);


--
-- Name: category_pkey; Type: CONSTRAINT; Schema: public; Owner: postgres; Tablespace: 
--

ALTER TABLE ONLY category
    ADD CONSTRAINT category_pkey PRIMARY KEY (category_id);


--
-- Name: customers_email_key; Type: CONSTRAINT; Schema: public; Owner: postgres; Tablespace: 
--

ALTER TABLE ONLY customers
    ADD CONSTRAINT customers_email_key UNIQUE (email);


--
-- Name: customers_password_reset_token_key; Type: CONSTRAINT; Schema: public; Owner: postgres; Tablespace: 
--

ALTER TABLE ONLY customers
    ADD CONSTRAINT customers_password_reset_token_key UNIQUE (password_reset_token);


--
-- Name: customers_phone_key; Type: CONSTRAINT; Schema: public; Owner: postgres; Tablespace: 
--

ALTER TABLE ONLY customers
    ADD CONSTRAINT customers_phone_key UNIQUE (phone);


--
-- Name: customers_pkey; Type: CONSTRAINT; Schema: public; Owner: postgres; Tablespace: 
--

ALTER TABLE ONLY customers
    ADD CONSTRAINT customers_pkey PRIMARY KEY (id);


--
-- Name: fields_pkey; Type: CONSTRAINT; Schema: public; Owner: postgres; Tablespace: 
--

ALTER TABLE ONLY fields
    ADD CONSTRAINT fields_pkey PRIMARY KEY (id);


--
-- Name: migration_pkey; Type: CONSTRAINT; Schema: public; Owner: postgres; Tablespace: 
--

ALTER TABLE ONLY migration
    ADD CONSTRAINT migration_pkey PRIMARY KEY (version);


--
-- Name: orders_pkey; Type: CONSTRAINT; Schema: public; Owner: postgres; Tablespace: 
--

ALTER TABLE ONLY orders
    ADD CONSTRAINT orders_pkey PRIMARY KEY (id);


--
-- Name: pki_tax_group_to_group; Type: CONSTRAINT; Schema: public; Owner: postgres; Tablespace: 
--

ALTER TABLE ONLY tax_group_to_group
    ADD CONSTRAINT pki_tax_group_to_group PRIMARY KEY (tax_group1_id, tax_group2_id, alias);


--
-- Name: pki_tax_option_to_group; Type: CONSTRAINT; Schema: public; Owner: postgres; Tablespace: 
--

ALTER TABLE ONLY tax_option_to_group
    ADD CONSTRAINT pki_tax_option_to_group PRIMARY KEY (tax_option_id, tax_group_id, alias);


--
-- Name: pki_tax_option_to_option; Type: CONSTRAINT; Schema: public; Owner: postgres; Tablespace: 
--

ALTER TABLE ONLY tax_option_to_option
    ADD CONSTRAINT pki_tax_option_to_option PRIMARY KEY (tax_option1_id, tax_option2_id, alias);


--
-- Name: product_pkey; Type: CONSTRAINT; Schema: public; Owner: postgres; Tablespace: 
--

ALTER TABLE ONLY product
    ADD CONSTRAINT product_pkey PRIMARY KEY (product_id);


--
-- Name: product_unit_pkey; Type: CONSTRAINT; Schema: public; Owner: postgres; Tablespace: 
--

ALTER TABLE ONLY product_unit
    ADD CONSTRAINT product_unit_pkey PRIMARY KEY (product_unit_id);


--
-- Name: product_variant_pkey; Type: CONSTRAINT; Schema: public; Owner: postgres; Tablespace: 
--

ALTER TABLE ONLY product_variant
    ADD CONSTRAINT product_variant_pkey PRIMARY KEY (product_variant_id);


--
-- Name: relation_ukey; Type: CONSTRAINT; Schema: public; Owner: postgres; Tablespace: 
--

ALTER TABLE ONLY relation
    ADD CONSTRAINT relation_ukey PRIMARY KEY (alias, entity1_id, entity2_id);


--
-- Name: tax_group_pkey; Type: CONSTRAINT; Schema: public; Owner: postgres; Tablespace: 
--

ALTER TABLE ONLY tax_group
    ADD CONSTRAINT tax_group_pkey PRIMARY KEY (tax_group_id);


--
-- Name: tax_option_pkey; Type: CONSTRAINT; Schema: public; Owner: postgres; Tablespace: 
--

ALTER TABLE ONLY tax_option
    ADD CONSTRAINT tax_option_pkey PRIMARY KEY (tax_option_id);


--
-- Name: tax_value_float_pkey; Type: CONSTRAINT; Schema: public; Owner: postgres; Tablespace: 
--

ALTER TABLE ONLY tax_value_float
    ADD CONSTRAINT tax_value_float_pkey PRIMARY KEY (tax_value_id);


--
-- Name: tax_value_int_pkey; Type: CONSTRAINT; Schema: public; Owner: postgres; Tablespace: 
--

ALTER TABLE ONLY tax_value_int
    ADD CONSTRAINT tax_value_int_pkey PRIMARY KEY (tax_value_id);


--
-- Name: tax_value_link_pkey; Type: CONSTRAINT; Schema: public; Owner: postgres; Tablespace: 
--

ALTER TABLE ONLY tax_value_link
    ADD CONSTRAINT tax_value_link_pkey PRIMARY KEY (tax_value_id);


--
-- Name: tax_value_string_pkey; Type: CONSTRAINT; Schema: public; Owner: postgres; Tablespace: 
--

ALTER TABLE ONLY tax_value_string
    ADD CONSTRAINT tax_value_string_pkey PRIMARY KEY (tax_value_id);


--
-- Name: tax_value_text_pkey; Type: CONSTRAINT; Schema: public; Owner: postgres; Tablespace: 
--

ALTER TABLE ONLY tax_value_text
    ADD CONSTRAINT tax_value_text_pkey PRIMARY KEY (tax_value_id);


--
-- Name: user_email_key; Type: CONSTRAINT; Schema: public; Owner: postgres; Tablespace: 
--

ALTER TABLE ONLY "user"
    ADD CONSTRAINT user_email_key UNIQUE (email);


--
-- Name: user_password_reset_token_key; Type: CONSTRAINT; Schema: public; Owner: postgres; Tablespace: 
--

ALTER TABLE ONLY "user"
    ADD CONSTRAINT user_password_reset_token_key UNIQUE (password_reset_token);


--
-- Name: user_pkey; Type: CONSTRAINT; Schema: public; Owner: postgres; Tablespace: 
--

ALTER TABLE ONLY "user"
    ADD CONSTRAINT user_pkey PRIMARY KEY (id);


--
-- Name: user_username_key; Type: CONSTRAINT; Schema: public; Owner: postgres; Tablespace: 
--

ALTER TABLE ONLY "user"
    ADD CONSTRAINT user_username_key UNIQUE (username);


--
-- Name: fki_fki_tax_option_id; Type: INDEX; Schema: public; Owner: postgres; Tablespace: 
--

CREATE INDEX fki_fki_tax_option_id ON tax_value_link USING btree (tax_option_id);


--
-- Name: fki_product_brand_fk; Type: INDEX; Schema: public; Owner: postgres; Tablespace: 
--

CREATE INDEX fki_product_brand_fk ON product USING btree (brand_id);


--
-- Name: brand_name_brand_fkey; Type: FK CONSTRAINT; Schema: public; Owner: postgres
--

ALTER TABLE ONLY brand_name
    ADD CONSTRAINT brand_name_brand_fkey FOREIGN KEY (brand_id) REFERENCES brand(brand_id);


--
-- Name: brand_name_fkey; Type: FK CONSTRAINT; Schema: public; Owner: postgres
--

ALTER TABLE ONLY brand
    ADD CONSTRAINT brand_name_fkey FOREIGN KEY (brand_name_id) REFERENCES brand_name(brand_name_id) ON UPDATE CASCADE ON DELETE CASCADE;


--
-- Name: category_name_category_fkey; Type: FK CONSTRAINT; Schema: public; Owner: postgres
--

ALTER TABLE ONLY category_name
    ADD CONSTRAINT category_name_category_fkey FOREIGN KEY (category_id) REFERENCES category(category_id);


--
-- Name: category_name_fkey; Type: FK CONSTRAINT; Schema: public; Owner: postgres
--

ALTER TABLE ONLY category
    ADD CONSTRAINT category_name_fkey FOREIGN KEY (category_name_id) REFERENCES category_name(category_name_id) ON UPDATE CASCADE ON DELETE CASCADE;


--
-- Name: category_product_unit_fkey; Type: FK CONSTRAINT; Schema: public; Owner: postgres
--

ALTER TABLE ONLY category
    ADD CONSTRAINT category_product_unit_fkey FOREIGN KEY (product_unit_id) REFERENCES product_unit(product_unit_id);


--
-- Name: fki_category_id; Type: FK CONSTRAINT; Schema: public; Owner: postgres
--

ALTER TABLE ONLY product_category
    ADD CONSTRAINT fki_category_id FOREIGN KEY (category_id) REFERENCES category(category_id);


--
-- Name: fki_product_id; Type: FK CONSTRAINT; Schema: public; Owner: postgres
--

ALTER TABLE ONLY product_category
    ADD CONSTRAINT fki_product_id FOREIGN KEY (product_id) REFERENCES product(product_id);


--
-- Name: fki_tax_group_to_group1; Type: FK CONSTRAINT; Schema: public; Owner: postgres
--

ALTER TABLE ONLY tax_group_to_group
    ADD CONSTRAINT fki_tax_group_to_group1 FOREIGN KEY (tax_group1_id) REFERENCES tax_group(tax_group_id) ON UPDATE CASCADE ON DELETE CASCADE;


--
-- Name: fki_tax_group_to_group2; Type: FK CONSTRAINT; Schema: public; Owner: postgres
--

ALTER TABLE ONLY tax_group_to_group
    ADD CONSTRAINT fki_tax_group_to_group2 FOREIGN KEY (tax_group2_id) REFERENCES tax_group(tax_group_id) ON UPDATE CASCADE ON DELETE CASCADE;


--
-- Name: fki_tax_option_id; Type: FK CONSTRAINT; Schema: public; Owner: postgres
--

ALTER TABLE ONLY tax_value_link
    ADD CONSTRAINT fki_tax_option_id FOREIGN KEY (tax_option_id) REFERENCES tax_option(tax_option_id) ON UPDATE CASCADE ON DELETE CASCADE;


--
-- Name: fki_tax_option_tax_group_id; Type: FK CONSTRAINT; Schema: public; Owner: postgres
--

ALTER TABLE ONLY tax_option
    ADD CONSTRAINT fki_tax_option_tax_group_id FOREIGN KEY (tax_group_id) REFERENCES tax_group(tax_group_id) ON UPDATE CASCADE ON DELETE CASCADE;


--
-- Name: fki_tax_option_to_option1; Type: FK CONSTRAINT; Schema: public; Owner: postgres
--

ALTER TABLE ONLY tax_option_to_option
    ADD CONSTRAINT fki_tax_option_to_option1 FOREIGN KEY (tax_option1_id) REFERENCES tax_option(tax_option_id) ON UPDATE CASCADE ON DELETE CASCADE;


--
-- Name: fki_tax_option_to_option2; Type: FK CONSTRAINT; Schema: public; Owner: postgres
--

ALTER TABLE ONLY tax_option_to_option
    ADD CONSTRAINT fki_tax_option_to_option2 FOREIGN KEY (tax_option2_id) REFERENCES tax_option(tax_option_id) ON UPDATE CASCADE ON DELETE CASCADE;


--
-- Name: fki_tax_value_float_option_id; Type: FK CONSTRAINT; Schema: public; Owner: postgres
--

ALTER TABLE ONLY tax_value_float
    ADD CONSTRAINT fki_tax_value_float_option_id FOREIGN KEY (tax_option_id) REFERENCES tax_option(tax_option_id) ON UPDATE CASCADE ON DELETE CASCADE;


--
-- Name: fki_tax_value_int_option_id; Type: FK CONSTRAINT; Schema: public; Owner: postgres
--

ALTER TABLE ONLY tax_value_int
    ADD CONSTRAINT fki_tax_value_int_option_id FOREIGN KEY (tax_option_id) REFERENCES tax_option(tax_option_id) ON UPDATE CASCADE ON DELETE CASCADE;


--
-- Name: fki_tax_value_string_option_id; Type: FK CONSTRAINT; Schema: public; Owner: postgres
--

ALTER TABLE ONLY tax_value_string
    ADD CONSTRAINT fki_tax_value_string_option_id FOREIGN KEY (tax_option_id) REFERENCES tax_option(tax_option_id) ON UPDATE CASCADE ON DELETE CASCADE;


--
-- Name: fki_tax_value_text_option_id; Type: FK CONSTRAINT; Schema: public; Owner: postgres
--

ALTER TABLE ONLY tax_value_text
    ADD CONSTRAINT fki_tax_value_text_option_id FOREIGN KEY (tax_option_id) REFERENCES tax_option(tax_option_id) ON UPDATE CASCADE ON DELETE CASCADE;


--
-- Name: product_brand_fk; Type: FK CONSTRAINT; Schema: public; Owner: postgres
--

ALTER TABLE ONLY product
    ADD CONSTRAINT product_brand_fk FOREIGN KEY (brand_id) REFERENCES brand(brand_id);


--
-- Name: product_image_product_fkey; Type: FK CONSTRAINT; Schema: public; Owner: postgres
--

ALTER TABLE ONLY product_image
    ADD CONSTRAINT product_image_product_fkey FOREIGN KEY (product_id) REFERENCES product(product_id) ON UPDATE CASCADE ON DELETE CASCADE;


--
-- Name: product_variant_product_unit_fkey; Type: FK CONSTRAINT; Schema: public; Owner: postgres
--

ALTER TABLE ONLY product_variant
    ADD CONSTRAINT product_variant_product_unit_fkey FOREIGN KEY (product_unit_id) REFERENCES product_unit(product_unit_id) ON DELETE CASCADE;


--
-- Name: tax_option_to_group_group_id; Type: FK CONSTRAINT; Schema: public; Owner: postgres
--

ALTER TABLE ONLY tax_option_to_group
    ADD CONSTRAINT tax_option_to_group_group_id FOREIGN KEY (tax_group_id) REFERENCES tax_group(tax_group_id) ON UPDATE CASCADE ON DELETE CASCADE;


--
-- Name: tax_option_to_group_option_id; Type: FK CONSTRAINT; Schema: public; Owner: postgres
--

ALTER TABLE ONLY tax_option_to_group
    ADD CONSTRAINT tax_option_to_group_option_id FOREIGN KEY (tax_option_id) REFERENCES tax_option(tax_option_id) ON UPDATE CASCADE ON DELETE CASCADE;


--
-- PostgreSQL database dump complete
--

